/*
	Order.java
	written by: Jakub Kolodziejski
	debugged by: Jakub Kolodziejski
	
	Created: 10/15/2011
	
	Constructor of "Order" data structure for use by Database.java and broker.java
	
	VALUES:	int			id			unique id number of order
			int			account		account id of the user that placed the order
			Timestamp	timePlaced	date and time the order was placed
			String		symbol		stock symbol
			String		action		buy/sell
			long		quantity	number of shares
			String		type		market/limit/stop
			BigDecimal	stopPrice	stop price
			BigDecimal	limitPrice	limit price
			BigDecimal	trail		trail percentage
			String		duration	day/gtc "good till cancelled"
			byte		notify		whether to notify the user via email when executed
*/

import java.sql.*;
import java.math.*;

public class Order {
	
	public int id;
	public int account;
	public Timestamp timePlaced;
	public String symbol;
	public String action;
	public long quantity;
	public String type;
	public BigDecimal targetPrice;
	public BigDecimal stopPrice;
	public BigDecimal limitPrice;
	public BigDecimal trail;
	public String duration;
	public byte notify;
	
	// Order constructor
	public Order() {
		
		this.id = 0;
		this.account = 0;
		this.timePlaced = null;
		this.symbol = null;
		this.action = null;
		this.quantity = 0;
		this.type = null;
		this.targetPrice = null;
		this.duration = null;
		this.notify = 0;
	}
	
	// Order constructor
	public Order(int id, int account, Timestamp timePlaced, String symbol, String action, long quantity, String type, BigDecimal targetPrice, String duration, byte notify) {
		
		this.id = id;
		this.account = account;
		this.timePlaced = timePlaced;
		this.symbol = symbol;
		this.action = action;
		this.quantity = quantity;
		this.type = type;
		this.targetPrice = targetPrice;
		this.duration = duration;
		this.notify = notify;
	}

}
