/*
	SMS.java
	written by: Jakub Kolodziejski
	debugged by: Jakub Kolodziejski
*/

import java.util.*;
import javax.mail.*;
import javax.mail.internet.*;
import javax.activation.*;

public class SMS {
	
	// Controls whether to print debug statements to console/shell
	private boolean debug = true;
	
	public String to;
	public String body;
	
	public SMS() {
		
		this.to = "";
		this.body = "";
	}
	
	public SMS(String mailTo, String mailBody) {
		
		this.to = mailTo;
		this.body = mailBody;
	}
	
	public void send() {
		
		// Sender's email ID needs to be mentioned
		String from = "thestockhop@gmail.com";
		
		// Assuming you are sending email from localhost
		String host = "localhost";
		
		// Get system properties
		Properties properties = System.getProperties();
		
		// Setup mail server
		properties.setProperty("mail.smtp.host", host);
		
		// Get the default Session object.
		Session session = Session.getDefaultInstance(properties);
		
		try{
			
			debug("Sending SMS to " + to + " ...");
			
			// Create a default MimeMessage object.
			MimeMessage message = new MimeMessage(session);
			
			// Set From: header field of the header.
			message.setFrom(new InternetAddress(from));
			
			// Set To: header field of the header.
			message.addRecipient(Message.RecipientType.TO, new InternetAddress(to));
			
			// Set Subject: header field
			message.setSubject("");
			
			// Now set the actual message
			message.setText(body);
			
			// Send message
			Transport.send(message);
			debug("Sent SMS successfully.");
		}
		catch (MessagingException mex) { mex.printStackTrace(); }
	}
	
		// Prints debug statements to console/shell.
	private void debug(String text) {
		if (debug) {
			System.out.println("\n" + text);
		}
	}
}
