<?php
// written by:   Melissa Romanus
// assisted by:
// debugged by:

namespace RU\TheStockHopBundle\Command;

use Symfony\Bundle\FrameworkBundle\Command\ContainerAwareCommand;
use Symfony\Component\Console\Input\InputArgument;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Input\InputOption;
use Symfony\Component\Console\Output\OutputInterface;
use RU\TheStockHopBundle\Entity\Account;

class EndOfDayCommand extends ContainerAwareCommand
{
	protected function configure()
    {
        $this
            ->setName('tsh:eod')
            ->setDescription('Delete orders that expire End-Of-Day.');
    }

	protected function execute(InputInterface $input, OutputInterface $output)
	{

		$em = $this->getContainer()->get('doctrine')->getEntityManager('default');

		$orders = $em->getRepository('TheStockHopBundle:Order')->findAll();

		foreach($orders as $order){

			if($order->getDuration() == "Day")
				$em->remove($order);

		}

		$em->flush();

	}
}