<?php
// written by:   Melissa Romanus
// assisted by:
// debugged by:

namespace RU\TheStockHopBundle\Command;

use Symfony\Bundle\FrameworkBundle\Command\ContainerAwareCommand;
use Symfony\Component\Console\Input\InputArgument;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Input\InputOption;
use Symfony\Component\Console\Output\OutputInterface;
use RU\TheStockHopBundle\Entity\Account;
use RU\TheStockHopBundle\Entity\Portfolio;
use RU\TheStockHopBundle\Entity\Rank;
use RU\TheStockHopBundle\StockFacts;
use RU\TheStockHopBundle\Repository\RankRepository;

class RankCommand extends ContainerAwareCommand
{
	protected function configure()
    {
        $this
            ->setName('tsh:rank')
            ->setDescription('Regenerate the ranking table.');
    }

	protected function execute(InputInterface $input, OutputInterface $output)
	{

		$sf = new StockFacts;
		$em = $this->getContainer()->get('doctrine')->getEntityManager('default');

		$ranks = $em->getRepository('TheStockHopBundle:Rank')->findAll();

		foreach($ranks as $rank){
			$em->remove($rank);
		}
		$em->flush();

		$accounts =  $em->getRepository('TheStockHopBundle:Account')->findAll();

		foreach($accounts as $account){

			$value = $account->getCash();
			$portfolios = $account->getPortfolio();

			foreach($portfolios as $portfolio){
				$sf->getStock($portfolio->getSymbol());
				if($sf->isValid()){
					$value = $value + $sf->getValue($portfolio->getQuantity());
				}
			}

			$rank = new Rank();
			$rank->setName($account->getUsername());
			$rank->setWorth($value);
			$em->persist($rank);
		}

		$em->flush();

		$ranks = $em->getRepository('TheStockHopBundle:Rank')->findAllOrderedByWorth();

		$pos = 1;
		foreach($ranks as $rank){
			$rank->setPos($pos);
			$em->persist($rank);
			$pos = $pos+1;
		}
		$em->flush();
	}
}