<?php
// written by:   Melissa Romanus
// assisted by:
// debugged by:

namespace RU\TheStockHopBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\Security\Core\SecurityContext;
use Symfony\Component\HttpFoundation\Response;
use RU\TheStockHopBundle\Entity\Account;
use RU\TheStockHopBundle\Entity\Orders;
use RU\TheStockHopBundle\Entity\History;
use RU\TheStockHopBundle\StockFacts;

class HomeController extends Controller
{
        public function indexAction()
        {
	        if (!$this->get('security.context')->isGranted('IS_AUTHENTICATED_FULLY')) {
	            return $this->render('TheStockHopBundle:Home:home_unauth.html.twig');
	        } else {
                $data = new StockFacts();
                $user = $this->get('security.context')->getToken()->getUser();

				$orders = $user->getOrders();

                foreach ($orders as &$order){
                    $order->info = $data->getStock($order->getSymbol());
                }

                $rank = $this->getDoctrine()->getRepository('TheStockHopBundle:Rank')->findByName($user->getUsername());

                if(count($rank) == 0)
                	$rank[0] = "";
                	
	            return $this->render('TheStockHopBundle:Home:home_auth.html.twig', array('orders' => $orders, 'rank' => $rank[0]));
	        	
			}
        }

}
