<?php
// written by:   Melissa Romanus
// assisted by:
// debugged by:

namespace RU\TheStockHopBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Response;
use RU\TheStockHopBundle\Entity\Account;
use RU\TheStockHopBundle\Entity\Orders;
use RU\TheStockHopBundle\Entity\History;
use RU\TheStockHopBundle\StockFacts;


class OrdersController extends Controller
{

        public function __construct()
        {
        }


	public function indexAction(){
                if ($this->get('security.context')->isGranted('IS_AUTHENTICATED_FULLY')) {
                        $this->get('session')->clearFlashes();
                        $data = new StockFacts();
                        $user = $this->get('security.context')->getToken()->getUser();

			$orders = $user->getOrders();
			$history = $user->gethistory();

                        foreach ($orders as &$order){
                                $order->info = $data->getStock($order->getSymbol());
                        }


                        return $this->render('TheStockHopBundle:Orders:index.html.twig', array('orders' => $orders, 'historys' => $history));
                } else {
                        return $this->render('TheStockHopBundle:Home:home_unauth.html.twig');
                }

	}

	public function cancelAction($id){
                if ($this->get('security.context')->isGranted('IS_AUTHENTICATED_FULLY')) {
                        $user = $this->get('security.context')->getToken()->getUser();

                        $order = $this->getDoctrine()->getRepository('TheStockHopBundle:Order')->find($id);
			if(is_object($order)){
				if($order->getAccount()->getUsername() == $user->getUsername()){
					try{
                                                $this->get('session')->setFlash('success',"The Order for ".$order->getQuantity()." shares of ".$order->getSymbol()." has been canceled.");
						$em = $this->getDoctrine()->getEntityManager();
						$em->remove($order);
						$em->flush();
					}catch(\Exception $e){
					print "$e";
					}
				}
			}

                        $data = new StockFacts();

                        $orders = $user->getOrders();
                        $history = $user->gethistory();

                        foreach ($orders as &$order){
                                $order->info = $data->getStock($order->getSymbol());
                        }

                        return $this->render('TheStockHopBundle:Orders:index.html.twig', array('orders' => $orders, 'historys' => $history));
                } else {
                        return $this->render('TheStockHopBundle:Home:home_unauth.html.twig');
                }

	}    
}
