<?php
// written by:   Melissa Romanus
// assisted by:
// debugged by:

namespace RU\TheStockHopBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\Security\Core\SecurityContext;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\HttpFoundation\Request;
use RU\TheStockHopBundle\Entity\Account;
use RU\TheStockHopBundle\Entity\Portfolio;
use RU\TheStockHopBundle\StockFacts;


class PortfolioController extends Controller
{
        public function indexAction(Request $request)
        {
                if ($this->get('security.context')->isGranted('IS_AUTHENTICATED_FULLY')) {
			$data = new StockFacts();
			$user = $this->get('security.context')->getToken()->getUser();
		
			$stocks = $user->getPortfolio();

			foreach ($stocks as &$stock){
                                $stock->info = $data->getStock($stock->getSymbol());
				$stock->info['value'] = $data->getValue($stock->getQuantity());
				$stock->info['gain'] = $data->getGain($stock->getPrice());	
			}

			return $this->render('TheStockHopBundle:Portfolio:index.html.twig', array('stocks' => $stocks));
                } else {
			return $this->render('TheStockHopBundle:Home:home_unauth.html.twig');
                }
	
	}
}
