<?php
// written by:   Melissa Romanus
// assisted by:
// debugged by:

namespace RU\TheStockHopBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\Security\Core\SecurityContext;
use Symfony\Component\HttpFoundation\Response;
use RU\TheStockHopBundle\Entity\Account;
use RU\TheStockHopBundle\Entity\Role;
use Symfony\Component\Security\Core\Encoder\MessageDigestPasswordEncoder;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\Form\FormError;

class PrefsController extends Controller
{
        private $msg_success;
        private $msg_failure;
        private $msg_other;
        private $failure_set;
        private $success_set;
        private $other_set;

        public function __construct()
        {
                $this->msg_success =  new \ArrayObject();
                $this->msg_failure =  new \ArrayObject();
                $this->msg_other   =  new \ArrayObject();
                $this->failure_set = false;
                $this->success_set = false;
                $this->other_set   = false;
        }

        public function indexAction(Request $request)
        {
                if ($this->get('security.context')->isGranted('IS_AUTHENTICATED_FULLY')) {
                   $user = $this->get('security.context')->getToken()->getUser();

                   $form = $this->createFormBuilder($user)
                        ->add('oldPassword', 'password',array('label' => 'Old Password'))
                        ->add('newPassword', 'password', array('label' => 'New Password','required'  => false))
                        ->add('confirmPassword','password', array('label' => 'Confirm Password','required'  => false))
                        ->add('email', 'email',array('label' => 'New Email','required'  => false))
                        ->add('phoneNumber', 'number', array('label' => 'Phone Number','required'  => false))
                        ->add('carrier', 'choice', array('choices' => array('AT&T' => 'AT&T', 'Verizon' => 'Verizon', 'Sprint' => 'Sprint', "T-Mobile" => "T-Mobile")))
                        ->add('notify','checkbox', array( 'label' => 'Send me notifications when my trades complete.', 'required'  => false))
                        ->getForm();

                    return $this->render('TheStockHopBundle:Prefs:index.html.twig', array('form' => $form->createView(),'msg_failure' => $this->msg_failure,'failure_set' => $this->failure_set,'msg_success' => $this->msg_success,'success_set' => $this->success_set));
                } else {
                    return $this->render('TheStockHopBundle:Home:home_unauth.html.twig');
                }
        }

	public function commitAction(Request $request)
	{

                if ($this->get('security.context')->isGranted('IS_AUTHENTICATED_FULLY')) {
			$user = $this->get('security.context')->getToken()->getUser();
			$user_verify = $this->get('security.context')->getToken()->getUser();

			$form = $this->createFormBuilder($user)
                        ->add('oldPassword', 'password',array('label' => 'Old Password'))
                        ->add('newPassword', 'password', array('label' => 'New Password','required'  => false))
                        ->add('confirmPassword','password', array('label' => 'Confirm Password','required'  => false))
                        ->add('email', 'email',array('label' => 'New Email','required'  => false))
                        ->add('phoneNumber', 'number', array('label' => 'Phone Number','required'  => false))
                        ->add('carrier', 'choice', array('choices' => array('AT&T' => 'AT&T', 'Verizon' => 'Verizon', 'Sprint' => 'Sprint', "T-Mobile" => "T-Mobile")))
                        ->add('notify','checkbox', array( 'label' => 'Send me notifications when me trades complete.', 'required'  => false))
                        ->getForm();

			 if ($request->getMethod() == 'POST') {
				$form->bindRequest($request);

	                         if ($form->isValid()){
		                        $em = $this->getDoctrine()->getEntityManager();

					$encoder = new MessageDigestPasswordEncoder('sha512', true, 10);
                                        $hash = $encoder->encodePassword($user->oldPassword,$user->getSalt());
					if ($user->getPassword() == $hash)
					{
						if($user->newPassword == $user->confirmPassword)
						{
							$user->setPassword($encoder->encodePassword($user->newPassword,$user->getSalt()));
                                                        $this->msg_success->append('User Password Modified');
							$this->success_set = true;
						}
						if($user->getEmail() == "" ) 
						{
							$user->setEmail($user_verify->getEmail());
						}else if ($user->getEmail() != $user_verify->getEmail() )
						{
                                                        $this->msg_success->append('Email Address Modified');
							$this->success_set = true;			
						}

						if(($user->getPhoneNumber() == $user_verify->getPhoneNumber()) || ($user->getPhoneNumber() == "") ) 
						{
							$user->setPhoneNumber( $user_verify->getPhoneNumber() );
							$user->setCarrier( $user_verify->getCarrier() );
						}else if(($user->getCarrier() != $user_verify->getCarrier()) || ($user->getPhoneNumber() != $user_verify->getPhoneNumber()))
						{
                                                        $this->msg_success->append('Phone Number And Carrier Settings Modified');
							$this->success_set = true;
						}
						if($user->getNotify() != $user_verify->getNotify())
						{
                                                        $this->msg_success->append('Notify Settings Modified');
							$this->success_set = true;
						}

						try{
							$em = $this->getDoctrine()->getEntityManager();
							$em->persist($user);
							$em->flush();
							$user = new Account();

							$this->msg_success->append("The changes were successful.");
                                                        return $this->render('TheStockHopBundle:Prefs:index.html.twig', array('form' => $form->createView(),'msg_failure' => $this->msg_failure,'failure_set' => $this->failure_set,'msg_success' => $this->msg_success,'success_set' => $this->success_set));
						}catch(\Exception $e){
							$form->addError(new FormError('Error Modifying Account, Please Try again'));
	                                                return $this->render('TheStockHopBundle:Prefs:index.html.twig', array('form' => $form->createView(),'msg_failure' => $this->msg_failure,'failure_set' => $this->failure_set,'msg_success' => $this->msg_success,'success_set' => $this->success_set));
						}
					} else {
						$form->addError(new FormError('The original password is invalid.'));
						return $this->render('TheStockHopBundle:Prefs:index.html.twig', array('form' => $form->createView(),'msg_failure' => $this->msg_failure,'failure_set' => $this->failure_set,'msg_success' => $this->msg_success,'success_set' => $this->success_set));
					}
				}
			}
			return $this->render('TheStockHopBundle:Prefs:index.html.twig', array('form' => $form->createView(),'msg_failure' => $this->msg_failure,'failure_set' => $this->failure_set,'msg_success' => $this->msg_success,'success_set' => $this->success_set));
		} else {
                    return $this->render('TheStockHopBundle:Home:home_unauth.html.twig');
                }
	}
}
