<?php
// written by:   Melissa Romanus
// assisted by:
// debugged by:

namespace RU\TheStockHopBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\HttpFoundation\Request;
use RU\TheStockHopBundle\Form\Type\ResearchType;
use RU\TheStockHopBundle\StockFacts;
use Symfony\Component\Form\FormError;

class ResearchController extends Controller
{
        private $msg_success;
        private $msg_failure;
        private $msg_other;

        public function indexAction()
        {
		$data = null;	
		$form = $this->createForm(new ResearchType(), $data);
	        return $this->render('TheStockHopBundle:Research:index.html.twig', array('form' => $form->createView()));

        }
	
	public function getAction(Request $request)
	{
 
		$data = new ResearchType();
		$form = $this->createForm(new ResearchType(), $data); 


		if ($request->getMethod() == 'POST') {
			$form->bindRequest($request);

			if ($form->isValid()) {

				$SF = new StockFacts();
				$facts = $SF->getStock($data->getSymbol());
				if ($SF->isValid())
				{
	                                return $this->render('TheStockHopBundle:Research:index.html.twig', array('form' => $form->createView(), 'data' => $facts));
				}
				$form->addError(new FormError('This Symbol Is Not Valid'));
		                return $this->render('TheStockHopBundle:Research:index.html.twig', array('form' => $form->createView()));
			}
		}
	}

        public function getjavaAction($name = "")
        {

                $SF = new StockFacts();
                $facts = $SF->getStock($name);
                if ($SF->isValid())
                {
                	return $this->render('TheStockHopBundle:Research:index-raw.html.twig', array('data' => $facts));
                }
		return $this->render('TheStockHopBundle:Research:index-raw.html.twig');
        }

}

