<?php
// written by:   Melissa Romanus
// assisted by:
// debugged by:

namespace RU\TheStockHopBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\Security\Core\SecurityContext;
use Symfony\Component\HttpFoundation\Response;
use RU\TheStockHopBundle\Entity\Account;
use RU\TheStockHopBundle\Entity\Role;
use RU\TheStockHopBundle\Entity\Rank;
use Symfony\Component\Security\Core\Encoder\MessageDigestPasswordEncoder;
use Symfony\Component\HttpFoundation\Request;

class SignupController extends Controller
{
        private $msg_success;
        private $msg_failure;
        private $msg_other;

        public function indexAction(Request $request)
        {
                if (!$this->get('security.context')->isGranted('IS_AUTHENTICATED_FULLY')) {

		   $user = new Account();

		   $form = $this->createFormBuilder($user)
			->add('username', 'text')
			->add('password', 'password')
			->add('confirmPassword','password', array('label' => 'Confirm Password'))
			->add('email', 'email')
			->add('phoneNumber', 'number',array('required'  => false))
			->add('carrier', 'choice', array('choices' => array('AT&T' => 'AT&T', 'Verizon' => 'Verizon', 'Sprint' => 'Sprint', 'T-Mobile' => 'T-Mobile')))
			->getForm();

                    return $this->render('TheStockHopBundle:Registration:form.html.twig', array('form' => $form->createView(),));
                } else {
                    return $this->render('TheStockHopBundle:Home:home_auth.html.twig', array(
                        'last_username' => $this->get('request')->getSession()->get(SecurityContext::LAST_USERNAME),
                        'roles' => $this->get('security.context')->getToken()->getRoles()
                    ));
		}
        }

	public function validateAction(Request $request)
	{
                if (!$this->get('security.context')->isGranted('IS_AUTHENTICATED_FULLY')) {

                   $user = new Account();

                   $form = $this->createFormBuilder($user)
                        ->add('username', 'text')
                        ->add('password', 'password')
                        ->add('confirmPassword','password', array('label' => 'Confrim Password'))
                        ->add('email', 'email')
                        ->add('phoneNumber', 'number')
                        ->add('carrier', 'choice', array('choices' => array('AT&T' => 'AT&T', 'Verizon' => 'Verizon', 'Sprint' => 'Sprint', "T-Mobile" => "T-Mobile")))
                        ->getForm();


			if ($request->getMethod() == 'POST') {
				$form->bindRequest($request);
				
				if ($form->isValid()){
					
					if($user->getPassword() == $user->confirmPassword){
						$em = $this->getDoctrine()->getEntityManager();
	
						$role = $this->getDoctrine()->getRepository('TheStockHopBundle:Role')->findOneByName('ROLE_USER');
						$user->setSalt(md5(time()));
						$user->setRegistrationDate( new \DateTime("now"));
						$user->setNotify(1);
						$user->setCash(100000);
						$user->getUserRoles()->add($role);

						$encoder = new MessageDigestPasswordEncoder('sha512', true, 10);
						$password = $encoder->encodePassword($user->getPassword(),$user->getSalt());
						$user->setPassword($password);
						try{
							$em->persist($user);
							$em->flush();

							return $this->render('TheStockHopBundle:Security:login-success.html.twig');
						}catch(\Exception $e) {
							return $this->render('TheStockHopBundle:Registration:form-fail.html.twig', array('form' => $form->createView()));
						}
					}else{
						return $this->render('TheStockHopBundle:Registration:form-fail-pw.html.twig', array('form' => $form->createView(),));
					}
				}
				return $this->render('TheStockHopBundle:Registration:form-fail.html.twig', array('form' => $form->createView()));	
			}
		}
	}
}
