<?php
// written by:   Melissa Romanus
// assisted by:
// debugged by:

// Another database object initialization class. Designed to put some initial data in the database if it were to get purged. This class is not vital, nor is it used in The StockHop's actual operation.

namespace RU\TheStockHopBundle\DataFixtures\ORM;
 
use Doctrine\Common\DataFixtures\FixtureInterface;
use RU\TheStockHopBundle\Entity\Portfolio;
use RU\TheStockHopBundle\Entity\History;
use RU\TheStockHopBundle\Entity\Order;
use RU\TheStockHopBundle\Entity\Account;
use RU\TheStockHopBundle\Entity\Role;
use Symfony\Component\Security\Core\Encoder\MessageDigestPasswordEncoder;
 
class FixtureLoader implements FixtureInterface
{
    public function load($manager)
    {
        // create the ROLE_ADMIN role
        $role = new Role();
        $role->setName('ROLE_ADMIN');
 
        $manager->persist($role);
 
        // create a user
        $user = new Account();
        $user->setEmail('john@example.com');
        $user->setUsername('test');
        $user->setSalt(md5(time()));
 
        // encode and set the password for the user,
        // these settings match our config
        $encoder = new MessageDigestPasswordEncoder('sha512', true, 10);
        $password = $encoder->encodePassword('admin', $user->getSalt());
        $user->setPassword($password);
 
        $user->getUserRoles()->add($role);
 
        $manager->persist($user);
	echo "did this work?"; 
$em = $this->getDoctrine()->getEntityManager();

    } 
}
