<?php
// written by:   Melissa Romanus
// assisted by:
// debugged by:

namespace RU\TheStockHopBundle\Entity;

use Doctrine\ORM\Mapping as ORM;


/**
 * @ORM\Entity
 * @ORM\Table(name="orders")
 */
class Order
{

        /**
        *   @ORM\Id
        *   @ORM\Column(type="integer")
        *   @ORM\GeneratedValue
        */
        protected $id;

        /**
        *  @ORM\Column(type="integer")
        */
	    protected $account_id;

        /**
        *  @ORM\Column(name="time_placed", type="datetime")
        */
        protected $created;

        /**
        *  @ORM\Column(length=16))
        */
        protected $symbol;

        /**
        *  @ORM\Column(length=4)
        */
        protected $action;

        /**
        *  @ORM\Column(type="bigint")
        */
        protected $quantity;

        /**
        *  @ORM\Column(length=20)
        */
        protected $type;

        /**
        *  @ORM\Column(name="limit_price",type="decimal",scale=2)
        */
        protected $limitPrice;

        /**
        *  @ORM\Column(name="stop_price",type="decimal",scale=2)
        */
        protected $stopPrice;

        /**
        *  @ORM\Column(name="trail",type="decimal",scale=2)
        */
        protected $trail;

        /**
        *  @ORM\Column(length=3)
        */
        protected $duration;

        /**
        *  @ORM\Column(type="boolean")
        */
	protected $notify;

    /**
     * @ORM\ManyToOne(targetEntity="Account", inversedBy="orders")
     * @ORM\JoinColumn(name="account_id", referencedColumnName="id")
     */
        private $account;


	public $info;

    /**
     * Get id
     *
     * @return integer 
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set account_id
     *
     * @param integer $accountId
     */
    public function setAccountId($accountId)
    {
        $this->account_id = $accountId;
    }

    /**
     * Get account_id
     *
     * @return integer 
     */
    public function getAccountId()
    {
        return $this->account_id;
    }

    /**
     * Set created
     *
     * @param datetime $created
     */
    public function setCreated($created)
    {
        $this->created = $created;
    }

    /**
     * Get created
     *
     * @return datetime 
     */
    public function getCreated()
    {
        return $this->created;
    }

    /**
     * Set symbol
     *
     * @param string $symbol
     */
    public function setSymbol($symbol)
    {
        $this->symbol = $symbol;
    }

    /**
     * Get symbol
     *
     * @return string 
     */
    public function getSymbol()
    {
        return $this->symbol;
    }

    /**
     * Set action
     *
     * @param string $action
     */
    public function setAction($action)
    {
        $this->action = $action;
    }

    /**
     * Get action
     *
     * @return string 
     */
    public function getAction()
    {
        return $this->action;
    }

    /**
     * Set quantity
     *
     * @param bigint $quantity
     */
    public function setQuantity($quantity)
    {
        $this->quantity = $quantity;
    }

    /**
     * Get quantity
     *
     * @return bigint 
     */
    public function getQuantity()
    {
        return $this->quantity;
    }

    /**
     * Set type
     *
     * @param string $type
     */
    public function setType($type)
    {
        $this->type = $type;
    }

    /**
     * Get type
     *
     * @return string 
     */
    public function getType()
    {
        return $this->type;
    }

    /**
     * Set duration
     *
     * @param string $duration
     */
    public function setDuration($duration)
    {
        $this->duration = $duration;
    }

    /**
     * Get duration
     *
     * @return string 
     */
    public function getDuration()
    {
        return $this->duration;
    }

    /**
     * Set notify
     *
     * @param boolean $notify
     */
    public function setNotify($notify)
    {
        $this->notify = $notify;
    }

    /**
     * Get notify
     *
     * @return boolean 
     */
    public function getNotify()
    {
        return $this->notify;
    }

    /**
     * Set account
     *
     * @param RU\TheStockHopBundle\Entity\Account $account
     */
    public function setAccount(\RU\TheStockHopBundle\Entity\Account $account)
    {
        $this->account = $account;
    }

    /**
     * Get account
     *
     * @return RU\TheStockHopBundle\Entity\Account 
     */
    public function getAccount()
    {
        return $this->account;
    }

    public function __construct()
    {
        $this->created = new \DateTime();
    }

    /**
     * Set limitPrice
     *
     * @param decimal $limitPrice
     */
    public function setLimitPrice($limitPrice)
    {
        $this->limitPrice = $limitPrice;
    }

    /**
     * Get limitPrice
     *
     * @return decimal 
     */
    public function getLimitPrice()
    {
        return $this->limitPrice;
    }

    /**
     * Set stopPrice
     *
     * @param decimal $stopPrice
     */
    public function setStopPrice($stopPrice)
    {
        $this->stopPrice = $stopPrice;
    }

    /**
     * Get stopPrice
     *
     * @return decimal 
     */
    public function getStopPrice()
    {
        return $this->stopPrice;
    }



    /**
     * Get trailPrice
     *
     * @return decimal 
     */
    public function getTrailPrice()
    {
        return $this->trailPrice;
    }



    /**
     * Get trail
     *
     * @return int 
     */
    public function getTrail()
    {
        return $this->trail;
    }

    /**
     * Set trail
     *
     * @param decimal $trail
     */
    public function setTrail($trail)
    {
        $this->trail = $trail;
    }
}