<?php
// written by:   Melissa Romanus
// assisted by:
// debugged by:

namespace RU\TheStockHopBundle\Entity;

use Doctrine\ORM\Mapping as ORM;


/**
 * @ORM\Entity
 * @ORM\Table(name="portfolio")
 */
class Portfolio
{

        /**
        *   @ORM\Id
        *   @ORM\Column(type="integer")
        *   @ORM\GeneratedValue
        */
        protected $id;

        /**
        *  @ORM\Column(type="integer")
        */
        protected $account_id;

        /**
        *  @ORM\Column(length=16)
        */
	protected $symbol;

        /**
        *  @ORM\Column(type="bigint")
        */
	protected $quantity;

        /**
        *  @ORM\Column(type="decimal",scale=2)
        */
	protected $price;


    /**
     * @ORM\ManyToOne(targetEntity="Account", inversedBy="portfolio")
     * @ORM\JoinColumn(name="account_id", referencedColumnName="id")
     */
        private $account;


	public $info;
    /**
     * Get id
     *
     * @return integer 
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set account_id
     *
     * @param integer $accountId
     */
    public function setAccountId($accountId)
    {
        $this->account_id = $accountId;
    }

    /**
     * Get account_id
     *
     * @return integer 
     */
    public function getAccountId()
    {
        return $this->account_id;
    }

    /**
     * Set symbol
     *
     * @param string $symbol
     */
    public function setSymbol($symbol)
    {
        $this->symbol = $symbol;
    }

    /**
     * Get symbol
     *
     * @return string 
     */
    public function getSymbol()
    {
        return $this->symbol;
    }

    /**
     * Set quantity
     *
     * @param bigint $quantity
     */
    public function setQuantity($quantity)
    {
        $this->quantity = $quantity;
    }

    /**
     * Get quantity
     *
     * @return bigint 
     */
    public function getQuantity()
    {
        return $this->quantity;
    }

    /**
     * Set price
     *
     * @param decimal $price
     */
    public function setPrice($price)
    {
        $this->price = $price;
    }

    /**
     * Get price
     *
     * @return decimal 
     */
    public function getPrice()
    {
        return $this->price;
    }

    /**
     * Set account
     *
     * @param RU\TheStockHopBundle\Entity\Account $account
     */
    public function setAccount(\RU\TheStockHopBundle\Entity\Account $account)
    {
        $this->account = $account;
    }

    /**
     * Get account
     *
     * @return RU\TheStockHopBundle\Entity\Account 
     */
    public function getAccount()
    {
        return $this->account;
    }
}