<?php
// written by:   Melissa Romanus
// assisted by:
// debugged by:

namespace RU\TheStockHopBundle;

class StockFacts
{

	private $info;

	public function __construct()
	{
	}


	public function getStock($stock)
	{
		$open = fopen("http://finance.yahoo.com/d/quotes.csv?s=".$stock."&f=nksqwxyr1l9t5p4ecrjabj1a2","r");

		$read = trim(fread($open, 2000));

		$data = str_getcsv($read);

		fclose($open);

		unset($this->info);
		$this->info['stock_name'] = $data[0];
		$this->info['week_high'] = $data[1]; #52 Week High
                $this->info['week_low'] = $data[14]; #52 Week Low
		$this->info['symbol'] = $data[2];
		$this->info['price'] = $data[8];
		$this->info['change'] = $data[12];
		$this->info['eps'] = $data[11];
		$this->info['pe'] = $data[13];
		$this->info['ask'] = $data[15];
		$this->info['bid'] = $data[16];
		$this->info['market_cap'] = $data['17'];
		$this->info['avg_volume'] = $data['18'];
		$this->info['chart'] = "http://ichart.finance.yahoo.com/b?s=".$data[2]."&".rand(1,9999);
		$this->info['chart1y'] = "http://ichart.finance.yahoo.com/c/1y/".$data[2];
		$this->info['chart5y'] = "http://ichart.finance.yahoo.com/c/5y/".$data[2];


		return $this->info; 
	}

	public function isValid()
	{
		if (($this->info['pe'] == "N/A") || ($this->info['pe'] == "") )
		{
			return false;
		}else{
			return true;
		}
	}

	public function getValue($qty = 1)
	{
		if($this->isValid()){
			return $this->info['price'] * $qty;
		}else{
			return 0;
		}
	}

	public function getGain($cost = 1)
	{
                if($this->isValid()){
			$gc = $this->info['price'] - $cost;
			if($gc > 0 ){
				$gc = "+".$gc;
			}

			$gp = $this->info['price'] / $cost;
			if ($gp > 1){
				$gp = ($gp - 1) * 100;
				$gp = "+".number_format($gp, 3);
			}else{
				$gp = $cost / $this->info['price'];
				$gp = ($gp - 1) * 100;
				$gp = "-".$gp;
			}
			return $gc." - ".$gp."%";
		}else{
			return  0;
		}
	}
}
