<?php
// written by:   Melissa Romanus
// assisted by:
// debugged by:

namespace RU\TheStockHopBundle\Tests\Controller;

use Symfony\Bundle\FrameworkBundle\Test\WebTestCase;
use Symfony\Component\BrowserKit\Cookie;

class TradeControllerTest extends WebTestCase
{
    public function testIndex()
    {
        $client = static::createClient();

        $client->getCookieJar()->set(new Cookie(session_name(), true));
        $client->request('POST','/login_check',array('_username' => 'test', '_password' => 'test1','login' => 'submit'));
       

		$crawler = $client->request('GET', '/trade/');
        $this->assertTrue($crawler->filter('html:contains("Market")')->count() > 0);

		$form = $crawler->selectButton('Submit')->form();

		$form['form[symbol]'] = 'csx';
		$form['form[action]']->select('Buy');
		$form['form[duration]']->select('Day');
		$form['form[limitPrice]'] = '0.00';
		$form['form[quantity]'] = '13';
		$form['form[stopPrice]'] = '0.00';
		$form['form[trail]'] = '0';
		$form['form[type]']->select('Market');
#		$form[''] = '';

		$crawler = $client->submit($form);

      	#print $client->getResponse()->getContent();
        $this->assertTrue($crawler->filter('html:contains("Your Order was successfuly submitted.")')->count() > 0);




        $crawler = $client->request('GET', '/trade/');
        $this->assertTrue($crawler->filter('html:contains("Market")')->count() > 0);

		$form = $crawler->selectButton('Submit')->form();

		$form['form[symbol]'] = 'csx';
		$form['form[action]']->select('Buy');
		$form['form[duration]']->select('Day');
		$form['form[limitPrice]'] = '2.00';
		$form['form[quantity]'] = '13';
		$form['form[stopPrice]'] = '0.00';
		$form['form[trail]'] = '0';
		$form['form[type]']->select('Limit');
#		$form[''] = '';

		$crawler = $client->submit($form);

      	#print $client->getResponse()->getContent();
        $this->assertTrue($crawler->filter('html:contains("Your Order was successfuly submitted.")')->count() > 0);
    }
}

