-- MySQL dump 10.11
--
-- Host: localhost    Database: thestockhop
-- ------------------------------------------------------
-- Server version	5.0.77

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `account_role`
--

DROP TABLE IF EXISTS `account_role`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `account_role` (
  `user_id` int(11) NOT NULL,
  `role_id` int(11) NOT NULL,
  PRIMARY KEY  (`user_id`,`role_id`),
  KEY `IDX_DBFA0DC0A76ED395` (`user_id`),
  KEY `IDX_DBFA0DC0D60322AC` (`role_id`),
  CONSTRAINT `FK_DBFA0DC0A76ED395` FOREIGN KEY (`user_id`) REFERENCES `accounts` (`id`),
  CONSTRAINT `FK_DBFA0DC0D60322AC` FOREIGN KEY (`role_id`) REFERENCES `role` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `account_role`
--

LOCK TABLES `account_role` WRITE;
/*!40000 ALTER TABLE `account_role` DISABLE KEYS */;
INSERT INTO `account_role` VALUES (1,1);
/*!40000 ALTER TABLE `account_role` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `accounts`
--

DROP TABLE IF EXISTS `accounts`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `accounts` (
  `id` int(11) NOT NULL auto_increment,
  `user` varchar(255) NOT NULL,
  `password` varchar(255) NOT NULL,
  `salt` varchar(255) NOT NULL,
  `registered` datetime NOT NULL,
  `email` varchar(64) NOT NULL,
  `default_notify` tinyint(1) NOT NULL,
  `cash` decimal(10,2) NOT NULL,
  `phone` varchar(10) NOT NULL,
  `carrier` varchar(30) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `UNIQ_CAC89EAC8D93D649` (`user`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `accounts`
--

LOCK TABLES `accounts` WRITE;
/*!40000 ALTER TABLE `accounts` DISABLE KEYS */;
INSERT INTO `accounts` VALUES (1,'user','jdxaEDaK0+23wS2RiPgMsiZUQywm96wtmf53/CA9v5vdNaugeR1LtuRsYaMQJzDS9spCaoleX9F9ywQoFBWj/g==','a2b831336b0bdfffd1d07953d1843879','2011-12-18 23:40:04','test@intrernet.com',1,'100000.00','1800555835','AT&T');
/*!40000 ALTER TABLE `accounts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `carriers`
--

DROP TABLE IF EXISTS `carriers`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `carriers` (
  `carrier` varchar(30) default NULL,
  `gateway` varchar(64) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `carriers`
--

LOCK TABLES `carriers` WRITE;
/*!40000 ALTER TABLE `carriers` DISABLE KEYS */;
INSERT INTO `carriers` VALUES ('Sprint','@messaging.sprintpcs.com'),('Verizon','@vtext.com'),('AT&T','@txt.att.net'),('T-Mobile','@tmomail.net');
/*!40000 ALTER TABLE `carriers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `history`
--

DROP TABLE IF EXISTS `history`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `history` (
  `id` int(11) NOT NULL auto_increment,
  `account_id` int(11) NOT NULL,
  `time_placed` datetime NOT NULL,
  `symbol` varchar(16) NOT NULL,
  `action` varchar(5) NOT NULL,
  `quantity` bigint(20) NOT NULL,
  `type` varchar(20) NOT NULL,
  `price` decimal(10,2) NOT NULL,
  `duration` varchar(20) NOT NULL,
  `time_executed` datetime NOT NULL,
  `stop_price` decimal(10,2) NOT NULL,
  `commission` decimal(10,2) NOT NULL,
  `order_value` decimal(10,2) NOT NULL,
  `account_value` decimal(10,2) NOT NULL,
  `trail` decimal(10,2) NOT NULL,
  `limit_price` decimal(10,2) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `IDX_27BA704B9B6B5FBA` (`account_id`),
  CONSTRAINT `FK_27BA704B9B6B5FBA` FOREIGN KEY (`account_id`) REFERENCES `accounts` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `history`
--

LOCK TABLES `history` WRITE;
/*!40000 ALTER TABLE `history` DISABLE KEYS */;
/*!40000 ALTER TABLE `history` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `orders`
--

DROP TABLE IF EXISTS `orders`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `orders` (
  `id` int(11) NOT NULL auto_increment,
  `account_id` int(11) NOT NULL,
  `time_placed` datetime NOT NULL,
  `symbol` varchar(16) NOT NULL,
  `action` varchar(4) NOT NULL,
  `quantity` bigint(20) NOT NULL,
  `type` varchar(20) NOT NULL,
  `trail` decimal(10,2) NOT NULL,
  `duration` varchar(3) NOT NULL,
  `notify` tinyint(1) NOT NULL,
  `limit_price` decimal(10,2) NOT NULL,
  `stop_price` decimal(10,2) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `IDX_E52FFDEE9B6B5FBA` (`account_id`),
  CONSTRAINT `FK_E52FFDEE9B6B5FBA` FOREIGN KEY (`account_id`) REFERENCES `accounts` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `orders`
--

LOCK TABLES `orders` WRITE;
/*!40000 ALTER TABLE `orders` DISABLE KEYS */;
/*!40000 ALTER TABLE `orders` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `portfolio`
--

DROP TABLE IF EXISTS `portfolio`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `portfolio` (
  `id` int(11) NOT NULL auto_increment,
  `account_id` int(11) NOT NULL,
  `symbol` varchar(16) NOT NULL,
  `quantity` bigint(20) NOT NULL,
  `price` decimal(10,2) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `IDX_A9ED10629B6B5FBA` (`account_id`),
  CONSTRAINT `FK_A9ED10629B6B5FBA` FOREIGN KEY (`account_id`) REFERENCES `accounts` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `portfolio`
--

LOCK TABLES `portfolio` WRITE;
/*!40000 ALTER TABLE `portfolio` DISABLE KEYS */;
/*!40000 ALTER TABLE `portfolio` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `rank`
--

DROP TABLE IF EXISTS `rank`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `rank` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL,
  `worth` decimal(10,2) NOT NULL,
  `pos` int(11) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `rank`
--

LOCK TABLES `rank` WRITE;
/*!40000 ALTER TABLE `rank` DISABLE KEYS */;
/*!40000 ALTER TABLE `rank` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `role`
--

DROP TABLE IF EXISTS `role`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `role` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL,
  `created_at` datetime NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `role`
--

LOCK TABLES `role` WRITE;
/*!40000 ALTER TABLE `role` DISABLE KEYS */;
INSERT INTO `role` VALUES (1,'ROLE_USER','2011-10-25 02:41:22');
/*!40000 ALTER TABLE `role` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `stock_cache`
--

DROP TABLE IF EXISTS `stock_cache`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `stock_cache` (
  `id` int(11) NOT NULL auto_increment,
  `symbol` varchar(255) NOT NULL,
  `name` varchar(255) NOT NULL,
  `sector` varchar(255) NOT NULL,
  `industry` varchar(255) NOT NULL,
  `price` decimal(10,2) NOT NULL,
  `updated` datetime NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6555 DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `stock_cache`
--

LOCK TABLES `stock_cache` WRITE;
/*!40000 ALTER TABLE `stock_cache` DISABLE KEYS */;
INSERT INTO `stock_cache` VALUES (1,'DDD','3D Systems Corporation','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(2,'MMM','3M Company','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(3,'SVN','7 Days Group Holdings Limited','Consumer Services','Hotels/Resorts','0.00','0000-00-00 00:00:00'),(4,'NDN','99 Cents Only Stores','Consumer Services','Department/Specialty Retail Stores','0.00','0000-00-00 00:00:00'),(5,'AHC','A.H. Belo Corporation','Consumer Services','Newspapers/Magazines','0.00','0000-00-00 00:00:00'),(6,'AIR','AAR Corp.','Capital Goods','Aerospace','0.00','0000-00-00 00:00:00'),(7,'AAN','Aaron\'s,  Inc.','Technology','Diversified Commercial Services','0.00','0000-00-00 00:00:00'),(8,'ABB','ABB Ltd','Consumer Durables','Electrical Products','0.00','0000-00-00 00:00:00'),(9,'ABT','Abbott Laboratories','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(10,'ANF','Abercrombie & Fitch Company','Consumer Services','Clothing/Shoe/Accessory Stores','0.00','0000-00-00 00:00:00'),(11,'ABH','AbitibiBowater Inc.','Basic Industries','Paper','0.00','0000-00-00 00:00:00'),(12,'ABM','ABM Industries Incorporated','Finance','Diversified Commercial Services','0.00','0000-00-00 00:00:00'),(13,'ABVT','Abovenet Inc','Consumer Services','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(14,'AKR','Acadia Realty Trust','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(15,'ACN','Accenture plc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(16,'ABD','Acco Brands Corporation','Consumer Durables','Publishing','0.00','0000-00-00 00:00:00'),(17,'AH','Accretive Health, Inc.','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(18,'ACW','Accuride Corporation New','Capital Goods','Auto Parts:O.E.M.','0.00','0000-00-00 00:00:00'),(19,'ACE','Ace Limited','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(20,'ATV','Acorn International, Inc.','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(21,'ATU','Actuant Corporation','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(22,'AYI','Acuity Brands Inc','Consumer Durables','Building Products','0.00','0000-00-00 00:00:00'),(23,'ADX','Adams Express Company (The)','n/a','n/a','0.00','0000-00-00 00:00:00'),(24,'AGRO','Adecoagro S.A.','Consumer Non-Durables','Farming/Seeds/Milling','0.00','0000-00-00 00:00:00'),(25,'PVD','Administradora de Fondos de Pensiones-Provida, S.A.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(26,'AEA','Advance America, Cash Advance Centers, Inc.','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(27,'AAP','Advance Auto Parts Inc','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(28,'AMD','Advanced Micro Devices, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(29,'ASX','Advanced Semiconductor Engineering, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(30,'AAV','Advantage Oil & Gas Ltd','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(31,'ATE','Advantest Corporation (Kabushiki Kaisha Advantest) ADS','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(32,'AGC','Advent Claymore Convertible Securities and Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(33,'AVK','Advent Claymore Convertible Securities and Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(34,'LCM','Advent/Claymore Enhanced Growth & Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(35,'ACM','Aecom Technology Corporation','Consumer Services','Military/Government/Technical','0.00','0000-00-00 00:00:00'),(36,'ANW','Aegean Marine Petroleum Network Inc.','Energy','Oil Refining/Marketing','0.00','0000-00-00 00:00:00'),(37,'AEB','Aegon NV','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(38,'AED','Aegon NV','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(39,'AEF','Aegon NV','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(40,'AEG','Aegon NV','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(41,'AEH','Aegon NV','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(42,'AEV','Aegon NV','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(43,'AER','Aercap Holdings N.V.','Technology','Diversified Commercial Services','0.00','0000-00-00 00:00:00'),(44,'ARX','Aeroflex Holding Corp.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(45,'ARO','Aeropostale Inc','Consumer Services','Clothing/Shoe/Accessory Stores','0.00','0000-00-00 00:00:00'),(46,'AET','Aetna Inc.','Health Care','Hospital And Medical Service Plans','0.00','0000-00-00 00:00:00'),(47,'AMG','Affiliated Managers Group, Inc.','Finance','Investment Managers','0.00','0000-00-00 00:00:00'),(48,'AFL','Aflac Incorporated','Finance','Accident &Health Insurance','0.00','0000-00-00 00:00:00'),(49,'MITT','AG Mortgage Investment Trust, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(50,'AGCO','AGCO Corporation','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(51,'NCV','AGIC Convertible & Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(52,'NCZ','AGIC Convertible & Income Fund II','n/a','n/a','0.00','0000-00-00 00:00:00'),(53,'NIE','AGIC Equity & Convertible Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(54,'NGZ','AGIC Global Equity & Convertible Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(55,'NAI','AGIC International & Premium Strategy Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(56,'A','Agilent Technologies, Inc.','Capital Goods','Electrical Products','0.00','0000-00-00 00:00:00'),(57,'AGL','AGL Resources, Inc.','Public Utilities','Oil/Gas Transmission','0.00','0000-00-00 00:00:00'),(58,'AEM','Agnico-Eagle Mines Limited','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(59,'ADC','Agree Realty Corporation','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(60,'GRO','Agria Corporation','Consumer Non-Durables','Farming/Seeds/Milling','0.00','0000-00-00 00:00:00'),(61,'AGU','Agrium Inc.','Basic Industries','Agricultural Chemicals','0.00','0000-00-00 00:00:00'),(62,'AL','Air Lease Corporation','Technology','Diversified Commercial Services','0.00','0000-00-00 00:00:00'),(63,'APD','Air Products and Chemicals, Inc.','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(64,'AYR','Aircastle Limited','Technology','Diversified Commercial Services','0.00','0000-00-00 00:00:00'),(65,'ARG','Airgas, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(66,'AKS','AK Steel Holding Corporation','Basic Industries','Steel/Iron Ore','0.00','0000-00-00 00:00:00'),(67,'ALM','Alabama Power Company','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(71,'ALG','Alamo Group, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(72,'ALK','Alaska Air Group, Inc.','Transportation','Air Freight/Delivery Services','0.00','0000-00-00 00:00:00'),(73,'AIN','Albany International Corporation','Basic Industries','Textiles','0.00','0000-00-00 00:00:00'),(74,'ALB','Albemarle Corporation','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(75,'ALU','Alcatel Lucent','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(76,'AA','Alcoa Inc.','Capital Goods','Metal Fabrications','0.00','0000-00-00 00:00:00'),(77,'ALR','Alere Inc.','Health Care','Biotechnology: In Vitro & In Vivo Diagnostic Substances','0.00','0000-00-00 00:00:00'),(79,'ALEX','Alexander & Baldwin, Inc.','Consumer Services','Marine Transportation','0.00','0000-00-00 00:00:00'),(80,'ALX','Alexander\'s, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(81,'ARE','Alexandria Real Estate Equities, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(83,'Y','Alleghany Corporation','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(84,'ATI','Allegheny Technologies Incorporated','Basic Industries','Steel/Iron Ore','0.00','0000-00-00 00:00:00'),(85,'AGN','Allergan, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(86,'ALE','Allete, Inc.','Public Utilities','Power Generation','0.00','0000-00-00 00:00:00'),(87,'AKP','Alliance California Municipal Income Fund Inc','n/a','n/a','0.00','0000-00-00 00:00:00'),(88,'AB','Alliance Capital Management Holding L.P.','Finance','Investment Managers','0.00','0000-00-00 00:00:00'),(89,'ADS','Alliance Data Systems Corporation','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(90,'AIQ','Alliance HealthCare Services, Inc.','Health Care','Medical Specialities','0.00','0000-00-00 00:00:00'),(91,'AFB','Alliance National Municipal Income Fund Inc','n/a','n/a','0.00','0000-00-00 00:00:00'),(92,'AYN','Alliance New York Municipal Income Fund Inc','n/a','n/a','0.00','0000-00-00 00:00:00'),(93,'AOI','Alliance One International, Inc.','Consumer Services','Farming/Seeds/Milling','0.00','0000-00-00 00:00:00'),(94,'AWF','Alliance World Dollar Government Fund II','n/a','n/a','0.00','0000-00-00 00:00:00'),(95,'ACG','ALLIANCEBERNSTEIN INCOME FUND INC','n/a','n/a','0.00','0000-00-00 00:00:00'),(96,'LNT','Alliant Energy Corporation','Public Utilities','Power Generation','0.00','0000-00-00 00:00:00'),(97,'ATK','Alliant Techsystems Inc.','Capital Goods','Military/Government/Technical','0.00','0000-00-00 00:00:00'),(98,'AFC','Allied Capital Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(99,'AWH','Allied World Assurance Company Holdings, AG','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(100,'ALL','Allstate Corporation (The)','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(101,'BSI','Alon Holdings - Blue Square Israel Ltd.','Consumer Services','Department/Specialty Retail Stores','0.00','0000-00-00 00:00:00'),(102,'ALJ','Alon USA Energy, Inc.','Energy','Integrated oil Companies','0.00','0000-00-00 00:00:00'),(103,'ANR','Alpha Natural Resources, inc.','Energy','Coal Mining','0.00','0000-00-00 00:00:00'),(104,'AGD','Alpine Global Dynamic Dividend Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(105,'AWP','Alpine Global Premier Properties Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(106,'AOD','Alpine Total Dynamic Dividend Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(107,'MO','Altria Group','Consumer Non-Durables','Farming/Seeds/Milling','0.00','0000-00-00 00:00:00'),(108,'AWC','Alumina Ltd','Capital Goods','Metal Fabrications','0.00','0000-00-00 00:00:00'),(109,'ACH','Aluminum Corporation of China Ltd','Basic Industries','Aluminum','0.00','0000-00-00 00:00:00'),(110,'PLD','AMB Property Corporation','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(117,'AMBO','Ambow Education Holding Ltd.','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(118,'ACO','Amcol International Corporation','Basic Industries','Mining & Quarrying of Nonmetallic Minerals (No Fuels)','0.00','0000-00-00 00:00:00'),(119,'DOX','Amdocs Limited','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(120,'AEE','Ameren Corporation','Public Utilities','Power Generation','0.00','0000-00-00 00:00:00'),(121,'AMRC','Ameresco, Inc','Basic Industries','Engineering & Construction','0.00','0000-00-00 00:00:00'),(122,'MFA','America First Mortgage Investments, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(124,'AMX','America Movil, S.A.B. de C.V.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(125,'AAT','American Assets Trust, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(126,'AXL','American Axle & Manufacturing Holdings, Inc.','Capital Goods','Auto Parts:O.E.M.','0.00','0000-00-00 00:00:00'),(127,'ACC','American Campus Communities Inc','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(128,'AEO','American Eagle Outfitters, Inc.','Consumer Services','Clothing/Shoe/Accessory Stores','0.00','0000-00-00 00:00:00'),(129,'AEP','American Electric Power Company, Inc.','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(131,'AEL','American Equity Investment Life Holding Company','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(132,'AXP','American Express Company','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(133,'AFE','American Financial Group, Inc.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(134,'AFG','American Financial Group, Inc.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(135,'AFQ','American Financial Group, Inc.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(136,'GFW','American Financial Group, Inc.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(137,'GFZ','American Financial Group, Inc.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(138,'AM','American Greetings Corporation','Consumer Services','Consumer: Greeting Cards','0.00','0000-00-00 00:00:00'),(139,'MRF','American Income Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(140,'AFF','American International Group, Inc.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(141,'AIG','American International Group, Inc.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(142,'AIG/WS','American International Group, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(143,'AVF','American International Group, Inc.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(144,'AMID','American Midstream Partners, LP','Public Utilities','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(145,'XAA','American Municipal Income Portfolio','n/a','n/a','0.00','0000-00-00 00:00:00'),(146,'AOB','American Oriental Bioengineering, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(147,'ARL','American Realty Investors, Inc.','Finance','Real Estate','0.00','0000-00-00 00:00:00'),(148,'ARC','American Reprographics Company','Consumer Services','Professional Services','0.00','0000-00-00 00:00:00'),(149,'ASI','American Safety Insurance Holdings, Ltd.','Finance','Specialty Insurers','0.00','0000-00-00 00:00:00'),(150,'SLA','American Select Portfolio, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(151,'AWR','American States Water Company','Public Utilities','Water Supply','0.00','0000-00-00 00:00:00'),(152,'ASP','American Strategic Income Portfolio','n/a','n/a','0.00','0000-00-00 00:00:00'),(153,'BSP','American Strategic Income Portfolio II','n/a','n/a','0.00','0000-00-00 00:00:00'),(154,'CSP','American Strategic Income Portfolio III','n/a','n/a','0.00','0000-00-00 00:00:00'),(155,'AMT','American Tower Corporation','Consumer Services','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(156,'AVD','American Vanguard Corporation','Basic Industries','Agricultural Chemicals','0.00','0000-00-00 00:00:00'),(157,'AWK','American Water Works','Public Utilities','Water Supply','0.00','0000-00-00 00:00:00'),(158,'APU','AmeriGas Partners, L.P.','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(159,'AGP','AMERIGROUP Corporation','Health Care','Hospital And Medical Service Plans','0.00','0000-00-00 00:00:00'),(160,'AMP','AMERIPRISE FINANCIAL SERVICES, INC.','Finance','Investment Managers','0.00','0000-00-00 00:00:00'),(162,'ABC','AmerisourceBergen Corporation (Holding Co)','Health Care','Other Pharmaceuticals','0.00','0000-00-00 00:00:00'),(163,'AHS','AMN Healthcare Services Inc','Health Care','Hospital/Nursing Management','0.00','0000-00-00 00:00:00'),(164,'AP','Ampco-Pittsburgh Corporation','Capital Goods','Fluid Controls','0.00','0000-00-00 00:00:00'),(165,'APH','Amphenol Corporation','Capital Goods','Electrical Products','0.00','0000-00-00 00:00:00'),(166,'AAR','AMR Corporation','Transportation','Air Freight/Delivery Services','0.00','0000-00-00 00:00:00'),(167,'AMR','AMR Corporation','Transportation','Air Freight/Delivery Services','0.00','0000-00-00 00:00:00'),(168,'AXR','AMREP Corporation','Finance','Real Estate','0.00','0000-00-00 00:00:00'),(169,'AME','AMTEK, Inc.','Consumer Durables','Metal Fabrications','0.00','0000-00-00 00:00:00'),(170,'APC','Anadarko Petroleum Corporation','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(171,'ADI','Analog Devices, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(172,'AU','AngloGold Ashanti Ltd.','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(174,'BUD','Anheuser-Busch Inbev SA','Consumer Non-Durables','Beverages (Production/Distribution)','0.00','0000-00-00 00:00:00'),(175,'AXE','Anixter International Inc.','Consumer Non-Durables','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(176,'ANN','ANN INC.','Consumer Services','Clothing/Shoe/Accessory Stores','0.00','0000-00-00 00:00:00'),(177,'NLY','Annaly Capital Management Inc','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(179,'ANH','Anworth Mortgage Asset  Corporation','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(182,'AOL','AOL Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(183,'AON','Aon Corporation','Finance','Specialty Insurers','0.00','0000-00-00 00:00:00'),(184,'APA','Apache Corporation','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(186,'AIV','Apartment Investment and Management Company','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(192,'ARI','Apollo Commercial Real Estate Finance','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(193,'APO','Apollo Global Management, LLC','Finance','Investment Managers','0.00','0000-00-00 00:00:00'),(194,'AMTG','Apollo Residential Mortgage, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(195,'AFT','Apollo Senior Floating Rate Fund Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(196,'AIT','Applied Industrial Technologies, Inc.','Consumer Durables','Industrial Specialties','0.00','0000-00-00 00:00:00'),(197,'ATR','AptarGroup, Inc.','Consumer Non-Durables','Plastic Products','0.00','0000-00-00 00:00:00'),(198,'WTR','Aqua America, Inc.','Public Utilities','Water Supply','0.00','0000-00-00 00:00:00'),(199,'ARB','Arbitron Inc.','Consumer Services','Diversified Commercial Services','0.00','0000-00-00 00:00:00'),(200,'ABR','Arbor Realty Trust','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(201,'MT','ArcelorMittal','Basic Industries','Steel/Iron Ore','0.00','0000-00-00 00:00:00'),(204,'ACI','Arch Coal, Inc.','Energy','Coal Mining','0.00','0000-00-00 00:00:00'),(205,'ADM','Archer-Daniels-Midland Company','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(206,'ARCO','Arcos Dorados Holdings Inc.','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(207,'ARY','Ares Capital Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(208,'AI','Arlington Asset Investment Corp','Finance','Finance/Investors Services','0.00','0000-00-00 00:00:00'),(209,'ARR','Armour Residential R','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(210,'AWI','Armstrong World Industries Inc','Consumer Non-Durables','Plastic Products','0.00','0000-00-00 00:00:00'),(211,'ARW','Arrow Electronics, Inc.','Consumer Non-Durables','Electronic Components','0.00','0000-00-00 00:00:00'),(212,'AJG','Arthur J. Gallagher & Co.','Finance','Specialty Insurers','0.00','0000-00-00 00:00:00'),(213,'ART','ARTIO GLOBAL INVESTORS INC.','Finance','Investment Managers','0.00','0000-00-00 00:00:00'),(214,'ASA','ASA Gold and Precious Metals Limited','n/a','n/a','0.00','0000-00-00 00:00:00'),(215,'ABG','Asbury Automotive Group Inc','Consumer Durables','Automotive Aftermarket','0.00','0000-00-00 00:00:00'),(216,'AHT','Ashford Hospitality Trust Inc','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(220,'ASH','Ashland Inc.','Consumer Durables','Specialty Chemicals','0.00','0000-00-00 00:00:00'),(221,'APB','Asia Pacific Fund, Inc. (The)','n/a','n/a','0.00','0000-00-00 00:00:00'),(222,'GRR','Asia Tigers Fund, Inc. (The)','n/a','n/a','0.00','0000-00-00 00:00:00'),(223,'AHL','Aspen Insurance Holdings Limited','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(226,'ALC','Assisted Living Concepts, Inc. New','Health Care','Hospital/Nursing Management','0.00','0000-00-00 00:00:00'),(229,'AEC','Associated Estates Realty Corporation','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(230,'AIZ','Assurant, Inc.','Finance','Accident &Health Insurance','0.00','0000-00-00 00:00:00'),(231,'AGO','Assured Guaranty Ltd.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(235,'AF','Astoria Financial Corporation','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(236,'AZN','Astrazeneca PLC','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(237,'ATT','AT&T Inc.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(238,'T','AT&T Inc.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(239,'AT','Atlantic Power Corporation','Energy','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(240,'ATLS','Atlas Energy, L.P.','Public Utilities','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(241,'APL','Atlas Pipeline Partners, L.P.','Public Utilities','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(242,'ATO','Atmos Energy Corporation','Public Utilities','Oil/Gas Transmission','0.00','0000-00-00 00:00:00'),(243,'ATW','Atwood Oceanics, Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(244,'AUO','AU Optronics Corp','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(245,'AUQ','AuRico Gold Inc.','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(246,'ALV','Autoliv, Inc.','Capital Goods','Auto Parts:O.E.M.','0.00','0000-00-00 00:00:00'),(248,'AN','AutoNation, Inc.','Consumer Durables','Automotive Aftermarket','0.00','0000-00-00 00:00:00'),(249,'AZO','AutoZone, Inc.','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(250,'AVB','AvalonBay Communities, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(251,'ACP','Avenue Income Credit Strategies Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(252,'AVY','Avery Dennison Corporation','Consumer Durables','Containers/Packaging','0.00','0000-00-00 00:00:00'),(253,'AVA','Avista Corporation','Public Utilities','Power Generation','0.00','0000-00-00 00:00:00'),(254,'AV','Aviva plc','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(255,'AVV','Aviva plc','n/a','n/a','0.00','0000-00-00 00:00:00'),(256,'AVT','Avnet, Inc.','Consumer Non-Durables','Electronic Components','0.00','0000-00-00 00:00:00'),(257,'AVP','Avon Products, Inc.','Consumer Non-Durables','Package Goods/Cosmetics','0.00','0000-00-00 00:00:00'),(258,'AVX','AVX Corporation','Capital Goods','Electrical Products','0.00','0000-00-00 00:00:00'),(259,'AXS','Axis Capital Holdings Limited','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(261,'AZZ','AZZ Incorporated','Consumer Durables','Building Products','0.00','0000-00-00 00:00:00'),(262,'BGS','B&G Foods Holdings Corp.','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(263,'BWC','Babcock & Wilcox Company (The)','Energy','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(264,'BMI','Badger Meter, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(265,'BHI','Baker Hughes Incorporated','Energy','Metal Fabrications','0.00','0000-00-00 00:00:00'),(266,'BBN','BalckRock Build America Bond Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(267,'BLL','Ball Corporation','Consumer Durables','Containers/Packaging','0.00','0000-00-00 00:00:00'),(268,'BYI','Bally Technologies, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(269,'BALT','Baltic Trading Limited','Transportation','Marine Transportation','0.00','0000-00-00 00:00:00'),(271,'BBVA','Banco Bilbao Viscaya Argentaria S.A.','Finance','Commercial Banks','0.00','0000-00-00 00:00:00'),(272,'BBD','Banco Bradesco Sa','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(273,'BCH','Banco De Chile','Finance','Commercial Banks','0.00','0000-00-00 00:00:00'),(274,'BLX','Banco Latinoamericano de Comercio Exterior, S.A.','Finance','Commercial Banks','0.00','0000-00-00 00:00:00'),(275,'BMA','Banco Macro S.A.','Finance','Commercial Banks','0.00','0000-00-00 00:00:00'),(276,'BSBR','Banco Santander Brasil SA','Finance','Commercial Banks','0.00','0000-00-00 00:00:00'),(277,'STD','Banco Santander, S.A.','Finance','Commercial Banks','0.00','0000-00-00 00:00:00'),(284,'SAN','Banco Santiago, S.A.','Finance','Commercial Banks','0.00','0000-00-00 00:00:00'),(285,'CIB','BanColombia S.A.','Finance','Commercial Banks','0.00','0000-00-00 00:00:00'),(286,'BXS','BancorpSouth, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(288,'BAC','Bank of America Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(289,'BAC/WS/A','Bank of America Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(290,'BAC/WS/B','Bank of America Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(313,'IKJ','Bank of America Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(314,'IKL','Bank of America Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(315,'IKM','Bank of America Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(316,'IKR','Bank of America Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(317,'BOH','Bank of Hawaii Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(318,'BMO','Bank Of Montreal','Finance','Commercial Banks','0.00','0000-00-00 00:00:00'),(319,'BK','Bank of New York Mellon Corporation (The)','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(322,'BNS','Bank of Nova Scotia (The)','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(323,'BBX','BankAtlantic Bancorp, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(324,'RATE','Bankrate, Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(325,'BKU','BankUnited, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(326,'BCS','Barclays PLC','Finance','Commercial Banks','0.00','0000-00-00 00:00:00'),(331,'BKS','Barnes & Noble, Inc.','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(332,'B','Barnes Group, Inc.','Capital Goods','Metal Fabrications','0.00','0000-00-00 00:00:00'),(333,'ABX','Barrick Gold Corporation','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(334,'BAS','Basic Energy Services, Inc.','Energy','Oilfield Services/Equipment','0.00','0000-00-00 00:00:00'),(335,'BAX','Baxter International Inc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(336,'BTE','Baytex Energy Corp','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(337,'BBT','BB&T Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(342,'BFR','BBVA Banco Frances S.A.','Finance','Commercial Banks','0.00','0000-00-00 00:00:00'),(343,'BCE','BCE, Inc.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(344,'BEAM','Beam Inc.','Capital Goods','Industrial Specialties','0.00','0000-00-00 00:00:00'),(346,'FBHS','Beam Inc.','Basic Industries','Homebuilding','0.00','0000-00-00 00:00:00'),(347,'TZF','Bear Stearns Depositor, Inc.','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(348,'BZH','Beazer Homes USA, Inc.','Capital Goods','Homebuilding','0.00','0000-00-00 00:00:00'),(349,'BZMD','Beazer Homes USA, Inc.','Capital Goods','Homebuilding','0.00','0000-00-00 00:00:00'),(350,'BZU','Beazer Homes USA, Inc.','Capital Goods','Homebuilding','0.00','0000-00-00 00:00:00'),(351,'BDX','Becton, Dickinson and Company','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(352,'BDC','Belden Inc','Basic Industries','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(353,'BLC','Belo Corporation','Consumer Services','Broadcasting','0.00','0000-00-00 00:00:00'),(354,'BMS','Bemis Company, Inc.','Consumer Durables','Containers/Packaging','0.00','0000-00-00 00:00:00'),(355,'BHE','Benchmark Electronics, Inc.','Technology','Electrical Products','0.00','0000-00-00 00:00:00'),(356,'BRK/A','Berkshire Hathaway Inc.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(357,'BRK/B','Berkshire Hathaway Inc.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(358,'BRY','Berry Petroleum Company','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(359,'BBY','Best Buy Co., Inc.','Consumer Services','Consumer Electronics/Video Chains','0.00','0000-00-00 00:00:00'),(360,'BHP','BHP Billiton Limited','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(361,'BBL','BHP Billiton plc','Energy','Coal Mining','0.00','0000-00-00 00:00:00'),(362,'BIG','Big Lots, Inc.','Consumer Services','Department/Specialty Retail Stores','0.00','0000-00-00 00:00:00'),(363,'BH','Biglari Holdings Inc.','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(364,'BBG','Bill Barrett Corporation','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(365,'BMR','Biomed Realty Trust','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(367,'BIO','Bio-Rad Laboratories, Inc.','Capital Goods','Biotechnology: Laboratory Analytical Instruments','0.00','0000-00-00 00:00:00'),(368,'BIO/B','Bio-Rad Laboratories, Inc.','Capital Goods','Biotechnology: Laboratory Analytical Instruments','0.00','0000-00-00 00:00:00'),(369,'BITA','Bitauto Holdings Limited','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(370,'BKH','Black Hills Corporation','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(371,'BJZ','Blackrock California Municipal 2018 Term Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(372,'BFZ','BlackRock California Municipal Income Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(373,'CII','Blackrock Capital and Income Strategies Fund Inc','n/a','n/a','0.00','0000-00-00 00:00:00'),(374,'BHK','Blackrock Core Bond Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(375,'CYE','Blackrock Corporate High Yield Fund III, Inc','n/a','n/a','0.00','0000-00-00 00:00:00'),(376,'HYV','Blackrock Corporate High Yield Fund V Inc','n/a','n/a','0.00','0000-00-00 00:00:00'),(377,'HYT','Blackrock Corporate High Yield Fund VI Inc','n/a','n/a','0.00','0000-00-00 00:00:00'),(378,'COY','Blackrock Corporate High Yield Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(379,'PSY','BlackRock Credit Allocation Income Trust I, Inc','n/a','n/a','0.00','0000-00-00 00:00:00'),(380,'DSU','Blackrock Debt Strategies Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(381,'BHL','Blackrock Defined Opportunity Credit Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(382,'DVF','Blackrock Diversified Income Strategies Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(383,'BQR','BlackRock Ecosolutions Investment Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(384,'BGR','BlackRock Energy and Resources Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(385,'BDJ','Blackrock Enhanced Equity Dividend Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(386,'EGF','Blackrock Enhanced Government Fund, Inc','n/a','n/a','0.00','0000-00-00 00:00:00'),(387,'EGF/WD','Blackrock Enhanced Government Fund, Inc','n/a','n/a','0.00','0000-00-00 00:00:00'),(388,'BDV','Blackrock Equity Dividend Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(389,'FRB','Blackrock Floating Rate Income Strategies Fund II Inc','n/a','n/a','0.00','0000-00-00 00:00:00'),(390,'FRA','Blackrock Floating Rate Income Strategies Fund Inc','n/a','n/a','0.00','0000-00-00 00:00:00'),(391,'BFO','Blackrock Florida Municipal 2020 Term Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(392,'BGT','Blackrock Global','n/a','n/a','0.00','0000-00-00 00:00:00'),(393,'BOE','Blackrock Global','n/a','n/a','0.00','0000-00-00 00:00:00'),(394,'BME','Blackrock Health Sciences Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(395,'BHY','Blackrock High Yield Trust (The)','n/a','n/a','0.00','0000-00-00 00:00:00'),(396,'BAF','BlackRock Income Investment Quality Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(397,'BNA','BlackRock Income Opportunity Trust Inc. (The)','n/a','n/a','0.00','0000-00-00 00:00:00'),(398,'BKT','BlackRock Income Trust Inc. (The)','n/a','n/a','0.00','0000-00-00 00:00:00'),(399,'BGY','BLACKROCK INTERNATIONAL, LTD.','n/a','n/a','0.00','0000-00-00 00:00:00'),(400,'BKN','BlackRock Investment Quality Municipal Trust Inc. (The)','n/a','n/a','0.00','0000-00-00 00:00:00'),(401,'BTA','BlackRock Long-Term Municipal Advantage Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(402,'MUI','Blackrock Muni Intermediate Duration Fund Inc','n/a','n/a','0.00','0000-00-00 00:00:00'),(403,'MNE','Blackrock Muni New York Intermediate Duration Fund Inc','n/a','n/a','0.00','0000-00-00 00:00:00'),(404,'MUA','Blackrock MuniAssets Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(405,'BPK','Blackrock Municipal 2018 Term Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(406,'BKK','Blackrock Municipal 2020 Term Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(407,'BIE','Blackrock Municipal Bond Investment Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(408,'BBK','Blackrock Municipal Bond Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(409,'BBF','BlackRock Municipal Income Investment Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(410,'BYM','Blackrock Municipal Income Quality Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(411,'BFK','BlackRock Municipal Income Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(412,'MEN','Blackrock MuniEnhanced Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(413,'MUC','Blackrock MuniHoldings California Quality Fund,  Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(414,'MUH','Blackrock MuniHoldings Fund II, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(415,'MHD','Blackrock MuniHoldings Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(416,'MFL','Blackrock MuniHoldings Investment Quality Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(417,'MUJ','Blackrock MuniHoldings New Jersey Insured Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(418,'MHN','Blackrock MuniHoldings New York Quality Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(419,'MUE','Blackrock MuniHoldings Quality Fund II, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(420,'MUS','Blackrock MuniHoldings Quality Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(421,'MVT','Blackrock MuniVest Fund II, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(422,'MYC','Blackrock MuniYield California Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(423,'MCA','Blackrock MuniYield California Insured Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(424,'MYD','Blackrock MuniYield Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(425,'MYF','Blackrock MuniYield Investment Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(426,'MFT','Blackrock MuniYield Investment QualityFund','n/a','n/a','0.00','0000-00-00 00:00:00'),(427,'MYM','Blackrock MuniYield Michigan Quality Fund II, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(428,'MIY','Blackrock MuniYield Michigan Quality Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(429,'MYJ','Blackrock MuniYield New Jersey Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(430,'MJI','Blackrock MuniYield New Jersey Quality Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(431,'MYN','Blackrock MuniYield New York Quality Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(432,'MPA','Blackrock MuniYield Pennsylvania Quality Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(433,'MQT','Blackrock MuniYield Quality Fund II, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(434,'MYI','Blackrock MuniYield Quality Fund III, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(435,'MQY','Blackrock MuniYield Quality Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(436,'BNJ','BlackRock New Jersey Municipal Income Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(437,'BNY','BlackRock New York Investment Quality Municipal Trust Inc. (Th','n/a','n/a','0.00','0000-00-00 00:00:00'),(438,'BLH','Blackrock New York Municipal 2018 Term Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(439,'BQH','Blackrock New York Municipal Bond Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(440,'BSE','Blackrock New York Municipal Income Quality Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(441,'BTZ','Blackrock Preferred','n/a','n/a','0.00','0000-00-00 00:00:00'),(442,'PSW','Blackrock Preferred and Corporate Income Strategies Fund Inc','n/a','n/a','0.00','0000-00-00 00:00:00'),(443,'BPP','Blackrock Preferred Oopportunity Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(444,'BCF','Blackrock Real Asset Equity Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(445,'BCX','BlackRock Resources','n/a','n/a','0.00','0000-00-00 00:00:00'),(446,'BHD','Blackrock Strategic Bond Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(447,'BDT','Blackrock Strategic Equity Dividend Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(448,'BSD','BlackRock Strategic Municipal Trust Inc. (The)','n/a','n/a','0.00','0000-00-00 00:00:00'),(449,'BUI','BlackRock Utility and Infrastructure Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(450,'BLK','BlackRock, Inc.','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(451,'BGX','Blackstone GSO Long Short Credit Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(452,'BSL','Blackstone GSO Senior Floating Rate Term Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(453,'BLT','Blount International, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(454,'BXG','Bluegreen Corporation','Finance','Real Estate','0.00','0000-00-00 00:00:00'),(455,'BXC','Bluelinx Holdings Inc.','Capital Goods','Wholesale Distributors','0.00','0000-00-00 00:00:00'),(456,'BTH','Blyth, Inc.','Consumer Durables','Miscellaneous manufacturing industries','0.00','0000-00-00 00:00:00'),(457,'BWP','Boardwalk Pipeline Partners L.P.','Public Utilities','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(458,'BA','Boeing Company (The)','Capital Goods','Aerospace','0.00','0000-00-00 00:00:00'),(459,'BZ','Boise Inc','Consumer Durables','Paper','0.00','0000-00-00 00:00:00'),(460,'BAH','Booz Allen Hamilton Holding Corporation','Consumer Services','Professional Services','0.00','0000-00-00 00:00:00'),(461,'BWA','BorgWarner Inc.','Capital Goods','Auto Parts:O.E.M.','0.00','0000-00-00 00:00:00'),(462,'SAM','Boston Beer Company, Inc. (The)','Consumer Non-Durables','Beverages (Production/Distribution)','0.00','0000-00-00 00:00:00'),(463,'BXP','Boston Properties, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(464,'BSX','Boston Scientific Corporation','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(465,'BTF','Boulder Total Return Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(466,'TEU','Box Ships Inc.','Transportation','Marine Transportation','0.00','0000-00-00 00:00:00'),(467,'BYD','Boyd Gaming Corporation','Consumer Services','Hotels/Resorts','0.00','0000-00-00 00:00:00'),(468,'BP','BP p.l.c.','Energy','Integrated oil Companies','0.00','0000-00-00 00:00:00'),(469,'BPT','BP Prudhoe Bay Royalty Trust','Energy','Integrated oil Companies','0.00','0000-00-00 00:00:00'),(470,'BPZ','BPZ Resources, Inc','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(471,'BRC','Brady Corporation','Consumer Durables','Miscellaneous manufacturing industries','0.00','0000-00-00 00:00:00'),(472,'BDN','Brandywine Realty Trust','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(475,'BTM','Brasil Telecom Participacoes S.A.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(476,'BTM/C','Brasil Telecom Participacoes S.A.','n/a','n/a','0.00','0000-00-00 00:00:00'),(477,'BRE','BRE Properties, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(479,'BRFS','BRF-Brasil Foods S.A.','Consumer Non-Durables','Meat/Poultry/Fish','0.00','0000-00-00 00:00:00'),(480,'BPI','Bridgepoint Education','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(481,'BGG','Briggs & Stratton Corporation','Energy','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(482,'EAT','Brinker International, Inc.','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(483,'BCO','Brink\'s Company (The)','Transportation','Oil Refining/Marketing','0.00','0000-00-00 00:00:00'),(484,'BMY','Bristol-Myers Squibb Company','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(486,'BRS','Bristow Group Inc','Transportation','Transportation Services','0.00','0000-00-00 00:00:00'),(487,'BR','Broadridge Financial Solutions, Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(488,'BKD','Brookdale Senior Living Inc.','Health Care','Hospital/Nursing Management','0.00','0000-00-00 00:00:00'),(489,'BAM','Brookfield Asset Management Inc','Consumer Services','Building operators','0.00','0000-00-00 00:00:00'),(490,'INF','Brookfield Global Listed Infrastructure Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(491,'BIP','Brookfield Infrastructure Partners LP','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(492,'BPO','Brookfield Office Properties Inc.','Consumer Services','Building operators','0.00','0000-00-00 00:00:00'),(493,'BRP','Brookfield Residential Properties Inc.','Basic Industries','Homebuilding','0.00','0000-00-00 00:00:00'),(494,'BRO','Brown & Brown, Inc.','Finance','Specialty Insurers','0.00','0000-00-00 00:00:00'),(495,'BF/A','Brown Forman Corporation','Consumer Non-Durables','Beverages (Production/Distribution)','0.00','0000-00-00 00:00:00'),(496,'BF/B','Brown Forman Corporation','Consumer Non-Durables','Beverages (Production/Distribution)','0.00','0000-00-00 00:00:00'),(497,'BWS','Brown Shoe Company, Inc.','Consumer Non-Durables','Shoe Manufacturing','0.00','0000-00-00 00:00:00'),(498,'BRT','BRT Realty Trust','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(499,'BC','Brunswick Corporation','Energy','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(500,'BT','BT Group plc','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(501,'BPL','Buckeye Partners L.P.','Energy','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(502,'BKI','Buckeye Technologies, Inc.','Basic Industries','Paper','0.00','0000-00-00 00:00:00'),(503,'BKE','Buckle, Inc. (The)','Consumer Services','Clothing/Shoe/Accessory Stores','0.00','0000-00-00 00:00:00'),(504,'BBW','Build-A-Bear Workshop, Inc.','Consumer Services','Recreational Products/Toys','0.00','0000-00-00 00:00:00'),(505,'BG','Bunge Limited','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(506,'CJES','C&J Energy Services, Inc.','Energy','Oilfield Services/Equipment','0.00','0000-00-00 00:00:00'),(507,'BCR','C.R. Bard, Inc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(508,'GYB','CABCO Series 2004-101 Trust','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(509,'PFH','CABCO Series 2004-101 Trust','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(510,'CAB','Cabela\'s Inc','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(511,'CVC','Cablevision Systems Corporation','Consumer Services','Television Services','0.00','0000-00-00 00:00:00'),(512,'CBT','Cabot Corporation','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(513,'COG','Cabot Oil & Gas Corporation','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(514,'CACI','CACI International, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(515,'CAE','CAE Inc','Energy','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(516,'CAP','Cai International, Inc.','Technology','Diversified Commercial Services','0.00','0000-00-00 00:00:00'),(517,'DVR','Cal Dive International, Inc.','Energy','Oilfield Services/Equipment','0.00','0000-00-00 00:00:00'),(518,'CHY','Calamos Convertible and High Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(519,'CHI','Calamos Convertible Opportunities and Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(520,'CHW','Calamos Global Dynamic Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(521,'CGO','Calamos Global Total Return Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(522,'CSQ','Calamos Strategic Total Return Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(523,'CCC','Calgon Carbon Corporation','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(524,'CWT','California Water  Service Group Holding','Public Utilities','Water Supply','0.00','0000-00-00 00:00:00'),(525,'CALX','Calix, Inc','Consumer Services','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(526,'ELY','Callaway Golf Company','Consumer Non-Durables','Recreational Products/Toys','0.00','0000-00-00 00:00:00'),(527,'CPE','Callon Petroleum Company','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(528,'CPN','Calpine Corporation','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(529,'CBM','Cambrex Corporation','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(530,'CPT','Camden Property Trust','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(531,'CCJ','Cameco Corporation','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(532,'CIS','Camelot Information Systems','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(533,'CAM','Cameron International Corporation','Energy','Metal Fabrications','0.00','0000-00-00 00:00:00'),(534,'CPB','Campbell Soup Company','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(535,'CCG','Campus Crest Communities, Inc.','Finance','Real Estate','0.00','0000-00-00 00:00:00'),(536,'CM','Canadian Imperial Bank of Commerce','Finance','Commercial Banks','0.00','0000-00-00 00:00:00'),(537,'CNI','Canadian National Railway Company','Transportation','Railroads','0.00','0000-00-00 00:00:00'),(538,'CNQ','Canadian Natural Resources Limited','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(539,'CP','Canadian Pacific Railway Limited','Transportation','Railroads','0.00','0000-00-00 00:00:00'),(540,'CAJ','Canon, Inc.','Miscellaneous','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(541,'CMN','Cantel Medical Corp.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(542,'COF','Capital One Financial Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(543,'COF/WS','Capital One Financial Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(545,'CSU','Capital Senior Living Corporation','Health Care','Hospital/Nursing Management','0.00','0000-00-00 00:00:00'),(546,'CT','Capital Trust, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(547,'CSE','CapitalSource Inc','Finance','Diversified Financial Services','0.00','0000-00-00 00:00:00'),(548,'LSE','Caplease Funding Inc','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(550,'CMO','Capstead Mortgage Corporation','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(553,'CRR','Carbo Ceramics, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(554,'CAH','Cardinal Health, Inc.','Health Care','Other Pharmaceuticals','0.00','0000-00-00 00:00:00'),(555,'CFN','CareFusion Corporation','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(556,'CSL','Carlisle Companies Incorporated','Basic Industries','Specialty Chemicals','0.00','0000-00-00 00:00:00'),(557,'KMX','CarMax Inc','Consumer Durables','Automotive Aftermarket','0.00','0000-00-00 00:00:00'),(558,'CCL','Carnival Corporation','Consumer Services','Marine Transportation','0.00','0000-00-00 00:00:00'),(559,'CUK','Carnival Plc ADS','Consumer Services','Marine Transportation','0.00','0000-00-00 00:00:00'),(560,'CRS','Carpenter Technology Corporation','Basic Industries','Steel/Iron Ore','0.00','0000-00-00 00:00:00'),(561,'CSV','Carriage Services, Inc.','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(562,'CRI','Carter\'s, Inc.','Consumer Non-Durables','Apparel','0.00','0000-00-00 00:00:00'),(563,'CASC','Cascade Corporation','Capital Goods','Construction/Ag Equipment/Trucks','0.00','0000-00-00 00:00:00'),(564,'CSH','Cash America International, Inc.','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(565,'CAS','Castle (A.M.) & Co.','Basic Industries','Metal Fabrications','0.00','0000-00-00 00:00:00'),(566,'CAT','Caterpillar, Inc.','Capital Goods','Construction/Ag Equipment/Trucks','0.00','0000-00-00 00:00:00'),(567,'CATO','Cato Corporation (The)','Consumer Services','Clothing/Shoe/Accessory Stores','0.00','0000-00-00 00:00:00'),(568,'CBZ','CBIZ, Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(569,'CBL','CBL & Associates Properties, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(572,'CBO','CBO (Listing Market - NYSE - Networks A/E)','n/a','n/a','0.00','0000-00-00 00:00:00'),(573,'IGR','CBRE Clarion Global Real Estate Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(574,'CBG','CBRE Group, Inc.','Finance','Real Estate','0.00','0000-00-00 00:00:00'),(575,'CBS','CBS Corporation','Consumer Services','Broadcasting','0.00','0000-00-00 00:00:00'),(576,'CBS/A','CBS Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(577,'CPV','CBS Corporation','Consumer Services','Broadcasting','0.00','0000-00-00 00:00:00'),(578,'CBX','CBX (Listing Market NYSE Networks AE','n/a','n/a','0.00','0000-00-00 00:00:00'),(579,'CDI','CDI Corporation','Technology','Professional Services','0.00','0000-00-00 00:00:00'),(580,'CEC','CEC Entertainment, Inc.','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(581,'FUN','Cedar Fair, L.P.','Consumer Services','Services-Misc. Amusement & Recreation','0.00','0000-00-00 00:00:00'),(582,'CDR','Cedar Realty Trust, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(584,'CGI','Celadon Group, Inc.','Transportation','Trucking Freight/Courier Services','0.00','0000-00-00 00:00:00'),(585,'CE','Celanese Corporation','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(586,'CLS','Celestica, Inc.','Technology','Electrical Products','0.00','0000-00-00 00:00:00'),(587,'CEL','Cellcom Israel, Ltd.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(588,'CX','Cemex S.A.B. de C.V.','Capital Goods','Building Materials','0.00','0000-00-00 00:00:00'),(589,'CVE','Cenovus Energy Inc','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(590,'CNC','Centene Corporation','Health Care','Hospital And Medical Service Plans','0.00','0000-00-00 00:00:00'),(591,'CNP','CenterPoint Energy, Inc (Holding Co)','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(592,'EBR','Centrais Elc Braz Pfb B Elbras','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(593,'EBR/B','Centrais Elc Braz Pfb B Elbras','n/a','n/a','0.00','0000-00-00 00:00:00'),(594,'CEE','Central Europe and Russia Fund, Inc. (The)','n/a','n/a','0.00','0000-00-00 00:00:00'),(595,'CV','Central Vermont Pub Svc','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(596,'CTL','CenturyLink, Inc.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(597,'CVO','Cenveo Inc','Miscellaneous','Publishing','0.00','0000-00-00 00:00:00'),(598,'CF','CF Industries Holdings, Inc.','Basic Industries','Agricultural Chemicals','0.00','0000-00-00 00:00:00'),(599,'GIB','CGI Group, Inc.','Consumer Services','Professional Services','0.00','0000-00-00 00:00:00'),(600,'CHG','CH Energy Group, Inc.','Public Utilities','Power Generation','0.00','0000-00-00 00:00:00'),(601,'CRL','Charles River Laboratories International, Inc.','Health Care','Biotechnology: Commercial Physical & Biological Resarch','0.00','0000-00-00 00:00:00'),(602,'CLDT','Chatham Lodging Trust (REIT)','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(603,'CKP','Checkpoint Systms, Inc.','Consumer Durables','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(604,'CHE','Chemed Corp.','Health Care','Medical/Nursing Services','0.00','0000-00-00 00:00:00'),(605,'CHMT','Chemtura Corp.','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(606,'CHK','Chesapeake Energy Corporation','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(608,'CHKR','Chesapeake Granite Wash Trust','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(609,'CHSP','Chesapeake Lodging Trust','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(610,'CHKM','Chesapeake Midstream Partmers, L.P.','Public Utilities','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(611,'CPK','Chesapeake Utilities Corporation','Public Utilities','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(612,'CVX','Chevron Corporation','Energy','Integrated oil Companies','0.00','0000-00-00 00:00:00'),(613,'CBI','Chicago Bridge & Iron Company N.V.','Basic Industries','Engineering & Construction','0.00','0000-00-00 00:00:00'),(614,'CHS','Chico\'s FAS, Inc.','Consumer Services','Clothing/Shoe/Accessory Stores','0.00','0000-00-00 00:00:00'),(615,'CIM','Chimera Investment Corporation','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(616,'CO','China Cord Blood Corporation.','Finance','Business Services','0.00','0000-00-00 00:00:00'),(617,'STV','China Digital TV Holding Co., Ltd.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(618,'DL','China Distance Education Holdings Limited','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(619,'CEA','China Eastern Airlines Corporation Ltd.','Transportation','Air Freight/Delivery Services','0.00','0000-00-00 00:00:00'),(620,'CEU','China Education Alliance, Inc.','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(621,'CHN','China Fund, Inc. (The)','n/a','n/a','0.00','0000-00-00 00:00:00'),(622,'CGA','China Green Agriculture, Inc.','Basic Industries','Agricultural Chemicals','0.00','0000-00-00 00:00:00'),(623,'CHC','China Hydroelectric Corporation','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(624,'CHC/WS','China Hydroelectric Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(625,'KH','China Kanghui Holdings','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(626,'LFC','China Life Insurance Company Limited','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(627,'CMM','China Mass Media Corp','Technology','Advertising','0.00','0000-00-00 00:00:00'),(628,'MY','China Ming Yang Wind Power Group Limited','Energy','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(629,'CHL','China Mobile (Hong Kong) Ltd.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(630,'NPD','China Nepstar Chain Drugstore Ltd','Health Care','Medical/Nursing Services','0.00','0000-00-00 00:00:00'),(631,'BORN','China New Borun Corporation','Consumer Non-Durables','Beverages (Production/Distribution)','0.00','0000-00-00 00:00:00'),(632,'SNP','China Petroleum & Chemical Corporation','Energy','Integrated oil Companies','0.00','0000-00-00 00:00:00'),(633,'ZNH','China Southern Airlines Company Limited','Transportation','Air Freight/Delivery Services','0.00','0000-00-00 00:00:00'),(634,'CHA','China Telecom Corp Ltd','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(635,'CHU','China Unicom (Hong Kong) Ltd','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(636,'XNY','China Xiniya Fashion Limited','Consumer Non-Durables','Apparel','0.00','0000-00-00 00:00:00'),(637,'CYD','China Yuchai International Limited','Energy','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(638,'ZX','China Zenix Auto International Limited','Capital Goods','Auto Parts:O.E.M.','0.00','0000-00-00 00:00:00'),(639,'CMG','Chipotle Mexican Grill, Inc.','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(640,'CQB','Chiquita Brands International, Inc.','Consumer Non-Durables','Farming/Seeds/Milling','0.00','0000-00-00 00:00:00'),(641,'CHH','Choice Hotels International, Inc.','Consumer Services','Hotels/Resorts','0.00','0000-00-00 00:00:00'),(642,'CBK','Christopher & Banks Corporation','Consumer Services','Clothing/Shoe/Accessory Stores','0.00','0000-00-00 00:00:00'),(643,'CB','Chubb Corporation (The)','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(644,'CHT','Chunghwa Telecom Co Ltd','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(645,'CHD','Church & Dwight Company, Inc.','Basic Industries','Package Goods/Cosmetics','0.00','0000-00-00 00:00:00'),(646,'CBR','Ciber, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(647,'CI','CIGNA Corporation','Health Care','Hospital And Medical Service Plans','0.00','0000-00-00 00:00:00'),(648,'HIS','CIGNA High Income Shares','n/a','n/a','0.00','0000-00-00 00:00:00'),(649,'XEC','Cimarex Energy Co','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(650,'CBB','Cincinnati Bell Inc','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(652,'CNK','Cinemark Holdings Inc','Consumer Services','Movies/Entertainment','0.00','0000-00-00 00:00:00'),(653,'CIR','CIRCOR International, Inc.','Capital Goods','Metal Fabrications','0.00','0000-00-00 00:00:00'),(654,'CIT','CIT Group Inc (DEL)','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(655,'BLW','Citigroup Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(656,'C','Citigroup Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(657,'C/WS/A','Citigroup Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(658,'C/WS/B','Citigroup Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(677,'CIA','Citizens, Inc.','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(678,'CYN','City National Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(679,'CLC','CLARCOR Inc.','Capital Goods','Auto Parts:O.E.M.','0.00','0000-00-00 00:00:00'),(680,'CLH','Clean Harbors, Inc.','Basic Industries','Environmental Services','0.00','0000-00-00 00:00:00'),(681,'CCO','Clear Channel Outdoor Holdings, Inc.','Consumer Services','Advertising','0.00','0000-00-00 00:00:00'),(682,'CEM','ClearBridge Energy MLP Fund Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(683,'EMO','ClearBridge Energy MLP Opportunity Fund Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(684,'CLW','Clearwater Paper Corporation','Basic Industries','Paper','0.00','0000-00-00 00:00:00'),(685,'CNL','Cleco Corporation','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(686,'CLF','Cliffs Natural Resources Inc.','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(687,'CLX','Clorox Company (The)','Consumer Durables','Specialty Chemicals','0.00','0000-00-00 00:00:00'),(688,'CLD','Cloud Peak Energy Inc','Energy','Coal Mining','0.00','0000-00-00 00:00:00'),(689,'CMS','CMS Energy Corporation','Public Utilities','Power Generation','0.00','0000-00-00 00:00:00'),(692,'CNA','CNA Financial Corporation','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(693,'CNW','CNF, Inc.','Transportation','Trucking Freight/Courier Services','0.00','0000-00-00 00:00:00'),(694,'CNH','CNH Global N.V.','Capital Goods','Construction/Ag Equipment/Trucks','0.00','0000-00-00 00:00:00'),(695,'CNO','CNO Financial Group, Inc.','Finance','Accident &Health Insurance','0.00','0000-00-00 00:00:00'),(696,'CEO','CNOOC Limited','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(697,'COH','Coach, Inc.','Consumer Non-Durables','Apparel','0.00','0000-00-00 00:00:00'),(698,'CIE','Cobalt International Energy, Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(699,'KOF','Coca Cola Femsa S.A.B. de C.V.','Consumer Non-Durables','Beverages (Production/Distribution)','0.00','0000-00-00 00:00:00'),(700,'CCH','COCA COLA HELLENIC BOTTLING CO','Consumer Non-Durables','Beverages (Production/Distribution)','0.00','0000-00-00 00:00:00'),(701,'KO','Coca-Cola Company (The)','Consumer Non-Durables','Beverages (Production/Distribution)','0.00','0000-00-00 00:00:00'),(702,'CCE','Coca-Cola Enterprises, Inc.','Consumer Non-Durables','Beverages (Production/Distribution)','0.00','0000-00-00 00:00:00'),(703,'CDE','Coeur d\'Alene Mines Corporation','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(704,'CSA','Cogdell Spencer, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(706,'FOF','Cohen & Steers Closed-End Opportunity Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(707,'DVM','Cohen & Steers Dividend Majors Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(708,'INB','Cohen & Steers Global Income Builder, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(709,'UTF','Cohen & Steers Infrastructure Fund, Inc','n/a','n/a','0.00','0000-00-00 00:00:00'),(710,'RQI','Cohen & Steers Quality Income Realty Fund Inc','n/a','n/a','0.00','0000-00-00 00:00:00'),(711,'RNP','Cohen & Steers Reit and Preferred Income Fund Inc','n/a','n/a','0.00','0000-00-00 00:00:00'),(712,'PSF','Cohen & Steers Select Preferred and Income Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(713,'RFI','Cohen & Steers Total Return Realty Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(714,'CNS','Cohn & Steers Inc','Finance','Investment Managers','0.00','0000-00-00 00:00:00'),(715,'CFX','Colfax Corporation','Capital Goods','Fluid Controls','0.00','0000-00-00 00:00:00'),(716,'CL','Colgate-Palmolive Company','Consumer Non-Durables','Package Goods/Cosmetics','0.00','0000-00-00 00:00:00'),(717,'PSS','Collective Brands, Inc.','Consumer Services','Clothing/Shoe/Accessory Stores','0.00','0000-00-00 00:00:00'),(718,'CXE','Colonial High Income Municipal Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(719,'CMK','Colonial Intermarket Income Trust I','n/a','n/a','0.00','0000-00-00 00:00:00'),(720,'CIF','Colonial Intermediate High Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(721,'CXH','Colonial Investment Grade Municipal Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(722,'CMU','Colonial Municipal Income Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(723,'CLP','Colonial Properties Trust','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(724,'CLNY','Colony Financial, Inc','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(725,'STK','Columbia Seligman Premium Technology Growth Fund, Inc','n/a','n/a','0.00','0000-00-00 00:00:00'),(726,'CCS','Comcast Corporation','Consumer Services','Television Services','0.00','0000-00-00 00:00:00'),(727,'CCW','Comcast Corporation','Consumer Services','Television Services','0.00','0000-00-00 00:00:00'),(728,'CCZ','Comcast Corporation','Consumer Services','Television Services','0.00','0000-00-00 00:00:00'),(729,'CMA','Comerica Incorporated','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(730,'CMA/WS','Comerica Incorporated','n/a','n/a','0.00','0000-00-00 00:00:00'),(731,'FIX','Comfort Systems USA, Inc.','Capital Goods','Engineering & Construction','0.00','0000-00-00 00:00:00'),(732,'CMC','Commercial Metals Company','Basic Industries','Steel/Iron Ore','0.00','0000-00-00 00:00:00'),(733,'CWH','CommonWealth REIT','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(737,'CWHN','CommonWealth REIT','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(738,'CBU','Community Bank System, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(739,'CYH','Community Health Systems, Inc.','Health Care','Hospital/Nursing Management','0.00','0000-00-00 00:00:00'),(740,'CIG','Comp En De Mn Cemig ADS','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(741,'CIG/C','Comp En De Mn Cemig ADS','n/a','n/a','0.00','0000-00-00 00:00:00'),(742,'CGV','Compagnie Generale de Geophysique-Veritas','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(743,'CBD','Companhia Brasileira de Distribuicao','Consumer Services','Food Chains','0.00','0000-00-00 00:00:00'),(744,'ABV','Companhia de Bebidas das Americas - AmBev','Consumer Non-Durables','Beverages (Production/Distribution)','0.00','0000-00-00 00:00:00'),(745,'ABV/C','Companhia de Bebidas das Americas - AmBev','n/a','n/a','0.00','0000-00-00 00:00:00'),(746,'SBS','Companhia de saneamento Basico Do Estado De Sao Paulo - Sabesp','Public Utilities','Water Supply','0.00','0000-00-00 00:00:00'),(747,'ELP','Companhia Paranaense de Energia (COPEL)','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(748,'CCU','Compania Cervecerias Unidas, S.A.','Consumer Non-Durables','Beverages (Production/Distribution)','0.00','0000-00-00 00:00:00'),(749,'BVN','Compania Mina Buenaventura, S.A.','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(750,'CODI','Compass Diversified Holdings','Technology','Professional Services','0.00','0000-00-00 00:00:00'),(751,'CMP','Compass Minerals Intl Inc','Basic Industries','Mining & Quarrying of Nonmetallic Minerals (No Fuels)','0.00','0000-00-00 00:00:00'),(752,'CPX','Complete Production Services, Inc.','Energy','Oilfield Services/Equipment','0.00','0000-00-00 00:00:00'),(753,'CSC','Computer Sciences Corporation','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(754,'CRK','Comstock Resources, Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(755,'CAG','ConAgra Foods, Inc.','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(756,'CXO','Concho Resources Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(757,'CCM','Concord Medical Services Holdings Limited','Health Care','Medical/Nursing Services','0.00','0000-00-00 00:00:00'),(758,'COP','ConocoPhillips','Energy','Integrated oil Companies','0.00','0000-00-00 00:00:00'),(759,'CNX','CONSOL Energy Inc.','Energy','Coal Mining','0.00','0000-00-00 00:00:00'),(760,'ED','Consolidated Edison Company of New York, Inc.','Public Utilities','Power Generation','0.00','0000-00-00 00:00:00'),(763,'CGX','Consolidated Graphics, Inc.','Miscellaneous','Publishing','0.00','0000-00-00 00:00:00'),(764,'STZ','Constellation Brands Inc','Consumer Non-Durables','Beverages (Production/Distribution)','0.00','0000-00-00 00:00:00'),(765,'STZ/B','Constellation Brands Inc','Consumer Non-Durables','Beverages (Production/Distribution)','0.00','0000-00-00 00:00:00'),(766,'CEG','Constellation Energy Group, Inc.','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(768,'CLR','Continental Resources, Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(769,'CVG','Convergys Corporation','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(770,'COO','Cooper Companies, Inc. (The)','Health Care','Ophthalmic Goods','0.00','0000-00-00 00:00:00'),(771,'CBE','Cooper Industries, plc.','Consumer Durables','Building Products','0.00','0000-00-00 00:00:00'),(772,'CTB','Cooper Tire & Rubber Company','Consumer Durables','Automotive Aftermarket','0.00','0000-00-00 00:00:00'),(773,'CPA','Copa Holdings, S.A.','Transportation','Air Freight/Delivery Services','0.00','0000-00-00 00:00:00'),(774,'BAK','Copene-Petroquimica do Nordeste','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(775,'CLB','Core Laboratories N.V.','Energy','Oilfield Services/Equipment','0.00','0000-00-00 00:00:00'),(776,'CLGX','CoreLogic, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(777,'COR','CoreSite Realty Corporation','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(778,'CPO','Corn Products International, Inc.','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(779,'GLW','Corning Incorporated','Basic Industries','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(780,'BCA','Corpbanca','Finance','Commercial Banks','0.00','0000-00-00 00:00:00'),(781,'GYA','Corporate Asset Backed Corp CABCO','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(782,'GYC','Corporate Asset Backed Corp CABCO','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(783,'OFC','Corporate Office Properties Trust','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(787,'CXW','Corrections Corporation of America','Consumer Services','Diversified Commercial Services','0.00','0000-00-00 00:00:00'),(788,'CZZ','Cosan Limited','Consumer Non-Durables','Specialty Foods','0.00','0000-00-00 00:00:00'),(789,'CMRE','Costamare Inc.','Transportation','Marine Transportation','0.00','0000-00-00 00:00:00'),(790,'COT','Cott Corporation','Consumer Non-Durables','Beverages (Production/Distribution)','0.00','0000-00-00 00:00:00'),(791,'CCSC','Country Style Cooking','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(794,'CUZ','Cousins Properties Incorporated','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(797,'CVD','Covance Inc.','Health Care','Biotechnology: Commercial Physical & Biological Resarch','0.00','0000-00-00 00:00:00'),(798,'CVA','Covanta Holding Corporation','Basic Industries','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(799,'CVH','Coventry Health Care, Inc.','Health Care','Hospital And Medical Service Plans','0.00','0000-00-00 00:00:00'),(800,'COV','Covidien plc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(801,'CPF','CPB Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(802,'CPL','CPFL Energia S.A.','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(803,'CPY','CPI Corporation','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(805,'CR','Crane Company','Capital Goods','Metal Fabrications','0.00','0000-00-00 00:00:00'),(806,'CRD/A','Crawford & Company','Finance','Specialty Insurers','0.00','0000-00-00 00:00:00'),(807,'CRD/B','Crawford & Company','Finance','Specialty Insurers','0.00','0000-00-00 00:00:00'),(808,'BAP','Credicorp Ltd.','Finance','Commercial Banks','0.00','0000-00-00 00:00:00'),(809,'CS','Credit Suisse Group','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(810,'CRP','Credit Suisse Guernsey BRH','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(811,'CMLP','Crestwood Midstream Partners LP','Public Utilities','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(812,'CXS','Crexus Investment Corp.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(813,'CRH','CRH PLC','Capital Goods','Building Materials','0.00','0000-00-00 00:00:00'),(814,'CRT','Cross Timbers Royalty Trust','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(815,'CCI','Crown Castle International Corporation','Consumer Services','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(816,'CCK','Crown Cork & Seal Company, Inc.','Consumer Durables','Containers/Packaging','0.00','0000-00-00 00:00:00'),(817,'CRY','CryoLife, Inc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(818,'CSS','CSS Industries, Inc.','Consumer Services','Consumer: Greeting Cards','0.00','0000-00-00 00:00:00'),(819,'CSX','CSX Corporation','Transportation','Railroads','0.00','0000-00-00 00:00:00'),(820,'CTS','CTS Corporation','Capital Goods','Electrical Products','0.00','0000-00-00 00:00:00'),(821,'CUBE','CubeSmart','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(823,'CUB','Cubic Corporation','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(824,'CFR','Cullen/Frost Bankers, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(825,'CFI','Culp, Inc.','Basic Industries','Textiles','0.00','0000-00-00 00:00:00'),(826,'CMI','Cummins Inc.','Energy','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(827,'CW','Curtiss-Wright Corporation','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(828,'CVI','CVR Energy Inc.','Energy','Integrated oil Companies','0.00','0000-00-00 00:00:00'),(829,'UAN','CVR Partners, LP','Basic Industries','Agricultural Chemicals','0.00','0000-00-00 00:00:00'),(830,'CVS','CVS Corporation','Health Care','Medical/Nursing Services','0.00','0000-00-00 00:00:00'),(831,'CYS','Cypress Sharpridge Investments Inc','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(832,'CYT','Cytec Industries Inc.','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(833,'DHI','D.R. Horton, Inc.','Capital Goods','Homebuilding','0.00','0000-00-00 00:00:00'),(834,'DAN','Dana Holding Corporation','Capital Goods','Auto Parts:O.E.M.','0.00','0000-00-00 00:00:00'),(835,'DHR','Danaher Corporation','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(836,'DAC','Danaos Corporation','Transportation','Marine Transportation','0.00','0000-00-00 00:00:00'),(837,'DQ','DAQQ New Energy Corp.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(838,'DRI','Darden Restaurants, Inc.','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(839,'DAR','Darling International Inc.','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(840,'DVA','DaVita Inc.','Health Care','Hospital/Nursing Management','0.00','0000-00-00 00:00:00'),(841,'DCA','DCA Total Return Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(842,'DPM','DCP Midstream Partners, LP','Public Utilities','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(843,'DCT','DCT Industrial Trust Inc','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(844,'DF','Dean Foods Company','Consumer Non-Durables','Specialty Foods','0.00','0000-00-00 00:00:00'),(845,'DE','Deere & Company','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(846,'DEX','Delaware Enhanced Global Dividend','n/a','n/a','0.00','0000-00-00 00:00:00'),(847,'DDF','Delaware Investments Dividend & Income Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(848,'DK','Delek US Holdings, Inc.','Consumer Durables','Automotive Aftermarket','0.00','0000-00-00 00:00:00'),(849,'DLPH','Delphi Automotive plc','Capital Goods','Auto Parts:O.E.M.','0.00','0000-00-00 00:00:00'),(850,'DFG','Delphi Financial Group, Inc.','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(851,'DFP','Delphi Financial Group, Inc.','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(852,'DAL','Delta Air Lines Inc. (New)','Transportation','Air Freight/Delivery Services','0.00','0000-00-00 00:00:00'),(853,'DEL','Deltic Timber Corporation','Basic Industries','Forest Products','0.00','0000-00-00 00:00:00'),(854,'DLX','Deluxe Corporation','Consumer Durables','Publishing','0.00','0000-00-00 00:00:00'),(855,'DMD','Demand Media Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(856,'DNR','Denbury Resources, Inc. (Holding Company)','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(857,'HXM','Desarrolladora Homex','Basic Industries','Homebuilding','0.00','0000-00-00 00:00:00'),(858,'DKT','Deutsch Bk Contingent Cap Tr V','n/a','n/a','0.00','0000-00-00 00:00:00'),(859,'DB','Deutsche Bank AG','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(860,'DTK','Deutsche Bank AG','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(861,'DTT','Deutsche Bank AG','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(862,'DUA','Deutsche Bank AG','n/a','n/a','0.00','0000-00-00 00:00:00'),(863,'DXB','Deutsche Bank AG','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(864,'DCE','Deutsche Bk Cap Fdg Tr X','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(865,'DDR','Developers Diversified Realty Corporation','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(868,'DVN','Devon Energy Corporation','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(869,'DV','DeVry Inc.','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(870,'DEXO','Dex One Corporation','Consumer Services','Advertising','0.00','0000-00-00 00:00:00'),(871,'DHT','DHT Holdings, Inc.','Transportation','Marine Transportation','0.00','0000-00-00 00:00:00'),(872,'DEO','Diageo plc','Consumer Non-Durables','Beverages (Production/Distribution)','0.00','0000-00-00 00:00:00'),(873,'DO','Diamond Offshore Drilling, Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(874,'DRH','Diamondrock Hospitality Company','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(875,'DSX','Diana Shipping inc.','Transportation','Marine Transportation','0.00','0000-00-00 00:00:00'),(876,'DHX','Dice Holdings, Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(877,'DKS','Dick\'s Sporting Goods Inc','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(878,'DBD','Diebold, Incorporated','Miscellaneous','Office Equipment/Supplies/Services','0.00','0000-00-00 00:00:00'),(879,'DDMG','Digital Domain Media Group, Inc.','Consumer Services','Movies/Entertainment','0.00','0000-00-00 00:00:00'),(880,'DLR','Digital Realty Trust, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(882,'DGI','DigitalGlobe, Inc','Consumer Services','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(883,'DDS','Dillard\'s, Inc.','Consumer Services','Department/Specialty Retail Stores','0.00','0000-00-00 00:00:00'),(884,'DDT','Dillard\'s, Inc.','Consumer Services','Department/Specialty Retail Stores','0.00','0000-00-00 00:00:00'),(885,'DIN','DineEquity, Inc','Miscellaneous','Multi-Sector Companies','0.00','0000-00-00 00:00:00'),(886,'DFS','Discover Financial Services','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(887,'DNI','Dividend and Income Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(888,'DM','Dolan Company (The)','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(889,'DLB','Dolby Laboratories','Technology','Radio And Television Broadcasting And Communications Equipment','0.00','0000-00-00 00:00:00'),(890,'DOLE','Dole Food Company, Inc','Consumer Non-Durables','Farming/Seeds/Milling','0.00','0000-00-00 00:00:00'),(891,'DG','Dollar General Corporation','Consumer Services','Department/Specialty Retail Stores','0.00','0000-00-00 00:00:00'),(892,'DTG','Dollar Thrifty Automotive Group, Inc.','Consumer Services','Rental/Leasing Companies','0.00','0000-00-00 00:00:00'),(893,'DOM','Dominion Resources Black Warrior Trust','Energy','Coal Mining','0.00','0000-00-00 00:00:00'),(894,'D','Dominion Resources, Inc.','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(895,'DRU','Dominion Resources, Inc.','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(896,'DPZ','Domino\'s Pizza Inc','Consumer Non-Durables','Food Distributors','0.00','0000-00-00 00:00:00'),(897,'UFS','Domtar Corporation','Basic Industries','Paper','0.00','0000-00-00 00:00:00'),(898,'DCI','Donaldson Company, Inc.','Capital Goods','Pollution Control Equipment','0.00','0000-00-00 00:00:00'),(899,'DRL','Doral Financial Corporation','Finance','Commercial Banks','0.00','0000-00-00 00:00:00'),(900,'PLOW','Douglas Dynamics, Inc.','Capital Goods','Construction/Ag Equipment/Trucks','0.00','0000-00-00 00:00:00'),(901,'DEI','Douglas Emmett, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(902,'DOV','Dover Corporation','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(903,'DVD','Dover Downs Entertainment, Inc.','Consumer Services','Services-Misc. Amusement & Recreation','0.00','0000-00-00 00:00:00'),(904,'DDE','Dover Downs Gaming & Entertainment Inc','Consumer Services','Services-Misc. Amusement & Recreation','0.00','0000-00-00 00:00:00'),(905,'DPD','Dow 30 Premium','n/a','n/a','0.00','0000-00-00 00:00:00'),(906,'DPO','Dow 30 Premium','n/a','n/a','0.00','0000-00-00 00:00:00'),(907,'DOW','Dow Chemical Company (The)','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(908,'DPS','Dr Pepper Snapple Group, Inc','Consumer Non-Durables','Beverages (Production/Distribution)','0.00','0000-00-00 00:00:00'),(909,'RDY','Dr. Reddy\'s Laboratories Ltd','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(910,'DRC','Dresser-Rand Group Inc.','Energy','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(911,'DW','Drew Industries Incorporated','Capital Goods','Auto Parts:O.E.M.','0.00','0000-00-00 00:00:00'),(912,'DHF','Dreyfus High Yield Strategies Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(913,'DSM','Dreyfus Strategic Municipal Bond Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(914,'LEO','Dreyfus Strategic Municipals, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(915,'DRQ','Dril-Quip, Inc.','Energy','Metal Fabrications','0.00','0000-00-00 00:00:00'),(916,'DST','DST Systems, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(917,'DSW','DSW Inc.','Consumer Services','Clothing/Shoe/Accessory Stores','0.00','0000-00-00 00:00:00'),(918,'DTE','DTE Energy Company','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(921,'DCO','Ducommun Incorporated','Capital Goods','Military/Government/Technical','0.00','0000-00-00 00:00:00'),(922,'DUF','Duff & Phelps Corporation','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(923,'DPG','Duff & Phelps Global Utility Income Fund Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(924,'DNP','Duff & Phelps Utilities Income, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(925,'DTF','Duff & Phelps Utilities Tax-Free Income, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(926,'DUC','Duff & Phelps Utility & Corporate Bond Trust, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(927,'DUK','Duke Energy Corporation','Public Utilities','Power Generation','0.00','0000-00-00 00:00:00'),(928,'DRE','Duke Realty Corporation','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(934,'DNB','Dun & Bradstreet Corporation (The)','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(935,'DGW','Duoyuan Global Water Inc','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(936,'DFT','Dupont Fabros Technology, Inc.','Finance','Real Estate','0.00','0000-00-00 00:00:00'),(939,'DHG','DWS High Income Opportunities Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(940,'DY','Dycom Industries, Inc.','Public Utilities','Water Supply','0.00','0000-00-00 00:00:00'),(941,'DYN','Dynegy Inc.','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(942,'DX','Dynex Capital, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(943,'DD','E.I. du Pont de Nemours and Company','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(946,'SSP','E.W. Scripps Company (The)','Consumer Services','Newspapers/Magazines','0.00','0000-00-00 00:00:00'),(947,'EXP','Eagle Materials Inc','Capital Goods','Building Materials','0.00','0000-00-00 00:00:00'),(948,'NGT','Eastern American Natural Gas Trust','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(949,'EGP','EastGroup Properties, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(950,'EMN','Eastman Chemical Company','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(951,'EK','Eastman Kodak Company','Miscellaneous','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(952,'ETN','Eaton Corporation','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(953,'ETV','Eaton Vance Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(954,'ETW','Eaton Vance Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(955,'EV','Eaton Vance Corporation','Finance','Investment Managers','0.00','0000-00-00 00:00:00'),(956,'EOI','Eaton Vance Enhance Equity Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(957,'EOS','Eaton Vance Enhanced Equity Income Fund II','n/a','n/a','0.00','0000-00-00 00:00:00'),(958,'EFT','Eaton Vance Floating Rate Income Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(959,'EOT','Eaton Vance Municipal Income Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(960,'EVN','Eaton Vance Municipal Income Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(961,'ETJ','Eaton Vance Risk-Managed Diversified Equity Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(962,'EFR','Eaton Vance Senior Floating-Rate Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(963,'EVF','Eaton Vance Senior Income Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(964,'EVG','Eaton Vance Short Diversified Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(965,'EVT','Eaton Vance Tax Advantaged Dividend Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(966,'ETO','Eaton Vance Tax-Advantage Global Dividend Opp','n/a','n/a','0.00','0000-00-00 00:00:00'),(967,'EXD','Eaton Vance Tax-Advantaged Bond','n/a','n/a','0.00','0000-00-00 00:00:00'),(968,'ETG','Eaton Vance Tax-Advantaged Global Dividend Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(969,'ETB','Eaton Vance Tax-Managed Buy-Write Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(970,'ETY','Eaton Vance Tax-Managed Diversified Equity Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(971,'EXG','Eaton Vance Tax-Managed Global Diversified Equity Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(972,'ECT','ECA Marcellus Trust I','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(973,'ECL','Ecolab Inc.','Basic Industries','Package Goods/Cosmetics','0.00','0000-00-00 00:00:00'),(974,'DANG','E-Commerce China Dangdang Inc.','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(975,'EC','Ecopetrol S.A.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(976,'EIX','Edison International','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(977,'EDR','Education Realty Trust Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(978,'EW','Edwards Lifesciences Corporation','Health Care','Industrial Specialties','0.00','0000-00-00 00:00:00'),(979,'EJ','E-House (China) Holdings Limited','Finance','Real Estate','0.00','0000-00-00 00:00:00'),(980,'EP','El Paso Corporation','Public Utilities','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(982,'EE','El Paso Electric Company','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(983,'EPB','El Paso Pipeline Partners LP','Public Utilities','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(984,'ELN','Elan Corporation, plc','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(985,'EGO','Eldorado Gold Corp','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(986,'LLY','Eli Lilly and Company','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(987,'EFC','Ellington Financial LLC','Finance','Real Estate','0.00','0000-00-00 00:00:00'),(988,'ELT','Elster Group SE','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(989,'AKO/A','Embotelladora Andina S.A.','Consumer Non-Durables','Beverages (Production/Distribution)','0.00','0000-00-00 00:00:00'),(990,'AKO/B','Embotelladora Andina S.A.','Consumer Non-Durables','Beverages (Production/Distribution)','0.00','0000-00-00 00:00:00'),(991,'ERJ','Embraer-Empresa Brasileira de Aeronautica','Capital Goods','Aerospace','0.00','0000-00-00 00:00:00'),(992,'EMC','EMC Corporation','Technology','Electronic Components','0.00','0000-00-00 00:00:00'),(993,'EME','EMCOR Group, Inc.','Capital Goods','Engineering & Construction','0.00','0000-00-00 00:00:00'),(994,'EBS','Emergent Biosolutions, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(995,'ESC','Emeritus Corporation','Health Care','Hospital/Nursing Management','0.00','0000-00-00 00:00:00'),(996,'EMR','Emerson Electric Company','Energy','Consumer Electronics/Appliances','0.00','0000-00-00 00:00:00'),(997,'EDE','Empire District Electric Company (The)','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(998,'EIG','Employers Holdings Inc','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(999,'EDN','Empresa Distribuidora Y Comercializadora Norte S.A. (Edenor)','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(1000,'EOC','Empresa Nacional de Electricidad S.A.','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(1001,'ICA','Empresas Ica Soc Contrladora','Basic Industries','Military/Government/Technical','0.00','0000-00-00 00:00:00'),(1002,'ELX','Emulex Corporation','Technology','Computer Communications Equipment','0.00','0000-00-00 00:00:00'),(1003,'EEQ','Enbridge Energy Management LLC','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(1004,'EEP','Enbridge Energy, L.P.','Energy','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(1005,'ENB','Enbridge Inc','Energy','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(1006,'ECA','Encana Corporation','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(1007,'END','Endeavor International Corporation','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(1008,'EXK','Endeavour Silver Corporation','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(1009,'ENH','Endurance Specialty Holdings Ltd','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(1012,'NDRO','Enduro Royalty Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(1013,'EGN','Energen Corporation','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(1014,'ENR','Energizer Holdings, Inc.','Energy','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(1015,'EPL','Energy Partners, Ltd.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(1016,'ETE','Energy Transfer Equity, L.P.','Public Utilities','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(1017,'ETP','ENERGY TRANSFER PARTNERS','Public Utilities','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(1018,'ES','EnergySolutions Inc','Basic Industries','Environmental Services','0.00','0000-00-00 00:00:00'),(1019,'ERF','Enerplus Corporation','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(1020,'ENI','Enersis S A','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(1021,'ENS','Enersys','Consumer Non-Durables','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(1022,'E','ENI S.p.A.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(1023,'EBF','Ennis, Inc.','Consumer Services','Office Equipment/Supplies/Services','0.00','0000-00-00 00:00:00'),(1024,'NPO','Enpro Industries','Basic Industries','Metal Fabrications','0.00','0000-00-00 00:00:00'),(1025,'ESV','ENSCO plc','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(1026,'ETM','Entercom Communications Corporation','Consumer Services','Broadcasting','0.00','0000-00-00 00:00:00'),(1027,'EAA','Entergy Arkansas, Inc.','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(1028,'ETR','Entergy Corporation','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(1029,'ELA','Entergy Louisiana, Inc.','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(1030,'ELB','Entergy Louisiana, Inc.','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(1031,'EFM','Entergy Mississippi, Inc.','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(1032,'EMQ','Entergy Mississippi, Inc.','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(1033,'EMZ','Entergy Mississippi, Inc.','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(1034,'EDT','Entergy Texas Inc','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(1035,'EPD','Enterprise Products Partners L.P.','Public Utilities','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(1036,'EPR','Entertainment Properties Trust','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(1040,'EVC','Entravision Communications Corporation','Consumer Services','Broadcasting','0.00','0000-00-00 00:00:00'),(1041,'ENV','Envestnet, Inc','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(1042,'ENZ','Enzo Biochem, Inc.','Health Care','Medical Specialities','0.00','0000-00-00 00:00:00'),(1043,'EOG','EOG Resources, Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(1044,'EQT','EQT Corporation','Public Utilities','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(1045,'EQU','Equal Energy Ltd.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(1046,'EFX','Equifax, Inc.','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1047,'ELS','Equity Lifestyle Properties, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(1049,'EQY','Equity One, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(1050,'EQR','Equity Residential','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(1052,'EQS','Equus Total Return, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(1053,'ESE','ESCO Technologies Inc.','Consumer Durables','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(1054,'ESS','Essex Property Trust, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(1056,'EL','Estee Lauder Companies, Inc. (The)','Consumer Non-Durables','Package Goods/Cosmetics','0.00','0000-00-00 00:00:00'),(1057,'ESL','Esterline Technologies Corporation','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(1058,'DEG','Etablissements Delhaize Freres et Cie &quot;Le Lion&quot; S.A.','Consumer Services','Food Chains','0.00','0000-00-00 00:00:00'),(1059,'ETH','Ethan Allen Interiors Inc.','Consumer Durables','Home Furnishings','0.00','0000-00-00 00:00:00'),(1060,'EEA','European Equity Fund, Inc. (The)','n/a','n/a','0.00','0000-00-00 00:00:00'),(1061,'EVR','Evercore Partners Inc','Finance','Investment Managers','0.00','0000-00-00 00:00:00'),(1062,'RE','Everest Re Group, Ltd.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(1064,'EXAM','ExamWorks Group, Inc.','Health Care','Medical/Nursing Services','0.00','0000-00-00 00:00:00'),(1065,'EXM','Excel Maritime Carriers Ltd.','Transportation','Marine Transportation','0.00','0000-00-00 00:00:00'),(1066,'EXL','Excel Trust, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(1067,'XCO','EXCO Resources NL','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(1068,'EXC','Exelon Corporation','Public Utilities','Power Generation','0.00','0000-00-00 00:00:00'),(1069,'EXPR','Express, Inc.','Consumer Services','Clothing/Shoe/Accessory Stores','0.00','0000-00-00 00:00:00'),(1070,'EXH','Exterran Holdings, Inc.','Technology','Diversified Commercial Services','0.00','0000-00-00 00:00:00'),(1071,'EXR','Extra Space Storage Inc','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(1072,'XOM','Exxon Mobil Corporation','Energy','Integrated oil Companies','0.00','0000-00-00 00:00:00'),(1073,'FNB','F.N.B. Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(1074,'FN','Fabrinet','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(1075,'FDS','FactSet Research Systems Inc.','Technology','Computer Software: Programming, Data Processing','0.00','0000-00-00 00:00:00'),(1076,'FICO','Fair, Isaac and Company, Incorporated','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(1077,'FCS','Fairchild Semiconductor International, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(1078,'FDO','Family Dollar Stores, Inc.','Consumer Services','Department/Specialty Retail Stores','0.00','0000-00-00 00:00:00'),(1079,'FFG','FBL Financial Group, Inc.','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(1080,'AGM','Federal Agricultural Mortgage Corporation','Finance','Finance Companies','0.00','0000-00-00 00:00:00'),(1081,'AGM/A','Federal Agricultural Mortgage Corporation','Finance','Finance Companies','0.00','0000-00-00 00:00:00'),(1082,'FRT','Federal Realty Investment Trust','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(1083,'FSS','Federal Signal Corporation','Capital Goods','Auto Manufacturing','0.00','0000-00-00 00:00:00'),(1084,'FTT','Federated Enhanced Treasury Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(1085,'FII','Federated Investors, Inc.','Finance','Investment Managers','0.00','0000-00-00 00:00:00'),(1086,'FPT','Federated Premier Intermediate Municipal Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(1087,'FMN','Federated Premier Municipal Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(1088,'FDX','FedEx Corporation','Transportation','Air Freight/Delivery Services','0.00','0000-00-00 00:00:00'),(1089,'ADY','Feihe International, Inc.','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(1090,'FCH','FelCor Lodging Trust Incorporated','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(1093,'FGP','Ferrellgas Partners, L.P.','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(1094,'FOE','Ferro Corporation','Basic Industries','Paints/Coatings','0.00','0000-00-00 00:00:00'),(1095,'FBR','Fibria Celulose S.A.','Basic Industries','Paper','0.00','0000-00-00 00:00:00'),(1096,'FNF','Fidelity National Financial, Inc.','Finance','Specialty Insurers','0.00','0000-00-00 00:00:00'),(1097,'FIS','Fidelity National Information Services, Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(1098,'FMO','Fiduciary/Claymore MLP Opportunity Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(1101,'FAF','First American Corporation (The)','Finance','Specialty Insurers','0.00','0000-00-00 00:00:00'),(1102,'FBP','First BanCorp.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(1109,'FCF','First Commonwealth Financial Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(1110,'FR','First Industrial Realty Trust, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(1113,'AG','First Majestic Silver Corp.','n/a','n/a','0.00','0000-00-00 00:00:00'),(1114,'FMD','First Marblehead Corporation (The)','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1115,'FPO','First Potomac Realty Trust','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(1117,'FRC','FIRST REPUBLIC BANK','n/a','n/a','0.00','0000-00-00 00:00:00'),(1118,'FHN','First Tennessee National Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(1119,'FFA','First Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(1120,'FMY','First Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(1121,'FAV','First Trust Active Dividend Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(1122,'FIF','First Trust Energy Infrastructure Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(1123,'FSD','First Trust High Income Long Short Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(1124,'FCT','First Trust Senior Floating Rate Income Fund II','n/a','n/a','0.00','0000-00-00 00:00:00'),(1125,'FGB','First Trust Specialty Finance and Financial Opportunities Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(1126,'FHY','First Trust Strategic High Income Fund II','n/a','n/a','0.00','0000-00-00 00:00:00'),(1127,'FEO','First Trust/Aberdeen Emerging Opportunity Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(1128,'FAM','First Trust/Aberdeen Global Opportunity Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(1129,'FUR','First Union Real Estate Equity and Mortgage Investments','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(1130,'FE','FirstEnergy Corporation','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(1131,'FVE','Five Star Quality Care, Inc.','Health Care','Hospital/Nursing Management','0.00','0000-00-00 00:00:00'),(1132,'FBC','Flagstar Bancorp, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(1133,'FSR','Flagstone Reinsurance Holdings S.A.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(1134,'PFD','Flaherty & Crumrine Preferred Income Fund Incorporated','n/a','n/a','0.00','0000-00-00 00:00:00'),(1135,'PFO','Flaherty & Crumrine Preferred Income Opportunity Fund Inc','n/a','n/a','0.00','0000-00-00 00:00:00'),(1136,'FFC','Flaherty & Crumrine/Claymore Preferred Securities Income Fd In','n/a','n/a','0.00','0000-00-00 00:00:00'),(1137,'FLC','Flaherty & Crumrine/Claymore Total Return Fund Inc','n/a','n/a','0.00','0000-00-00 00:00:00'),(1140,'FLT','FleetCor Technologies, Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(1141,'FTK','Flotek Industries, Inc.','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(1142,'FLO','Flowers Foods, Inc.','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(1143,'FLS','Flowserve Corporation','Capital Goods','Fluid Controls','0.00','0000-00-00 00:00:00'),(1144,'FLR','Fluor Corporation','Basic Industries','Military/Government/Technical','0.00','0000-00-00 00:00:00'),(1145,'FLY','Fly Leasing Limited','n/a','n/a','0.00','0000-00-00 00:00:00'),(1146,'FMC','FMC Corporation','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(1147,'FTI','FMC Technologies, Inc.','Energy','Metal Fabrications','0.00','0000-00-00 00:00:00'),(1148,'FMX','Fomento Economico Mexicano S.A.B. de C.V.','Consumer Non-Durables','Beverages (Production/Distribution)','0.00','0000-00-00 00:00:00'),(1149,'FL','Footlocker Inc','Consumer Services','Clothing/Shoe/Accessory Stores','0.00','0000-00-00 00:00:00'),(1150,'F','Ford Motor Credit Company','Capital Goods','Auto Manufacturing','0.00','0000-00-00 00:00:00'),(1151,'F/WS','Ford Motor Credit Company','n/a','n/a','0.00','0000-00-00 00:00:00'),(1153,'FCE/A','Forest City Enterprises Inc','Consumer Services','Building operators','0.00','0000-00-00 00:00:00'),(1154,'FCE/B','Forest City Enterprises Inc','Consumer Services','Building operators','0.00','0000-00-00 00:00:00'),(1155,'FCY','Forest City Enterprises Inc','Consumer Services','Building operators','0.00','0000-00-00 00:00:00'),(1156,'FRX','Forest Laboratories, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(1157,'FST','Forest Oil Corporation','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(1158,'FOR','Forestar Group Inc','Finance','Real Estate','0.00','0000-00-00 00:00:00'),(1159,'FDI','Fort Dearborn Income Securities, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(1160,'FRF','Fortegra Financial Corporation','Finance','Specialty Insurers','0.00','0000-00-00 00:00:00'),(1161,'FIG','Fortress Investment Group LLC','Finance','Investment Managers','0.00','0000-00-00 00:00:00'),(1162,'FSM','Fortuna Silver Mines Inc.','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(1163,'FGC','FPL Group Capital Inc','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(1164,'FGE','FPL Group Capital Inc','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(1165,'FTE','France Telecom S.A.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(1166,'FNV','Franco Nev Corp','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(1167,'FC','Franklin Covey Company','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(1168,'BEN','Franklin Resources, Inc.','Finance','Investment Managers','0.00','0000-00-00 00:00:00'),(1169,'FT','Franklin Universal Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(1170,'FCX','Freeport-McMoran Copper & Gold, Inc.','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(1171,'FSL','Freescale Semiconductor Holdings I, LTD','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(1172,'FMS','Fresenius Medical Care Corporation','Health Care','Hospital/Nursing Management','0.00','0000-00-00 00:00:00'),(1174,'FDP','Fresh Del Monte Produce, Inc.','Consumer Non-Durables','Farming/Seeds/Milling','0.00','0000-00-00 00:00:00'),(1175,'FTR','Frontier Communications Company','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(1176,'FRO','Frontline Ltd.','Transportation','Marine Transportation','0.00','0000-00-00 00:00:00'),(1177,'FCN','FTI Consulting, Inc.','Consumer Services','Professional Services','0.00','0000-00-00 00:00:00'),(1178,'FRM','Furmanite Corporation','Basic Industries','Engineering & Construction','0.00','0000-00-00 00:00:00'),(1179,'FBN','Furniture Brands International, Inc.','Consumer Durables','Home Furnishings','0.00','0000-00-00 00:00:00'),(1180,'FIO','Fusion-io, Inc.','Technology','Electronic Components','0.00','0000-00-00 00:00:00'),(1181,'FF','FutureFuel Corp.','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(1182,'FXCM','FXCM Inc.','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(1183,'GCV','Gabelli Convertible and Income Securities Fund, Inc. (The)','n/a','n/a','0.00','0000-00-00 00:00:00'),(1185,'GDV','Gabelli Dividend','n/a','n/a','0.00','0000-00-00 00:00:00'),(1188,'GAB','Gabelli Equity Trust, Inc. (The)','n/a','n/a','0.00','0000-00-00 00:00:00'),(1191,'GGT','Gabelli Global Multi-Media Trust, Inc. (The)','n/a','n/a','0.00','0000-00-00 00:00:00'),(1193,'GNT','Gabelli Natural Resources, Gold','n/a','n/a','0.00','0000-00-00 00:00:00'),(1194,'GUT','Gabelli Utility Trust (The)','n/a','n/a','0.00','0000-00-00 00:00:00'),(1196,'GFA','Gafisa SA','Basic Industries','Homebuilding','0.00','0000-00-00 00:00:00'),(1197,'GCAP','GAIN Capital Holdings, Inc.','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(1198,'GBL','Gamco Investors, Inc.','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(1199,'GME','Gamestop Corporation','Consumer Services','Electronics Distribution','0.00','0000-00-00 00:00:00'),(1200,'GCI','Gannett Co., Inc.','Consumer Services','Newspapers/Magazines','0.00','0000-00-00 00:00:00'),(1201,'GPS','Gap, Inc. (The)','Consumer Services','Clothing/Shoe/Accessory Stores','0.00','0000-00-00 00:00:00'),(1202,'GDI','Gardner Denver, Inc.','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(1203,'IT','Gartner, Inc.','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(1204,'GMT','GATX Corporation','Consumer Services','Transportation Services','0.00','0000-00-00 00:00:00'),(1206,'GET','Gaylord Entertainment Company','Consumer Services','Hotels/Resorts','0.00','0000-00-00 00:00:00'),(1207,'GNK','Genco Shipping & Trading Limited','Transportation','Marine Transportation','0.00','0000-00-00 00:00:00'),(1208,'GY','GenCorp Inc.','Basic Industries','Specialty Chemicals','0.00','0000-00-00 00:00:00'),(1209,'GNRC','Generac Holdlings Inc.','Consumer Durables','Metal Fabrications','0.00','0000-00-00 00:00:00'),(1210,'GAM','General American Investors, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(1212,'BGC','General Cable Corporation','Basic Industries','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(1213,'GD','General Dynamics Corporation','Capital Goods','Marine Transportation','0.00','0000-00-00 00:00:00'),(1214,'GEA','General Electric Capital Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1215,'GEC','General Electric Capital Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1216,'GED','General Electric Capital Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1217,'GEG','General Electric Capital Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1218,'GEJ','General Electric Capital Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1219,'GEP','General Electric Capital Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1220,'GER','General Electric Capital Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1221,'GE','General Electric Company','Energy','Consumer Electronics/Appliances','0.00','0000-00-00 00:00:00'),(1223,'GGP','General Growth Properties, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(1224,'GIS','General Mills, Inc.','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(1225,'GM','General Motors Company','Capital Goods','Auto Manufacturing','0.00','0000-00-00 00:00:00'),(1226,'GM/WS/A','General Motors Company','n/a','n/a','0.00','0000-00-00 00:00:00'),(1227,'GM/WS/B','General Motors Company','n/a','n/a','0.00','0000-00-00 00:00:00'),(1229,'GSI','General Steel Holdings, Inc.','Capital Goods','Steel/Iron Ore','0.00','0000-00-00 00:00:00'),(1230,'GCO','Genesco Inc.','Consumer Services','Clothing/Shoe/Accessory Stores','0.00','0000-00-00 00:00:00'),(1231,'GWR','Genesee & Wyoming, Inc.','Transportation','Railroads','0.00','0000-00-00 00:00:00'),(1232,'GEL','Genesis Energy, L.P.','Energy','Oil Refining/Marketing','0.00','0000-00-00 00:00:00'),(1233,'GEN           ','GenOn Energy, Inc.','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(1234,'G','Genpact Limited','Consumer Services','Professional Services','0.00','0000-00-00 00:00:00'),(1235,'GPC','Genuine Parts Company','Capital Goods','Automotive Aftermarket','0.00','0000-00-00 00:00:00'),(1236,'GNW','Genworth Financial Inc','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(1237,'GEO','Geo Group Inc (The)','Consumer Services','Diversified Commercial Services','0.00','0000-00-00 00:00:00'),(1238,'GGC','Georgia Gulf Corporation','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(1239,'GAR','Georgia Power Company','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(1240,'GAT','Georgia Power Company','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(1242,'GGB','Gerdau S.A.','Capital Goods','Steel/Iron Ore','0.00','0000-00-00 00:00:00'),(1243,'GTY','Getty Realty Corporation','Finance','Real Estate','0.00','0000-00-00 00:00:00'),(1244,'GFIG','GFI Group Inc.','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(1245,'GA','Giant Interactive Group Inc','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(1246,'GIL','Gildan Activewear, Inc.','Consumer Non-Durables','Apparel','0.00','0000-00-00 00:00:00'),(1248,'GLT','Glatfelter','Basic Industries','Paper','0.00','0000-00-00 00:00:00'),(1249,'GSK','GlaxoSmithKline PLC','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(1250,'GRT','Glimcher Realty Trust','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(1253,'GCA','Global Cash Access Holdings, Inc.','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1254,'GGS','Global Geophysical Services, Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(1255,'GHI','Global High Income Dollar Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(1256,'GCF','Global Income & Currency Fund Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(1257,'GLP','Global Partners LP','Energy','Oil Refining/Marketing','0.00','0000-00-00 00:00:00'),(1258,'GPN','Global Payments Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(1259,'GSL','Global Ship Lease, Inc.','Transportation','Marine Transportation','0.00','0000-00-00 00:00:00'),(1262,'GJM','GMAC LLC','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1263,'GKM','GMAC LLC','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1264,'GMA','GMAC LLC','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1265,'GOM','GMAC LLC','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1266,'GMXR','GMX Resources, Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(1268,'GNC','GNC Holdings, Inc.','Consumer Non-Durables','Food Chains','0.00','0000-00-00 00:00:00'),(1269,'GOL','Gol Linhas Aereas Inteligentes S.A.','Transportation','Air Freight/Delivery Services','0.00','0000-00-00 00:00:00'),(1270,'GFI','Gold Fields Ltd.','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(1271,'GG','Goldcorp Incorporated','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(1272,'GS','Goldman Sachs Group, Inc. (The)','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(1277,'GSF','Goldman Sachs Group, Inc. (The)','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(1278,'GSJ','Goldman Sachs Group, Inc. (The)','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(1279,'TFG','Goldman Sachs Group, Inc. (The)','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1280,'GR','Goodrich Corporation (The)','Capital Goods','Military/Government/Technical','0.00','0000-00-00 00:00:00'),(1281,'GDP','Goodrich Petroleum Corporation','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(1282,'GT','Goodyear Tire & Rubber Company (The)','Consumer Durables','Automotive Aftermarket','0.00','0000-00-00 00:00:00'),(1284,'GOV','Government Properties Income Trust','Finance','Real Estate','0.00','0000-00-00 00:00:00'),(1285,'IRE','Governor and Company of the Bank of Ireland (The)','Finance','Commercial Banks','0.00','0000-00-00 00:00:00'),(1286,'GPX','GP Strategies Corporation','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(1287,'GGG','Graco Inc.','Capital Goods','Fluid Controls','0.00','0000-00-00 00:00:00'),(1288,'GTI','GrafTech International Ltd','Energy','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(1289,'GKK','Gramercy Capital Corp','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(1291,'GVA','Granite Construction Incorporated','Basic Industries','Military/Government/Technical','0.00','0000-00-00 00:00:00'),(1292,'GPK','Graphic Packaging Holding Company','Consumer Durables','Containers/Packaging','0.00','0000-00-00 00:00:00'),(1293,'GTN','Gray Television, Inc.','Consumer Services','Broadcasting','0.00','0000-00-00 00:00:00'),(1294,'GTN/A','Gray Television, Inc.','Consumer Services','Broadcasting','0.00','0000-00-00 00:00:00'),(1295,'GNI','Great Northern Iron Ore Properties','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(1296,'GXP','Great Plains Energy Inc','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(1301,'GB','Greatbatch, Inc.','Energy','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(1302,'GCH','Greater China Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(1303,'GDOT','Green Dot Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1304,'GBX','Greenbrier Companies, Inc. (The)','Capital Goods','Railroads','0.00','0000-00-00 00:00:00'),(1305,'GHL','Greenhill','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(1306,'GEF','Greif Bros. Corporation','Consumer Durables','Containers/Packaging','0.00','0000-00-00 00:00:00'),(1307,'GEF/B','Greif Bros. Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(1308,'GFF','Griffon Corporation','Capital Goods','Building Products','0.00','0000-00-00 00:00:00'),(1309,'GPI','Group 1 Automotive, Inc.','Consumer Durables','Automotive Aftermarket','0.00','0000-00-00 00:00:00'),(1310,'GBE','Grubb','Finance','Real Estate','0.00','0000-00-00 00:00:00'),(1311,'GMK','GRUMA, S.A. de C.V.','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(1312,'PAC','Grupo Aeroportuario Del Pacifico, S.A. de C.V.','Transportation','Aerospace','0.00','0000-00-00 00:00:00'),(1313,'ASR','Grupo Aeroportuario del Sureste, S.A. de C.V.','Transportation','Aerospace','0.00','0000-00-00 00:00:00'),(1314,'SAB','Grupo Casa Saba, S.A. de C.V.','Health Care','Other Pharmaceuticals','0.00','0000-00-00 00:00:00'),(1315,'RC','Grupo Radio Centro, S.A. de C.V.','Consumer Services','Broadcasting','0.00','0000-00-00 00:00:00'),(1316,'TV','Grupo Televisa S.A.','Consumer Services','Broadcasting','0.00','0000-00-00 00:00:00'),(1317,'TMM','Grupo TMM, S.A.','Transportation','Marine Transportation','0.00','0000-00-00 00:00:00'),(1318,'GSH','Guangshen Railway Company Limited','Transportation','Railroads','0.00','0000-00-00 00:00:00'),(1319,'GES','Guess?, Inc.','Consumer Non-Durables','Apparel','0.00','0000-00-00 00:00:00'),(1320,'GBAB','Guggenheim Build America Bonds Managed Duration Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(1321,'GPM','Guggenheim Enhanced Equity Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(1322,'GGE','Guggenheim Enhanced Equity Strategy Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(1323,'GEQ','Guggenheim Equal Weight Enhanced Equity Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(1324,'GOF','Guggenheim Strategic Opportunities Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(1325,'GUA','Gulf Power Company','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(1326,'GUL','Gulf Power Company','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(1327,'GLF','GulfMark Offshore, Inc.','Energy','Metal Fabrications','0.00','0000-00-00 00:00:00'),(1328,'GU','Gushan Environmental Energy Limited','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(1329,'HQH','H&Q Healthcare Investors','n/a','n/a','0.00','0000-00-00 00:00:00'),(1330,'HQL','H&Q Life Sciences Investors','n/a','n/a','0.00','0000-00-00 00:00:00'),(1331,'HRB','H&R Block, Inc.','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(1332,'FUL','H. B. Fuller Company','Basic Industries','Home Furnishings','0.00','0000-00-00 00:00:00'),(1333,'HNZ','H.J. Heinz Company','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(1335,'HAE','Haemonetics Corporation','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(1336,'HAL','Halliburton Company','Energy','Oilfield Services/Equipment','0.00','0000-00-00 00:00:00'),(1337,'HBI','Hanesbrands Inc.','Consumer Services','Clothing/Shoe/Accessory Stores','0.00','0000-00-00 00:00:00'),(1338,'HGR','Hanger Orthopedic Group, Inc.','Health Care','Medical Specialities','0.00','0000-00-00 00:00:00'),(1339,'HRG','Harbinger Group Inc','Energy','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(1340,'HOG','Harley-Davidson, Inc.','Consumer Non-Durables','Motor Vehicles','0.00','0000-00-00 00:00:00'),(1341,'HAR','Harman International Industries, Incorporated','Consumer Non-Durables','Consumer Electronics/Appliances','0.00','0000-00-00 00:00:00'),(1342,'HMY','Harmony Gold Mining Co. Ltd.','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(1343,'HRS','Harris Corporation','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(1344,'HWD','Harry Winston Diamond Corporation','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(1345,'HSC','Harsco Corporation','Capital Goods','Metal Fabrications','0.00','0000-00-00 00:00:00'),(1346,'HHS','Harte-Hanks, Inc.','Technology','Advertising','0.00','0000-00-00 00:00:00'),(1347,'HIG','Hartford Financial Services Group, Inc. (The)','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(1348,'HIG/WS','Hartford Financial Services Group, Inc. (The)','n/a','n/a','0.00','0000-00-00 00:00:00'),(1350,'HNR','Harvest Natural Resources Inc','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(1351,'HTS','Hatteras Financial Corp','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(1352,'HVT','Haverty Furniture Companies, Inc.','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(1353,'HVT/A','Haverty Furniture Companies, Inc.','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(1354,'HE','Hawaiian Electric Industries, Inc.','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(1356,'HCA','HCA Holdings, Inc.','Health Care','Hospital/Nursing Management','0.00','0000-00-00 00:00:00'),(1357,'HCC','HCC Insurance Holdings, Inc.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(1358,'HCP','HCP, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(1361,'HDB','HDFC Bank Limited','Finance','Commercial Banks','0.00','0000-00-00 00:00:00'),(1362,'HW','Headwaters Incorporated','Capital Goods','Building Materials','0.00','0000-00-00 00:00:00'),(1363,'HCN','Health Care REIT, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(1367,'HMA','Health Management Associates, Inc.','Health Care','Hospital/Nursing Management','0.00','0000-00-00 00:00:00'),(1368,'HNT','Health Net Inc.','Health Care','Hospital And Medical Service Plans','0.00','0000-00-00 00:00:00'),(1369,'HR','Healthcare Realty Trust Incorporated','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(1370,'HLS','HealthSouth Corporation','Health Care','Hospital/Nursing Management','0.00','0000-00-00 00:00:00'),(1371,'HS','Healthspring, Inc.','Health Care','Hospital And Medical Service Plans','0.00','0000-00-00 00:00:00'),(1372,'HPY','Heartland Payment Systems, Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(1373,'HEK','Heckmann Corporation','Energy','Oilfield Services/Equipment','0.00','0000-00-00 00:00:00'),(1374,'HL','Hecla Mining Company','Basic Industries','Mining & Quarrying of Nonmetallic Minerals (No Fuels)','0.00','0000-00-00 00:00:00'),(1376,'HEI','Heico Corporation','Capital Goods','Aerospace','0.00','0000-00-00 00:00:00'),(1377,'HEI/A','Heico Corporation','Capital Goods','Aerospace','0.00','0000-00-00 00:00:00'),(1378,'HAV','Helios Advantage Income Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(1379,'HIH','Helios High Income Fund, Inc','n/a','n/a','0.00','0000-00-00 00:00:00'),(1380,'HHY','Helios High Yield Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(1381,'HMH','Helios Multi-Sector High Income Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(1382,'HSA','Helios Strategic Income Fd, Inc','n/a','n/a','0.00','0000-00-00 00:00:00'),(1383,'HLX','Helix Energy Solutions Group, Inc.','Energy','Oilfield Services/Equipment','0.00','0000-00-00 00:00:00'),(1384,'HP','Helmerich & Payne, Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(1385,'HLF','Herbalife LTD.','Health Care','Other Pharmaceuticals','0.00','0000-00-00 00:00:00'),(1386,'HT','Hersha Hospitality Trust','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(1389,'HSY','Hershey Company (The)','Consumer Non-Durables','Specialty Foods','0.00','0000-00-00 00:00:00'),(1390,'HTZ','Hertz Global Holdings, Inc','Consumer Services','Rental/Leasing Companies','0.00','0000-00-00 00:00:00'),(1391,'HES','Hess Corporation','Energy','Integrated oil Companies','0.00','0000-00-00 00:00:00'),(1392,'HPQ','Hewlett-Packard Company','Technology','Computer Manufacturing','0.00','0000-00-00 00:00:00'),(1393,'HXL','Hexcel Corporation','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(1394,'HF','HFF, Inc.','Consumer Services','Real Estate','0.00','0000-00-00 00:00:00'),(1395,'HGG','HHGregg, Inc.','Consumer Services','Consumer Electronics/Video Chains','0.00','0000-00-00 00:00:00'),(1396,'ONE           ','Higher One Holdings, Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(1397,'HCF','Highland Credit Stategies Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(1398,'HIW','Highwoods Properties, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(1399,'HIL','Hill International, Inc.','Consumer Services','Military/Government/Technical','0.00','0000-00-00 00:00:00'),(1400,'HI','Hillenbrand Inc','Consumer Durables','Miscellaneous manufacturing industries','0.00','0000-00-00 00:00:00'),(1401,'HRC','Hill-Rom Holdings Inc','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(1402,'HTH','Hilltop Holdings Inc.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(1403,'HIT','Hitachi, Ltd.','Basic Industries','Military/Government/Technical','0.00','0000-00-00 00:00:00'),(1404,'HEP','Holly Energy Partners, L.P.','Energy','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(1405,'HFC','HollyFrontier Corporation','Energy','Integrated oil Companies','0.00','0000-00-00 00:00:00'),(1406,'HD','Home Depot, Inc. (The)','Consumer Services','RETAIL: Building Materials','0.00','0000-00-00 00:00:00'),(1407,'HME','Home Properties, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(1408,'HNI','HON INDUSTRIES Inc.','Consumer Durables','Office Equipment/Supplies/Services','0.00','0000-00-00 00:00:00'),(1409,'HMC','Honda Motor Company, Ltd.','Capital Goods','Auto Manufacturing','0.00','0000-00-00 00:00:00'),(1410,'HON','Honeywell International Inc.','Capital Goods','Auto Parts:O.E.M.','0.00','0000-00-00 00:00:00'),(1411,'HMN','Horace Mann Educators Corporation','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(1412,'HRL','Hormel Foods Corporation','Consumer Non-Durables','Meat/Poultry/Fish','0.00','0000-00-00 00:00:00'),(1413,'HOS','Hornbeck Offshore Services','Consumer Services','Marine Transportation','0.00','0000-00-00 00:00:00'),(1414,'HSP','Hospira Inc','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(1415,'HPT','Hospitality Properites Trust','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(1418,'HST','Host Marriott Financial Trust','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(1420,'HOV','Hovnanian Enterprises Inc','Capital Goods','Homebuilding','0.00','0000-00-00 00:00:00'),(1421,'HOVU','Hovnanian Enterprises Inc','Capital Goods','Homebuilding','0.00','0000-00-00 00:00:00'),(1422,'HHC','Howard Hughes Corporation (The)','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(1423,'HBC','HSBC Holdings plc','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(1426,'HCS','HSBC Holdings plc','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(1433,'HNP','Huaneng Power Intl','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(1434,'HUB/A','Hubbell Inc A','Consumer Durables','Building Products','0.00','0000-00-00 00:00:00'),(1435,'HUB/B','Hubbell Inc A','Consumer Durables','Building Products','0.00','0000-00-00 00:00:00'),(1436,'HBM','Hudbay Minerals Inc','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(1437,'HPP','Hudson Pacific Properties, Inc.','Finance','Real Estate','0.00','0000-00-00 00:00:00'),(1439,'HVB','Hudson Valley Holding Corp.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(1440,'HGT','Hugoton Royalty Trust','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(1441,'HUM','Humana Inc.','Health Care','Hospital And Medical Service Plans','0.00','0000-00-00 00:00:00'),(1442,'HII','Huntington Ingalls Industries, Inc.','Capital Goods','Marine Transportation','0.00','0000-00-00 00:00:00'),(1443,'HUN','Huntsman Corporation','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(1444,'H','Hyatt Hotels Corporation','Consumer Services','Hotels/Resorts','0.00','0000-00-00 00:00:00'),(1445,'HDY','HyperDynamics Corporation','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(1446,'HTR','Hyperion Brookfield Total Return Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(1447,'HSM','Hyperion Strategic Mortgage Income Fund (The)','n/a','n/a','0.00','0000-00-00 00:00:00'),(1448,'IAG','Iamgold Corporation','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(1449,'IEP','Icahn Enterprises L.P.','Capital Goods','Auto Parts:O.E.M.','0.00','0000-00-00 00:00:00'),(1450,'IBN','ICICI Bank Limited','Finance','Commercial Banks','0.00','0000-00-00 00:00:00'),(1451,'IDA','IDACORP, Inc.','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(1452,'IEX','IDEX Corporation','Capital Goods','Fluid Controls','0.00','0000-00-00 00:00:00'),(1453,'GNE','IDT Corporation','Public Utilities','Power Generation','0.00','0000-00-00 00:00:00'),(1454,'IDT','IDT Corporation','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(1455,'CTC','IFM Investments Limited','Finance','Real Estate','0.00','0000-00-00 00:00:00'),(1456,'IHS','IHS Inc.','Technology','Computer Software: Programming, Data Processing','0.00','0000-00-00 00:00:00'),(1457,'ITW','Illinois Tool Works Inc.','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(1458,'IMN','Imation Corporation','Technology','Electronic Components','0.00','0000-00-00 00:00:00'),(1459,'IMAX','Imax Corporation','Miscellaneous','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(1460,'IFT','Imperial Holdings, Inc.','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(1461,'IMPV','Imperva, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(1462,'IHC','Independence Holding Company','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(1463,'IFN','India Fund, Inc. (The)','n/a','n/a','0.00','0000-00-00 00:00:00'),(1464,'IBA','Industrias Bachoco, S.A. de C.V.','Consumer Non-Durables','Meat/Poultry/Fish','0.00','0000-00-00 00:00:00'),(1465,'NRGY','Inergy, L.P.','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(1466,'IAE','ING Asia Pacific High Dividend Equity Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(1467,'IHD','ING Emerging Markets High Dividend Equity Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(1468,'IGA','ING Global Advantage and Premium Opportunity Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(1469,'IGD','ING Global Equity Dividend and Premium Opportunity Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(1470,'IDG','ING Group, N.V.','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(1471,'IGK','ING Group, N.V.','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(1472,'IND','ING Group, N.V.','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(1473,'ING','ING Group, N.V.','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(1474,'INZ','ING Group, N.V.','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(1475,'ISF','ING Group, N.V.','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(1476,'ISG','ING Group, N.V.','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(1477,'ISP','ING Group, N.V.','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(1478,'IDE','ING Infrastructure Industrial and Material Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(1479,'IID','ING International High Dividend Equity Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(1480,'PPR','ING Prime Rate Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(1481,'IRR','ING Risk Managed Natural Resources Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(1482,'IR','Ingersoll-Rand plc (Ireland)','Capital Goods','Auto Parts:O.E.M.','0.00','0000-00-00 00:00:00'),(1483,'IM','Ingram Micro Inc.','Technology','Retail: Computer Software & Peripheral Equipment','0.00','0000-00-00 00:00:00'),(1484,'IRC','Inland Real Estate Corporation','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(1486,'IPHI','Inphi Corporation','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(1487,'NSP','Insperity, Inc.','Technology','Professional Services','0.00','0000-00-00 00:00:00'),(1488,'TEG','Integrys Energy Group','Public Utilities','Power Generation','0.00','0000-00-00 00:00:00'),(1489,'IHG','Intercontinental Hotels Group','Consumer Services','Hotels/Resorts','0.00','0000-00-00 00:00:00'),(1490,'ICE','IntercontinentalExchange, Inc.','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(1491,'IBI','Interline Brands, Inc.','Consumer Durables','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(1492,'IFF','Internationa Flavors & Fragrances, Inc.','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(1493,'IBM','International Business Machines Corporation','Technology','Computer Manufacturing','0.00','0000-00-00 00:00:00'),(1494,'IGT','International Game Technology','Consumer Durables','Miscellaneous manufacturing industries','0.00','0000-00-00 00:00:00'),(1495,'IP','International Paper Company','Basic Industries','Paper','0.00','0000-00-00 00:00:00'),(1496,'IRF','International Rectifier Corporation','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(1497,'ISH','International Shipholding Corporation','Transportation','Marine Transportation','0.00','0000-00-00 00:00:00'),(1498,'IOC','InterOil Corporation','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(1499,'IPG','Interpublic Group of Companies, Inc. (The)','Technology','Advertising','0.00','0000-00-00 00:00:00'),(1501,'INXN','InterXion Holding N.V.','Technology','Computer Software: Programming, Data Processing','0.00','0000-00-00 00:00:00'),(1502,'IL','IntraLinks Holdings, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(1503,'IPI','Intrepid Potash, Inc','Basic Industries','Mining & Quarrying of Nonmetallic Minerals (No Fuels)','0.00','0000-00-00 00:00:00'),(1504,'IVC','Invacare Corporation','Health Care','Industrial Specialties','0.00','0000-00-00 00:00:00'),(1505,'INVN','InvenSense, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(1506,'IIC','Invesco California Insured Municipal Income Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(1507,'IQC','Invesco California Municipal Securities','n/a','n/a','0.00','0000-00-00 00:00:00'),(1508,'MSY','Invesco High Yield Investments Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(1509,'ICS','Invesco Insured California Municipal Securities','n/a','n/a','0.00','0000-00-00 00:00:00'),(1510,'IMC','Invesco Insured Municipal Bond Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(1511,'IIM','Invesco Insured Municipal Income Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(1512,'IMS','Invesco Insured Municipal Securities','n/a','n/a','0.00','0000-00-00 00:00:00'),(1513,'IMT','Invesco Insured Municipal Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(1514,'IVR','INVESCO MORTGAGE CAPITAL INC','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(1515,'OIA','Invesco Municipal Income Opportunities Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(1516,'OIB','Invesco Municipal Income Opportunities Trust II','n/a','n/a','0.00','0000-00-00 00:00:00'),(1517,'OIC','Invesco Municipal Income Opportunities Trust III','n/a','n/a','0.00','0000-00-00 00:00:00'),(1518,'PIA','Invesco Municipal Premium Income Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(1519,'IQN','Invesco New York Quality Municipal Securities','n/a','n/a','0.00','0000-00-00 00:00:00'),(1520,'IVZ','Invesco Plc','Finance','Investment Managers','0.00','0000-00-00 00:00:00'),(1521,'IQI','Invesco Quality Municipal Income Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(1522,'IQT','Invesco Quality Municipal Investment Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(1523,'IQM','Invesco Quality Municipal Securities','n/a','n/a','0.00','0000-00-00 00:00:00'),(1524,'VBF','Invesco Van Kampen Bond Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(1525,'VCV','Invesco Van Kampen California Value Municipal Income Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(1526,'VTA','Invesco Van Kampen Dynamic Credit Opportunities Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(1527,'VLT','Invesco Van Kampen High Income Corporate Bond Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(1528,'VMO','Invesco Van Kampen Municipal Opportunity Trust','Consumer Services','Miscellaneous','0.00','0000-00-00 00:00:00'),(1529,'VKQ','Invesco Van Kampen Municipal Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(1530,'VOQ','Invesco Van Kampen Ohio Quality Municipal Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(1531,'VPV','Invesco Van Kampen Pennsylvania Value Municipal Income Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(1532,'VVR','Invesco Van Kampen Senior Income Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(1533,'VTN','Invesco Van Kampen Trt  for Investment Grade New York Municipa','n/a','n/a','0.00','0000-00-00 00:00:00'),(1534,'VIM','Invesco Van Kampen Trust for Insured Municipals','n/a','n/a','0.00','0000-00-00 00:00:00'),(1535,'VGM','Invesco Van Kampen Trust for Investment Grade Municipals','n/a','n/a','0.00','0000-00-00 00:00:00'),(1536,'VTJ','Invesco Van Kampen Trust for Investment Grade N J Municipals','n/a','n/a','0.00','0000-00-00 00:00:00'),(1537,'ITG','Investment Technology Group, Inc.','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(1538,'IO','Ion Geophysical Corporation','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(1539,'IRL','Irish Investment Fund, Inc. (The)','n/a','n/a','0.00','0000-00-00 00:00:00'),(1540,'IRM','Iron Mountain Incorporated','Consumer Services','Office Equipment/Supplies/Services','0.00','0000-00-00 00:00:00'),(1541,'IRS','IRSA Inversiones Y Representaciones S.A.','Consumer Services','Homebuilding','0.00','0000-00-00 00:00:00'),(1542,'ISS','iSoftStone Holdings Limited','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(1543,'SFI','iStar Financial Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(1549,'ITUB','Itau Unibanco Banco Holding SA','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(1550,'ITC','ITC Holdings Corp.','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(1551,'ITT','ITT Corporation','Capital Goods','Fluid Controls','0.00','0000-00-00 00:00:00'),(1552,'XLS','ITT Corporation','Consumer Durables','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(1553,'XYL','ITT Corporation','Capital Goods','Fluid Controls','0.00','0000-00-00 00:00:00'),(1554,'ESI','ITT Educational Services, Inc.','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(1555,'IVN','Ivanhoe Mines Ltd','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(1556,'JPM','J P Morgan Chase & Co','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(1557,'JPM/WS','J P Morgan Chase & Co','n/a','n/a','0.00','0000-00-00 00:00:00'),(1570,'JCP','J.C. Penney Company, Inc. Holding Company','Consumer Services','Department/Specialty Retail Stores','0.00','0000-00-00 00:00:00'),(1571,'SJM','J.M. Smucker Company (The)','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(1572,'JBL','Jabil Circuit, Inc.','Technology','Electrical Products','0.00','0000-00-00 00:00:00'),(1573,'JEC','Jacobs Engineering Group Inc.','Basic Industries','Military/Government/Technical','0.00','0000-00-00 00:00:00'),(1574,'JAG','Jaguar Mining Inc','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(1575,'JHX','James Hardie Industries SE','Capital Goods','Building Materials','0.00','0000-00-00 00:00:00'),(1576,'JNS','Janus Capital Group, Inc','Finance','Investment Managers','0.00','0000-00-00 00:00:00'),(1577,'JEQ','Japan Equity Fund, Inc. (The)','n/a','n/a','0.00','0000-00-00 00:00:00'),(1578,'JOF','Japan Smaller Capitalization Fund Inc','n/a','n/a','0.00','0000-00-00 00:00:00'),(1579,'JAH','Jarden Corporation','Consumer Durables','Consumer Specialties','0.00','0000-00-00 00:00:00'),(1580,'JEF','Jefferies Group, Inc.','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(1581,'JFC','JF China Region  Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(1582,'JKS','JinkoSolar Holding Company Limited','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(1583,'JMP','JMP Group Inc','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(1584,'JBT','John Bean Technologies Corporation','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(1585,'BTO','John Hancock Bank and Thrift Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(1586,'HEQ','John Hancock Hedged Equity & Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(1587,'JHS','John Hancock Income Securities Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(1588,'JHI','John Hancock Investors Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(1589,'HPF','John Hancock Pfd Income Fund II','n/a','n/a','0.00','0000-00-00 00:00:00'),(1590,'HPI','John Hancock Preferred Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(1591,'HPS','John Hancock Preferred Income Fund III','n/a','n/a','0.00','0000-00-00 00:00:00'),(1592,'PDT','John Hancock Premium Dividend Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(1593,'HTD','John Hancock Tax Advantaged Dividend Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(1594,'HTY','John Hancock Tax-Advantaged Global Shareholder Yield Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(1595,'JW/A','John Wiley & Sons, Inc.','Consumer Services','Books','0.00','0000-00-00 00:00:00'),(1596,'JW/B','John Wiley & Sons, Inc.','Consumer Services','Books','0.00','0000-00-00 00:00:00'),(1597,'JNJ','Johnson & Johnson','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(1598,'JCI','Johnson Controls, Inc.','Consumer Durables','Industrial Specialties','0.00','0000-00-00 00:00:00'),(1600,'JNY','Jones Group, Inc. (The)','Consumer Non-Durables','Apparel','0.00','0000-00-00 00:00:00'),(1601,'JLL','Jones Lang LaSalle Incorporated','Finance','Real Estate','0.00','0000-00-00 00:00:00'),(1602,'JRN','Journal Communications, Inc.','Consumer Services','Newspapers/Magazines','0.00','0000-00-00 00:00:00'),(1603,'JNPR','Juniper Networks, Inc.','Technology','Computer Communications Equipment','0.00','0000-00-00 00:00:00'),(1604,'LRN','K12 Inc','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(1605,'KAI','Kadant Inc','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(1606,'KSU','Kansas City Southern','Transportation','Railroads','0.00','0000-00-00 00:00:00'),(1608,'KS','KapStone Paper and Packaging Corporation','Basic Industries','Paper','0.00','0000-00-00 00:00:00'),(1609,'KAR','KAR Auction Services, Inc','Consumer Durables','Automotive Aftermarket','0.00','0000-00-00 00:00:00'),(1610,'KDN','Kaydon Corporation','Capital Goods','Metal Fabrications','0.00','0000-00-00 00:00:00'),(1611,'KED','Kayne Anderson Energy Development Company','n/a','n/a','0.00','0000-00-00 00:00:00'),(1612,'KYE','Kayne Anderson Energy Total Return Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(1613,'KMF','Kayne Anderson Midstream Energy Fund, Inc','n/a','n/a','0.00','0000-00-00 00:00:00'),(1614,'KYN','Kayne Anderson MLP Investment Company','n/a','n/a','0.00','0000-00-00 00:00:00'),(1616,'KB','KB Financial Group Inc','Finance','Commercial Banks','0.00','0000-00-00 00:00:00'),(1617,'KBH','KB Home','Capital Goods','Homebuilding','0.00','0000-00-00 00:00:00'),(1618,'KBR','KBR, Inc.','Basic Industries','Military/Government/Technical','0.00','0000-00-00 00:00:00'),(1619,'KBW','KBW Inc','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(1620,'K','Kellogg Company','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(1621,'KEM','Kemet Corporation','Capital Goods','Electrical Products','0.00','0000-00-00 00:00:00'),(1622,'KMPR','Kemper Corporation','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(1623,'KNXA','Kenexa Corporation','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(1624,'KMT','Kennametal Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(1625,'KW','Kennedy-Wilson Holdings Inc.','Finance','Real Estate','0.00','0000-00-00 00:00:00'),(1626,'KCP','Kenneth Cole Productions, Inc.','Consumer Non-Durables','Shoe Manufacturing','0.00','0000-00-00 00:00:00'),(1627,'KEG','Key Energy Services, Inc.','Energy','Oilfield Services/Equipment','0.00','0000-00-00 00:00:00'),(1628,'KEY','KeyCorp','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(1632,'KID','Kid Brands, Inc.','Consumer Durables','Miscellaneous manufacturing industries','0.00','0000-00-00 00:00:00'),(1633,'KRC','Kilroy Realty Corporation','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(1636,'KMB','Kimberly-Clark Corporation','Consumer Durables','Containers/Packaging','0.00','0000-00-00 00:00:00'),(1637,'KIM','Kimco Realty Corporation','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(1641,'KMP','Kinder Morgan Energy Partners, L.P.','Public Utilities','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(1642,'KMR','Kinder Morgan Management, LLC','Energy','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(1643,'KMI','Kinder Morgan, Inc.','Public Utilities','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(1644,'KND','Kindred Healthcare, Inc.','Health Care','Hospital/Nursing Management','0.00','0000-00-00 00:00:00'),(1645,'KFS','Kingsway Financial Services, Inc.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(1646,'KGC','Kinross Gold Corporation','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(1647,'KEX','Kirby Corporation','Consumer Services','Marine Transportation','0.00','0000-00-00 00:00:00'),(1648,'KRG','Kite Realty Group Trust','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(1650,'KKR','KKR & Co. L.P.','Finance','Investment Managers','0.00','0000-00-00 00:00:00'),(1651,'KFH','KKR Financial Holdings LLC','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1652,'KFN','KKR Financial Holdings LLC','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1653,'KCG','Knight Capital Group, Inc.','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(1654,'KNX','Knight Transportation, Inc.','Transportation','Trucking Freight/Courier Services','0.00','0000-00-00 00:00:00'),(1655,'KNL','Knoll, Inc.','Consumer Durables','Office Equipment/Supplies/Services','0.00','0000-00-00 00:00:00'),(1656,'KOG','Kodiak Oil','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(1657,'KSS','Kohl\'s Corporation','Consumer Services','Department/Specialty Retail Stores','0.00','0000-00-00 00:00:00'),(1658,'KNM','Konami Corporation','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(1659,'PHG','Koninklijke Philips Electronics, N.V.','Energy','Consumer Electronics/Appliances','0.00','0000-00-00 00:00:00'),(1660,'KOP','Koppers Holdings Inc.','Basic Industries','Forest Products','0.00','0000-00-00 00:00:00'),(1661,'KEP','Korea Electric Power Corporation','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(1662,'KEF','Korea Equity Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(1663,'KF','Korea Fund, Inc. (The)','n/a','n/a','0.00','0000-00-00 00:00:00'),(1664,'KT','Korea Telecom Corporation','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(1665,'KFY','Korn/Ferry International','Technology','Diversified Commercial Services','0.00','0000-00-00 00:00:00'),(1666,'KOS','Kosmos Energy Ltd.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(1667,'KFT','Kraft Foods Inc.','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(1668,'KRA','Kraton Performance Polymers, Inc','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(1669,'KKD','Krispy Kreme Doughnuts, Inc.','Consumer Non-Durables','Food Chains','0.00','0000-00-00 00:00:00'),(1670,'KR','Kroger Company (The)','Consumer Services','Food Chains','0.00','0000-00-00 00:00:00'),(1671,'KRO','Kronos Worldwide Inc','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(1672,'KUB','Kubota Corporation','Basic Industries','Metal Fabrications','0.00','0000-00-00 00:00:00'),(1673,'KV/A','K-V Pharmaceutical Company','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(1674,'KV/B','K-V Pharmaceutical Company','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(1675,'KYO','Kyocera Corporation','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(1676,'SCX','L.S. Starrett Company (The)','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(1677,'LLL','L-3 Communications Holdings, Inc.','Technology','Radio And Television Broadcasting And Communications Equipment','0.00','0000-00-00 00:00:00'),(1678,'LH','Laboratory Corporation of America Holdings','Health Care','Medical Specialities','0.00','0000-00-00 00:00:00'),(1679,'LG','Laclede Group, Inc.','Public Utilities','Oil/Gas Transmission','0.00','0000-00-00 00:00:00'),(1680,'LFL','Lan Chile S.A.','Transportation','Air Freight/Delivery Services','0.00','0000-00-00 00:00:00'),(1681,'LDR','Landauer, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(1682,'LVS','Las Vegas Sands Corp.','Consumer Services','Hotels/Resorts','0.00','0000-00-00 00:00:00'),(1683,'LHO','LaSalle Hotel Properties','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(1688,'LDF','Latin American Discovery Fund, Inc. (The)','n/a','n/a','0.00','0000-00-00 00:00:00'),(1689,'LGI','Lazard Global Total Return and Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(1690,'LAZ','Lazard LTD.','Finance','Investment Managers','0.00','0000-00-00 00:00:00'),(1691,'LOR','Lazard World Dividend & Income Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(1692,'LZB','La-Z-Boy Incorporated','Consumer Durables','Home Furnishings','0.00','0000-00-00 00:00:00'),(1693,'LDK','LDK Solar Co. Ltd.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(1694,'LF','Leapfrog Enterprises Inc','Consumer Non-Durables','Recreational Products/Toys','0.00','0000-00-00 00:00:00'),(1695,'LEA','Lear Corporation','Capital Goods','Auto Parts:O.E.M.','0.00','0000-00-00 00:00:00'),(1696,'LEE','Lee Enterprises, Incorporated','Consumer Services','Newspapers/Magazines','0.00','0000-00-00 00:00:00'),(1697,'LM','Legg Mason, Inc.','Finance','Investment Managers','0.00','0000-00-00 00:00:00'),(1698,'LEG','Leggett & Platt, Incorporated','Consumer Durables','Home Furnishings','0.00','0000-00-00 00:00:00'),(1699,'JZT','Lehman ABS Corp','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1700,'CVB','Lehman ABS Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1701,'CWZ','Lehman ABS Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1702,'HYH','Lehman ABS Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1703,'HYK','Lehman ABS Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1704,'HYL','Lehman ABS Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1705,'HYM','Lehman ABS Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1706,'JBJ','Lehman ABS Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1707,'JBK','Lehman ABS Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1708,'JBO','Lehman ABS Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1709,'JZC','Lehman ABS Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1710,'JZH','Lehman ABS Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1711,'JZJ','Lehman ABS Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1712,'JZK','Lehman ABS Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1713,'JZL','Lehman ABS Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1714,'JZS','Lehman ABS Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1715,'JZV','Lehman ABS Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1716,'KCC','Lehman ABS Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1717,'KCW','Lehman ABS Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1718,'KNO','Lehman ABS Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1719,'KNR','Lehman ABS Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1720,'KRJ','Lehman ABS Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1721,'KSA','Lehman ABS Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1722,'KSK','Lehman ABS Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1723,'KTH','Lehman ABS Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1724,'KTN','Lehman ABS Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1725,'KTP','Lehman ABS Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1726,'XFD','Lehman ABS Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1727,'XFH','Lehman ABS Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1728,'XFP','Lehman ABS Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1729,'XFR','Lehman ABS Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1730,'XKE','Lehman ABS Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1731,'XKK','Lehman ABS Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1732,'XKN','Lehman ABS Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1733,'XKO','Lehman ABS Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1734,'XVG','Lehman ABS Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1735,'JBI','Lehman ABS Cp 7.857%','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1736,'LPS','Lender Processing Services, Inc','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(1737,'LEN','Lennar Corporation','Basic Industries','Homebuilding','0.00','0000-00-00 00:00:00'),(1738,'LEN/B','Lennar Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(1739,'LII','Lennox International, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(1740,'LAS','Lentuo International Inc.','Consumer Durables','Automotive Aftermarket','0.00','0000-00-00 00:00:00'),(1741,'LUK','Leucadia National Corporation','Basic Industries','Forest Products','0.00','0000-00-00 00:00:00'),(1742,'LVLT','Level 3 Communications, Inc.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(1743,'LXP','Lexington Realty Trust','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(1747,'LXK','Lexmark International, Inc.','Technology','Computer Manufacturing','0.00','0000-00-00 00:00:00'),(1748,'LPL','LG Display Co., Limited American Depositary Shares','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(1749,'FAC','Liberte Investors Inc.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(1750,'USA','Liberty All-Star Equity Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(1751,'ASG','Liberty All-Star Growth Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(1752,'LRY','Liberty Property Trust','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(1753,'LTM','Life Time Fitness','Consumer Services','Hotels/Resorts','0.00','0000-00-00 00:00:00'),(1754,'LTD','Limited Brands, Inc.','Consumer Services','Clothing/Shoe/Accessory Stores','0.00','0000-00-00 00:00:00'),(1755,'TVL','LIN TV Corp','Consumer Services','Broadcasting','0.00','0000-00-00 00:00:00'),(1756,'LNC','Lincoln National Corporation','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(1757,'LNC/WS','Lincoln National Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(1759,'LNN','Lindsay Corporation','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(1760,'LNKD','LinkedIn Corporation','Technology','Computer Software: Programming, Data Processing','0.00','0000-00-00 00:00:00'),(1761,'LGF','Lions Gate Entertainment Corporation','Consumer Services','Movies/Entertainment','0.00','0000-00-00 00:00:00'),(1762,'LAD','Lithia Motors, Inc.','Consumer Durables','Automotive Aftermarket','0.00','0000-00-00 00:00:00'),(1763,'LYV','Live Nation Entertainment, Inc.','Consumer Services','Services-Misc. Amusement & Recreation','0.00','0000-00-00 00:00:00'),(1764,'LIZ','Liz Claiborne, Inc.','Consumer Non-Durables','Apparel','0.00','0000-00-00 00:00:00'),(1765,'LYG','Lloyds Banking Group Plc','Finance','Commercial Banks','0.00','0000-00-00 00:00:00'),(1767,'SCD','LMP Capital and Income Fund Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(1768,'TLI','LMP Corporate Loan Fund Inc','n/a','n/a','0.00','0000-00-00 00:00:00'),(1769,'RIT','LMP Real Estate Income Fund Inc','n/a','n/a','0.00','0000-00-00 00:00:00'),(1770,'LMT','Lockheed Martin Corporation','Capital Goods','Military/Government/Technical','0.00','0000-00-00 00:00:00'),(1771,'L','Loews Corporation','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(1772,'LPR','Lone Pine Resources Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(1773,'LO','Lorillard, Inc','Consumer Non-Durables','Farming/Seeds/Milling','0.00','0000-00-00 00:00:00'),(1774,'LPX','Louisiana-Pacific Corporation','Basic Industries','Forest Products','0.00','0000-00-00 00:00:00'),(1775,'LOW','Lowe\'s Companies, Inc.','Consumer Services','RETAIL: Building Materials','0.00','0000-00-00 00:00:00'),(1776,'LRE','LRR Energy, L.P.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(1777,'LXU','Lsb Industries Inc.','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(1778,'LSI','LSI Logic Corporation','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(1779,'LTC','LTC Properties, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(1780,'LUB','Luby\'s, Inc.','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(1781,'LL','Lumber Liquidators Holdings, Inc','Consumer Services','RETAIL: Building Materials','0.00','0000-00-00 00:00:00'),(1782,'LUX','Luxottica Group, S.p.A.','Health Care','Ophthalmic Goods','0.00','0000-00-00 00:00:00'),(1783,'LDL','Lydall, Inc.','Capital Goods','Auto Parts:O.E.M.','0.00','0000-00-00 00:00:00'),(1784,'LYB','LyondellBasell Industries NV','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(1785,'MFW','M&F Worldwide Corporation','Capital Goods','Military/Government/Technical','0.00','0000-00-00 00:00:00'),(1786,'MTB','M&T Bank Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(1788,'MDC','M.D.C. Holdings, Inc.','Capital Goods','Homebuilding','0.00','0000-00-00 00:00:00'),(1789,'MHO','M/I Homes, Inc.','Capital Goods','Homebuilding','0.00','0000-00-00 00:00:00'),(1791,'MAC','Macerich Company (The)','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(1792,'TUC','Mac-Gray Corporation','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(1793,'CLI','Mack-Cali Realty Corporation','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(1794,'MGU','Macquarie Global Infrastructure Total Return Fund Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(1795,'MIC','Macquarie Infrastructure Company LLC','Energy','Oil Refining/Marketing','0.00','0000-00-00 00:00:00'),(1796,'MFD','Macquarie/First Trust Global','n/a','n/a','0.00','0000-00-00 00:00:00'),(1797,'M','Macy\'s Inc','Consumer Services','Department/Specialty Retail Stores','0.00','0000-00-00 00:00:00'),(1798,'MSP','Madison Strategic Sector Premium Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(1799,'MCN','Madison/Claymore Covered Call & Equity Strategy Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(1800,'MMP','Magellan Midstream Partners L.P.','Energy','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(1801,'MGA','Magna International, Inc.','Capital Goods','Auto Parts:O.E.M.','0.00','0000-00-00 00:00:00'),(1802,'MX','MagnaChip Semiconductor Corporation','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(1803,'MAG','Magnetek, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(1804,'MHR','Magnum Hunter Resources Corporation','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(1805,'MTE','Mahanagar Telephone Nigam Ltd','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(1806,'MHNA','Maiden Holdings, Ltd.','n/a','n/a','0.00','0000-00-00 00:00:00'),(1807,'MFB','Maidenform Brands, Inc.','Consumer Services','Department/Specialty Retail Stores','0.00','0000-00-00 00:00:00'),(1808,'MAIN','Main Street Capital Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(1809,'MAY','Malaysia Fund, Inc (The)','n/a','n/a','0.00','0000-00-00 00:00:00'),(1810,'MAY/WD','Malaysia Fund, Inc (The)','n/a','n/a','0.00','0000-00-00 00:00:00'),(1811,'MZF','Managed Duration Investment Grade Municipal Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(1812,'HYF','Managed High Yield Plus Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(1813,'MTW','Manitowoc Company, Inc. (The)','Capital Goods','Construction/Ag Equipment/Trucks','0.00','0000-00-00 00:00:00'),(1814,'MN','Manning & Napier, Inc.','Finance','Investment Managers','0.00','0000-00-00 00:00:00'),(1815,'MAN','ManpowerGroup','Technology','Professional Services','0.00','0000-00-00 00:00:00'),(1816,'MFC','Manulife Financial Corp','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(1817,'MRO','Marathon Oil Corporation','Energy','Integrated oil Companies','0.00','0000-00-00 00:00:00'),(1818,'MPC','Marathon Petroleum Corporation','Energy','Integrated oil Companies','0.00','0000-00-00 00:00:00'),(1819,'MCS','Marcus Corporation (The)','Consumer Services','Hotels/Resorts','0.00','0000-00-00 00:00:00'),(1820,'MPX','Marine Products Corporation','Capital Goods','Marine Transportation','0.00','0000-00-00 00:00:00'),(1821,'HZO','MarineMax, Inc.','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(1822,'MKL','Markel Corporation','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(1823,'MKV','Markel Corporation','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(1824,'MWE','MarkWest Energy Partners, LP','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(1825,'MAR','Marriot International','Consumer Services','Hotels/Resorts','0.00','0000-00-00 00:00:00'),(1826,'VAC','Marriot International','Consumer Services','Hotels/Resorts','0.00','0000-00-00 00:00:00'),(1827,'MMC','Marsh & McLennan Companies, Inc.','Finance','Specialty Insurers','0.00','0000-00-00 00:00:00'),(1828,'MSO','Martha Stewart Living Omnimedia, Inc.','Consumer Services','Newspapers/Magazines','0.00','0000-00-00 00:00:00'),(1829,'MLM','Martin Marietta Materials, Inc.','Basic Industries','Mining & Quarrying of Nonmetallic Minerals (No Fuels)','0.00','0000-00-00 00:00:00'),(1830,'MAS','Masco Corporation','Basic Industries','Forest Products','0.00','0000-00-00 00:00:00'),(1831,'MCI','MassMutual Corporate Investors','n/a','n/a','0.00','0000-00-00 00:00:00'),(1832,'MPV','MassMutual Participation Investors','Consumer Services','Miscellaneous','0.00','0000-00-00 00:00:00'),(1833,'MTZ','MasTec, Inc.','Public Utilities','Water Supply','0.00','0000-00-00 00:00:00'),(1834,'MA','Mastercard Incorporated','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(1835,'MTRN','Materion Corporation','Capital Goods','Industrial Specialties','0.00','0000-00-00 00:00:00'),(1836,'MLP','Maui Land & Pineapple Company, Inc.','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(1837,'MXT','Maxcom Telecomunicaciones SAB de CV','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(1838,'MMS','Maximus, Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(1839,'MXL','MaxLinear, Inc','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(1840,'MBI','MBIA, Inc.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(1843,'MNI','McClatchy Company (The)','Consumer Services','Newspapers/Magazines','0.00','0000-00-00 00:00:00'),(1844,'MKC','McCormick & Company, Incorporated','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(1845,'MKC/V','McCormick & Company, Incorporated','n/a','n/a','0.00','0000-00-00 00:00:00'),(1846,'MDR','McDermott International, Inc.','Capital Goods','Metal Fabrications','0.00','0000-00-00 00:00:00'),(1847,'MCD','McDonald\'s Corporation','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(1848,'MHP','McGraw-Hill Companies, Inc. (The)','Consumer Services','Books','0.00','0000-00-00 00:00:00'),(1849,'MCK','McKesson Corporation','Health Care','Other Pharmaceuticals','0.00','0000-00-00 00:00:00'),(1850,'MMR','McMoRan Exploration Company','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(1851,'MDU','Mdu Res Group Inc','Basic Industries','Mining & Quarrying of Nonmetallic Minerals (No Fuels)','0.00','0000-00-00 00:00:00'),(1852,'MJN','Mead Johnson Nutrition Company','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(1853,'MIG','Meadowbrook Insurance Group, Inc.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(1854,'MWV','Meadwestvaco Corporation','Basic Industries','Paper','0.00','0000-00-00 00:00:00'),(1855,'MTL','Mechel Steel Group OAO','Basic Industries','Steel/Iron Ore','0.00','0000-00-00 00:00:00'),(1857,'MHS','MedcoHealth Solutions Inc','Health Care','Medical/Nursing Services','0.00','0000-00-00 00:00:00'),(1858,'MEG','Media General, Inc.','Consumer Services','Newspapers/Magazines','0.00','0000-00-00 00:00:00'),(1859,'MPW','Medical Properties Trust, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(1860,'MRX','Medicis Pharmaceutical Corporation','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(1861,'MED','MEDIFAST INC','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(1862,'MCC','Medley Capital Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(1863,'MD','Mednax, Inc','Health Care','Hospital/Nursing Management','0.00','0000-00-00 00:00:00'),(1864,'MDT','Medtronic, Inc.','Health Care','Biotechnology: Electromedical & Electrotherapeutic Apparatus','0.00','0000-00-00 00:00:00'),(1865,'WFR','MEMC Electronic Materials, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(1866,'MW','Men\'s Wearhouse, Inc. (The)','Consumer Services','Clothing/Shoe/Accessory Stores','0.00','0000-00-00 00:00:00'),(1867,'MRK','Merck & Company, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(1868,'MCY','Mercury General Corporation','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(1869,'MDP','Meredith Corporation','Consumer Services','Newspapers/Magazines','0.00','0000-00-00 00:00:00'),(1870,'MTH','Meritage Corporation','Capital Goods','Homebuilding','0.00','0000-00-00 00:00:00'),(1871,'MTOR','Meritor, Inc.','Capital Goods','Auto Parts:O.E.M.','0.00','0000-00-00 00:00:00'),(1878,'CPP','Merrill Lynch Depositor, Inc.','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1879,'FJA','Merrill Lynch Depositor, Inc.','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1880,'PIJ','Merrill Lynch Depositor, Inc.','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1881,'PIS','Merrill Lynch Depositor, Inc.','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1882,'PIY','Merrill Lynch Depositor, Inc.','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1883,'PJR','Merrill Lynch Depositor, Inc.','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1884,'PKH','Merrill Lynch Depositor, Inc.','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1885,'PKJ','Merrill Lynch Depositor, Inc.','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1886,'PKK','Merrill Lynch Depositor, Inc.','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1887,'PYY','Merrill Lynch Depositor, Inc.','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1888,'PZB','Merrill Lynch Depositor, Inc.','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1889,'MTR','Mesa Royalty Trust','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(1890,'MSB','Mesabi Trust','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(1891,'MUSA','Metals USA Holdings Corp.','Basic Industries','Metal Fabrications','0.00','0000-00-00 00:00:00'),(1892,'MEI','Methode Electronics, Inc.','Capital Goods','Electrical Products','0.00','0000-00-00 00:00:00'),(1893,'MET','MetLife, Inc.','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(1896,'MLG','MetLife, Inc.','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(1897,'MLU','MetLife, Inc.','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(1898,'MPR','Met-Pro Corporation','Capital Goods','Pollution Control Equipment','0.00','0000-00-00 00:00:00'),(1899,'PCS','MetroPCS Communications, Inc.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(1900,'MDF','Metropolitan Health Networks, Inc.','Health Care','Medical/Nursing Services','0.00','0000-00-00 00:00:00'),(1901,'MTD','Mettler-Toledo International, Inc.','Capital Goods','Biotechnology: Laboratory Analytical Instruments','0.00','0000-00-00 00:00:00'),(1902,'MXE','Mexico Equity and Income Fund, Inc. (The)','n/a','n/a','0.00','0000-00-00 00:00:00'),(1904,'MXF','Mexico Fund, Inc. (The)','n/a','n/a','0.00','0000-00-00 00:00:00'),(1905,'MIL','MFC Industrial Ltd.','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(1906,'MCR','MFS Charter Income Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(1907,'MGF','MFS Government Markets Income Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(1908,'MIN','MFS Intermediate Income Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(1909,'MMT','MFS Multimarket Income Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(1910,'MFM','MFS Municipal Income Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(1911,'MFV','MFS Special Value Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(1912,'MTG','MGIC Investment Corporation','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(1913,'MGM','MGM Resorts International','Consumer Services','Hotels/Resorts','0.00','0000-00-00 00:00:00'),(1914,'MIM','MI Developments Inc','Consumer Services','Services-Misc. Amusement & Recreation','0.00','0000-00-00 00:00:00'),(1915,'MAA','Mid-America Apartment Communities, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(1916,'MDS','Midas, Inc.','Consumer Services','Motor Vehicles','0.00','0000-00-00 00:00:00'),(1917,'MILL','Miller Energy Resources, Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(1918,'MLR','Miller Industries, Inc.','Capital Goods','Construction/Ag Equipment/Trucks','0.00','0000-00-00 00:00:00'),(1919,'MR','Mindray Medical International Limited','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(1920,'MSA','Mine Safety Appliances Company','Health Care','Industrial Specialties','0.00','0000-00-00 00:00:00'),(1921,'MTX','Minerals Technologies Inc.','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(1923,'MPJ','Mississippi Power Company','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(1924,'MG','Mistras Group Inc','Consumer Services','Military/Government/Technical','0.00','0000-00-00 00:00:00'),(1925,'MTU','Mitsubishi UFJ Financial Group Inc','Finance','Commercial Banks','0.00','0000-00-00 00:00:00'),(1926,'MFG','Mizuho Financial Group, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(1927,'MTP','MLP & Strategic Equity Fund Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(1928,'MBT','Mobile TeleSystems','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(1929,'MOD','Modine Manufacturing Company','Capital Goods','Auto Parts:O.E.M.','0.00','0000-00-00 00:00:00'),(1930,'MHK','Mohawk Industries, Inc.','Consumer Durables','Home Furnishings','0.00','0000-00-00 00:00:00'),(1931,'MOH','Molina Healthcare Inc','Health Care','Hospital And Medical Service Plans','0.00','0000-00-00 00:00:00'),(1932,'TAP','Molson Coors Brewing  Company','Consumer Non-Durables','Beverages (Production/Distribution)','0.00','0000-00-00 00:00:00'),(1933,'TAP/A','Molson Coors Brewing  Company','Consumer Non-Durables','Beverages (Production/Distribution)','0.00','0000-00-00 00:00:00'),(1934,'MCP','Molycorp, Inc','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(1936,'MGI','Moneygram International, Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(1937,'MNR','Monmouth Real Estate Investment Corporation','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(1939,'MON','Monsanto Company','Basic Industries','Agricultural Chemicals','0.00','0000-00-00 00:00:00'),(1940,'MWW','Monster Worldwide, Inc.','Technology','Professional Services','0.00','0000-00-00 00:00:00'),(1941,'MTS','Montgomery Street Income Securities, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(1942,'MRH','Montpelier Re Holdings Ltd.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(1944,'MCO','Moody\'s Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1945,'MOG/A','Moog Inc.','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(1946,'MOG/B','Moog Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(1947,'MS','Morgan Stanley','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(1949,'MSJ','Morgan Stanley','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1950,'MSK','Morgan Stanley','n/a','n/a','0.00','0000-00-00 00:00:00'),(1951,'MSZ','Morgan Stanley','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(1952,'MWG','Morgan Stanley','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1953,'MWO','Morgan Stanley','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1954,'MWR','Morgan Stanley','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1955,'APF','Morgan Stanley Asia-Pacific Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(1956,'CAF','Morgan Stanley China A Share Fund Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(1957,'RNE','Morgan Stanley Eastern Europe Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(1958,'MSD','Morgan Stanley Emerging Markets Debt Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(1959,'EDD','Morgan Stanley Emerging Markets Domestic Debt Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(1960,'MSF','Morgan Stanley Emerging Markets Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(1961,'FFD','Morgan Stanley Frontier Emerging markets Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(1962,'IIF','Morgan Stanley India Investment Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(1963,'MRT','Morton\'s Restaurant Group, Inc.','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(1965,'MOS','Mosaic Company (The)','Basic Industries','Agricultural Chemicals','0.00','0000-00-00 00:00:00'),(1966,'MMI','Motorola, Inc.','Technology','Radio And Television Broadcasting And Communications Equipment','0.00','0000-00-00 00:00:00'),(1967,'MSI','Motorola, Inc.','Technology','Radio And Television Broadcasting And Communications Equipment','0.00','0000-00-00 00:00:00'),(1968,'MOV','Movado Group Inc.','Consumer Non-Durables','Consumer Specialties','0.00','0000-00-00 00:00:00'),(1969,'MPG','MPG Office Trust, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(1971,'ICB','MS Income Securities, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(1972,'DKP','MS Structured Asset Corp Saturns GE Cap Corp Series 2002-14','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1973,'DKQ','MS Structured Asset Corp Saturns GE Cap Corp Series 2002-14','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1974,'HJA','MS Structured Asset Corp Saturns GE Cap Corp Series 2002-14','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1975,'HJG','MS Structured Asset Corp Saturns GE Cap Corp Series 2002-14','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1976,'HJL','MS Structured Asset Corp Saturns GE Cap Corp Series 2002-14','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1977,'HJN','MS Structured Asset Corp Saturns GE Cap Corp Series 2002-14','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1978,'HJO','MS Structured Asset Corp Saturns GE Cap Corp Series 2002-14','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1979,'HJT','MS Structured Asset Corp Saturns GE Cap Corp Series 2002-14','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1980,'HJV','MS Structured Asset Corp Saturns GE Cap Corp Series 2002-14','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1981,'MJH','MS Structured Asset Corp Saturns GE Cap Corp Series 2002-14','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1982,'MKS','MS Structured Asset Corp Saturns GE Cap Corp Series 2002-14','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1983,'HJJ','MS Structured Asset Corp SATURNS Goldman Sachs','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1984,'HJR','MS Structured Asset Corp.','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(1985,'MSM','MSC Industrial Direct Company, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(1986,'MSCI','MSCI Inc','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(1987,'MLI','Mueller Industries, Inc.','Capital Goods','Metal Fabrications','0.00','0000-00-00 00:00:00'),(1988,'MWA','MUELLER WATER PRODUCTS','Capital Goods','Metal Fabrications','0.00','0000-00-00 00:00:00'),(1989,'MUR','Murphy Oil Corporation','Energy','Integrated oil Companies','0.00','0000-00-00 00:00:00'),(1990,'MVO','MV Oil Trust','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(1991,'MVC','MVC Capital','n/a','n/a','0.00','0000-00-00 00:00:00'),(1992,'MYE','Myers Industries, Inc.','Consumer Non-Durables','Plastic Products','0.00','0000-00-00 00:00:00'),(1993,'NBR','Nabors Industries Ltd.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(1994,'NC','NACCO Industries, Inc.','Capital Goods','Construction/Ag Equipment/Trucks','0.00','0000-00-00 00:00:00'),(1995,'NTE','Nam Tai Electronics, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(1996,'NBG','National Bank of Greece SA','Finance','Commercial Banks','0.00','0000-00-00 00:00:00'),(2000,'NFP','National Financial Partners Corporation','Finance','Specialty Insurers','0.00','0000-00-00 00:00:00'),(2001,'NFG','National Fuel Gas Company','Public Utilities','Oil/Gas Transmission','0.00','0000-00-00 00:00:00'),(2002,'NGG','National Grid Transco, PLC','Public Utilities','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(2003,'NHI','National Health Investors, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(2004,'NPK','National Presto Industries, Inc.','Capital Goods','Ordnance And Accessories','0.00','0000-00-00 00:00:00'),(2005,'NNN','National Retail Properties','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(2007,'NRC','National Rural Utilities Cooperative Finance Corp','Finance','Diversified Financial Services','0.00','0000-00-00 00:00:00'),(2008,'NRU','National Rural Utilities Cooperative Finance Corp','Finance','Diversified Financial Services','0.00','0000-00-00 00:00:00'),(2009,'SID','National Steel Company','Capital Goods','Steel/Iron Ore','0.00','0000-00-00 00:00:00'),(2010,'NOV','National-Oilwell, Inc.','Energy','Metal Fabrications','0.00','0000-00-00 00:00:00'),(2012,'NGS','Natural Gas Services Group, Inc.','Energy','Oilfield Services/Equipment','0.00','0000-00-00 00:00:00'),(2013,'NRP','Natural Resource Partners LP','Energy','Coal Mining','0.00','0000-00-00 00:00:00'),(2014,'NTZ','Natuzzi, S.p.A.','Consumer Durables','Home Furnishings','0.00','0000-00-00 00:00:00'),(2015,'NLS','Nautilus Group, Inc. (The)','Consumer Non-Durables','Recreational Products/Toys','0.00','0000-00-00 00:00:00'),(2016,'NCI','Navigant Consulting, Inc.','Consumer Services','Professional Services','0.00','0000-00-00 00:00:00'),(2017,'NNA','Navios Maritime Acquisition Corporation','Transportation','Marine Transportation','0.00','0000-00-00 00:00:00'),(2018,'NNA/U','Navios Maritime Acquisition Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(2019,'NNA/WS','Navios Maritime Acquisition Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(2020,'NM','Navios Maritime Holdings Inc.','Transportation','Marine Transportation','0.00','0000-00-00 00:00:00'),(2021,'NMM','Navios Maritime Partners LP','Transportation','Marine Transportation','0.00','0000-00-00 00:00:00'),(2022,'NAV','Navistar International Corporation','Capital Goods','Auto Manufacturing','0.00','0000-00-00 00:00:00'),(2024,'NCS','NCI Building Systems, Inc.','Capital Goods','Metal Fabrications','0.00','0000-00-00 00:00:00'),(2025,'NCR','NCR Corporation','Miscellaneous','Office Equipment/Supplies/Services','0.00','0000-00-00 00:00:00'),(2026,'NP','Neenah Paper, Inc.','Basic Industries','Paper','0.00','0000-00-00 00:00:00'),(2027,'NNI','Nelnet, Inc.','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(2028,'NPTN','NeoPhotonics Corporation','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(2029,'NQ','NetQin Mobile Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(2030,'N','Netsuite Inc','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(2031,'NSR','Neustar, Inc.','Consumer Services','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(2032,'HYB','New America High Income Fund, Inc. (The)','n/a','n/a','0.00','0000-00-00 00:00:00'),(2033,'GF','New Germany Fund, Inc. (The)','n/a','n/a','0.00','0000-00-00 00:00:00'),(2034,'NMFC','New Mountain Finance Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(2035,'EDU','New Oriental Education & Technology Group, Inc.','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(2036,'NWY','New York & Company, Inc.','Consumer Services','Clothing/Shoe/Accessory Stores','0.00','0000-00-00 00:00:00'),(2037,'NYB','New York Community Bancorp, Inc.','Finance','Banks','0.00','0000-00-00 00:00:00'),(2039,'NYT','New York Times Company (The)','Consumer Services','Newspapers/Magazines','0.00','0000-00-00 00:00:00'),(2040,'NCT','Newcastle Investment Corporation','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(2044,'NWL','Newell Rubbermaid Inc.','Consumer Non-Durables','Plastic Products','0.00','0000-00-00 00:00:00'),(2045,'NFX','Newfield Exploration Company','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2046,'NJR','NewJersey Resources Corporation','Public Utilities','Oil/Gas Transmission','0.00','0000-00-00 00:00:00'),(2047,'NEU','NewMarket Corporation','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(2048,'NEM','Newmont Mining Corporation (Holding Company)','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(2049,'NR','Newpark Resources, Inc.','Energy','Metal Fabrications','0.00','0000-00-00 00:00:00'),(2050,'NXY','Nexen, Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2052,'NEE','NextEra Energy, Inc.','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(2055,'NFJ','NFJ Dividend, Interest & Premium Strategy Fund','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(2056,'NGL','NGL ENERGY PARTNERS LP','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(2059,'GAS','Nicor Inc.','Public Utilities','Oil/Gas Transmission','0.00','0000-00-00 00:00:00'),(2060,'NJ','Nidec Corporation (Nihon Densan Kabushiki Kaisha)','Consumer Durables','Metal Fabrications','0.00','0000-00-00 00:00:00'),(2061,'NLSN','Nielsen Holdings N.V.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(2062,'NKE','Nike, Inc.','Consumer Non-Durables','Shoe Manufacturing','0.00','0000-00-00 00:00:00'),(2063,'NTT','Nippon Telegraph and Telephone Corporation','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(2064,'NKA','Niska Gas Storage Partners LLC','Public Utilities','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(2065,'NI','NiSource, Inc','Public Utilities','Power Generation','0.00','0000-00-00 00:00:00'),(2066,'NL','NL Industries, Inc.','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(2067,'NED','Noah Education Holdings Ltd.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(2068,'NOAH','Noah Holdings Ltd.','Finance','Investment Managers','0.00','0000-00-00 00:00:00'),(2069,'NE','Noble Corporation','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2070,'NBL','Noble Energy Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2071,'NOK','Nokia Corporation','Technology','Radio And Television Broadcasting And Communications Equipment','0.00','0000-00-00 00:00:00'),(2072,'NMR','Nomura Holdings Inc ADR','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(2073,'NOR','Noranda Aluminum Holding Corporation','Basic Industries','Aluminum','0.00','0000-00-00 00:00:00'),(2074,'NAT','Nordic American Tankers Limited','Consumer Services','Marine Transportation','0.00','0000-00-00 00:00:00'),(2075,'NDZ','Nordion Inc.','Capital Goods','Biotechnology: Laboratory Analytical Instruments','0.00','0000-00-00 00:00:00'),(2076,'JWN','Nordstrom, Inc.','Consumer Services','Clothing/Shoe/Accessory Stores','0.00','0000-00-00 00:00:00'),(2077,'NSC','Norfolk Souther Corporation','Transportation','Railroads','0.00','0000-00-00 00:00:00'),(2078,'NTL','Nortel Inversora SA, ADR','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(2079,'NOA','North American Energy Partners, Inc.','Energy','Oilfield Services/Equipment','0.00','0000-00-00 00:00:00'),(2080,'NRT','North European Oil Royality Trust','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2081,'NU','Northeast Utilities','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(2082,'NOC','Northrop Grumman Corporation','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(2083,'NRF','Northstar Realty Finance Corp.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(2086,'NWN','Northwest Natural Gas Company','Public Utilities','Oil/Gas Transmission','0.00','0000-00-00 00:00:00'),(2087,'NWE','NorthWestern Corporation','Public Utilities','Power Generation','0.00','0000-00-00 00:00:00'),(2088,'NVS','Novartis AG','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(2089,'NVO','Novo Nordisk A/S','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(2090,'NRG','NRG Energy, Inc.','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(2091,'NST','NSTAR','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(2092,'DCM','NTT DOCOMO, Inc','Technology','Radio And Television Broadcasting And Communications Equipment','0.00','0000-00-00 00:00:00'),(2093,'NUS','Nu Skin Enterprises, Inc.','Health Care','Other Pharmaceuticals','0.00','0000-00-00 00:00:00'),(2094,'NUE','Nucor Corporation','Basic Industries','Steel/Iron Ore','0.00','0000-00-00 00:00:00'),(2095,'NS','Nustar Energy L.P.','Energy','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(2096,'NSH','Nustar GP Holdings, LLC','Energy','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(2099,'NAZ','Nuveen Arizona Premium Income Municipal Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2100,'NBB','Nuveen Build America Bond Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2101,'NBD','Nuveen Build America Bond Opportunity Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2102,'NAC','Nuveen California Dividend Advantage Municipal Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2108,'NQC','Nuveen California Investment Quality Municipal Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2109,'NCO','Nuveen California Municipal Market Opportunity Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2110,'NCA','Nuveen California Municipal Value Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2111,'NCP','Nuveen California Performance Plus Municipal Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2113,'NUC','Nuveen California Quality Income Municipal Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2114,'NVC','Nuveen California Select Quality Municipal Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2118,'NTC','Nuveen Connecticut Premium Income Municipal Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2121,'JCE','Nuveen Core Equity Alpha Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2122,'JDD','Nuveen Diversified Dividend and Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2123,'NAD','Nuveen Dividend Advantage Municipal Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2126,'JMF','Nuveen Energy MLP Total Return Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2127,'NEV','Nuveen Enhanced Municipal Value Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2128,'JLA','Nuveen Equity Premium Advantage Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2129,'JPG','Nuveen Equity Premium and Growth Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2130,'JPZ','Nuveen Equity Premium Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2131,'JSN','Nuveen Equity Premium Opportunity Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2132,'JFR','Nuveen Floating Rate Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2133,'JRO','Nuveen Floating Rate Income Opportuntiy Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2136,'JGG','Nuveen Global Government Enhanced Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2137,'JGV','Nuveen Global Value Opportunities Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2138,'NPC','Nuveen Insured California Premium Income Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2139,'NCL','Nuveen Insured California Premium Income Municipal Fund II, In','n/a','n/a','0.00','0000-00-00 00:00:00'),(2140,'NXC','Nuveen Insured California Select Tax-Free Income Portfolio','n/a','n/a','0.00','0000-00-00 00:00:00'),(2143,'NIO','Nuveen Insured Municipal Opportunity Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2144,'NNF','Nuveen Insured New York Premium Income Municipal Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2145,'NXN','Nuveen Insured New York Select Tax-Free Income Portfolio','n/a','n/a','0.00','0000-00-00 00:00:00'),(2147,'NPX','Nuveen Insured Premium Income Municipal Fund II','n/a','n/a','0.00','0000-00-00 00:00:00'),(2148,'NQI','Nuveen Insured Quality Municipal Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2150,'NQM','Nuveen Investment Quality Municipal Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2155,'NMY','Nuveen Maryland Premium Income Municipal Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2158,'NMT','Nuveen Massachusetts Premium Income Municipal Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2161,'NMP','Nuveen Michigan Premium Income Municipal Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2162,'NUM','Nuveen Michigan Quality Income Municipal Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2164,'JLS','Nuveen Mortgage Opportunity Term Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2165,'JGT','Nuveen Multi-Currency Short-Term Government Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2166,'NMA','Nuveen Municipal Advantage Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2167,'NMD','Nuveen Municipal High Income Opportunity Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2168,'NMI','Nuveen Municipal Income Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2169,'NMO','Nuveen Municipal Market Opportunity Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2170,'NUV','Nuveen Municipal Value Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2171,'NUW','Nuveen Municipal Value Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2174,'NQJ','Nuveen New Jersey Investment Quality Municipal Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2175,'NNJ','Nuveen New Jersey Premium Income Municipal Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2176,'NAN','Nuveen New York Dividend Advantage Municipal Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2180,'NQN','Nuveen New York Investment Quality Municipal Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2181,'NNY','Nuveen New York Municipal Value Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2182,'NNP','Nuveen New York Performance Plus Municipal Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2183,'NUN','Nuveen New York Quality Income Municipal Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2184,'NVN','Nuveen New York Select Quality Municipal Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2188,'NNC','Nuveen North Carolina Premium Income Municipal Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2192,'NUO','Nuveen Ohio Quality Income Municipal Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2195,'NQP','Nuveen Pennsylvania Investment Quality Municipal Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2196,'NPY','Nuveen Pennsylvania Premium Income Municipal Fund II','n/a','n/a','0.00','0000-00-00 00:00:00'),(2197,'NPP','Nuveen Performance Plus Municipal Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2198,'JPC','Nuveen Preferred and Convertible Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2199,'JQC','Nuveen Preferred and Convertible Income Fund 2','n/a','n/a','0.00','0000-00-00 00:00:00'),(2200,'NIF','Nuveen Premier Insured Municipal Income Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2201,'NPF','Nuveen Premier Municipal Income Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2202,'NPM','Nuveen Premium Income Municipal Fund II, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2203,'NPT','Nuveen Premium Income Municipal Fund IV, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2204,'NPI','Nuveen Premium Income Municipal Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2205,'NQU','Nuveen Quality Income Municipal Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2206,'JTP','Nuveen Quality Preferred Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2207,'JPS','Nuveen Quality Preferred Income Fund 2','n/a','n/a','0.00','0000-00-00 00:00:00'),(2208,'JHP','Nuveen Quality Preferred Income Fund 3','n/a','n/a','0.00','0000-00-00 00:00:00'),(2209,'NIM','Nuveen Select Maturities Municipal Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2210,'NQS','Nuveen Select Quality Municipal Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2211,'NXP','Nuveen Select Tax Free Income Portfolio','n/a','n/a','0.00','0000-00-00 00:00:00'),(2212,'NXQ','Nuveen Select Tax Free Income Portfolio II','n/a','n/a','0.00','0000-00-00 00:00:00'),(2213,'NXR','Nuveen Select Tax Free Income Portfolio III','n/a','n/a','0.00','0000-00-00 00:00:00'),(2214,'NSL','Nuveen Senior Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2215,'JSD','Nuveen Short Duration Credit Opportunities Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2216,'JTD','Nuveen Tax-Advantaged Dividend Growth Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2217,'JTA','Nuveen Tax-Advantaged Total Return Strategy Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2218,'NTX','Nuveen Texas Quality Income Municipal Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2222,'NPV','Nuveen Virginia Premium Income Municipal Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2225,'JMT','Nuven Mortgage Opportunity Term Fund 2','n/a','n/a','0.00','0000-00-00 00:00:00'),(2226,'NVE','NV Energy, Inc','Public Utilities','Power Generation','0.00','0000-00-00 00:00:00'),(2227,'NVR','NVR, Inc.','Capital Goods','Homebuilding','0.00','0000-00-00 00:00:00'),(2228,'NYX','NYSE Euronext, Inc.','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(2229,'OAS','Oasis Petroleum Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2230,'OXY','Occidental Petroleum Corporation','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2231,'OII','Oceaneering International, Inc.','Energy','Oilfield Services/Equipment','0.00','0000-00-00 00:00:00'),(2232,'OZM','Och-Ziff Capital Management Group LLC','Finance','Investment Managers','0.00','0000-00-00 00:00:00'),(2233,'OCN','Ocwen Financial Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(2234,'ODP','Office Depot, Inc.','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(2235,'OMX','Officemax Incorporated','Consumer Services','Paper','0.00','0000-00-00 00:00:00'),(2236,'OGE','OGE Energy Corporation','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(2237,'OIS','Oil States International, Inc.','Energy','Metal Fabrications','0.00','0000-00-00 00:00:00'),(2238,'ODC','Oil-Dri Corporation Of America','Consumer Durables','Miscellaneous manufacturing industries','0.00','0000-00-00 00:00:00'),(2239,'OILT','Oiltanking Partners, L.P.','Energy','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(2240,'ONB','Old National Bancorp Capital Trust I','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(2241,'ORI','Old Republic International Corporation','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(2242,'OLN','Olin Corporation','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(2243,'OMG','OM Group, Inc.','Basic Industries','Metal Fabrications','0.00','0000-00-00 00:00:00'),(2244,'OHI','Omega Healthcare Investors, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(2245,'OME','Omega Protein Corporation','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(2246,'OCR','Omnicare, Inc.','Health Care','Medical/Nursing Services','0.00','0000-00-00 00:00:00'),(2249,'OMC','Omnicom Group Inc.','Technology','Advertising','0.00','0000-00-00 00:00:00'),(2250,'OMN','OMNOVA Solutions Inc.','Basic Industries','Specialty Chemicals','0.00','0000-00-00 00:00:00'),(2251,'OLP','One Liberty Properties, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(2252,'OB','OneBeacon Insurance Group, Ltd.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(2253,'OKS','ONEOK Partners, L.P.','Public Utilities','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(2254,'OKE','ONEOK, Inc.','Public Utilities','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2255,'VIP','Open Joint Stock Company &quot;Vimpel-Communications&quot;','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(2256,'OPK','Opko Health Inc','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(2257,'OPY','Oppenheimer Holdings, Inc.','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(2258,'ORB','Orbital Sciences Corporation','Technology','Radio And Television Broadcasting And Communications Equipment','0.00','0000-00-00 00:00:00'),(2259,'OWW','Orbitz Worldwide, Inc.','Consumer Services','Transportation Services','0.00','0000-00-00 00:00:00'),(2260,'OFG','Oriental Financial Group, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(2263,'OEH','Orient-Express Hotels Ltd.','Consumer Services','Hotels/Resorts','0.00','0000-00-00 00:00:00'),(2264,'ORN','Orion Marine Group Inc','Basic Industries','Military/Government/Technical','0.00','0000-00-00 00:00:00'),(2265,'IX','Orix Corp Ads','Finance','Diversified Financial Services','0.00','0000-00-00 00:00:00'),(2266,'ORA','Ormat Technologies, Inc.','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(2267,'OSK','Oshkosh Truck Corporation','Capital Goods','Auto Manufacturing','0.00','0000-00-00 00:00:00'),(2268,'OSG','Overseas Shipholding Group, Inc.','Transportation','Marine Transportation','0.00','0000-00-00 00:00:00'),(2269,'OMI','Owens & Minor, Inc.','Health Care','Medical Specialities','0.00','0000-00-00 00:00:00'),(2270,'OC','Owens Corning Inc','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(2271,'OC/WS/B','Owens Corning Inc','n/a','n/a','0.00','0000-00-00 00:00:00'),(2272,'OI','Owens-Illinois, Inc.','Consumer Durables','Containers/Packaging','0.00','0000-00-00 00:00:00'),(2273,'OXM','Oxford Industries, Inc.','Consumer Non-Durables','Apparel','0.00','0000-00-00 00:00:00'),(2274,'OXF','Oxford Resource Partners, LP','Energy','Coal Mining','0.00','0000-00-00 00:00:00'),(2275,'TLK','P.T. Telekomunikasi Indonesia, Tbk.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(2276,'PNG','PAA Natural Gas Storage, L.P.','Public Utilities','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(2277,'PAI','Pacific American Income Shares, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2278,'PACD','Pacific Drilling S.A.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2279,'PCG','Pacific Gas & Electric Co.','Public Utilities','Power Generation','0.00','0000-00-00 00:00:00'),(2280,'PKG','Packaging Corporation of America','Consumer Durables','Containers/Packaging','0.00','0000-00-00 00:00:00'),(2281,'PLL','Pall Corporation','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(2282,'PAM','Pampa Energia S.A.','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(2283,'PC','Panasonic Corporation','Energy','Consumer Electronics/Appliances','0.00','0000-00-00 00:00:00'),(2284,'P','Pandora Media, Inc.','Consumer Services','Broadcasting','0.00','0000-00-00 00:00:00'),(2285,'PHX','Panhandle Royalty Company','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2286,'PAR','PAR Technology Corporation','Miscellaneous','Office Equipment/Supplies/Services','0.00','0000-00-00 00:00:00'),(2287,'PRGN','Paragon Shipping Inc.','Transportation','Marine Transportation','0.00','0000-00-00 00:00:00'),(2288,'PKE','Park Electrochemical Corporation','Technology','Electrical Products','0.00','0000-00-00 00:00:00'),(2289,'PKD','Parker Drilling Company','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2290,'PH','Parker-Hannifin Corporation','Capital Goods','Metal Fabrications','0.00','0000-00-00 00:00:00'),(2291,'PKY','Parkway Properties, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(2293,'PRE','PartnerRe Ltd.','Finance','Accident &Health Insurance','0.00','0000-00-00 00:00:00'),(2297,'PTI','Patni Computer Systems Limited','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(2298,'PCX','Patriot Coal Corporation','Energy','Coal Mining','0.00','0000-00-00 00:00:00'),(2299,'BTU','Peabody Energy Corporation','Energy','Coal Mining','0.00','0000-00-00 00:00:00'),(2300,'PSO','Pearson, Plc','Consumer Services','Books','0.00','0000-00-00 00:00:00'),(2301,'PEB','Pebblebrook Hotel Trust','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(2308,'PGH','Pengrowth Energy Corporation','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2309,'PVA','Penn Virginia Corporation','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2310,'PVR','Penn Virginia Resource Partners LP','Energy','Coal Mining','0.00','0000-00-00 00:00:00'),(2311,'PWE','Penn West Petroleum Ltd','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2312,'PEI','Pennsylvania Real Estate Investment Trust','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(2313,'PMT','PennyMac Mortgage Investment Trust','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(2314,'PAG','Penske Automotive Group, Inc.','Consumer Durables','Automotive Aftermarket','0.00','0000-00-00 00:00:00'),(2315,'PNR','Pentair, Inc.','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(2316,'PBY','Pep Boys-Manny, Moe & Jack (The)','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(2317,'PEP','Pepsico, Inc.','Consumer Non-Durables','Beverages (Production/Distribution)','0.00','0000-00-00 00:00:00'),(2318,'PKI','PerkinElmer, Inc.','Capital Goods','Biotechnology: Laboratory Analytical Instruments','0.00','0000-00-00 00:00:00'),(2319,'PBT','Permian Basin Royalty Trust','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2320,'PZE','Petrobras Argentina S.A.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2321,'PTR','PetroChina Company Limited','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2322,'PBR','Petroleo Brasileiro S.A.- Petrobras','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2323,'PBR/A','Petroleo Brasileiro S.A.- Petrobras','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2324,'PEO','Petroleum Resources Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(2325,'PQ','Petroquest Energy Inc','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2326,'PFE','Pfizer, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(2327,'PRX','Pharmaceutical Resources, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(2328,'PMC','Pharmerica Corporation','Health Care','Medical/Nursing Services','0.00','0000-00-00 00:00:00'),(2329,'PHH','PHH Corp','Finance','Diversified Financial Services','0.00','0000-00-00 00:00:00'),(2330,'PM','Philip Morris International Inc','Consumer Non-Durables','Farming/Seeds/Milling','0.00','0000-00-00 00:00:00'),(2331,'PHI','Philippine Long Distance Telephone Company','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(2332,'PFX','Phoenix Companies, Inc. (The)','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(2333,'PNX','Phoenix Companies, Inc. (The)','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(2334,'FENG','Phoenix New Media Limited','Consumer Services','Broadcasting','0.00','0000-00-00 00:00:00'),(2335,'PNY','Piedmont Natural Gas Company, Inc.','Public Utilities','Oil/Gas Transmission','0.00','0000-00-00 00:00:00'),(2336,'PDM','Piedmont Office Realty Trust, Inc.','Consumer Services','Building operators','0.00','0000-00-00 00:00:00'),(2337,'PIR','Pier 1 Imports, Inc.','Consumer Services','Home Furnishings','0.00','0000-00-00 00:00:00'),(2338,'PIKE','Pike Electric Corp.','Capital Goods','Engineering & Construction','0.00','0000-00-00 00:00:00'),(2339,'PPC','Pilgrim\'s Pride Corporation','Consumer Non-Durables','Meat/Poultry/Fish','0.00','0000-00-00 00:00:00'),(2340,'PCQ','PIMCO California Municipal Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2341,'PCK','Pimco California Municipal Income Fund II','n/a','n/a','0.00','0000-00-00 00:00:00'),(2342,'PZC','PIMCO California Municipal Income Fund III','n/a','n/a','0.00','0000-00-00 00:00:00'),(2343,'PCM','PIMCO Commercial Mortgage Securities Trust, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2344,'PCN','Pimco Corporate Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2345,'PTY','Pimco Corporate Opportunity Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2346,'PGP','Pimco Global Stocksplus & Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2347,'PHK','Pimco High Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2348,'PKO','Pimco Income Opportunity Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2349,'PFL','PIMCO Income Strategy Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2350,'PFN','PIMCO Income Strategy Fund II','n/a','n/a','0.00','0000-00-00 00:00:00'),(2351,'PMF','PIMCO Municipal Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2352,'PML','Pimco Municipal Income Fund II','n/a','n/a','0.00','0000-00-00 00:00:00'),(2353,'PMX','PIMCO Municipal Income Fund III','n/a','n/a','0.00','0000-00-00 00:00:00'),(2354,'PNF','PIMCO New York Municipal Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2355,'PNI','Pimco New York Municipal Income Fund II','n/a','n/a','0.00','0000-00-00 00:00:00'),(2356,'PYN','PIMCO New York Municipal Income Fund III','n/a','n/a','0.00','0000-00-00 00:00:00'),(2357,'PNK','Pinnacle Entertainment, Inc.','Consumer Services','Hotels/Resorts','0.00','0000-00-00 00:00:00'),(2358,'PNW','Pinnacle West Capital Corporation','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(2359,'PHD','Pioneer Floating Rate Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(2360,'PHT','Pioneer High Income Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(2361,'MAV','Pioneer Municipal High Income Advantage Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(2362,'MHI','Pioneer Municipal High Income Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(2363,'PXD','Pioneer Natural Resources Company','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2364,'PSE','Pioneer Southwest Energy Partners L.P.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2365,'PJC','Piper Jaffray Companies','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(2366,'PBI','Pitney Bowes Inc','Miscellaneous','Office Equipment/Supplies/Services','0.00','0000-00-00 00:00:00'),(2368,'PAA','Plains All American Pipeline, L.P.','Energy','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(2369,'PXP','Plains Exploration & Production Company','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2370,'PLT','Plantronics, Inc.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(2371,'PTP','Platinum Underwriters Holdings, Ltd','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(2372,'PCL','Plum Creek Timber Company, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(2373,'PNH','PNC Cap Tr E','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(2374,'PNC','PNC Financial Services Group, Inc. (The)','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(2375,'PNC/WS','PNC Financial Services Group, Inc. (The)','n/a','n/a','0.00','0000-00-00 00:00:00'),(2377,'PNU','PNC Financial Services Group, Inc. (The)','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(2378,'PNM','PNM Resources, Inc. (Holding Co.)','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(2379,'PII','Polaris Industries Inc.','Capital Goods','Industrial Specialties','0.00','0000-00-00 00:00:00'),(2380,'POL','PolyOne Corporation','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(2381,'PPO','Polypore International Inc','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(2382,'POR','Portland General Electric Company','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(2383,'PT','Portugal Telecom SGPS, S.A .','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(2384,'PKX','POSCO','Basic Industries','Steel/Iron Ore','0.00','0000-00-00 00:00:00'),(2385,'PPS','Post Properties, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(2387,'POT','Potash Corporation of Saskatchewan Inc.','Basic Industries','Agricultural Chemicals','0.00','0000-00-00 00:00:00'),(2388,'POM','Potomac Electric Power Company','Public Utilities','Power Generation','0.00','0000-00-00 00:00:00'),(2389,'PPG','PPG Industries, Inc.','Basic Industries','Paints/Coatings','0.00','0000-00-00 00:00:00'),(2390,'PLV','PPL Corporation','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(2391,'PPL','PPL Corporation','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(2394,'PJI','PPlus Trust','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(2395,'PYA','PPlus Trust','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(2396,'PYB','PPlus Trust','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(2397,'PYC','PPlus Trust','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(2398,'PYG','PPlus Trust','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(2399,'PYJ','PPlus Trust','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(2400,'PYK','PPlus Trust','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(2401,'PYL','PPlus Trust','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(2402,'PYS','PPlus Trust','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(2403,'PYT','PPlus Trust','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(2404,'PYV','PPlus Trust','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(2405,'PX','Praxair, Inc.','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(2406,'PCP','Precision Castparts Corporation','Basic Industries','Metal Fabrications','0.00','0000-00-00 00:00:00'),(2407,'PDS','Precision Drilling Corporation','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2408,'PJA','Preferred Plus Trust Ser QWS 2 Tr Ctf','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(2409,'PJL','Preferred Plus Trust Ser QWS 2 Tr Ctf','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(2410,'PJS','Preferred Plus Trust Ser QWS 2 Tr Ctf','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(2411,'PBH','Prestige Brand Holdings, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(2412,'PRI','Primerica, Inc.','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(2413,'PPP','Primero Mining Corp','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(2414,'PRD','Primus Guaranty, LTD.','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(2415,'PRS','Primus Guaranty, LTD.','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(2416,'PTGI','Primus Telecommunications Group Inc.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(2417,'PFG','Principal Financial Group Inc','Finance','Accident &Health Insurance','0.00','0000-00-00 00:00:00'),(2419,'PRA','ProAssurance Corporation','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(2420,'PG','Procter & Gamble Company (The)','Basic Industries','Package Goods/Cosmetics','0.00','0000-00-00 00:00:00'),(2422,'PGN','Progress Energy, Inc.','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(2423,'PGR','Progressive Corporation (The)','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(2424,'BIN','Progressive Waste Solutions Ltd.','Public Utilities','Environmental Services','0.00','0000-00-00 00:00:00'),(2425,'PRIS','Promotora De Informaciones SA','Consumer Services','Television Services','0.00','0000-00-00 00:00:00'),(2426,'PRIS/B','Promotora De Informaciones SA','n/a','n/a','0.00','0000-00-00 00:00:00'),(2427,'PRO','PROS Holdings, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(2428,'PL','Protective Life Corporation','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(2433,'PLP','Protective Life Corporation','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(2434,'PVX','Provident Energy Ltd.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2435,'PFS','Provident Financial Services, Inc','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(2436,'PFK','Prudential Financial, Inc.','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(2437,'PHR','Prudential Financial, Inc.','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(2438,'PRU','Prudential Financial, Inc.','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(2439,'PUK','Prudential Public Limited Company','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(2442,'PSB','PS Business Parks, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(2449,'IIT','PT Indosat Tbk','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(2450,'PGI','PTEK Holdings, Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(2451,'PEG','Public Service Enterprise Group Incorporated','Public Utilities','Power Generation','0.00','0000-00-00 00:00:00'),(2452,'PSA','Public Storage','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(2468,'PULS','Pulse Electronics Corporation','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(2469,'PHA','PulteGroup, Inc.','Capital Goods','Homebuilding','0.00','0000-00-00 00:00:00'),(2470,'PHM','PulteGroup, Inc.','Capital Goods','Homebuilding','0.00','0000-00-00 00:00:00'),(2471,'PCF','Putnam High Income Bond Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2472,'PMM','Putnam Managed Municipal Income Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(2473,'PIM','Putnam Master Intermediate Income Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(2474,'PMO','Putnam Municipal Opportunities Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(2475,'PPT','Putnam Premier Income Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(2476,'PVH','PVH Corp.','Consumer Non-Durables','Apparel','0.00','0000-00-00 00:00:00'),(2477,'PZN','Pzena Investment Management Inc','Finance','Investment Managers','0.00','0000-00-00 00:00:00'),(2478,'QEP','QEP Resources, Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2479,'QXM','Qiao Xing Mobile Communication Co., Ltd.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(2480,'QIHU','Qihoo 360 Technology Co. Ltd.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(2481,'QRE','QR Energy, LP','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2482,'QUAD','Quad Graphics, Inc','Miscellaneous','Publishing','0.00','0000-00-00 00:00:00'),(2483,'KWR','Quaker Chemical Corporation','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(2484,'NX','Quanex Building Products Corporation','Capital Goods','Metal Fabrications','0.00','0000-00-00 00:00:00'),(2485,'PWR','Quanta Services, Inc.','Capital Goods','Engineering & Construction','0.00','0000-00-00 00:00:00'),(2486,'QTM','Quantum Corporation','Technology','Electronic Components','0.00','0000-00-00 00:00:00'),(2487,'DGX','Quest Diagnostics Incorporated','Health Care','Medical Specialities','0.00','0000-00-00 00:00:00'),(2488,'STR','Questar Corporation','Public Utilities','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2489,'KWK','Quicksilver Resources Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2490,'ZQK','Quiksilver, Inc.','Consumer Non-Durables','Apparel','0.00','0000-00-00 00:00:00'),(2491,'CTQ','Qwest Corporation','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(2492,'CTW','Qwest Corporation','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(2493,'RAX','Rackspace Hosting, Inc','Technology','Computer Software: Programming, Data Processing','0.00','0000-00-00 00:00:00'),(2494,'RDN','Radian Group Inc.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(2495,'RSH','Radioshack Corporation','Consumer Services','Consumer Electronics/Video Chains','0.00','0000-00-00 00:00:00'),(2496,'RA','RailAmerica, Inc.','Transportation','Railroads','0.00','0000-00-00 00:00:00'),(2497,'RAS','RAIT Financial Trust','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(2501,'RAH','Ralcorp Holdings, Inc.','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(2502,'RL','Ralph Lauren Corporation','Consumer Non-Durables','Apparel','0.00','0000-00-00 00:00:00'),(2503,'RPT','Ramco-Gershenson Properties Trust','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(2505,'RRC','Range Resources Corporation','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2506,'RJF','Raymond James Financial, Inc.','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(2507,'RYN','Rayonier Inc. REIT','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(2508,'RTN','Raytheon Company','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(2509,'RCS','RCM Strategic Global Government Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2510,'RLD','RealD Inc','Technology','Radio And Television Broadcasting And Communications Equipment','0.00','0000-00-00 00:00:00'),(2511,'O','Realty Income Corporation','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(2514,'RHT','Red Hat, Inc.','Technology','Computer Software: Programming, Data Processing','0.00','0000-00-00 00:00:00'),(2515,'RLH','Red Lion Hotels Corporation','Consumer Services','Hotels/Resorts','0.00','0000-00-00 00:00:00'),(2517,'FRZ','Reddy Ice Holdings, Inc.','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(2518,'RWT','Redwood Trust, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(2519,'ENL','Reed Elsevier NV','Consumer Services','Publishing','0.00','0000-00-00 00:00:00'),(2520,'RUK','Reed Elsevier PLC','Consumer Services','Publishing','0.00','0000-00-00 00:00:00'),(2521,'RBC','Regal Beloit Corporation','Consumer Durables','Metal Fabrications','0.00','0000-00-00 00:00:00'),(2522,'RGC','Regal Entertainment Group','Consumer Services','Movies/Entertainment','0.00','0000-00-00 00:00:00'),(2523,'REG','Regency Centers Corporation','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(2527,'RGP','Regency Energy Partners LP','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2528,'RF','Regions Financial Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(2530,'RGS','Regis Corporation','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(2531,'RGA','Reinsurance Group of America, Incorporated','Finance','Accident &Health Insurance','0.00','0000-00-00 00:00:00'),(2532,'RS','Reliance Steel & Aluminum Co.','Basic Industries','Metal Fabrications','0.00','0000-00-00 00:00:00'),(2533,'RNR','RenaissanceRe Holdings Ltd.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(2536,'SOL','Renesola Ltd.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(2537,'RENN','Renren Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(2538,'RNF','Rentech Nitrogen Partners, L.P.','Basic Industries','Agricultural Chemicals','0.00','0000-00-00 00:00:00'),(2539,'RSG','Republic Services, Inc.','Public Utilities','Environmental Services','0.00','0000-00-00 00:00:00'),(2540,'RMD','ResMed Inc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(2541,'REN           ','Resolute Energy Corporation','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2542,'REN/WS','Resolute Energy Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(2543,'RSO','Resource Capital Corp.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(2544,'REV','Revlon, Inc.','Consumer Non-Durables','Package Goods/Cosmetics','0.00','0000-00-00 00:00:00'),(2545,'REX','REX American Resources Corporation','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(2546,'RAI','Reynolds American Inc','Consumer Non-Durables','Farming/Seeds/Milling','0.00','0000-00-00 00:00:00'),(2547,'RNO','Rhino Resource Partners LP','Energy','Coal Mining','0.00','0000-00-00 00:00:00'),(2548,'RIO','Rio Tinto Plc','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(2549,'RBA','Ritchie Bros. Auctioneers Incorporated','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(2550,'RAD','Rite Aid Corporation','Health Care','Medical/Nursing Services','0.00','0000-00-00 00:00:00'),(2551,'BDF','Rivus Bond Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2552,'RLI','RLI Corp.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(2553,'RLJ','RLJ Lodging Trust','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(2554,'RRTS','Roadrunner Transportation Systems, Inc','Transportation','Oil Refining/Marketing','0.00','0000-00-00 00:00:00'),(2555,'RBN','Robbins & Myers, Inc.','Capital Goods','Fluid Controls','0.00','0000-00-00 00:00:00'),(2556,'RHI','Robert Half International Inc.','Technology','Professional Services','0.00','0000-00-00 00:00:00'),(2557,'RKT','Rock-Tenn Company','Consumer Durables','Containers/Packaging','0.00','0000-00-00 00:00:00'),(2558,'ROK','Rockwell Automation, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(2559,'COL','Rockwell Collins, Inc.','Capital Goods','Military/Government/Technical','0.00','0000-00-00 00:00:00'),(2560,'ROC','Rockwood Holdings, Inc.','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(2561,'RCI','Rogers Communication, Inc.','Consumer Services','Television Services','0.00','0000-00-00 00:00:00'),(2562,'ROG','Rogers Corporation','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(2563,'ROL','Rollins, Inc.','Finance','Diversified Commercial Services','0.00','0000-00-00 00:00:00'),(2564,'ROP','Roper Industries, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(2565,'RST','Rosetta Stone','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(2566,'RDC','Rowan Companies, Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2567,'RY','Royal Bank Of Canada','Finance','Commercial Banks','0.00','0000-00-00 00:00:00'),(2568,'RBS','Royal Bank Scotland Group Plc','Finance','Commercial Banks','0.00','0000-00-00 00:00:00'),(2582,'RCL','Royal Caribbean Cruises Ltd.','Consumer Services','Marine Transportation','0.00','0000-00-00 00:00:00'),(2583,'RDS/A','Royal Dutch Shell PLC','n/a','n/a','0.00','0000-00-00 00:00:00'),(2584,'RDS/B','Royal Dutch Shell PLC','n/a','n/a','0.00','0000-00-00 00:00:00'),(2586,'RMT','Royce Micro-Cap Trust, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2588,'RVT','Royce Value Trust, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2590,'RES','RPC, Inc.','Energy','Oilfield Services/Equipment','0.00','0000-00-00 00:00:00'),(2591,'RPM','RPM International Inc.','Basic Industries','Paints/Coatings','0.00','0000-00-00 00:00:00'),(2592,'RRR','RSC Holdings Inc.','Technology','Diversified Commercial Services','0.00','0000-00-00 00:00:00'),(2593,'RTI','RTI International Metals, Inc.','Capital Goods','Metal Fabrications','0.00','0000-00-00 00:00:00'),(2594,'RT','Ruby Tuesday, Inc.','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(2595,'RDK','Ruddick Corporation','Consumer Services','Food Chains','0.00','0000-00-00 00:00:00'),(2596,'R','Ryder System, Inc.','Consumer Services','Rental/Leasing Companies','0.00','0000-00-00 00:00:00'),(2597,'RYL','Ryland Group, Inc. (The)','Capital Goods','Homebuilding','0.00','0000-00-00 00:00:00'),(2598,'SBR','Sabine Royalty Trust','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2599,'SB','Safe Bulkers, Inc','Transportation','Marine Transportation','0.00','0000-00-00 00:00:00'),(2600,'SFE','Safeguard Scientifics, Inc.','Finance','Finance/Investors Services','0.00','0000-00-00 00:00:00'),(2601,'SWY','Safeway Inc.','Consumer Services','Food Chains','0.00','0000-00-00 00:00:00'),(2602,'SAI','SAIC Inc','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(2603,'SKS','Saks Incorporated','Consumer Services','Department/Specialty Retail Stores','0.00','0000-00-00 00:00:00'),(2604,'CRM','Salesforce.com Inc','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(2605,'SMF','Salient MLP and Energy Infrastructure Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2606,'SBH','Sally Beauty Holdings, Inc.','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(2607,'SJT','San Juan Basin Royalty Trust','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2608,'SD','Sandridge Energy Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2609,'SDT','SandRidge Mississippian Trust I','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2610,'PER','SandRidge Permian Trust','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2611,'SNY','Sanofi','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(2613,'SAP','SAP AG','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(2614,'SPP','Sappi Limited','Consumer Durables','Containers/Packaging','0.00','0000-00-00 00:00:00'),(2615,'SLE','Sara Lee Corporation','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(2616,'SAR','Saratoga Investment Corp','n/a','n/a','0.00','0000-00-00 00:00:00'),(2617,'SSL','Sasol Ltd.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2618,'SHS','Sauer-Danfoss Inc.','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(2619,'BFS','Saul Centers, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(2622,'SCG','Scana Corporation','Public Utilities','Power Generation','0.00','0000-00-00 00:00:00'),(2623,'SCU','Scana Corporation','Public Utilities','Power Generation','0.00','0000-00-00 00:00:00'),(2624,'SGK','Schawk, Inc.','Consumer Durables','Containers/Packaging','0.00','0000-00-00 00:00:00'),(2625,'WNI','Schiff Nutrition International, Inc.','Consumer Non-Durables','Food Distributors','0.00','0000-00-00 00:00:00'),(2626,'SLB','Schlumberger N.V.','Energy','Oilfield Services/Equipment','0.00','0000-00-00 00:00:00'),(2627,'SWM','Schweitzer-Mauduit International, Inc.','Basic Industries','Paper','0.00','0000-00-00 00:00:00'),(2628,'STNG','Scorpio Tankers Inc.','Transportation','Marine Transportation','0.00','0000-00-00 00:00:00'),(2629,'SMG','Scotts Miracle-Gro Company (The)','Basic Industries','Agricultural Chemicals','0.00','0000-00-00 00:00:00'),(2630,'SNI','Scripps Networks Interactive, Inc','Consumer Services','Television Services','0.00','0000-00-00 00:00:00'),(2631,'LBF','Scudder Global High Income Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2632,'KHI','Scudder High Income Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(2633,'KMM','Scudder Multi-Market Income Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(2634,'KTF','Scudder Municiple Income Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(2635,'KST','Scudder Strategic Income Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(2636,'KSM','Scudder Strategic Municiple Income Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(2637,'SBX','SeaBright Holdings, Inc.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(2638,'CKH','SEACOR Holdings, Inc.','Transportation','Marine Transportation','0.00','0000-00-00 00:00:00'),(2639,'BOX','SeaCube Container Leasing Ltd.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2640,'SDRL','Seadrill Limited','n/a','n/a','0.00','0000-00-00 00:00:00'),(2641,'SEE','Sealed Air Corporation','Consumer Durables','Containers/Packaging','0.00','0000-00-00 00:00:00'),(2642,'ZZ','Sealy Corporation','Consumer Durables','Home Furnishings','0.00','0000-00-00 00:00:00'),(2643,'ZZC','Sealy Corporation','Consumer Durables','Home Furnishings','0.00','0000-00-00 00:00:00'),(2644,'SSW','Seaspan Corporation','Transportation','Marine Transportation','0.00','0000-00-00 00:00:00'),(2646,'JBN','Select Asset Inc.','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(2647,'JBR','Select Asset Inc.','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(2648,'SEM','Select Medical Holdings Corporation','Health Care','Hospital/Nursing Management','0.00','0000-00-00 00:00:00'),(2649,'SGZ','Selective Insurance Group, Inc.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(2650,'SEMG','Semgroup Corporation','Energy','Oilfield Services/Equipment','0.00','0000-00-00 00:00:00'),(2651,'SEMG/WS','Semgroup Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(2652,'SMI','Semiconductor  Manufacturing International Corporation','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(2653,'SRE','Sempra Energy','Public Utilities','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(2654,'ARK','Senior High Income Portfolio, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2655,'SNH','Senior Housing Properties Trust','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(2656,'ST','Sensata Technologies Holding N.V.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(2657,'SXT','Sensient Technologies Corporation','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(2658,'SQNS','Sequans Communications S.A.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(2659,'SCI','Service Corporation International','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(2660,'SHP','ShangPharma Corporation','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(2661,'SJR','Shaw Communications Inc.','Consumer Services','Television Services','0.00','0000-00-00 00:00:00'),(2662,'SHAW','Shaw Group Inc. (The)','Capital Goods','Metal Fabrications','0.00','0000-00-00 00:00:00'),(2663,'SHW','Sherwin-Williams Company (The)','Consumer Services','RETAIL: Building Materials','0.00','0000-00-00 00:00:00'),(2664,'SHG','Shinhan Financial Group Co Ltd','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(2665,'SFL','Ship Finance International Limited','Transportation','Marine Transportation','0.00','0000-00-00 00:00:00'),(2666,'SI','Siemens AG','Energy','Consumer Electronics/Appliances','0.00','0000-00-00 00:00:00'),(2667,'SIG','Signet Jewelers Limited','Consumer Services','Consumer Specialties','0.00','0000-00-00 00:00:00'),(2668,'SLW','Silver Wheaton Corp','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(2669,'SVM','Silvercorp Metals Inc','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(2675,'SCR','Simcere Pharmaceutical Group','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(2676,'SPG','Simon Property Group, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(2678,'SSD','Simpson Manufacturing Company, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(2679,'SMS','Sims Metal Management Limited','Consumer Durables','Industrial Specialties','0.00','0000-00-00 00:00:00'),(2680,'SGF','Singapore Fund, Inc. (The)','n/a','n/a','0.00','0000-00-00 00:00:00'),(2681,'SHI','SINOPEC Shangai Petrochemical Company, Ltd.','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(2682,'SIX','Six Flags Entertainment Corporation New','Consumer Services','Services-Misc. Amusement & Recreation','0.00','0000-00-00 00:00:00'),(2683,'SJW','SJW Corporation','Public Utilities','Water Supply','0.00','0000-00-00 00:00:00'),(2684,'SKM','SK Telecom Corporation, Ltd.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(2685,'SKX','Skechers U.S.A., Inc.','Consumer Non-Durables','Shoe Manufacturing','0.00','0000-00-00 00:00:00'),(2686,'SKH','Skilled Healthcare Group, Inc.','Health Care','Hospital/Nursing Management','0.00','0000-00-00 00:00:00'),(2687,'SKY','Skyline Corporation','Basic Industries','Homebuilding','0.00','0000-00-00 00:00:00'),(2688,'SLG','SL Green Realty Corporation','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(2691,'ISM','SLM Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(2692,'JSM','SLM Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(2693,'OSM','SLM Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(2694,'SLM','SLM Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(2697,'SM','SM Energy Company','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2698,'ZYY','SM Listed Test 2','n/a','n/a','0.00','0000-00-00 00:00:00'),(2700,'ZZA','SM Listed Test 2','n/a','n/a','0.00','0000-00-00 00:00:00'),(2701,'ZZB','SM Listed Test 2','n/a','n/a','0.00','0000-00-00 00:00:00'),(2702,'ZZD','SM Listed Test 2','n/a','n/a','0.00','0000-00-00 00:00:00'),(2703,'ZZE','SM Listed Test 2','n/a','n/a','0.00','0000-00-00 00:00:00'),(2704,'ZZF','SM Listed Test 2','n/a','n/a','0.00','0000-00-00 00:00:00'),(2705,'ZZG','SM Listed Test 2','n/a','n/a','0.00','0000-00-00 00:00:00'),(2706,'ZZH','SM Listed Test 2','n/a','n/a','0.00','0000-00-00 00:00:00'),(2707,'ZZI','SM Listed Test 2','n/a','n/a','0.00','0000-00-00 00:00:00'),(2708,'ZZJ','SM Listed Test 2','n/a','n/a','0.00','0000-00-00 00:00:00'),(2709,'ZZJJ','SM Listed Test 2','n/a','n/a','0.00','0000-00-00 00:00:00'),(2710,'SNN','Smith & Nephew SNATS, Inc.','Health Care','Industrial Specialties','0.00','0000-00-00 00:00:00'),(2711,'AOS','Smith (A.O.) Corporation','Consumer Durables','Metal Fabrications','0.00','0000-00-00 00:00:00'),(2712,'SFD','Smithfield Foods, Inc.','Consumer Non-Durables','Meat/Poultry/Fish','0.00','0000-00-00 00:00:00'),(2713,'SNA','Snap-On Incorporated','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(2714,'SQM','Sociedad Quimica y Minera S.A.','Basic Industries','Mining & Quarrying of Nonmetallic Minerals (No Fuels)','0.00','0000-00-00 00:00:00'),(2715,'SWI','Solarwinds, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(2716,'SLH','Solera Holdings, Inc.','Technology','Computer Software: Programming, Data Processing','0.00','0000-00-00 00:00:00'),(2717,'SOA','Solutia Inc','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(2718,'SOA/WS','Solutia Inc','n/a','n/a','0.00','0000-00-00 00:00:00'),(2719,'SAH','Sonic Automotive, Inc.','Consumer Durables','Automotive Aftermarket','0.00','0000-00-00 00:00:00'),(2720,'SON','Sonoco Products Company','Consumer Durables','Containers/Packaging','0.00','0000-00-00 00:00:00'),(2721,'SNE','Sony Corp Ord','Consumer Non-Durables','Consumer Electronics/Appliances','0.00','0000-00-00 00:00:00'),(2722,'BID','Sotheby\'s','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(2723,'SFUN','SouFun Holdings Limited','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(2724,'SOR','Source Capital, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2726,'SJI','South Jersey Industries, Inc.','Public Utilities','Oil/Gas Transmission','0.00','0000-00-00 00:00:00'),(2727,'SO','Southern Company (The)','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(2728,'SCCO','Southern Copper Corporation','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(2729,'SUG','Southern Union Company','Public Utilities','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(2730,'LUV','Southwest Airlines Company','Transportation','Air Freight/Delivery Services','0.00','0000-00-00 00:00:00'),(2731,'SWX','Southwest Gas Corporation','Public Utilities','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2732,'SWN','Southwestern Energy Company','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2733,'SSS','Sovran Self Storage, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(2734,'CODE','Spansion Inc','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(2735,'SEH','Spartech Corporation','Basic Industries','Containers/Packaging','0.00','0000-00-00 00:00:00'),(2736,'SPA','Sparton Corporation','Technology','Electrical Products','0.00','0000-00-00 00:00:00'),(2737,'SPE','Special Opportunities Fund Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2738,'SE','Spectra Energy Corp','Public Utilities','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2739,'SEP','Spectra Energy Partners, LP','Public Utilities','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(2740,'SPB           ','Spectrum Brands Holdings, Inc.','Energy','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(2741,'TRK','Speedway Motorsports, Inc.','Consumer Services','Services-Misc. Amusement & Recreation','0.00','0000-00-00 00:00:00'),(2742,'SPR','Spirit Aerosystems Holdings, Inc.','Capital Goods','Military/Government/Technical','0.00','0000-00-00 00:00:00'),(2743,'S','Sprint  Nextel Corporation','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(2744,'SPW','SPX Corporation','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(2745,'JOE','St. Joe Company (The)','Consumer Services','Homebuilding','0.00','0000-00-00 00:00:00'),(2746,'STJ','St. Jude Medical, Inc.','Health Care','Biotechnology: Electromedical & Electrotherapeutic Apparatus','0.00','0000-00-00 00:00:00'),(2747,'STAG','Stag Industrial, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(2749,'SSI','Stage Stores, Inc.','Consumer Services','Clothing/Shoe/Accessory Stores','0.00','0000-00-00 00:00:00'),(2750,'SFG','StanCorp Financial Group, Inc.','Finance','Accident &Health Insurance','0.00','0000-00-00 00:00:00'),(2751,'SMP','Standard Motor Products, Inc.','Energy','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(2752,'SPF','Standard Pacific Corp','Capital Goods','Homebuilding','0.00','0000-00-00 00:00:00'),(2753,'SR','Standard Register Company (The)','Consumer Services','Office Equipment/Supplies/Services','0.00','0000-00-00 00:00:00'),(2754,'SXI','Standex International Corporation','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(2755,'SWK','Stanley Black & Decker, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(2756,'SWU','Stanley Black & Decker, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(2757,'STN','Stantec Inc','Consumer Services','Military/Government/Technical','0.00','0000-00-00 00:00:00'),(2758,'SGU','Star Gas Partners, L.P.','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(2759,'SRT','StarTek, Inc.','Technology','Professional Services','0.00','0000-00-00 00:00:00'),(2760,'HOT','Starwood Hotels & Resorts Worldwide, Inc.','Consumer Services','Hotels/Resorts','0.00','0000-00-00 00:00:00'),(2761,'STWD','STARWOOD PROPERTY TRUST, INC.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(2762,'STT','State Street Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(2763,'STO','Statoil ASA','Energy','Integrated oil Companies','0.00','0000-00-00 00:00:00'),(2764,'SCS','Steelcase Inc.','Consumer Durables','Office Equipment/Supplies/Services','0.00','0000-00-00 00:00:00'),(2765,'LVB','Steinway Musical Instruments, Inc.','Miscellaneous','Home Furnishings','0.00','0000-00-00 00:00:00'),(2766,'SCL','Stepan Company','Basic Industries','Package Goods/Cosmetics','0.00','0000-00-00 00:00:00'),(2768,'STE','STERIS Corporation','Health Care','Industrial Specialties','0.00','0000-00-00 00:00:00'),(2769,'STL','Sterling Bancorp','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(2771,'SLT','Sterlite Industries (India) Limited','Capital Goods','Metal Fabrications','0.00','0000-00-00 00:00:00'),(2772,'STC','Stewart Information Services Corporation','Finance','Specialty Insurers','0.00','0000-00-00 00:00:00'),(2773,'SF','Stifel Financial Corporation','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(2774,'SWC','Stillwater Mining Company','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(2775,'STM','STMicroelectronics N.V.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(2776,'SGY','Stone Energy Corporation','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2777,'EDF','Stone Harbor Emerging Markets Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2778,'SRI','Stoneridge, Inc.','Capital Goods','Auto Parts:O.E.M.','0.00','0000-00-00 00:00:00'),(2779,'STRI','STR Holdings, Inc','Capital Goods','Specialty Chemicals','0.00','0000-00-00 00:00:00'),(2780,'SGL','Strategic Global Income Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2781,'BEE','Strategic Hotels & Resorts Inc','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(2785,'HYY','Structured Products Corp 6.25 Verizon Gbl','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(2786,'HZK','Structured Products Corp 6.25 Verizon Gbl','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(2787,'SYK','Stryker Corporation','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(2788,'RGR','Sturm, Ruger & Company, Inc.','Capital Goods','Ordnance And Accessories','0.00','0000-00-00 00:00:00'),(2789,'SPH','Suburban Propane Partners, L.P.','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(2790,'SFSF','SuccessFactors, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(2791,'SMFG','Sumitomo Mitsui Financial Group Inc','Finance','Commercial Banks','0.00','0000-00-00 00:00:00'),(2792,'INN','Summit Hotel Properties, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(2794,'SUI','Sun Communities, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(2795,'SLF','Sun Life Financial Inc.','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(2796,'FGF','SunAmerica, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2797,'FGI','SunAmerica, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2798,'SXC','SunCoke Energy, inc.','Basic Industries','Steel/Iron Ore','0.00','0000-00-00 00:00:00'),(2799,'SU','Suncor Energy  Inc.','Energy','Integrated oil Companies','0.00','0000-00-00 00:00:00'),(2800,'SXL','Sunoco Logistics Partners LP','Energy','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(2801,'SUN','Sunoco, Inc.','Energy','Integrated oil Companies','0.00','0000-00-00 00:00:00'),(2802,'SRZ','Sunrise Senior Living, Inc.','Health Care','Hospital/Nursing Management','0.00','0000-00-00 00:00:00'),(2803,'SHO','Sunstone Hotel Investors, Inc.','Consumer Services','Hotels/Resorts','0.00','0000-00-00 00:00:00'),(2806,'STP','Suntech Power Holdings Co., LTD.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(2807,'STI','SunTrust Banks, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(2808,'STI/WS/A','SunTrust Banks, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2809,'STI/WS/B','SunTrust Banks, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2812,'SPN','Superior Energy Services, Inc.','Energy','Oilfield Services/Equipment','0.00','0000-00-00 00:00:00'),(2813,'SUP','Superior Industries International, Inc.','Capital Goods','Auto Parts:O.E.M.','0.00','0000-00-00 00:00:00'),(2814,'SVU','SuperValu Inc.','Consumer Services','Food Chains','0.00','0000-00-00 00:00:00'),(2816,'SFY','Swift Energy Company','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2817,'SWFT','Swift Transportation Company','Transportation','Trucking Freight/Courier Services','0.00','0000-00-00 00:00:00'),(2818,'SWZ','Swiss Helvetia Fund, Inc. (The)','n/a','n/a','0.00','0000-00-00 00:00:00'),(2819,'SWS','SWS Group, Inc.','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(2820,'SYA','Symetra Financial Corporation','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(2821,'SMA','Symmetry Medical Inc','Health Care','Industrial Specialties','0.00','0000-00-00 00:00:00'),(2822,'SYT','Syngenta AG','Basic Industries','Agricultural Chemicals','0.00','0000-00-00 00:00:00'),(2823,'SNX','Synnex Corporation','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(2824,'SNV','Synovus Financial Corp.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(2826,'GJD','SYNTHETIC FIXED INCOME SECURITIES INC','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(2827,'GJH','SYNTHETIC FIXED INCOME SECURITIES INC','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(2828,'GJI','SYNTHETIC FIXED INCOME SECURITIES INC','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(2829,'GJJ','SYNTHETIC FIXED INCOME SECURITIES INC','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(2830,'GJK','SYNTHETIC FIXED INCOME SECURITIES INC','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(2831,'GJN','SYNTHETIC FIXED INCOME SECURITIES INC','n/a','n/a','0.00','0000-00-00 00:00:00'),(2832,'GJO','SYNTHETIC FIXED INCOME SECURITIES INC','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(2833,'GJS','SYNTHETIC FIXED INCOME SECURITIES INC','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(2834,'GJP','Synthetic Fixed-Income Securities, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2835,'GJR','Synthetic Fixed-Income Securities, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2836,'GJT','Synthetic Fixed-Income Securities, Inc.','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(2837,'GJV','Synthetic Fixed-Income Securities, Inc.','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(2838,'SYY','Sysco Corporation','Consumer Non-Durables','Food Distributors','0.00','0000-00-00 00:00:00'),(2839,'SYX','Systemax Inc.','Consumer Services','Catalog/Specialty Distribution','0.00','0000-00-00 00:00:00'),(2840,'SYSW','SYSWIN Inc.','Finance','Real Estate','0.00','0000-00-00 00:00:00'),(2841,'TWN','Taiwan Fund, Inc. (The)','n/a','n/a','0.00','0000-00-00 00:00:00'),(2842,'TSM','Taiwan Semiconductor Manufacturing Company Limited','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(2843,'XRS','TAL Education Group','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(2844,'TAL','TAL International Group, Inc.','Technology','Diversified Commercial Services','0.00','0000-00-00 00:00:00'),(2845,'TLB','Talbots, Inc. (The)','Consumer Services','Clothing/Shoe/Accessory Stores','0.00','0000-00-00 00:00:00'),(2846,'TLM','Talisman Energy Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2847,'TAM','TAM S.A.','Transportation','Air Freight/Delivery Services','0.00','0000-00-00 00:00:00'),(2848,'SKT','Tanger Factory Outlet Centers, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(2849,'TAOM','Taomee Holdings Limited','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(2850,'NGLS','Targa Resources Partners LP','Public Utilities','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(2851,'TRGP','Targa Resources, Inc.','Public Utilities','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(2852,'TGT','Target Corporation','Consumer Services','Department/Specialty Retail Stores','0.00','0000-00-00 00:00:00'),(2853,'TCL','Tata Communications Limited','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(2854,'TTM','Tata Motors Ltd','Capital Goods','Auto Manufacturing','0.00','0000-00-00 00:00:00'),(2855,'TCO','Taubman Centers, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(2858,'TCB','TCF Financial Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(2859,'TCB/WS','TCF Financial Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(2861,'TSI','TCW Strategic Income Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2862,'TEL','TE Connectivity Ltd.','Consumer Non-Durables','Electronic Components','0.00','0000-00-00 00:00:00'),(2863,'TMH','Team Health Holdings, Inc.','Technology','Professional Services','0.00','0000-00-00 00:00:00'),(2864,'TEA','Teavana Holdings, Inc.','Consumer Non-Durables','Food Chains','0.00','0000-00-00 00:00:00'),(2865,'TCK','Teck Resources Ltd','Basic Industries','Mining & Quarrying of Nonmetallic Minerals (No Fuels)','0.00','0000-00-00 00:00:00'),(2866,'TE','TECO Energy, Inc.','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(2867,'TK','Teekay Corporation','Transportation','Marine Transportation','0.00','0000-00-00 00:00:00'),(2868,'TGP','Teekay LNG Partners L.P.','Consumer Services','Marine Transportation','0.00','0000-00-00 00:00:00'),(2869,'TOO','Teekay Offshore Partners L.P.','Consumer Services','Marine Transportation','0.00','0000-00-00 00:00:00'),(2870,'TNK','Teekay Tankers Ltd.','Consumer Services','Marine Transportation','0.00','0000-00-00 00:00:00'),(2871,'TRC','Tejon Ranch Co','Finance','Real Estate','0.00','0000-00-00 00:00:00'),(2872,'TSU','Tele Celular Sul Participacoes S.A.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(2873,'TNE','Tele Norte Leste Participacoes S.A.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(2874,'TEO','Telecom Argentina Stet - France Telecom S.A.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(2875,'NZT','Telecom Corporation of New Zealand Limited','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(2876,'TI','Telecom Italia S.P.A.','Consumer Services','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(2877,'TI/A','Telecom Italia S.P.A.','Consumer Services','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(2878,'TDY','Teledyne Technologies Incorporated','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(2879,'TFX','Teleflex Incorporated','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(2880,'VIV','Telefonica Brasil S.A.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2881,'TEF','Telefonica SA','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(2882,'TMX','Telefonos de Mexico','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(2883,'TDE','Telephone and Data Systems, Inc.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(2884,'TDI','Telephone and Data Systems, Inc.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(2885,'TDJ','Telephone and Data Systems, Inc.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(2886,'TDS','Telephone and Data Systems, Inc.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(2887,'TDS/S','Telephone and Data Systems, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2888,'TU','Telus Corporation','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(2889,'TIN','Temple-Inland Inc.','Basic Industries','Paper','0.00','0000-00-00 00:00:00'),(2890,'TDF','Templeton Dragon Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2891,'EMF','Templeton Emerging Markets Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2892,'TEI','Templeton Emerging Markets Income Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2893,'GIM','Templeton Global Income Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2894,'TRF','Templeton Russia Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2895,'TPX','Tempur-pedic International Inc','Consumer Durables','Home Furnishings','0.00','0000-00-00 00:00:00'),(2896,'TS','Tenaris S.A.','Basic Industries','Steel/Iron Ore','0.00','0000-00-00 00:00:00'),(2897,'THC','Tenet Healthcare Corporation','Health Care','Hospital/Nursing Management','0.00','0000-00-00 00:00:00'),(2898,'TNC','Tennant Company','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(2899,'TEN','Tenneco Automotive, Inc.','Capital Goods','Auto Parts:O.E.M.','0.00','0000-00-00 00:00:00'),(2900,'TVC','Tennessee Valley Authority','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(2901,'TVE','Tennessee Valley Authority','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(2902,'TDC','Teradata Corporation','Technology','Computer Manufacturing','0.00','0000-00-00 00:00:00'),(2903,'TER','Teradyne, Inc.','Capital Goods','Electrical Products','0.00','0000-00-00 00:00:00'),(2904,'TEX','Terex Corporation','Capital Goods','Construction/Ag Equipment/Trucks','0.00','0000-00-00 00:00:00'),(2905,'TX','Ternium S.A.','Basic Industries','Steel/Iron Ore','0.00','0000-00-00 00:00:00'),(2906,'TNH','Terra Nitrogen Company, L.P.','Basic Industries','Agricultural Chemicals','0.00','0000-00-00 00:00:00'),(2907,'TRNO','Terreno Realty Corporation','Finance','Real Estate','0.00','0000-00-00 00:00:00'),(2908,'TLLP','Tesoro Logistics LP','Energy','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(2909,'TSO','Tesoro Petroleum Corporation','Energy','Integrated oil Companies','0.00','0000-00-00 00:00:00'),(2910,'TTI','Tetra Technologies, Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2911,'TXI','Texas Industries, Inc.','Capital Goods','Building Materials','0.00','0000-00-00 00:00:00'),(2912,'TXN','Texas Instruments Incorporated','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(2913,'TPL','Texas Pacific Land Trust','Finance','Real Estate','0.00','0000-00-00 00:00:00'),(2914,'TGH','Textainer Group Holdings Limited','Technology','Diversified Commercial Services','0.00','0000-00-00 00:00:00'),(2915,'TXT','Textron Inc.','Capital Goods','Aerospace','0.00','0000-00-00 00:00:00'),(2916,'TTF','Thai Fund, Inc. (The)','n/a','n/a','0.00','0000-00-00 00:00:00'),(2917,'ACTV','The Active Network, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(2918,'AES','The AES Corporation','Basic Industries','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(2920,'BX','The Blackstone Group L.P.','Finance','Investment Managers','0.00','0000-00-00 00:00:00'),(2921,'CSFS','The Cash Store Financial Services Inc.','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(2922,'SCHW','The Charles Schwab Corporation','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(2923,'EXBD','The Corporate Executive Board Company','Consumer Services','Professional Services','0.00','0000-00-00 00:00:00'),(2924,'SRV','The Cushing MLP Total Return Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2925,'DNY','The Denali Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2926,'GRX','The Gabelli Healthcare & Wellness Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(2928,'GDL','The GDL Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2930,'THG','The Hanover Insurance Group, Inc.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(2931,'XOXO','The Knot, Inc.','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(2932,'TRV','The Travelers Companies, Inc.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(2933,'TGX','Theragenics Corporation','Capital Goods','Electrical Products','0.00','0000-00-00 00:00:00'),(2934,'TMO','Thermo Fisher Scientific Inc','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(2935,'THR','Thermon Group Holdings, Inc.','Energy','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(2936,'TNB','Thomas & Betts Corporation','Consumer Durables','Building Products','0.00','0000-00-00 00:00:00'),(2937,'TC','Thompson Creek Metals Company Inc.','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(2938,'TRI','Thomson Reuters Corp','Consumer Services','Publishing','0.00','0000-00-00 00:00:00'),(2939,'THO','Thor Industries, Inc.','Consumer Non-Durables','Homebuilding','0.00','0000-00-00 00:00:00'),(2940,'TDW','Tidewater Inc.','Consumer Services','Marine Transportation','0.00','0000-00-00 00:00:00'),(2941,'TIF','Tiffany & Co.','Consumer Services','Consumer Specialties','0.00','0000-00-00 00:00:00'),(2942,'THI','Tim Hortons Inc.','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(2943,'TWC','Time Warner Cable Inc','Consumer Services','Television Services','0.00','0000-00-00 00:00:00'),(2944,'TWX','Time Warner Inc.','Consumer Services','Movies/Entertainment','0.00','0000-00-00 00:00:00'),(2945,'TKR','Timken Company (The)','Capital Goods','Metal Fabrications','0.00','0000-00-00 00:00:00'),(2946,'TWI','Titan International, Inc.','Basic Industries','Steel/Iron Ore','0.00','0000-00-00 00:00:00'),(2947,'TIE','Titanium Metals Corporation','Basic Industries','Metal Fabrications','0.00','0000-00-00 00:00:00'),(2948,'TJX','TJX Companies, Inc. (The)','Consumer Services','Clothing/Shoe/Accessory Stores','0.00','0000-00-00 00:00:00'),(2949,'TMS','TMS International Corp.','Capital Goods','Steel/Iron Ore','0.00','0000-00-00 00:00:00'),(2950,'TNS','TNS, Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(2951,'TOL','Toll Brothers Inc.','Capital Goods','Homebuilding','0.00','0000-00-00 00:00:00'),(2952,'TR','Tootsie Roll Industries, Inc.','Consumer Non-Durables','Specialty Foods','0.00','0000-00-00 00:00:00'),(2953,'TRU','Torch Energy Royalty Trust','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2954,'TMK','Torchmark Corporation','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(2956,'TTC','Toro Company (The)','Capital Goods','Tools/Hardware','0.00','0000-00-00 00:00:00'),(2957,'TD','Toronto Dominion Bank (The)','Finance','Commercial Banks','0.00','0000-00-00 00:00:00'),(2958,'TTO','Tortoise Capital Resources Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(2959,'TYY','Tortoise Energy Capital Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(2961,'TYG','Tortoise Energy Infrastructure Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(2963,'NTG','Tortoise MLP Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2964,'TYN','Tortoise North American Energy Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(2965,'TTP','Tortoise Pipeline & Energy Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2966,'TPZ','Tortoise Power and Energy Infrastructure Fund, Inc','n/a','n/a','0.00','0000-00-00 00:00:00'),(2967,'TSS','Total System Services, Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(2968,'TOT','TotalFinaElf, S.A.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2969,'TOWR','Tower International, Inc.','Capital Goods','Auto Parts:O.E.M.','0.00','0000-00-00 00:00:00'),(2970,'TW','Towers Watson & Co','Consumer Services','Professional Services','0.00','0000-00-00 00:00:00'),(2971,'TM','Toyota Motor Corp Ltd Ord','Capital Goods','Auto Manufacturing','0.00','0000-00-00 00:00:00'),(2972,'TAC','TransAlta Corporation','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(2973,'TAI','Transamerica Income Shares, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(2974,'TRH','Transatlantic Holdings, Inc.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(2975,'TRP','Transcananda Pipelines, Ltd.','Public Utilities','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(2976,'TCI','Transcontinental Realty Investors, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(2977,'TDG','Transdigm Group Incorporated','Capital Goods','Military/Government/Technical','0.00','0000-00-00 00:00:00'),(2978,'TLP','Transmontaigne Partners L.P.','Energy','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(2979,'RIG','Transocean Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(2980,'TGS','Transportadora De Gas Sa Ord B','Public Utilities','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(2981,'TRR','TRC Companies, Inc.','Basic Industries','Environmental Services','0.00','0000-00-00 00:00:00'),(2982,'TG','Tredegar Corporation','Capital Goods','Metal Fabrications','0.00','0000-00-00 00:00:00'),(2983,'THS','Treehouse Foods, Inc.','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(2984,'TREX','Trex Company, Inc.','Basic Industries','Forest Products','0.00','0000-00-00 00:00:00'),(2985,'TY','Tri Continental Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(2987,'TCAP','Triangle Capital Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(2988,'TSL','Trina Solar Limited','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(2989,'TRN','Trinity Industries, Inc.','Capital Goods','Railroads','0.00','0000-00-00 00:00:00'),(2990,'GTS','Triple-S Management Corporation','Finance','Accident &Health Insurance','0.00','0000-00-00 00:00:00'),(2991,'TGI','Triumph Group, Inc.','Capital Goods','Aerospace','0.00','0000-00-00 00:00:00'),(2992,'TBI','TrueBlue, Inc.','Technology','Professional Services','0.00','0000-00-00 00:00:00'),(2993,'TZK','Trust Ctfs 2002 1 Bear Stearns Depositor Inc Acting as Deposit','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(2994,'TRW','TRW Automotive Holdings Corporation','Capital Goods','Auto Parts:O.E.M.','0.00','0000-00-00 00:00:00'),(2995,'TYW','TS&W/Claymore Tax-Advantaged Balanced Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(2996,'TNP','Tsakos Energy Navigation Ltd','Transportation','Marine Transportation','0.00','0000-00-00 00:00:00'),(2997,'TUP','Tupperware Corporation','Consumer Non-Durables','Plastic Products','0.00','0000-00-00 00:00:00'),(2998,'TKC','Turkcell Iletisim Hizmetleri AS','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(2999,'TKF','Turkish Investment Fund, Inc. (The)','n/a','n/a','0.00','0000-00-00 00:00:00'),(3000,'TPC','Tutor Perini Corporation','Basic Industries','General Bldg Contractors - Nonresidential Bldgs','0.00','0000-00-00 00:00:00'),(3001,'TWO','Two Harbors Investments Corp','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(3002,'TYC','Tyco International, Ltd. (Switzerland)','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(3003,'TYL','Tyler Technologies, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(3004,'TSN','Tyson Foods, Inc.','Consumer Non-Durables','Meat/Poultry/Fish','0.00','0000-00-00 00:00:00'),(3005,'USB','U.S. Bancorp','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(3013,'UXG','U.S. Gold Corporation','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3014,'UBS','UBS AG','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(3016,'UGI','UGI Corporation','Public Utilities','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(3017,'UIL','UIL Holdings Corporation','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(3018,'UPL','Ultra Petroleum Corp.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(3019,'UGP','Ultrapar Participacoes S.A.','Public Utilities','Oil/Gas Transmission','0.00','0000-00-00 00:00:00'),(3020,'UA','Under Armour, Inc.','Consumer Non-Durables','Apparel','0.00','0000-00-00 00:00:00'),(3021,'UFI','Unifi, Inc.','Consumer Non-Durables','Textiles','0.00','0000-00-00 00:00:00'),(3022,'UNF','Unifirst Corporation','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(3023,'UN','Unilever NV','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(3024,'UL','Unilever PLC','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(3025,'UNP','Union Pacific Corporation','Transportation','Railroads','0.00','0000-00-00 00:00:00'),(3026,'UNS','UniSource Energy Corporation','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(3027,'UIS','Unisys Corporation','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(3029,'UNT','Unit Corporation','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(3030,'UAL','United Continental Holdings, Inc.','Transportation','Air Freight/Delivery Services','0.00','0000-00-00 00:00:00'),(3031,'UDR','United Dominion Realty Trust, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(3033,'UMC','United Microelectronics Corporation','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(3034,'UPS','United Parcel Service, Inc.','Transportation','Trucking Freight/Courier Services','0.00','0000-00-00 00:00:00'),(3035,'URI','United Rentals, Inc.','Technology','Diversified Commercial Services','0.00','0000-00-00 00:00:00'),(3036,'USM','United States Cellular Corporation','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(3037,'UZA','United States Cellular Corporation','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(3038,'X','United States Steel Corporation','Basic Industries','Steel/Iron Ore','0.00','0000-00-00 00:00:00'),(3039,'UTX','United Technologies Corporation','Capital Goods','Aerospace','0.00','0000-00-00 00:00:00'),(3040,'UNH','UnitedHealth Group Incorporated','Health Care','Hospital And Medical Service Plans','0.00','0000-00-00 00:00:00'),(3041,'UTL','UNITIL Corporation','Public Utilities','Power Generation','0.00','0000-00-00 00:00:00'),(3042,'UAM','Universal American Corp.','Health Care','Hospital And Medical Service Plans','0.00','0000-00-00 00:00:00'),(3043,'UVV','Universal Corporation','Consumer Services','Farming/Seeds/Milling','0.00','0000-00-00 00:00:00'),(3044,'UHT','Universal Health Realty Income Trust','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(3045,'UHS','Universal Health Services, Inc.','Health Care','Hospital/Nursing Management','0.00','0000-00-00 00:00:00'),(3046,'UTI','Universal Technical Institute Inc','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(3047,'UTA','Universal Travel Group','Consumer Services','Transportation Services','0.00','0000-00-00 00:00:00'),(3048,'IN','UNOVA, Inc.','Technology','Computer peripheral equipment','0.00','0000-00-00 00:00:00'),(3049,'UNM','Unum Group','Finance','Accident &Health Insurance','0.00','0000-00-00 00:00:00'),(3050,'URS','URS Corporation','Consumer Services','Military/Government/Technical','0.00','0000-00-00 00:00:00'),(3051,'UBA','Urstadt Biddle Properties Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(3052,'UBP','Urstadt Biddle Properties Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(3055,'LCC','US Airways Group, Inc. New','Transportation','Air Freight/Delivery Services','0.00','0000-00-00 00:00:00'),(3056,'USNA','USANA Health Sciences, Inc.','Consumer Durables','Specialty Chemicals','0.00','0000-00-00 00:00:00'),(3057,'USU','USEC Inc.','Basic Industries','Mining & Quarrying of Nonmetallic Minerals (No Fuels)','0.00','0000-00-00 00:00:00'),(3058,'USG','USG Corporation','Capital Goods','Building Materials','0.00','0000-00-00 00:00:00'),(3059,'BIF','USLIFE Income Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(3060,'VFC','V.F. Corporation','Consumer Non-Durables','Apparel','0.00','0000-00-00 00:00:00'),(3061,'EGY','Vaalco Energy Inc','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(3062,'MTN','Vail Resorts, Inc.','Consumer Services','Services-Misc. Amusement & Recreation','0.00','0000-00-00 00:00:00'),(3063,'VCI','Valassis Communications, Inc.','Consumer Services','Advertising','0.00','0000-00-00 00:00:00'),(3064,'CJS','Vale Cap Ltd','n/a','n/a','0.00','0000-00-00 00:00:00'),(3065,'CJT','Vale Cap Ltd','n/a','n/a','0.00','0000-00-00 00:00:00'),(3066,'VALE','VALE S.A.','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3067,'VALE/P','VALE S.A.','n/a','n/a','0.00','0000-00-00 00:00:00'),(3068,'VRX','Valeant Pharmaceuticals International, Inc','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3069,'VLO','Valero Energy Corporation','Energy','Integrated oil Companies','0.00','0000-00-00 00:00:00'),(3070,'VHI','Valhi, Inc.','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(3071,'VR','Validus Holdings, Ltd.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(3072,'VLY','Valley National Bancorp','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(3073,'VLY/WS','Valley National Bancorp','n/a','n/a','0.00','0000-00-00 00:00:00'),(3075,'VMI','Valmont Industries, Inc.','Capital Goods','Metal Fabrications','0.00','0000-00-00 00:00:00'),(3076,'VAL','Valspar Corporation (The)','Basic Industries','Paints/Coatings','0.00','0000-00-00 00:00:00'),(3077,'VIT','Vanceinfo Technologies Inc','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(3078,'VHS','Vanguard Health Systems, Inc.','Health Care','Hospital And Medical Service Plans','0.00','0000-00-00 00:00:00'),(3079,'VNR','Vanguard Natural Resources LLC','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(3080,'VAR','Varian Medical Systems, Inc.','Health Care','Biotechnology: Electromedical & Electrotherapeutic Apparatus','0.00','0000-00-00 00:00:00'),(3081,'VGR','Vector Group Ltd.','Consumer Non-Durables','Farming/Seeds/Milling','0.00','0000-00-00 00:00:00'),(3082,'VVC','Vectren Corporation','Public Utilities','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(3083,'VQ','Venoco, Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(3084,'VTR','Ventas, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(3085,'VE','Veolia Environnement','Public Utilities','Environmental Services','0.00','0000-00-00 00:00:00'),(3086,'PAY','Verifone Systems, Inc.','Miscellaneous','Office Equipment/Supplies/Services','0.00','0000-00-00 00:00:00'),(3087,'VZ','Verizon Communications Inc.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(3088,'VRS','Verso Paper Corp.','Basic Industries','Paper','0.00','0000-00-00 00:00:00'),(3089,'VNV','Viacom Inc.','Consumer Services','Television Services','0.00','0000-00-00 00:00:00'),(3090,'VVI','Viad Corp','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(3091,'VCO','Vina Concha Y Toro','Consumer Non-Durables','Beverages (Production/Distribution)','0.00','0000-00-00 00:00:00'),(3093,'V','Visa Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(3094,'VSH','Vishay Intertechnology, Inc.','Capital Goods','Electrical Products','0.00','0000-00-00 00:00:00'),(3095,'VPG','Vishay Precision Group, Inc.','Capital Goods','Electrical Products','0.00','0000-00-00 00:00:00'),(3096,'VC','Visteon Corporation','Capital Goods','Auto Parts:O.E.M.','0.00','0000-00-00 00:00:00'),(3097,'VSI','Vitamin Shoppe, Inc','Consumer Non-Durables','Food Chains','0.00','0000-00-00 00:00:00'),(3098,'VMW','Vmware, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(3099,'VOC','VOC Energy Trust','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(3100,'VG','Vonage Holdings Corp.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(3101,'VNOD','Vornado Realty L.P.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(3102,'VNO','Vornado Realty Trust','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(3110,'VMC','Vulcan Materials Company','Basic Industries','Mining & Quarrying of Nonmetallic Minerals (No Fuels)','0.00','0000-00-00 00:00:00'),(3111,'WTI','W&T Offshore, Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(3112,'WPC','W.P. Carey & Co. LLC','Finance','Real Estate','0.00','0000-00-00 00:00:00'),(3113,'WRB','W.R. Berkley Corporation','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(3115,'GRA','W.R. Grace & Co.','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(3116,'GWW','W.W. Grainger, Inc.','Consumer Services','Office Equipment/Supplies/Services','0.00','0000-00-00 00:00:00'),(3117,'WNC','Wabash National Corporation','Capital Goods','Construction/Ag Equipment/Trucks','0.00','0000-00-00 00:00:00'),(3118,'WBC','Wabco Holdings Inc.','Capital Goods','Auto Manufacturing','0.00','0000-00-00 00:00:00'),(3122,'WDR','Waddell & Reed Financial, Inc.','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(3123,'WAG','Walgreen Co.','Health Care','Medical/Nursing Services','0.00','0000-00-00 00:00:00'),(3124,'WD','Walker & Dunlop, Inc.','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(3125,'WMT','Wal-Mart Stores, Inc.','Consumer Services','Department/Specialty Retail Stores','0.00','0000-00-00 00:00:00'),(3126,'DIS','Walt Disney Company (The)','Consumer Services','Services-Misc. Amusement & Recreation','0.00','0000-00-00 00:00:00'),(3127,'WLT','Walter Energy, Inc.','Energy','Coal Mining','0.00','0000-00-00 00:00:00'),(3128,'WRC','Warnaco Group Inc (The)','Consumer Non-Durables','Apparel','0.00','0000-00-00 00:00:00'),(3129,'WPO','Washington Post Company (The)','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(3130,'WRE','Washington Real Estate Investment Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(3131,'WCN','Waste Connections, Inc.','Public Utilities','Environmental Services','0.00','0000-00-00 00:00:00'),(3132,'WM','Waste Management, Inc.','Public Utilities','Environmental Services','0.00','0000-00-00 00:00:00'),(3133,'WAT','Waters Corporation','Capital Goods','Biotechnology: Laboratory Analytical Instruments','0.00','0000-00-00 00:00:00'),(3134,'WSO','Watsco, Inc.','Consumer Durables','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(3135,'WPI','Watson Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3136,'WTS','Watts Water Technologies, Inc.','Capital Goods','Metal Fabrications','0.00','0000-00-00 00:00:00'),(3137,'WPP','Wausau Paper Corp.','Basic Industries','Paper','0.00','0000-00-00 00:00:00'),(3138,'WFT','Weatherford International, Ltd','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(3139,'WBS','Webster Financial Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(3140,'WBS/WS','Webster Financial Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(3141,'WTW','Weight Watchers International Inc','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(3142,'WRD','Weingarten Realty Investors','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(3143,'WRI','Weingarten Realty Investors','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(3147,'WMK','Weis Markets, Inc.','Consumer Services','Food Chains','0.00','0000-00-00 00:00:00'),(3148,'WCG','WellCare Helath Plans, Inc.','Health Care','Hospital And Medical Service Plans','0.00','0000-00-00 00:00:00'),(3149,'WLP','WellPoint Inc.','Health Care','Hospital And Medical Service Plans','0.00','0000-00-00 00:00:00'),(3150,'BWF','Wells Fargo & Company','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(3151,'FWF','Wells Fargo & Company','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(3152,'GWF','Wells Fargo & Company','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(3153,'JWF','Wells Fargo & Company','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(3154,'WFC','Wells Fargo & Company','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(3155,'WFC/WS','Wells Fargo & Company','n/a','n/a','0.00','0000-00-00 00:00:00'),(3158,'WPK','Wells Fargo & Company','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(3159,'EOD','Wells Fargo Advantage Global Dividend Opportunity Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3160,'WEN','Wendy\'s Company (The)','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(3161,'WAIR','Wesco Aircraft Holdings, Inc.','Capital Goods','Wholesale Distributors','0.00','0000-00-00 00:00:00'),(3162,'WCC','WESCO International, Inc.','Consumer Non-Durables','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(3163,'WST','West Pharmaceutical Services, Inc.','Basic Industries','Specialty Chemicals','0.00','0000-00-00 00:00:00'),(3164,'WR','Westar Energy, Inc.','Public Utilities','Power Generation','0.00','0000-00-00 00:00:00'),(3165,'WRS','Westar Energy, Inc.','Public Utilities','Power Generation','0.00','0000-00-00 00:00:00'),(3166,'WAL','Western Alliance Bancorporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(3167,'WEA','Western Asset Bond Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3168,'ESD','Western Asset Emerging Markets Debt Fund Inc','n/a','n/a','0.00','0000-00-00 00:00:00'),(3169,'EMD','Western Asset Emerging Markets Income Fund, Inc','n/a','n/a','0.00','0000-00-00 00:00:00'),(3170,'GDO','Western Asset Global Corporate Defined Opportunity Fund Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(3171,'EHI','Western Asset Global High Income Fund Inc','n/a','n/a','0.00','0000-00-00 00:00:00'),(3172,'GDF','Western Asset Global Partners Income Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(3173,'HIX','Western Asset High Income Fund II Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(3174,'HIF','Western Asset High Income Fund Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(3175,'HIO','Western Asset High Income Opportunity Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(3176,'HYI','Western Asset High Yield Defined Opportunity Fund Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(3177,'IMF','Western Asset Inflation Management Fund Inc','n/a','n/a','0.00','0000-00-00 00:00:00'),(3178,'IGI','Western Asset Investment Grade Defined Opportunity Trust Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(3179,'MHY','Western Asset Managed High Income Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(3180,'MMU','Western Asset Managed Municipals Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(3181,'DMO','Western Asset Mortgage Defined Opportunity Fund Inc','n/a','n/a','0.00','0000-00-00 00:00:00'),(3182,'MTT','Western Asset Municipal Defined Opportunity Trust Inc','n/a','n/a','0.00','0000-00-00 00:00:00'),(3183,'MHF','Western Asset Municipal High Income Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(3184,'MNP','Western Asset Municipal Partners Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(3185,'GFY','Western Asset Variable Rate Strategic Fund Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(3186,'SBW','Western Asset Worldwide Income Fund Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(3187,'WIW','Western Asset/Claymore U.S Treasury Inflation Prot Secs Fd 2','n/a','n/a','0.00','0000-00-00 00:00:00'),(3188,'WIA','Western Asset/Claymore U.S. Treasury Inflation Prot Secs Fd','n/a','n/a','0.00','0000-00-00 00:00:00'),(3189,'WDC','Western Digital Corporation','Technology','Electronic Components','0.00','0000-00-00 00:00:00'),(3190,'WES','Western Gas Partners, LP','Public Utilities','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(3191,'WNR','Western Refining, Inc.','Energy','Integrated oil Companies','0.00','0000-00-00 00:00:00'),(3192,'WU','Western Union Company (The)','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(3193,'WAB','Westinghouse Air Brake Technologies Corporation','Capital Goods','Railroads','0.00','0000-00-00 00:00:00'),(3194,'WLK','Westlake Chemical Corporation','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(3195,'WBK','Westpac Banking Corporation','Finance','Commercial Banks','0.00','0000-00-00 00:00:00'),(3196,'WHG','Westwood Holdings Group Inc','Finance','Investment Managers','0.00','0000-00-00 00:00:00'),(3197,'WY','Weyerhaeuser Company','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(3198,'WGL','WGL Holdings Inc','Public Utilities','Oil/Gas Transmission','0.00','0000-00-00 00:00:00'),(3199,'WHR','Whirlpool Corporation','Consumer Durables','Consumer Electronics/Appliances','0.00','0000-00-00 00:00:00'),(3200,'WTM','White Mountains Insurance Group, Ltd.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(3201,'WLL','Whiting Petroleum Corporation','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(3203,'WHX','Whiting USA Trust I','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(3204,'WG','Willbros Group, Inc.','Energy','Oilfield Services/Equipment','0.00','0000-00-00 00:00:00'),(3205,'WMB','Williams Companies, Inc. (The)','Public Utilities','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(3206,'WPZ','Williams Partners L.P.','Public Utilities','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(3207,'WSM','Williams-Sonoma, Inc.','Consumer Services','Home Furnishings','0.00','0000-00-00 00:00:00'),(3208,'WSH','Willis Group Holdings Limited','Finance','Specialty Insurers','0.00','0000-00-00 00:00:00'),(3209,'WGO','Winnebago Industries, Inc.','Consumer Non-Durables','Homebuilding','0.00','0000-00-00 00:00:00'),(3210,'WIT','Wipro Limited','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(3211,'WEC','Wisconsin Energy Corporation','Public Utilities','Power Generation','0.00','0000-00-00 00:00:00'),(3212,'WMS','WMS Industries Inc.','Consumer Durables','Miscellaneous manufacturing industries','0.00','0000-00-00 00:00:00'),(3213,'WNS','WNS (Holdings) Limited','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(3214,'WWW','Wolverine World Wide, Inc.','Consumer Non-Durables','Shoe Manufacturing','0.00','0000-00-00 00:00:00'),(3215,'WF','Woori Finance Holdings Co Ltd','Finance','Commercial Banks','0.00','0000-00-00 00:00:00'),(3216,'INT','World Fuel Services Corporation','Energy','Oil Refining/Marketing','0.00','0000-00-00 00:00:00'),(3217,'WWE','World Wrestling Entertainment, Inc.','Consumer Services','Movies/Entertainment','0.00','0000-00-00 00:00:00'),(3218,'WOR','Worthington Industries, Inc.','Capital Goods','Steel/Iron Ore','0.00','0000-00-00 00:00:00'),(3219,'WXS','Wright Express Corporation','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(3220,'WH','WSP Holdings Limited','Energy','Metal Fabrications','0.00','0000-00-00 00:00:00'),(3221,'WX','Wuxi Pharmatech (Cayman) Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3222,'WYN','Wyndham Worldwide Corp','Consumer Services','Hotels/Resorts','0.00','0000-00-00 00:00:00'),(3223,'XCJ','Xcel Energy Inc.','Public Utilities','Power Generation','0.00','0000-00-00 00:00:00'),(3224,'XEL','Xcel Energy Inc.','Public Utilities','Power Generation','0.00','0000-00-00 00:00:00'),(3225,'XRM','Xerium Technologies, Inc.','Basic Industries','Textiles','0.00','0000-00-00 00:00:00'),(3226,'XRX','Xerox Corporation','Technology','Computer peripheral equipment','0.00','0000-00-00 00:00:00'),(3227,'XIN','Xinyuan Real Estate Co Ltd','Basic Industries','Homebuilding','0.00','0000-00-00 00:00:00'),(3228,'XL','XL Group plc','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(3229,'XUE','Xueda Education Group','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(3230,'AUY','Yamana Gold, Inc.','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3231,'YZC','Yanzhou Coal Mining Company Limited','Energy','Coal Mining','0.00','0000-00-00 00:00:00'),(3232,'YGE','Yingli Green Energy Holding Company Limited','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(3233,'YOKU','Youku.com Inc.','Technology','Radio And Television Broadcasting And Communications Equipment','0.00','0000-00-00 00:00:00'),(3234,'YPF','YPF Sociedad Anonima','Energy','Integrated oil Companies','0.00','0000-00-00 00:00:00'),(3235,'YUM','Yum! Brands, Inc.','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(3236,'ZLC','Zale Corporation','Consumer Services','Consumer Specialties','0.00','0000-00-00 00:00:00'),(3237,'ZEP','Zep Inc.','Consumer Durables','Specialty Chemicals','0.00','0000-00-00 00:00:00'),(3238,'ZMH','Zimmer Holdings, Inc.','Health Care','Industrial Specialties','0.00','0000-00-00 00:00:00'),(3239,'HZD','Zion Oil & Gas Inc','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(3244,'ZA','Zuoan Fashion Limited','Consumer Non-Durables','Apparel','0.00','0000-00-00 00:00:00'),(3245,'ZF','Zweig Fund, Inc. (The)','n/a','n/a','0.00','0000-00-00 00:00:00'),(3246,'ZTR','Zweig Total Return Fund, Inc. (The)','n/a','n/a','0.00','0000-00-00 00:00:00'),(3247,'Symbol','Name','Sector','industry','0.00','0000-00-00 00:00:00'),(3248,'FAX','Aberdeen Asia-Pacific Income Fund Inc','n/a','n/a','0.00','0000-00-00 00:00:00'),(3249,'IAF','Aberdeen Australia Equity Fund Inc','n/a','n/a','0.00','0000-00-00 00:00:00'),(3250,'CH','Aberdeen Chile Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(3251,'ETF','Aberdeen Emerging Markets Telecommunications and Infrastructur','n/a','n/a','0.00','0000-00-00 00:00:00'),(3252,'FCO','Aberdeen Global Income Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(3253,'IF','Aberdeen Indonesia Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(3254,'ISL','Aberdeen Israel Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(3255,'AXK','Accelr8 Technology Corporation','Capital Goods','Biotechnology: Laboratory Analytical Instruments','0.00','0000-00-00 00:00:00'),(3256,'ACU','Acme United Corporation.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(3257,'AE','Adams Resources & Energy, Inc.','Energy','Oil Refining/Marketing','0.00','0000-00-00 00:00:00'),(3258,'ADK','Adcare Health Systems Inc','Health Care','Hospital/Nursing Management','0.00','0000-00-00 00:00:00'),(3259,'AEN','Adeona Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3260,'API','Advanced Photonix, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(3261,'ANX','ADVENTRX Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3262,'ACY','AeroCentury Corp.','Technology','Diversified Commercial Services','0.00','0000-00-00 00:00:00'),(3263,'AIM','Aerosonic Corporation','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(3265,'AXU','Alexco Resource Corp','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3266,'ANV','Allied Nevada Gold Corp','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3267,'AAU','Almaden Minerals, Ltd.','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3268,'APT','Alpha Pro Tech, Ltd.','Health Care','Industrial Specialties','0.00','0000-00-00 00:00:00'),(3269,'DIT','AMCON Distributing Company','Consumer Non-Durables','Food Distributors','0.00','0000-00-00 00:00:00'),(3270,'APP','American Apparel Inc','Finance','Business Services','0.00','0000-00-00 00:00:00'),(3271,'ABL','American Biltrite Inc.','Consumer Non-Durables','Plastic Products','0.00','0000-00-00 00:00:00'),(3272,'ADGE','American DG Energy Inc.','Energy','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(3273,'AIP','American Israeli Paper Mills, Ltd.','Basic Industries','Paper','0.00','0000-00-00 00:00:00'),(3274,'ALN','American Lorain Corporation','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(3275,'AMS','American Shared Hospital Services','Health Care','Medical Specialities','0.00','0000-00-00 00:00:00'),(3276,'AQQ','American Spectrum Realty, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(3277,'ANO','Anooraq Resources Corporation','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3278,'AIS','Antares Pharma, Inc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(3279,'BRD','Apollo Gold Corporation','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3280,'AGX','Argan, Inc.','Basic Industries','Engineering & Construction','0.00','0000-00-00 00:00:00'),(3281,'ARR/WS','Armour Residential R','n/a','n/a','0.00','0000-00-00 00:00:00'),(3282,'HRT','Arrhythmia Research Technology Inc.','Health Care','Biotechnology: Electromedical & Electrotherapeutic Apparatus','0.00','0000-00-00 00:00:00'),(3283,'ATSC','ATS Corporation','Consumer Services','Professional Services','0.00','0000-00-00 00:00:00'),(3284,'AZC','Augusta Resource Corporation','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3285,'AZK','Aurizon Mines, Ltd.','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3286,'AWX','Avalon Holdings Corporation','Public Utilities','Environmental Services','0.00','0000-00-00 00:00:00'),(3287,'AVL','Avalon Rare Metals, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(3288,'ASM','Avino Silver','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3289,'BONE','Bacterin International Holdings, Inc.','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(3290,'BKR','Baker (Michael) Corporation','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(3291,'BLD','Baldwin Technology Company, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(3292,'BTN','Ballantyne Strong, Inc','Miscellaneous','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(3293,'BKJ','Bancorp of New Jersey, Inc','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(3294,'BCV','Bancroft Convertible Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(3295,'BNX','Banks.com, Inc','Technology','Computer Software: Programming, Data Processing','0.00','0000-00-00 00:00:00'),(3296,'BAA','BANRO CORPORATION','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3297,'BHB','Bar Harbor Bankshares, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(3298,'BRN','Barnwell Industries, Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(3300,'BTX','BioTime, Inc.','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(3301,'BMJ','Birks & Mayors Inc.','Consumer Services','Consumer Specialties','0.00','0000-00-00 00:00:00'),(3302,'RFA','BlackRock Florida Investment Quality Municipal Trust Inc. (The','n/a','n/a','0.00','0000-00-00 00:00:00'),(3303,'BZM','BlackRock Maryland Municipal Bond Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(3304,'BLE','BlackRock Municipal Income Trust II','n/a','n/a','0.00','0000-00-00 00:00:00'),(3305,'RNJ','BlackRock New Jersey Investment Quality Municipal Trust Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(3306,'BLJ','Blackrock New Jersey Municipal Bond Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(3307,'RNY','BlackRock New York Investment Quality Municipal Trust Inc. (Th','n/a','n/a','0.00','0000-00-00 00:00:00'),(3308,'BFY','BlackRock New York Municipal Income Trust II','n/a','n/a','0.00','0000-00-00 00:00:00'),(3309,'BPS','BlackRock Pennsylvania Strategic Municipal Trust (The)','n/a','n/a','0.00','0000-00-00 00:00:00'),(3310,'BHV','BlackRock Virginia Municipal Bond Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(3311,'BDR','Blonder Tongue Laboratories, Inc.','Technology','Radio And Television Broadcasting And Communications Equipment','0.00','0000-00-00 00:00:00'),(3312,'BVX','Bovie Medical Corporation','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(3313,'BWL/A','Bowl America, Inc.','Consumer Services','Services-Misc. Amusement & Recreation','0.00','0000-00-00 00:00:00'),(3314,'BZC','Breeze-Eastern Corporation','Capital Goods','Military/Government/Technical','0.00','0000-00-00 00:00:00'),(3315,'BTI','British American Tobacco  Industries, p.l.c.','Consumer Non-Durables','Farming/Seeds/Milling','0.00','0000-00-00 00:00:00'),(3316,'CAK','CAMAC Energy Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(3317,'CFW','Cano Petroleum, Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(3318,'CDY','Cardero Resource Corporation','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3319,'CXM','Cardium Therapeutics, Inc.','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(3320,'ROX','Castle Brands, Inc.','Consumer Non-Durables','Beverages (Production/Distribution)','0.00','0000-00-00 00:00:00'),(3321,'CAW','CCA Industries, Inc.','Consumer Non-Durables','Package Goods/Cosmetics','0.00','0000-00-00 00:00:00'),(3322,'CVM','Cel-Sci Corporation','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(3323,'CEF','Central Fund of Canada Limited','n/a','n/a','0.00','0000-00-00 00:00:00'),(3324,'GTU','Central Gold Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(3325,'CET','Central Securities Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(3326,'CCF','Chase Corporation','Consumer Durables','Building Products','0.00','0000-00-00 00:00:00'),(3327,'CQP','Cheniere Energy Partners, LP','Public Utilities','Oil/Gas Transmission','0.00','0000-00-00 00:00:00'),(3328,'LNG','Cheniere Energy, Inc.','Public Utilities','Oil/Gas Transmission','0.00','0000-00-00 00:00:00'),(3329,'CVR','Chicago Rivet & Machine Co.','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(3330,'AXN','China Aoxing Pharmaceutical Company, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3331,'CNAM','China Armco Metals, Inc.','Consumer Durables','Steel/Iron Ore','0.00','0000-00-00 00:00:00'),(3332,'CBP','China Botanic Pharmaceutical Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3333,'CHGS','China GengSheng Minerals, Inc.','Consumer Durables','Miscellaneous manufacturing industries','0.00','0000-00-00 00:00:00'),(3334,'CMFO','China Marine Food Group Limited','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(3335,'CNR','China Metro-Rural Holdings Limited','Finance','Real Estate','0.00','0000-00-00 00:00:00'),(3336,'NEP','China North East Petroleum Holdings Limited','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(3337,'CNGL','China Nutrifruit Group Limited','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(3338,'CPHI','China Pharma Holdings, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3339,'SHZ','China Shen Zhou Mining & Resources, Inc.','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3340,'KUN','China Shenghuo Pharmaceutical Holdings, Inc','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3341,'CRC','Chromcraft Revington, Inc.','Consumer Durables','Home Furnishings','0.00','0000-00-00 00:00:00'),(3342,'MBA','CIBT Education Group Inc.','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(3343,'CKX','CKX Lands, Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(3344,'CGR','Claude Resources, Inc.','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3345,'GLV','Clough Global Allocation Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3346,'GLQ','Clough Global Equity Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3347,'GLO','Clough Global Opportunities Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3348,'CRV','Coast Distribution System, Inc. (The)','Capital Goods','Automotive Aftermarket','0.00','0000-00-00 00:00:00'),(3349,'MOC','Command Security Corporation','Consumer Services','Diversified Commercial Services','0.00','0000-00-00 00:00:00'),(3350,'BTC','Community Bankers Trust Corporation.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(3351,'CIX','CompX International Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(3352,'LODE','Comstock Mining, Inc.','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3353,'CONM','Conmed Healthcare Management, Inc.','Health Care','Hospital/Nursing Management','0.00','0000-00-00 00:00:00'),(3354,'CTO','Consolidated-Tomoka Land Co.','Finance','Real Estate','0.00','0000-00-00 00:00:00'),(3355,'MCF','Contango Oil & Gas Company','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(3356,'CUO','Continental Materials Corporation','Capital Goods','Building Materials','0.00','0000-00-00 00:00:00'),(3357,'CMT','Core Molding Technologies Inc','Consumer Non-Durables','Plastic Products','0.00','0000-00-00 00:00:00'),(3358,'CRMD','CorMedix Inc','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3359,'CRMD/WS','CorMedix Inc','n/a','n/a','0.00','0000-00-00 00:00:00'),(3360,'CFP','Cornerstone Progressive Return Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3361,'CRF','Cornerstone Strategic Return Fund, Inc. (The)','n/a','n/a','0.00','0000-00-00 00:00:00'),(3362,'CLM','Cornerstone Strategic Value Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(3363,'COVR','Cover-All Technologies Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(3364,'CVU','CPI Aerostructures, Inc.','Capital Goods','Military/Government/Technical','0.00','0000-00-00 00:00:00'),(3365,'CIK','Credit Suisse Asset Management Income Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(3366,'DHY','Credit Suisse High Yield Bond Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3367,'EXE','Crexendo, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(3368,'CXZ','Crosshair Energy Corp','Basic Industries','Mining & Quarrying of Nonmetallic Minerals (No Fuels)','0.00','0000-00-00 00:00:00'),(3369,'CRVP','Crystal Rock Holdings, Inc.','Consumer Non-Durables','Food Distributors','0.00','0000-00-00 00:00:00'),(3370,'CTP','CTPartners Executive Search Inc.','Technology','Diversified Commercial Services','0.00','0000-00-00 00:00:00'),(3371,'QBC','Cubic Energy Inc','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(3372,'ATC','Cycle Country Accessories Corporation','Capital Goods','Auto Parts:O.E.M.','0.00','0000-00-00 00:00:00'),(3373,'DXR','Daxor Corporation','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(3374,'DEJ','Dejour Energy Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(3375,'VCF','Delaware Investments Colorado Municipal Income Fund, Inc','Consumer Services','Miscellaneous','0.00','0000-00-00 00:00:00'),(3376,'VFL','Delaware Investments Florida Insured Municipal Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3377,'VMM','Delaware Investments Minnesota Municipal Income Fund II, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(3378,'DLA','Delta Apparel, Inc.','Consumer Non-Durables','Apparel','0.00','0000-00-00 00:00:00'),(3379,'DGSE','DGSE Companies, Inc.','Consumer Services','Consumer Specialties','0.00','0000-00-00 00:00:00'),(3380,'DPW','Digital Power Corporation','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(3381,'DSS','Document Security Systems, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(3382,'DRJ','Dreams, Inc.','Consumer Services','Recreational Products/Toys','0.00','0000-00-00 00:00:00'),(3383,'DMF','Dreyfus Municipal Income, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(3384,'GRF','Eagle Capital Growth Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(3385,'EML','Eastern Company (The)','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(3386,'ELC','Eastern Light Capital, Incorporated','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(3387,'EVM','Eaton Vance California Municipal Bond Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3388,'EIA','Eaton Vance California Municipal Bond Fund II','n/a','n/a','0.00','0000-00-00 00:00:00'),(3389,'CEV','Eaton Vance California Municipal Income Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(3390,'EVV','Eaton Vance Limited Duration Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3391,'MAB','Eaton Vance Massachusetts Municipal Bond Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3392,'MMV','Eaton Vance Massachusetts Municipal Income Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(3393,'MIW','Eaton Vance Michigan Municipal Bond Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3394,'EMI','Eaton Vance Michigan Municipal Income Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(3395,'EIM','Eaton Vance Municipal Bond Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3396,'EIV','Eaton Vance Municipal Bond Fund II','n/a','n/a','0.00','0000-00-00 00:00:00'),(3397,'EMJ','Eaton Vance New Jersey Municipal Bond Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3398,'EVJ','Eaton Vance New Jersey Municipal Income Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(3399,'ENX','Eaton Vance New York Municipal Bond Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3400,'NYH','Eaton Vance New York Municipal Bond Fund II','n/a','n/a','0.00','0000-00-00 00:00:00'),(3401,'EVY','Eaton Vance New York Municipal Income Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(3402,'EIO','Eaton Vance Ohio Municipal Bond Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3403,'EVO','Eaton Vance Ohio Municipal Income Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(3404,'EIP','Eaton Vance Pennsylvania Municipal Bond Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3405,'EVP','Eaton Vance Pennsylvania Municipal Income Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(3406,'ELMD','Electromed, Inc.','Health Care','Biotechnology: Electromedical & Electrotherapeutic Apparatus','0.00','0000-00-00 00:00:00'),(3407,'ETAK','Elephant Talk Communications Inc','n/a','n/a','0.00','0000-00-00 00:00:00'),(3408,'ELLI','Ellie Mae, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(3409,'ELLO','Ellomay Capital Ltd.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(3410,'ECF','Ellsworth Convertible Growth and Income Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(3411,'EMAN','eMagin Corporation','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(3412,'MSN','Emerson Radio Corporation','Consumer Non-Durables','Consumer Electronics/Appliances','0.00','0000-00-00 00:00:00'),(3413,'FEN','Energy Income and Growth Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3414,'ESA','Energy Services Acquisition Corp','Public Utilities','Water Supply','0.00','0000-00-00 00:00:00'),(3415,'EGX','Engex, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(3416,'ENA','Enova Systems Inc.','Capital Goods','Electrical Products','0.00','0000-00-00 00:00:00'),(3417,'EGT','Entertainment Gaming Asia Incorporated','Consumer Durables','Miscellaneous manufacturing industries','0.00','0000-00-00 00:00:00'),(3418,'EGI','Entree Gold Inc','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3419,'EVI','EnviroStarm, Inc.','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(3420,'ESP','Espey Mfg. & Electronics Corp.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(3421,'EVBN','Evans Bancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(3422,'EVK','Ever-Glory International Group, Inc.','Consumer Non-Durables','Apparel','0.00','0000-00-00 00:00:00'),(3423,'EPM','Evolution Petroleum Corporation, Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(3425,'XRA','Exeter Resource Corporation','Basic Industries','Mining & Quarrying of Nonmetallic Minerals (No Fuels)','0.00','0000-00-00 00:00:00'),(3426,'XG','Extorre Gold Mines Ltd.','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3427,'FPP','FieldPoint Petroleum Corporation','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(3428,'MXN','First American Minnesota Municipal Income Fund II, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(3429,'FWV','First West Virginia Bancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(3430,'BDL','Flanigan\'s Enterprises, Inc.','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(3431,'FSI','Flexible Solutions International Inc.','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(3432,'FFI','Fortune Diversified Industries, Inc.','Consumer Services','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(3433,'FSP','Franklin Street Properties Corp.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(3434,'FTF','Franklin Templeton Limited Duration Income Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(3435,'FOH','Frederick\'s of Hollywood Group','Consumer Non-Durables','Apparel','0.00','0000-00-00 00:00:00'),(3436,'FRD','Friedman Industries Inc.','Capital Goods','Steel/Iron Ore','0.00','0000-00-00 00:00:00'),(3437,'FRS','Frisch\'s Restaurants, Inc.','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(3438,'FLL','Full House Resorts, Inc.','Consumer Services','Hotels/Resorts','0.00','0000-00-00 00:00:00'),(3439,'GLU','Gabelli Global Utility','n/a','n/a','0.00','0000-00-00 00:00:00'),(3440,'EGAS','Gas Natural Inc.','Public Utilities','Oil/Gas Transmission','0.00','0000-00-00 00:00:00'),(3441,'GSX','GASCO ENERGY INC','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(3442,'GST','Gastar Exploration','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(3444,'JOB','General Employment Enterprises, Inc.','Technology','Diversified Commercial Services','0.00','0000-00-00 00:00:00'),(3445,'GMO','General Moly, Inc','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3446,'GGR','GeoGlobal Resources Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(3447,'GOK','Geokinetics, Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(3448,'GPR','GeoPetro Resources Co','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(3449,'GSB','GlobalSCAPE, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(3450,'GRZ','Gold Reserve Inc','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3451,'GORO','Gold Resource Corporation','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3452,'AUMN','Golden Minerals Co.','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3453,'GSS','Golden Star Resources, Ltd','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3454,'GV','Goldfield Corporation (The)','Public Utilities','Water Supply','0.00','0000-00-00 00:00:00'),(3455,'GRC','Gorman-Rupp Company (The)','Capital Goods','Fluid Controls','0.00','0000-00-00 00:00:00'),(3456,'GHM','Graham Corporation','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(3457,'GTE','Gran Tierra Energy Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(3458,'GBG','Great Basin Gold, Ltd.','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3459,'GPL','Great Panther Silver Limited','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3460,'GRH','GreenHunter Energy Inc','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(3461,'SIM','Grupo Simec, S.A. de C.V.','Basic Industries','Steel/Iron Ore','0.00','0000-00-00 00:00:00'),(3462,'GVP','GSE Systems, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(3463,'HWG','Hallwood Group Incorporated','Basic Industries','Textiles','0.00','0000-00-00 00:00:00'),(3464,'HBP','Helix Biopherma Cp','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3465,'HEB','Hemispherx BioPharma, Inc.','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(3466,'HNB','Herald National Bank','n/a','n/a','0.00','0000-00-00 00:00:00'),(3468,'HKN','HKN, Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(3469,'HMG','HMG/Courtland Properties, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(3470,'HH','Hooper Holmes, Inc.','Health Care','Hospital/Nursing Management','0.00','0000-00-00 00:00:00'),(3471,'HUSA','Houston American Energy Corporation','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(3472,'IBIO','iBio, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3473,'IBO','IBO (Listing Market - NYSE Amex Network B F)','n/a','n/a','0.00','0000-00-00 00:00:00'),(3474,'IEC','IEC Electronics Corp.','Technology','Electrical Products','0.00','0000-00-00 00:00:00'),(3475,'IG','IGI Laboratories, Inc.','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(3476,'IMH','Impac Mortgage Holdings, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(3477,'IMO','Imperial Oil Limited','Energy','Integrated oil Companies','0.00','0000-00-00 00:00:00'),(3478,'IOT','Income Opportunity Realty Trust','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(3479,'IGC','India Globalization Capital Inc.','Basic Industries','Military/Government/Technical','0.00','0000-00-00 00:00:00'),(3480,'IGC/U','India Globalization Capital Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(3481,'IGC/WS','India Globalization Capital Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(3482,'INFU','InfuSystems Holdings, Inc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(3483,'INV','Innovaro Inc','Consumer Services','Professional Services','0.00','0000-00-00 00:00:00'),(3484,'IHT','InnSuites Hospitality Trust','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(3485,'INO','Inovio Pharmaceuticals, Inc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(3486,'IFMI','Institutional Financial Markets, Inc.','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(3487,'IDN','Intellicheck Mobilisia, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(3488,'INS','Intelligent Systems Corporation','Capital Goods','Metal Fabrications','0.00','0000-00-00 00:00:00'),(3489,'THM','International Tower Hill Mines Ltd','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3490,'DNN','Intl Uranium Corp','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3491,'INUV','Inuvo, Inc','Consumer Services','Advertising','0.00','0000-00-00 00:00:00'),(3492,'VKI','Invesco Van Kampen Advantage Municipal Income Trust II','n/a','n/a','0.00','0000-00-00 00:00:00'),(3493,'VMV','Invesco Van Kampen Massachusetts Value Municipal Income Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(3494,'VKL','Invesco Van Kampen Select Sector Municipal Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(3495,'ICH','Investors Capital Holdings, Ltd.','Finance','Finance/Investors Services','0.00','0000-00-00 00:00:00'),(3496,'IPT','iParty Corporation','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(3497,'ISR','IsoRay, Inc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(3498,'ITI','Iteris, Inc.','Consumer Durables','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(3499,'IVD','IVAX Diagnostics, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3500,'KGN','Keegan Resources Inc','Basic Industries','Mining & Quarrying of Nonmetallic Minerals (No Fuels)','0.00','0000-00-00 00:00:00'),(3501,'KBX','Kimber Resources Inc','Basic Industries','Mining & Quarrying of Nonmetallic Minerals (No Fuels)','0.00','0000-00-00 00:00:00'),(3502,'KXM','Kobex Minerals Inc.','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3503,'LTS','Ladenburg Thalmann Financial Services Inc','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(3504,'LSG','Lake Shore Gold Corp','n/a','n/a','0.00','0000-00-00 00:00:00'),(3505,'LCI','Lannett Co Inc','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3506,'LAQ','Latin America Equity Fund, Inc. (The)','n/a','n/a','0.00','0000-00-00 00:00:00'),(3507,'LGL','LGL Group, Inc. (The)','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(3508,'LBY','Libbey, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(3509,'LON','Loncor Resources Inc.','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3510,'LPH','Longwei Petroleum Investment Holding Limited','Energy','Oil Refining/Marketing','0.00','0000-00-00 00:00:00'),(3511,'LEI','Lucas Energy, Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(3512,'MCZ','Mad Catz Interactive Inc','Consumer Non-Durables','Recreational Products/Toys','0.00','0000-00-00 00:00:00'),(3513,'MVG','Mag Silver Corporation','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3516,'MHE','Massachusetts Health and Education Tax-Exempt Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(3517,'MHH','Mastech Holdings, Inc','Consumer Services','Professional Services','0.00','0000-00-00 00:00:00'),(3518,'MDGN','Medgenics, Inc.','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(3519,'MDGN/WS','Medgenics, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(3520,'MBR','Mercantile Bancorp, Inc. (Quincey, IL)','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(3521,'IPB','Merrill Lynch & Co., Inc.','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(3522,'MEA','Metalico Inc','Basic Industries','Metal Fabrications','0.00','0000-00-00 00:00:00'),(3523,'MXC','Mexco Energy Corporation','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(3524,'CCA','MFS California Insured Municipal Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(3525,'MGT','MGT Capital Investments Inc','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(3526,'MSL','MidSouth Bancorp','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(3527,'MDW','Midway Gold Corporation','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3528,'MGH','Minco Gold Corporation','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3529,'MFN','MineFinders Corp. Ltd.','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3530,'MGN','Mines Management, Inc.','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3531,'MXA','Minnesota Municipal Income Portfolio Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(3532,'MDM','Mountain Province Diamonds Inc.','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3533,'MVF','MuniVest Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(3534,'MZA','MuniYield Arizona Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(3535,'NHC','National HealthCare Corporation','Health Care','Hospital/Nursing Management','0.00','0000-00-00 00:00:00'),(3537,'NEOP','Neoprobe Corporation','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(3538,'NBS','Neostem, Inc.','Health Care','Hospital/Nursing Management','0.00','0000-00-00 00:00:00'),(3539,'NBS/WS','Neostem, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(3540,'NBW','Neuberger Berman California Intermediate Municipal Fund Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(3541,'NHS','Neuberger Berman High Yield Strategies Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3542,'NBH','Neuberger Berman Intermediate Municipal Fund Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(3543,'NBO','Neuberger Berman New York Intermediate Municipal Fund Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(3544,'NRO','Neuberger Berman Real Estate Securities Income Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(3545,'CUR','Neuralstem, Inc.','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(3546,'UWN','Nevada Gold & Casinos, Inc.','Consumer Services','Services-Misc. Amusement & Recreation','0.00','0000-00-00 00:00:00'),(3547,'NSU','Nevsun Resources Ltd','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3548,'GBR','New Concept Energy, Inc','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(3549,'NEWN','New Energy Systems Group.','Energy','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(3550,'NEN','New England Realty Associates Limited Partnership','Consumer Services','Building operators','0.00','0000-00-00 00:00:00'),(3551,'NGD','NEW GOLD INC.','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3552,'PAL','North American Palladium, Ltd.','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3553,'NAK','Northern Dynasty Minerals, Ltd.','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3554,'NOG','Northern Oil and Gas, Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(3555,'NBY','NovaBay Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3556,'NG','Novagold Resources Inc New','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3557,'NTN','NTN Buzztime, Inc.','Consumer Services','Broadcasting','0.00','0000-00-00 00:00:00'),(3558,'NLP','NTS Realty Holdings Limited Partnership','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(3559,'NFZ','Nuveen Arizona Dividend Advantage Municipal Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3561,'NKR','Nuveen Arizona Dividend Advantage Municipal Fund 2','n/a','n/a','0.00','0000-00-00 00:00:00'),(3562,'NXE','Nuveen Arizona Dividend Advantage Municipal Fund 3','n/a','n/a','0.00','0000-00-00 00:00:00'),(3563,'NVX','Nuveen California Dividend Advantage Municipal Fund 2','n/a','n/a','0.00','0000-00-00 00:00:00'),(3564,'NZH','Nuveen California Dividend Advantage Municipal Fund 3','n/a','n/a','0.00','0000-00-00 00:00:00'),(3565,'NCB','Nuveen California Municipal Value Fund 2','n/a','n/a','0.00','0000-00-00 00:00:00'),(3566,'NCU','Nuveen California Premium Income Municipal Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3567,'NFC','Nuveen Connecticut Dividend Advantage Municipal Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3568,'NGK','Nuveen Connecticut Dividend Advantage Municipal Fund 2','n/a','n/a','0.00','0000-00-00 00:00:00'),(3569,'NGO','Nuveen Connecticut Dividend Advantage Municipal Fund 3','n/a','n/a','0.00','0000-00-00 00:00:00'),(3570,'CFD','Nuveen Diversified Commodity Fund','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(3571,'NXZ','Nuveen Dividend Advantage Municipal Fund 2','n/a','n/a','0.00','0000-00-00 00:00:00'),(3572,'NZF','Nuveen Dividend Advantage Municipal Fund 3','n/a','n/a','0.00','0000-00-00 00:00:00'),(3573,'NZX','Nuveen Georgia Dividend Advantage Municipal Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3575,'NKG','Nuveen Georgia Dividend Advantage Municipal Fund 2','n/a','n/a','0.00','0000-00-00 00:00:00'),(3576,'NPG','Nuveen Georgia Premium Income Municipal Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3577,'NKL','Nuveen Insured California Dividend Advantage Municipal Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3578,'NKX','Nuveen Insured California Tax-Free Advantage Municipal Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3579,'NVG','Nuveen Insured Dividend Advantage Municipal Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3580,'NGX','Nuveen Insured Massachusetts Tax-Free Advantage Municipal Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3581,'NKO','Nuveen Insured New York Dividend Advantage Municipal Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3582,'NRK','Nuveen Insured New York Tax-Free Advantage Municipal Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3583,'NEA','Nuveen Insured Tax-Free Advantage Municipal Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3584,'NFM','Nuveen Maryland Dividend Advantage Municipal Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3585,'NZR','Nuveen Maryland Dividend Advantage Municipal Fund 2','n/a','n/a','0.00','0000-00-00 00:00:00'),(3586,'NWI','Nuveen Maryland Dividend Advantage Municipal Fund 3','n/a','n/a','0.00','0000-00-00 00:00:00'),(3587,'NMB','Nuveen Massachusetts Dividend Advantage Municipal Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3589,'NZW','Nuveen Michigan Dividend Advantage Municipal Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3591,'NOM','Nuveen Missouri Premium Income Municipal Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3592,'NMZ','Nuveen Municipal High Income Opportunity Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3593,'NXJ','Nuveen New Jersey Dividend Advantage Municipal Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3594,'NUJ','Nuveen New Jersey Dividend Advantage Municipal Fund 2','n/a','n/a','0.00','0000-00-00 00:00:00'),(3595,'NJV','Nuveen New Jersey Municipal Value Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3596,'NXK','Nuveen New York Dividend Advantage Municipal Fund 2','n/a','n/a','0.00','0000-00-00 00:00:00'),(3597,'NYV','Nuveen New York Municipal Value Fund 2','n/a','n/a','0.00','0000-00-00 00:00:00'),(3598,'NRB','Nuveen North Carolina Dividend Advantage Municipal Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3599,'NNO','Nuveen North Carolina Dividend Advantage Municipal Fund 2','n/a','n/a','0.00','0000-00-00 00:00:00'),(3600,'NII','Nuveen North Carolina Dividend Advantage Municipal Fund 3','n/a','n/a','0.00','0000-00-00 00:00:00'),(3601,'NXI','Nuveen Ohio Dividend Advantage Municipal Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3603,'NBJ','Nuveen Ohio Dividend Advantage Municipal Fund 2','n/a','n/a','0.00','0000-00-00 00:00:00'),(3605,'NVJ','Nuveen Ohio Dividend Advantage Municipal Fund 3','n/a','n/a','0.00','0000-00-00 00:00:00'),(3607,'NXM','Nuveen Pennsylvania Dividend Advantage Municipal Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3608,'NVY','Nuveen Pennsylvania Dividend Advantage Municipal Fund 2','n/a','n/a','0.00','0000-00-00 00:00:00'),(3609,'NPN','Nuveen Pennsylvania Municipal Value Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3610,'JRS','Nuveen Real Estate Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3611,'JFP','Nuveen Tax-Advantaged Floating Rate Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3612,'NGB','Nuveen Virginia Dividend Advantage Municipal Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3613,'NNB','Nuveen Virginia Dividend Advantage Municipal Fund 2','n/a','n/a','0.00','0000-00-00 00:00:00'),(3614,'BQI','Oilsands Quest Inc','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3615,'OBT','Orbital Corporation Limited','Miscellaneous','Multi-Sector Companies','0.00','0000-00-00 00:00:00'),(3616,'TIS','Orchids Paper Products Company','Basic Industries','Paper','0.00','0000-00-00 00:00:00'),(3617,'ONP','Orient Paper, Inc.','Consumer Durables','Containers/Packaging','0.00','0000-00-00 00:00:00'),(3618,'OESX','Orion Energy Systems, Inc.','Consumer Durables','Building Products','0.00','0000-00-00 00:00:00'),(3619,'OFI','Overhill Farms, Inc.','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(3620,'PHF','Pacholder High Yield Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(3621,'PBM','Pacific Booker Minerals Inc','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3630,'PCE','Pacific Office Properties Trust, Inc','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(3632,'PTN','Palatin Technologies, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3633,'PZG','Paramount Gold and Silver Corp.','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3634,'PCYG','Park City Group, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(3635,'PRK','Park National Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(3636,'PTX','Pernix Therapeutics Holdings, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3637,'PIP','PharmAthene, Inc','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3638,'PNS','Pinnacle Data Systems, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(3639,'HNW','Pioneer Diversified High Income Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(3640,'PDC','Pioneer Drilling Co','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(3641,'PLG','Platinum Group Metals Ltd.','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3642,'PCC','PMC Commercial Trust','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(3643,'PLM','Polymet Mining Corp.','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3644,'PW','Power REIT','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(3645,'APTS','Preferred Apartment Communities, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(3646,'PKT','Procera Networks, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(3647,'PBTH','PROLOR Biotech, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3648,'PLX','Protalix BioTherapeutics, Inc.','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(3649,'PDO','Pyramid Oil Co','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(3650,'QMM','Quaterra Resources Inc','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3651,'QPSA','Quepasa Corporation','Consumer Services','Advertising','0.00','0000-00-00 00:00:00'),(3652,'QRM','Quest Rare Minerals Ltd','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3653,'REE','Rare Element Resources Ltd.','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3654,'UTG','Reaves Utility Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3655,'RWC','RELM Wireless Corporation','Technology','Radio And Television Broadcasting And Communications Equipment','0.00','0000-00-00 00:00:00'),(3656,'RCG','Renaissance Capital Growth & Income Fund III, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(3657,'RTK','Rentech, Inc.','Basic Industries','Agricultural Chemicals','0.00','0000-00-00 00:00:00'),(3658,'RVP','Retractable Technologies, Inc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(3659,'RVM','Revett Minerals Inc.','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3660,'RNN','Rexahn Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3661,'RIC','Richmont Mines, Inc.','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3662,'RAP','RMR Asia Pacific Real Estate Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3663,'RIF','RMR Real Estate Income Fund (New)','n/a','n/a','0.00','0000-00-00 00:00:00'),(3664,'RPI','Roberts Realty Investors, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(3665,'RBY','Rubicon Minerals Corp','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3666,'BQY','S&P Quality Rankings Glbl Equ Mngd Tr','n/a','n/a','0.00','0000-00-00 00:00:00'),(3667,'SGA','Saga Communications, Inc.','Consumer Services','Broadcasting','0.00','0000-00-00 00:00:00'),(3668,'SAL','Salisbury Bancorp, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(3669,'SSN','Samson Oil & Gas Limited','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(3674,'SARA','Saratoga Resources Inc','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(3675,'SEB','Seaboard Corporation','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(3676,'SA','Seabridge Gold, Inc.','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3677,'IDI','SearchMedia Holdings Limited','Finance','Business Services','0.00','0000-00-00 00:00:00'),(3678,'IDI/U','SearchMedia Holdings Limited','n/a','n/a','0.00','0000-00-00 00:00:00'),(3679,'IDI/WS','SearchMedia Holdings Limited','n/a','n/a','0.00','0000-00-00 00:00:00'),(3680,'SED','SED International Holdings Inc','Technology','Retail: Computer Software & Peripheral Equipment','0.00','0000-00-00 00:00:00'),(3681,'SNT','Senesco Technologies Inc','Health Care','Biotechnology: Commercial Physical & Biological Resarch','0.00','0000-00-00 00:00:00'),(3682,'SVT','Servotronics, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(3683,'SIF','SIFCO Industries, Inc.','Capital Goods','Aerospace','0.00','0000-00-00 00:00:00'),(3684,'SVBL','Silver Bull Resources, Inc.','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3690,'SIHI','SinoHub, Inc','Consumer Non-Durables','Electronic Components','0.00','0000-00-00 00:00:00'),(3691,'SLI','SL Industries, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(3692,'ZXX','SM Listed Test 3','n/a','n/a','0.00','0000-00-00 00:00:00'),(3694,'XPL','Solitario Exploration & Royalty Corp','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3695,'SOQ','Sonde Resources Corp','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(3700,'SSE','Southern Connecticut Bancorp Inc','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(3701,'SGB','Southwest Georgia Financial Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(3702,'LOV','Spark Networks, Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(3703,'SILU','Sprott Resource Lending Corp.','Finance','Commercial Banks','0.00','0000-00-00 00:00:00'),(3704,'SGS','Stream Global Services, Inc','Technology','Professional Services','0.00','0000-00-00 00:00:00'),(3705,'SSY','SunLink Health Systems, Inc.','Health Care','Hospital/Nursing Management','0.00','0000-00-00 00:00:00'),(3706,'STS','Supreme Industries, Inc.','Capital Goods','Construction/Ag Equipment/Trucks','0.00','0000-00-00 00:00:00'),(3707,'SYRG','Synergy Resources Corporation','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(3708,'TTTM','T3 Motion Inc','Capital Goods','Auto Manufacturing','0.00','0000-00-00 00:00:00'),(3709,'TTTM/WS/W','T3 Motion Inc','n/a','n/a','0.00','0000-00-00 00:00:00'),(3710,'TTTM/WS/Z','T3 Motion Inc','n/a','n/a','0.00','0000-00-00 00:00:00'),(3711,'TLB/WS','Talbots, Inc. (The)','n/a','n/a','0.00','0000-00-00 00:00:00'),(3712,'TRX','Tanzanian Royalty Exploration Corporation','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3713,'TGB','Taseko Mines Limited','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3714,'TAS','Tasman Metals Ltd','n/a','n/a','0.00','0000-00-00 00:00:00'),(3715,'TSH','Teche Holding Company','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(3716,'TIK','Tel-Instrument Electronics Corp.','Capital Goods','Electrical Products','0.00','0000-00-00 00:00:00'),(3717,'TGC','Tengasco, Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(3718,'TF','Thai Capital Fund Inc','n/a','n/a','0.00','0000-00-00 00:00:00'),(3719,'GGN','The Gabelli Global Goldn Natural Resources & Income Trust','n/a','n/a','0.00','0000-00-00 00:00:00'),(3721,'TPI','Tianyin Pharmaceutical Co., Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3722,'TLR','Timberline Resources Corporation','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3723,'TGD','Timmons Gold Corp','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3724,'TOF','Tofutti Brands Inc.','Consumer Non-Durables','Specialty Foods','0.00','0000-00-00 00:00:00'),(3725,'TMP','Tompkins Financial Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(3726,'TAT','Transatlantic Petroleum Ltd','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(3727,'TA','TravelCenters of America LLC','Consumer Durables','Automotive Aftermarket','0.00','0000-00-00 00:00:00'),(3728,'TPLM','Triangle Petroleum Corporation','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(3729,'TRT','Trio-Tech International','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(3730,'TIV','Tri-Valley Corporation','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(3731,'TCX','Tucows Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(3732,'TWO/WS','Two Harbors Investments Corp','n/a','n/a','0.00','0000-00-00 00:00:00'),(3733,'HTM','U.S. Geothermal Inc.','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(3734,'ULU','Uluru Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3735,'UMH','UMH Properties, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(3737,'UVE','UNIVERSAL INSURANCE HOLDINGS INC','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(3738,'UPG','Universal Power Group Inc','Consumer Non-Durables','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(3739,'UUU','Universal Security Instruments, Inc.','Consumer Non-Durables','Electronic Components','0.00','0000-00-00 00:00:00'),(3740,'UQM','UQM TECHNOLOGIES INC','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(3741,'URG','Ur Energy Inc','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3742,'URZ','Uranerz Energy Corporation','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3743,'UEC','Uranium Energy Corp.','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3744,'VTG','Vantage Drilling Company','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(3745,'VSR','Versar, Inc.','Consumer Services','Military/Government/Technical','0.00','0000-00-00 00:00:00'),(3746,'VII','Vicon Industries, Inc.','Consumer Durables','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(3747,'VHC','VirnetX Holding Corp','Miscellaneous','Multi-Sector Companies','0.00','0000-00-00 00:00:00'),(3748,'VGZ','Vista Gold Corporation','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3749,'VOG','Voyager Oil & Gas, Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(3750,'VRNG','Vringo, Inc.','Consumer Services','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(3751,'VRNG/WS','Vringo, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(3752,'WAC','Walter Investment Management Corp.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(3753,'WSO/B','Watsco, Inc.','Consumer Durables','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(3754,'EAD','Wells Fargo Advantage Income Opportunities Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3755,'ERC','Wells Fargo Advantage Multi-Sector Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3756,'ERH','Wells Fargo Advantage Utilities and High Income Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(3757,'WGA','Wells-Gardner Electronics Corporation','Technology','Radio And Television Broadcasting And Communications Equipment','0.00','0000-00-00 00:00:00'),(3758,'SBI','Western Asset Intermediate Muni Fund Inc','n/a','n/a','0.00','0000-00-00 00:00:00'),(3759,'WRN','Western Copper and Gold Corporation','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(3760,'RVR','White River Capital, Inc.','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(3761,'WSR','Whitestone REIT','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(3762,'WYY','WidePoint Corporation','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(3763,'WEX','Winland Electronics, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(3764,'WTT','Wireless Telecom Group,  Inc.','Capital Goods','Electrical Products','0.00','0000-00-00 00:00:00'),(3766,'WZE','WIZZARD SOFTWARE CORPORATION','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(3767,'XFN','Xfone, Inc.','Consumer Services','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(3768,'XPO','XPO Logistics, Inc.','Consumer Services','Transportation Services','0.00','0000-00-00 00:00:00'),(3769,'YMI','YM BioSciences, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3770,'ZBB','ZBB Energy Corporation','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(3771,'Symbol','Name','Sector','industry','0.00','0000-00-00 00:00:00'),(3772,'FLWS','1-800 FLOWERS.COM, Inc.','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(3773,'FCTY','1st Century Bancshares, Inc','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(3774,'FCCY','1st Constitution Bancorp (NJ)','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(3775,'SRCE','1st Source Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(3776,'FUBC','1st United Bancorp, Inc. (FL)','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(3777,'TCHC','21st Century Holding Company','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(3778,'VNET','21Vianet Group, Inc.','Technology','Computer Software: Programming, Data Processing','0.00','0000-00-00 00:00:00'),(3779,'SSRX','3SBio Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3780,'JOBS','51job, Inc.','Technology','Diversified Commercial Services','0.00','0000-00-00 00:00:00'),(3781,'EGHT','8x8 Inc','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(3782,'SHLM','A. Schulman, Inc.','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(3783,'AONE','A123 Systems, Inc.','Energy','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(3784,'AAON','AAON, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(3785,'ASTM','Aastrom Biosciences, Inc.','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(3786,'ABAX','ABAXIS, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(3787,'ABMD','ABIOMED, Inc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(3788,'AXAS','Abraxas Petroleum Corporation','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(3789,'ACTG','Acacia Research Corporation','Miscellaneous','Multi-Sector Companies','0.00','0000-00-00 00:00:00'),(3790,'ACHC','Acadia Healthcare Company, Inc.','Health Care','Medical Specialities','0.00','0000-00-00 00:00:00'),(3791,'ACAD','ACADIA Pharmaceuticals Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3792,'ACCL','Accelrys, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(3793,'ANCX','Access National Corporation','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(3794,'ARAY','Accuray Incorporated','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(3795,'ACRX','AcelRx Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3796,'ACET','Aceto Corporation','Consumer Durables','Specialty Chemicals','0.00','0000-00-00 00:00:00'),(3797,'ACHN','Achillion Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3798,'ACIW','ACI Worldwide, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(3799,'APKT','Acme Packet, Inc.','Technology','Computer Communications Equipment','0.00','0000-00-00 00:00:00'),(3800,'ACNB','ACNB Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(3801,'ACOR','Acorda Therapeutics, Inc.','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(3802,'ACFN','Acorn Energy, Inc.','Consumer Services','Military/Government/Technical','0.00','0000-00-00 00:00:00'),(3803,'ACTS','Actions Semiconductor Co., Ltd.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(3804,'ACPW','Active Power, Inc.','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(3805,'ATVI','Activision Blizzard, Inc','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(3806,'BIRT','Actuate Corporation','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(3807,'ACUR','Acura Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3808,'ACXM','Acxiom Corporation','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(3809,'ADES','ADA-ES, Inc.','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(3810,'ADGF','Adams Golf, Inc.','Consumer Non-Durables','Recreational Products/Toys','0.00','0000-00-00 00:00:00'),(3811,'ADUS','Addus HomeCare Corporation','Health Care','Medical/Nursing Services','0.00','0000-00-00 00:00:00'),(3812,'AEY','ADDvantage Technologies Group, Inc.','Consumer Services','Office Equipment/Supplies/Services','0.00','0000-00-00 00:00:00'),(3813,'ADEP','Adept Technology, Inc.','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(3814,'ADBE','Adobe Systems Incorporated','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(3815,'ADLR','Adolor Corporation','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3816,'ADTN','ADTRAN, Inc.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(3817,'AATI','Advanced Analogic Technologies, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(3818,'AEIS','Advanced Energy Industries, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(3819,'ADVS','Advent Software, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(3820,'AVCA','Advocat, Inc.','Health Care','Hospital/Nursing Management','0.00','0000-00-00 00:00:00'),(3821,'AEGR','Aegerion Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3822,'AEGN','Aegion Corp','Public Utilities','Water Supply','0.00','0000-00-00 00:00:00'),(3823,'AEHR','Aehr Test Systems','Capital Goods','Electrical Products','0.00','0000-00-00 00:00:00'),(3824,'AEPI','AEP Industries Inc.','Capital Goods','Specialty Chemicals','0.00','0000-00-00 00:00:00'),(3825,'AVAV','AeroVironment, Inc.','Capital Goods','Aerospace','0.00','0000-00-00 00:00:00'),(3826,'AEZS','AEterna Zentaris, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3827,'ATRM','Aetrium Incorporated','Capital Goods','Electrical Products','0.00','0000-00-00 00:00:00'),(3828,'AFCE','AFC Enterprises, Inc.','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(3829,'AFFM','Affirmative Insurance Holdings, Inc.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(3830,'AFFY','Affymax, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3831,'AFFX','Affymetrix, Inc.','Capital Goods','Biotechnology: Laboratory Analytical Instruments','0.00','0000-00-00 00:00:00'),(3832,'AGEN','Agenus Inc.','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(3833,'FEED','AgFeed Industries, Inc.','Consumer Non-Durables','Farming/Seeds/Milling','0.00','0000-00-00 00:00:00'),(3834,'AGYS','Agilysys, Inc.','Consumer Non-Durables','Electronic Components','0.00','0000-00-00 00:00:00'),(3835,'AIRM','Air Methods Corporation','Transportation','Transportation Services','0.00','0000-00-00 00:00:00'),(3836,'AIRT','Air T, Inc.','Transportation','Air Freight/Delivery Services','0.00','0000-00-00 00:00:00'),(3837,'ATSG','Air Transport Services Group, Inc','Transportation','Air Freight/Delivery Services','0.00','0000-00-00 00:00:00'),(3838,'AMCN','AirMedia Group Inc','Technology','Advertising','0.00','0000-00-00 00:00:00'),(3839,'AIXG','Aixtron SE','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(3840,'AKAM','Akamai Technologies, Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(3841,'AKRX','Akorn, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3842,'ALSK','Alaska Communications Systems Group, Inc.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(3843,'AMRI','Albany Molecular Research, Inc.','Health Care','Biotechnology: Commercial Physical & Biological Resarch','0.00','0000-00-00 00:00:00'),(3844,'ALXN','Alexion Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3845,'ALXA','Alexza Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3846,'ALCO','Alico, Inc.','Consumer Non-Durables','Farming/Seeds/Milling','0.00','0000-00-00 00:00:00'),(3847,'ALGN','Align Technology, Inc.','Health Care','Industrial Specialties','0.00','0000-00-00 00:00:00'),(3848,'ALIM','Alimera Sciences, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3849,'ALKS','Alkermes plc','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3850,'ALGT','Allegiant Travel Company','Transportation','Air Freight/Delivery Services','0.00','0000-00-00 00:00:00'),(3851,'ALLB','Alliance Bancorp, Inc. of Pennsylvania','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(3852,'ABVA','Alliance Bankshares Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(3853,'AFOP','Alliance Fiber Optic Products, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(3854,'ALNC','Alliance Financial Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(3855,'AHGP','Alliance Holdings GP, L.P.','Energy','Coal Mining','0.00','0000-00-00 00:00:00'),(3856,'ARLP','Alliance Resource Partners, L.P.','Energy','Coal Mining','0.00','0000-00-00 00:00:00'),(3857,'AHPI','Allied Healthcare Products, Inc.','Health Care','Industrial Specialties','0.00','0000-00-00 00:00:00'),(3858,'AMOT','Allied Motion Technologies, Inc.','Capital Goods','Electrical Products','0.00','0000-00-00 00:00:00'),(3859,'ALTH','Allos Therapeutics, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3860,'ALLT','Allot Communications Ltd.','Technology','Computer Communications Equipment','0.00','0000-00-00 00:00:00'),(3861,'MDRX','Allscripts Healthcare Solutions, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(3862,'AFAM','Almost Family Inc','Health Care','Medical/Nursing Services','0.00','0000-00-00 00:00:00'),(3863,'ALNY','Alnylam Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3864,'AOSL','Alpha and Omega Semiconductor Limited','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(3865,'ATEC','Alphatec Holdings, Inc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(3866,'ALTI','Altair Nanotechnologies Inc.','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(3867,'ALTR','Altera Corporation','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(3868,'ALTE','Alterra Capital Holdings Limited','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(3869,'ASPS','Altisource Portfolio Solutions S.A.','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(3870,'APSA','Alto Palermo S.A.','Consumer Services','Building operators','0.00','0000-00-00 00:00:00'),(3871,'AIMC','Altra Holdings, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(3872,'ALVR','Alvarion Ltd.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(3873,'AMAG','AMAG Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3874,'AMRN','Amarin Corporation PLC','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3875,'AMZN','Amazon.com, Inc.','Consumer Services','Catalog/Specialty Distribution','0.00','0000-00-00 00:00:00'),(3876,'EPAX','Ambassadors Group, Inc.','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(3877,'AMBT','Ambient Corporation','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(3878,'AMCX','AMC Networks Inc.','Consumer Services','Television Services','0.00','0000-00-00 00:00:00'),(3879,'AMED','Amedisys Inc','Health Care','Medical/Nursing Services','0.00','0000-00-00 00:00:00'),(3880,'UHAL','Amerco','Consumer Services','Rental/Leasing Companies','0.00','0000-00-00 00:00:00'),(3881,'ASBI','Ameriana Bancorp','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(3882,'ATAX','America First Tax Exempt Investors, L.P.','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(3883,'AMOV','America Movil, S.A.B. de C.V.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(3884,'AGNC','American Capital Agency Corp.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(3885,'MTGE','American Capital Mortgage Investment Corp.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(3886,'ACAS','American Capital, Ltd.','n/a','n/a','0.00','0000-00-00 00:00:00'),(3887,'ANCI','American Caresource Holdings Inc','Health Care','Hospital/Nursing Management','0.00','0000-00-00 00:00:00'),(3888,'ADPI','American Dental Partners, Inc.','Health Care','Hospital/Nursing Management','0.00','0000-00-00 00:00:00'),(3889,'AETI','American Electric Technologies, Inc.','Energy','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(3890,'AMIC','American Independence Corp.','Finance','Accident &Health Insurance','0.00','0000-00-00 00:00:00'),(3891,'ALRN','American Learning Corporation','Health Care','Medical/Nursing Services','0.00','0000-00-00 00:00:00'),(3892,'AMAC','American Medical Alert Corp.','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(3893,'AMNB','American National Bankshares, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(3894,'ANAT','American National Insurance Company','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(3895,'APFC','American Pacific Corporation','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(3896,'APEI','American Public Education, Inc.','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(3897,'ARII','American Railcar Industries, Inc.','Capital Goods','Railroads','0.00','0000-00-00 00:00:00'),(3898,'ARCP','American Realty Capital Properties, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(3899,'AMRB','American River Bankshares','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(3900,'ASEI','American Science and Engineering, Inc.','Health Care','Medical Electronics','0.00','0000-00-00 00:00:00'),(3901,'AMSWA','American Software, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(3902,'AMSC','American Superconductor Corporation','Consumer Durables','Metal Fabrications','0.00','0000-00-00 00:00:00'),(3903,'AMWD','American Woodmark Corporation','Basic Industries','Forest Products','0.00','0000-00-00 00:00:00'),(3904,'CRMT','America\'s Car-Mart, Inc.','Consumer Durables','Automotive Aftermarket','0.00','0000-00-00 00:00:00'),(3905,'ARGN','Amerigon Incorporated','Capital Goods','Auto Parts:O.E.M.','0.00','0000-00-00 00:00:00'),(3906,'ABCB','Ameris Bancorp','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(3907,'AMSF','AMERISAFE, Inc.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(3908,'ASRV','AmeriServ Financial Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(3909,'ASRVP','AmeriServ Financial Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(3910,'ASCA','Ameristar Casinos, Inc.','Consumer Services','Hotels/Resorts','0.00','0000-00-00 00:00:00'),(3911,'AMTC','Ameritrans Capital Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(3912,'AMTCP','Ameritrans Capital Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(3913,'ATLO','Ames National Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(3914,'AMGN','Amgen Inc.','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(3915,'FOLD','Amicus Therapeutics, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3916,'AMKR','Amkor Technology, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(3917,'AMPL','Ampal-American Israel Corporation','Finance','Finance/Investors Services','0.00','0000-00-00 00:00:00'),(3918,'AMPE','Ampio Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3919,'AMSG','Amsurg Corp.','Health Care','Medical/Nursing Services','0.00','0000-00-00 00:00:00'),(3920,'ASYS','Amtech Systems, Inc.','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(3921,'AFSI','AmTrust Financial Services, Inc.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(3922,'AMLN','Amylin Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3923,'AMRS','Amyris, Inc.','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(3924,'ANAC','Anacor Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3925,'ANAD','ANADIGICS, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(3926,'ALOG','Analogic Corporation','Capital Goods','Electrical Products','0.00','0000-00-00 00:00:00'),(3927,'ANLY','Analysts International Corporation','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(3928,'ANEN','Anaren, Inc.','Technology','Radio And Television Broadcasting And Communications Equipment','0.00','0000-00-00 00:00:00'),(3929,'ACOM          ','Ancestry.com, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(3930,'ANCB','Anchor Bancorp','Finance','Banks','0.00','0000-00-00 00:00:00'),(3931,'AMCF','Andatee China Marine Fuel Services Corporation','Energy','Oil Refining/Marketing','0.00','0000-00-00 00:00:00'),(3932,'ANGN','Angeion Corporation','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(3933,'ANGI','Angie\'s List, Inc.','Consumer Services','Advertising','0.00','0000-00-00 00:00:00'),(3934,'ANGO','AngioDynamics, Inc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(3935,'ANIK','Anika Therapeutics Inc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(3936,'ANNB','Annapolis Bancorp Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(3937,'ANSS','ANSYS, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(3938,'ANTH','Anthera Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3939,'APAGF','Apco Oil and Gas International Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(3940,'ATNY','API Technologies Corp.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(3941,'APOG','Apogee Enterprises, Inc.','Capital Goods','Auto Parts:O.E.M.','0.00','0000-00-00 00:00:00'),(3942,'APOL','Apollo Group, Inc.','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(3943,'AINV','Apollo Investment Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(3944,'AAPL','Apple Inc.','Technology','Computer Manufacturing','0.00','0000-00-00 00:00:00'),(3945,'ARCI','Appliance Recycling Centers of America, Inc.','Consumer Services','Home Furnishings','0.00','0000-00-00 00:00:00'),(3946,'AERG','Applied Energetics, Inc','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(3947,'AMAT','Applied Materials, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(3948,'AMCC','Applied Micro Circuits Corporation','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(3949,'AREX','Approach Resources Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(3950,'APRI','Apricus Biosciences, Inc','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3951,'ARSD','Arabian American Development Company','Energy','Integrated oil Companies','0.00','0000-00-00 00:00:00'),(3952,'ARCW','Arc Wireless Solutions, Inc.','Consumer Services','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(3953,'ABIO','Arca Biopharma, Inc.','Health Care','Biotechnology: In Vitro & In Vivo Diagnostic Substances','0.00','0000-00-00 00:00:00'),(3954,'ACGL','Arch Capital Group Ltd.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(3955,'ARCL','Archipelago Learning, Inc.','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(3956,'ACAT','Arctic Cat Inc.','Capital Goods','Industrial Specialties','0.00','0000-00-00 00:00:00'),(3957,'RDEA','Ardea Biosciences, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3958,'ARDNA','Arden Group, Inc.','Consumer Services','Food Chains','0.00','0000-00-00 00:00:00'),(3959,'ARNA','Arena Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3960,'ARCC','Ares Capital Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(3961,'AGII','Argo Group International Holdings, Ltd.','Finance','Specialty Insurers','0.00','0000-00-00 00:00:00'),(3962,'ARIA','ARIAD Pharmaceuticals, Inc.','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(3963,'ARBA','Ariba, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(3964,'ARKR','Ark Restaurants Corp.','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(3965,'ABFS','Arkansas Best Corporation','Transportation','Trucking Freight/Courier Services','0.00','0000-00-00 00:00:00'),(3966,'ARMH','ARM Holdings, plc','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(3967,'ARTX','Arotech Corporation','Energy','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(3968,'ARQL','ArQule, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3969,'ARRY','Array BioPharma Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3970,'ARRS','Arris Group Inc','Technology','Radio And Television Broadcasting And Communications Equipment','0.00','0000-00-00 00:00:00'),(3971,'AROW','Arrow Financial Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(3972,'ARWRD','Arrowhead Research Corporation','Health Care','Biotechnology: Commercial Physical & Biological Resarch','0.00','0000-00-00 00:00:00'),(3973,'ARTNA','Artesian Resources Corporation','Public Utilities','Water Supply','0.00','0000-00-00 00:00:00'),(3974,'ARTC','ArthroCare Corporation','Health Care','Biotechnology: Electromedical & Electrotherapeutic Apparatus','0.00','0000-00-00 00:00:00'),(3975,'ARTW','Art\'s-Way Manufacturing Co., Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(3976,'ARUN','Aruba Networks, Inc.','Technology','Computer peripheral equipment','0.00','0000-00-00 00:00:00'),(3977,'ASBB','ASB Bancorp, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(3978,'ASNA','Ascena Retail Group, Inc.','Consumer Services','Clothing/Shoe/Accessory Stores','0.00','0000-00-00 00:00:00'),(3979,'ASCMA','Ascent Capital Group, Inc.','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(3980,'ASTI','Ascent Solar Technologies, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(3981,'AERL','Asia Entertainment & Resources Ltd','Consumer Services','Services-Misc. Amusement & Recreation','0.00','0000-00-00 00:00:00'),(3982,'APWC','Asia Pacific Wire & Cable Corporation Limited','Basic Industries','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(3983,'ASIA','AsiaInfo-Linkage, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(3984,'ASMI','ASM International N.V.','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(3985,'ASML','ASML Holding N.V.','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(3986,'AZPN','Aspen Technology, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(3987,'APPY','AspenBio Pharma, Inc.','Health Care','Biotechnology: In Vitro & In Vivo Diagnostic Substances','0.00','0000-00-00 00:00:00'),(3988,'AACC','Asset Acceptance Capital Corp.','Finance','Finance Companies','0.00','0000-00-00 00:00:00'),(3989,'ASBC','Associated Banc-Corp','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(3990,'ASBCW','Associated Banc-Corp','n/a','n/a','0.00','0000-00-00 00:00:00'),(3991,'ASFI','Asta Funding, Inc.','Finance','Finance Companies','0.00','0000-00-00 00:00:00'),(3992,'ATEA','Astea International, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(3993,'ASTE','Astec Industries, Inc.','Capital Goods','Construction/Ag Equipment/Trucks','0.00','0000-00-00 00:00:00'),(3994,'ASTX','Astex Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(3995,'ALOT','Astro-Med, Inc.','Technology','Computer peripheral equipment','0.00','0000-00-00 00:00:00'),(3996,'ATRO','Astronics Corporation','Capital Goods','Military/Government/Technical','0.00','0000-00-00 00:00:00'),(3997,'ASTC','Astrotech Corporation','Capital Goods','Military/Government/Technical','0.00','0000-00-00 00:00:00'),(3998,'ASUR','Asure Software Inc','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(3999,'ATAI','ATA Inc.','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(4000,'ATHN','athenahealth, Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(4001,'AFCB','Athens Bancshares Corporation','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(4002,'ATHX','Athersys, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4003,'AAME','Atlantic American Corporation','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(4004,'ACFC','Atlantic Coast Federal Corporation','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(4005,'ATNI','Atlantic Tele-Network, Inc.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(4006,'AAWW','Atlas Air Worldwide Holdings','Transportation','Transportation Services','0.00','0000-00-00 00:00:00'),(4007,'ATML','Atmel Corporation','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(4008,'ATMI','ATMI Inc.','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(4009,'ATPG','ATP Oil & Gas Corporation','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(4010,'ATRC','AtriCure, Inc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(4011,'ATRI','ATRION Corporation','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(4012,'AUBN','Auburn National Bancorporation, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4013,'AUDC','AudioCodes Ltd.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(4014,'VOXX','Audiovox Corporation','Consumer Non-Durables','Electronic Components','0.00','0000-00-00 00:00:00'),(4015,'AAC','Australia Acquisition Corp.','Finance','Business Services','0.00','0000-00-00 00:00:00'),(4016,'AACOU','Australia Acquisition Corp.','Finance','Business Services','0.00','0000-00-00 00:00:00'),(4017,'AACOW','Australia Acquisition Corp.','Finance','Business Services','0.00','0000-00-00 00:00:00'),(4018,'AUTH','AuthenTec, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(4019,'ADAT','Authentidate Holding Corp.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(4020,'ABTL','Autobytel Inc.','Technology','Computer Software: Programming, Data Processing','0.00','0000-00-00 00:00:00'),(4021,'ADSK','Autodesk, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(4022,'ADP','Automatic Data Processing, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(4023,'AMAP','AutoNavi Holdings Limited','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(4024,'AUXL','Auxilium Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4025,'AVGO','Avago Technologies Limited','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(4026,'AVNR','Avanir Pharmaceuticals, Inc','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4027,'AVTR','Avatar Holdings Inc.','Capital Goods','Homebuilding','0.00','0000-00-00 00:00:00'),(4028,'AVEO','AVEO Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4029,'AVII','AVI BioPharma, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4030,'AVNW','Aviat Networks, Inc.','Technology','Radio And Television Broadcasting And Communications Equipment','0.00','0000-00-00 00:00:00'),(4031,'AVID','Avid Technology, Inc.','Miscellaneous','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(4032,'CAR','Avis Budget Group, Inc.','Consumer Services','Rental/Leasing Companies','0.00','0000-00-00 00:00:00'),(4033,'AWRE','Aware, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(4034,'ACLS','Axcelis Technologies, Inc.','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(4035,'AXTI','AXT Inc','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(4036,'BCOM','B Communications Ltd.','Consumer Services','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(4037,'BOSC','B.O.S. Better Online Solutions','Technology','Computer Communications Equipment','0.00','0000-00-00 00:00:00'),(4038,'BIDU','Baidu, Inc.','Technology','Computer Software: Programming, Data Processing','0.00','0000-00-00 00:00:00'),(4039,'BCPC','Balchem Corporation','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(4040,'BWINA','Baldwin & Lyons, Inc.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(4041,'BWINB','Baldwin & Lyons, Inc.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(4042,'BLDP','Ballard Power Systems, Inc.','Energy','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(4043,'BANF','BancFirst Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4044,'BANFP','BancFirst Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4045,'BARI','Bancorp Rhode Island, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4046,'BTFG','BancTrust Financial Group, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4047,'BKMU','Bank Mutual Corporation','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(4048,'BOCH','Bank of Commerce Holdings (CA)','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4049,'BMRC','Bank of Marin Bancorp','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4050,'BKSC','Bank of South Carolina Corp.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4051,'BCAR','Bank of the Carolinas Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4052,'OZRK','Bank of the Ozarks','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4053,'BOVA','Bank Of Virginia','n/a','n/a','0.00','0000-00-00 00:00:00'),(4054,'BBXT','BankAtlantic Bancorp, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(4055,'BFIN','BankFinancial Corporation','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(4056,'BANR','Banner Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4057,'BBSI','Barrett Business Services, Inc.','Technology','Professional Services','0.00','0000-00-00 00:00:00'),(4058,'BSET','Bassett Furniture Industries, Incorporated','Consumer Durables','Home Furnishings','0.00','0000-00-00 00:00:00'),(4059,'MSDXP','BB&T Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4060,'BBCN','BBCN Bancorp, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(4061,'BCBP','BCB Bancorp, Inc. (NJ)','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(4062,'BCDS','BCD Semiconductor Manufacturing Limited','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(4063,'BCSB','BCSB Bancorp, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(4064,'BEAV','BE Aerospace, Inc.','Consumer Durables','Industrial Specialties','0.00','0000-00-00 00:00:00'),(4065,'BFED','Beacon Federal Bancorp, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(4066,'BECN','Beacon Roofing Supply, Inc.','Consumer Services','RETAIL: Building Materials','0.00','0000-00-00 00:00:00'),(4067,'BBGI','Beasley Broadcast Group, Inc.','Consumer Services','Broadcasting','0.00','0000-00-00 00:00:00'),(4068,'BEBE','bebe stores, inc.','Consumer Non-Durables','Apparel','0.00','0000-00-00 00:00:00'),(4069,'BBBY','Bed Bath & Beyond Inc.','Consumer Services','Home Furnishings','0.00','0000-00-00 00:00:00'),(4070,'BELFA','Bel Fuse Inc.','Capital Goods','Electrical Products','0.00','0000-00-00 00:00:00'),(4071,'BELFB','Bel Fuse Inc.','Capital Goods','Electrical Products','0.00','0000-00-00 00:00:00'),(4072,'BNCL','Beneficial Mutual Bancorp, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(4073,'BNHN','Benihana Inc.','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(4074,'BERK','Berkshire Bancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4075,'BHLB','Berkshire Hills Bancorp, Inc.','Finance','Banks','0.00','0000-00-00 00:00:00'),(4076,'BGMD','BG Medicine, Inc.','Health Care','Medical Specialities','0.00','0000-00-00 00:00:00'),(4077,'BGCP','BGC Partners, Inc.','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(4078,'BIDZ','Bidz.com, Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(4079,'BGFV','Big 5 Sporting Goods Corporation','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(4080,'BASI','Bioanalytical Systems, Inc.','Health Care','Biotechnology: Commercial Physical & Biological Resarch','0.00','0000-00-00 00:00:00'),(4081,'BIOC','BioClinica, Inc','Health Care','Precision Instruments','0.00','0000-00-00 00:00:00'),(4082,'BCRX','BioCryst Pharmaceuticals, Inc.','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(4083,'BIOD','Biodel Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4084,'BDSI','BioDelivery Sciences International, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4085,'BIOF','BioFuel Energy Corp.','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(4086,'BIIB','Biogen Idec Inc','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(4087,'BLTI','BioLase Technology, Inc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(4088,'BLRX','BioLineRx Ltd.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4089,'BMRN','BioMarin Pharmaceutical Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4090,'BMTI','BioMimetic Therapeutics, Inc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(4091,'BNVI','Bionovo, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4092,'BRLI','Bio-Reference Laboratories, Inc.','Health Care','Medical Specialities','0.00','0000-00-00 00:00:00'),(4093,'BPAX','Biosante Pharmaceuticals, Inc.','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(4094,'BIOS','BioScrip, Inc.','Health Care','Medical/Nursing Services','0.00','0000-00-00 00:00:00'),(4095,'BSTC','BioSpecifics Technologies Corp','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4096,'BSPM','Biostar Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4097,'BDMS','Birner Dental Management Services, Inc.','Health Care','Medical/Nursing Services','0.00','0000-00-00 00:00:00'),(4098,'BITS','Bitstream Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(4099,'BJRI','BJ\'s Restaurants, Inc.','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(4100,'BBOX','Black Box Corporation','Technology','Computer Communications Equipment','0.00','0000-00-00 00:00:00'),(4101,'BDE','Black Diamond, Inc.','Consumer Non-Durables','Recreational Products/Toys','0.00','0000-00-00 00:00:00'),(4102,'BLKB','Blackbaud, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(4103,'BKCC','BlackRock Kelso Capital Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(4104,'ADRA','BLDRS Asia 50 ADR Index Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(4105,'ADRD','BLDRS Developed Markets 100 ADR Index Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(4106,'ADRE','BLDRS Emerging Markets 50 ADR Index Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(4107,'ADRU','BLDRS Europe 100 ADR Index Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(4108,'BCSI','Blue Coat Systems Inc','Technology','Electronic Components','0.00','0000-00-00 00:00:00'),(4109,'BDCO','Blue Dolphin Energy Company','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(4110,'NILE','Blue Nile, Inc.','Consumer Services','Consumer Specialties','0.00','0000-00-00 00:00:00'),(4111,'MNGL','Blue Wolf Mongolia Holdings Corp.','Finance','Business Services','0.00','0000-00-00 00:00:00'),(4112,'MNGLU','Blue Wolf Mongolia Holdings Corp.','Finance','Business Services','0.00','0000-00-00 00:00:00'),(4113,'MNGLW','Blue Wolf Mongolia Holdings Corp.','Finance','Business Services','0.00','0000-00-00 00:00:00'),(4114,'BFLY','Bluefly, Inc.','Consumer Services','Catalog/Specialty Distribution','0.00','0000-00-00 00:00:00'),(4115,'BKEP','Blueknight Energy Partners L.P., L.L.C.','Energy','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(4116,'BKEPP','Blueknight Energy Partners L.P., L.L.C.','Energy','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(4117,'BPHX','BluePhoenix Solutions, Ltd.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(4118,'BMC','BMC Software, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(4119,'BNCN','BNC Bancorp','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4120,'BOBE','Bob Evans Farms, Inc.','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(4121,'BODY','Body Central Corp.','Consumer Services','Clothing/Shoe/Accessory Stores','0.00','0000-00-00 00:00:00'),(4122,'BOFI','BofI Holding, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(4123,'WIFI','Boingo Wireless, Inc.','Consumer Services','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(4124,'BOKF','BOK Financial Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4125,'BOLT','Bolt Technology Corporation','Energy','Metal Fabrications','0.00','0000-00-00 00:00:00'),(4126,'BONA','Bona Film Group Limited','Consumer Services','Movies/Entertainment','0.00','0000-00-00 00:00:00'),(4127,'BNSO','Bonso Electronics International, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(4128,'BAMM','Books-A-Million, Inc.','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(4129,'BPFH','Boston Private Financial Holdings, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4130,'BPFHW','Boston Private Financial Holdings, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4131,'EPAY','Bottomline Technologies, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(4132,'BBRG','Bravo Brio Restaurant Group, Inc.','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(4133,'BBEP','BreitBurn Energy Partners, L.P.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(4134,'BDGE','Bridge Bancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4135,'BBNK','Bridge Capital Holdings','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4136,'BLIN          ','Bridgeline Digital, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(4137,'BRID','Bridgford Foods Corporation','Consumer Non-Durables','Specialty Foods','0.00','0000-00-00 00:00:00'),(4138,'BEXP','Brigham Exploration Company','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(4139,'CELL','Brightpoint, Inc.','Consumer Non-Durables','Electronic Components','0.00','0000-00-00 00:00:00'),(4140,'BKBK','Britton & Koontz Capital Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4141,'BRCM','Broadcom Corporation','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(4142,'BSFT','BroadSoft, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(4143,'BVSN','BroadVision, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(4144,'BYFC','Broadway Financial Corporation','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(4145,'BWEN','Broadwind Energy, Inc.','Capital Goods','Metal Fabrications','0.00','0000-00-00 00:00:00'),(4146,'BRCD','Brocade Communications Systems, Inc.','Technology','Computer peripheral equipment','0.00','0000-00-00 00:00:00'),(4147,'BRKL','Brookline Bancorp, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(4148,'BFSB','Brooklyn Federal Bancorp, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(4149,'BRKS','Brooks Automation, Inc.','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(4150,'BRKR','Bruker Corporation','Capital Goods','Biotechnology: Laboratory Analytical Instruments','0.00','0000-00-00 00:00:00'),(4151,'BMTC','Bryn Mawr Bank Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4152,'BLMT','BSB Bancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4153,'BSDM','BSD Medical Corporation','Health Care','Biotechnology: Electromedical & Electrotherapeutic Apparatus','0.00','0000-00-00 00:00:00'),(4154,'BSQR','BSQUARE Corporation','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(4155,'BTUI','BTU International, Inc.','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(4156,'BWLD','Buffalo Wild Wings, Inc.','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(4157,'BLDR','Builders FirstSource, Inc.','Consumer Services','RETAIL: Building Materials','0.00','0000-00-00 00:00:00'),(4158,'BUR','Burcon Nutrascience Corp','Miscellaneous','Multi-Sector Companies','0.00','0000-00-00 00:00:00'),(4159,'CFFI','C&F Financial Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4160,'CHRW','C.H. Robinson Worldwide, Inc.','Transportation','Oil Refining/Marketing','0.00','0000-00-00 00:00:00'),(4161,'CA','CA Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(4162,'CCMP','Cabot Microelectronics Corporation','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(4163,'CACH','Cache, Inc.','Consumer Services','Clothing/Shoe/Accessory Stores','0.00','0000-00-00 00:00:00'),(4164,'CDNS','Cadence Design Systems, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(4165,'CADX','Cadence Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4166,'CDZI','Cadiz, Inc.','Public Utilities','Water Supply','0.00','0000-00-00 00:00:00'),(4167,'CLMS','Calamos Asset Management, Inc.','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(4168,'CAMP','CalAmp Corp.','Technology','Radio And Television Broadcasting And Communications Equipment','0.00','0000-00-00 00:00:00'),(4169,'CVGW','Calavo Growers, Inc.','Consumer Non-Durables','Farming/Seeds/Milling','0.00','0000-00-00 00:00:00'),(4170,'CFNB','California First National Bancorp','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4171,'CALD','Callidus Software, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(4172,'CALM','Cal-Maine Foods, Inc.','Consumer Non-Durables','Farming/Seeds/Milling','0.00','0000-00-00 00:00:00'),(4173,'CLMT','Calumet Specialty Products Partners, L.P.','Energy','Integrated oil Companies','0.00','0000-00-00 00:00:00'),(4174,'ABCD','Cambium Learning Group, Inc.','Consumer Services','Publishing','0.00','0000-00-00 00:00:00'),(4175,'CAFI','Camco Financial Corporation','Finance','Banks','0.00','0000-00-00 00:00:00'),(4176,'CAC','Camden National Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4177,'CAMT','Camtek Ltd.','Capital Goods','Electronic Components','0.00','0000-00-00 00:00:00'),(4178,'CSIQ','Canadian Solar Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(4179,'CPHC','Canterbury Park Holding Corporation','Consumer Services','Services-Misc. Amusement & Recreation','0.00','0000-00-00 00:00:00'),(4180,'CBNJ','Cape Bancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4181,'CPLA','Capella Education Company','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(4182,'CBKN','Capital Bank Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4183,'CCBG','Capital City Bank Group','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4184,'CPLP','Capital Product Partners L.P.','Transportation','Marine Transportation','0.00','0000-00-00 00:00:00'),(4185,'CSWC','Capital Southwest Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(4186,'CFFN','Capitol Federal Financial','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(4187,'CPST','Capstone Turbine Corporation','Energy','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(4188,'CARB','Carbonite, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(4189,'CRDC','Cardica, Inc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(4190,'CFNL','Cardinal Financial Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4191,'CRME','Cardiome Pharma Corporation','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4192,'BEAT','CardioNet, Inc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(4193,'CSII','Cardiovascular Systems, Inc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(4194,'CATM','Cardtronics, Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(4195,'CECO','Career Education Corporation','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(4196,'CBOU','Caribou Coffee Company, Inc.','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(4197,'CKEC','Carmike Cinemas, Inc.','Consumer Services','Movies/Entertainment','0.00','0000-00-00 00:00:00'),(4198,'CLBH','Carolina Bank Holdings Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4199,'CART','Carolina Trust Bank','n/a','n/a','0.00','0000-00-00 00:00:00'),(4200,'CRZO','Carrizo Oil & Gas, Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(4201,'CRRB','Carrollton Bancorp','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4202,'TAST','Carrols Restaurant Group, Inc.','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(4203,'CARV','Carver Bancorp, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(4204,'CASM','CAS Medical Systems, Inc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(4205,'CACB','Cascade Bancorp','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4206,'CSCD','Cascade Microtech, Inc.','Capital Goods','Electrical Products','0.00','0000-00-00 00:00:00'),(4207,'CWST','Casella Waste Systems, Inc.','Public Utilities','Environmental Services','0.00','0000-00-00 00:00:00'),(4208,'CASY','Caseys General Stores, Inc.','Consumer Durables','Automotive Aftermarket','0.00','0000-00-00 00:00:00'),(4209,'CASS','Cass Information Systems, Inc','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(4210,'CMRG','Casual Male Retail Group, Inc.','Consumer Services','Clothing/Shoe/Accessory Stores','0.00','0000-00-00 00:00:00'),(4211,'CHSI','Catalyst Health Solutions, Inc','Finance','Specialty Insurers','0.00','0000-00-00 00:00:00'),(4212,'CPRX','Catalyst Pharmaceutical Partners, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4213,'CATY','Cathay General Bancorp','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4214,'CVCO','Cavco Industries, Inc.','Basic Industries','Homebuilding','0.00','0000-00-00 00:00:00'),(4215,'CAVM','Cavium, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(4216,'CAZA','Cazador Acquisition Corporation Ltd.','Finance','Business Services','0.00','0000-00-00 00:00:00'),(4217,'CAZAU','Cazador Acquisition Corporation Ltd.','Finance','Business Services','0.00','0000-00-00 00:00:00'),(4218,'CAZAW','Cazador Acquisition Corporation Ltd.','Finance','Business Services','0.00','0000-00-00 00:00:00'),(4219,'CBEY','Cbeyond, Inc.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(4220,'CBOE','CBOE Holdings, Inc.','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(4221,'CDCS','CDC Software Corporation','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(4222,'CFK','CE Franklin Ltd.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(4223,'CECE','CECO Environmental Corp.','Capital Goods','Pollution Control Equipment','0.00','0000-00-00 00:00:00'),(4224,'CELG','Celgene Corporation','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4225,'CELGZ','Celgene Corporation','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4226,'CTIC','Cell Therapeutics, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4227,'CLDX','Celldex Therapeutics, Inc','Health Care','Biotechnology: In Vitro & In Vivo Diagnostic Substances','0.00','0000-00-00 00:00:00'),(4228,'CLSN','Celsion Corporation','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4229,'CNBC','Center Bancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4230,'CSFL','CenterState Banks, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4231,'CEBK','Central Bancorp, Inc','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4232,'CEDC','Central European Distribution Corporation','Consumer Non-Durables','Beverages (Production/Distribution)','0.00','0000-00-00 00:00:00'),(4233,'CETV','Central European Media Enterprises Ltd.','Consumer Services','Broadcasting','0.00','0000-00-00 00:00:00'),(4234,'CFBK','Central Federal Corporation','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(4235,'CENT','Central Garden & Pet Company','Consumer Durables','Consumer Specialties','0.00','0000-00-00 00:00:00'),(4236,'CENTA','Central Garden & Pet Company','Consumer Durables','Consumer Specialties','0.00','0000-00-00 00:00:00'),(4237,'CVCY','Central Valley Community Bancorp','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4238,'CVBK','Central Virginia Bankshares, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4239,'CENX','Century Aluminum Company','Basic Industries','Aluminum','0.00','0000-00-00 00:00:00'),(4240,'CNBKA','Century Bancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4241,'CNTY','Century Casinos, Inc.','Consumer Services','Hotels/Resorts','0.00','0000-00-00 00:00:00'),(4242,'CPHD','CEPHEID','Capital Goods','Biotechnology: Laboratory Analytical Instruments','0.00','0000-00-00 00:00:00'),(4243,'CRDN','Ceradyne, Inc.','Consumer Durables','Miscellaneous manufacturing industries','0.00','0000-00-00 00:00:00'),(4244,'CRNT','Ceragon Networks Ltd.','Technology','Radio And Television Broadcasting And Communications Equipment','0.00','0000-00-00 00:00:00'),(4245,'CERP','Cereplast, Inc.','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(4246,'CERN','Cerner Corporation','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(4247,'CERS','Cerus Corporation','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(4248,'CEVA','CEVA, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(4249,'CITZ','CFS Bancorp, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(4250,'CHMP','Champion Industries, Inc.','Miscellaneous','Publishing','0.00','0000-00-00 00:00:00'),(4251,'CYOU','Changyou.com Limited','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(4252,'CTHR','Charles & Colvard Ltd','Consumer Durables','Consumer Specialties','0.00','0000-00-00 00:00:00'),(4253,'CHRM','Charm Communications Inc.','Technology','Advertising','0.00','0000-00-00 00:00:00'),(4254,'CHRS','Charming Shoppes, Inc.','Consumer Services','Clothing/Shoe/Accessory Stores','0.00','0000-00-00 00:00:00'),(4255,'GTLS','Chart Industries, Inc.','Capital Goods','Metal Fabrications','0.00','0000-00-00 00:00:00'),(4256,'CHTR','Charter Communications, Inc.','Consumer Services','Television Services','0.00','0000-00-00 00:00:00'),(4257,'CHFN','Charter Financial Corp.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(4258,'CHKP','Check Point Software Technologies Ltd.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(4259,'CHTP','Chelsea Therapeutics International, Ltd.','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(4260,'CHFC','Chemical Financial Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4261,'CHKE','Cherokee Inc.','Consumer Non-Durables','Apparel','0.00','0000-00-00 00:00:00'),(4262,'CHEV','Cheviot Financial Corp','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4263,'CBNK','Chicopee Bancorp, Inc.','Finance','Banks','0.00','0000-00-00 00:00:00'),(4264,'CADC','China Advanced Construction Materials Group, Inc.','Basic Industries','Engineering & Construction','0.00','0000-00-00 00:00:00'),(4265,'CALI','China Auto Logistics Inc.','Consumer Services','Motor Vehicles','0.00','0000-00-00 00:00:00'),(4266,'CAAS','China Automotive Systems, Inc.','Capital Goods','Auto Parts:O.E.M.','0.00','0000-00-00 00:00:00'),(4267,'CBAK','China BAK Battery, Inc.','Energy','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(4268,'CBPO','China Biologic Products, Inc.','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(4269,'CCCL','China Ceramics Co., Ltd.','Capital Goods','Building Materials','0.00','0000-00-00 00:00:00'),(4270,'CCCLU','China Ceramics Co., Ltd.','Capital Goods','Building Materials','0.00','0000-00-00 00:00:00'),(4271,'CCCLW','China Ceramics Co., Ltd.','Capital Goods','Building Materials','0.00','0000-00-00 00:00:00'),(4272,'CCGM','China CGame, Inc','Consumer Services','Military/Government/Technical','0.00','0000-00-00 00:00:00'),(4273,'CDII','China Direct Industries, Inc.','Capital Goods','Metal Fabrications','0.00','0000-00-00 00:00:00'),(4274,'JRJC','China Finance Online Co. Limited','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(4275,'CHOP','China Gerui Advanced Materials Group Limited','Capital Goods','Steel/Iron Ore','0.00','0000-00-00 00:00:00'),(4276,'GRRF','China Grentech Corporation Limited','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(4277,'CGEI','China Growth Equity Investment Ltd.','Finance','Business Services','0.00','0000-00-00 00:00:00'),(4278,'CGEIU','China Growth Equity Investment Ltd.','Finance','Business Services','0.00','0000-00-00 00:00:00'),(4279,'CGEIW','China Growth Equity Investment Ltd.','Finance','Business Services','0.00','0000-00-00 00:00:00'),(4280,'HGSH','China HGS Real Estate, Inc.','Finance','Real Estate','0.00','0000-00-00 00:00:00'),(4281,'CHLN','China Housing & Land Development, Inc.','Basic Industries','Homebuilding','0.00','0000-00-00 00:00:00'),(4282,'CNIT','China Information Technology, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(4283,'CJJD','China Jo-Jo Drugstores, Inc.','Health Care','Medical/Nursing Services','0.00','0000-00-00 00:00:00'),(4284,'HTHT','China Lodging Group, Limited','Consumer Services','Hotels/Resorts','0.00','0000-00-00 00:00:00'),(4285,'CMED','China Medical Technologies, Inc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(4286,'CHNG','China Natural Gas, Inc.','Public Utilities','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(4287,'CHNR','China Natural Resources, Inc.','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(4288,'NKBP','China Nuokang Bio-Pharmaceutical Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4289,'CPSL','China Precision Steel, Inc.','Basic Industries','Steel/Iron Ore','0.00','0000-00-00 00:00:00'),(4290,'CRIC','China Real Estate Information Corporation','Finance','Real Estate','0.00','0000-00-00 00:00:00'),(4291,'CREG','China Recycling Energy Corporation','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(4292,'CPGI','China Shengda Packaging Group, Inc.','Consumer Durables','Containers/Packaging','0.00','0000-00-00 00:00:00'),(4293,'CSKI','China Sky One Medical, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4294,'CSUN','China Sunergy Co., Ltd.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(4295,'CNTF','China TechFaith Wireless Communication Technology Limited','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(4296,'CTDC','China Technology Development Group Corporation','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(4297,'CTFO','China TransInfo Technology Corp.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(4298,'CVVT','China Valves Technology, Inc.','Capital Goods','Metal Fabrications','0.00','0000-00-00 00:00:00'),(4299,'CXDC','China XD Plastics Company Limited','Capital Goods','Containers/Packaging','0.00','0000-00-00 00:00:00'),(4300,'CNYD','China Yida Holding, Co.','Consumer Services','Advertising','0.00','0000-00-00 00:00:00'),(4301,'CCIH','ChinaCache International Holdings Ltd.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(4302,'CAST','ChinaCast Education Corporation','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(4303,'CEDU','ChinaEdu Corporation','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(4304,'CNET','ChinaNet Online Holdings, Inc.','Technology','Advertising','0.00','0000-00-00 00:00:00'),(4305,'CHDX','Chindex International, Inc.','Health Care','Medical Specialities','0.00','0000-00-00 00:00:00'),(4306,'IMOS','ChipMOS TECHNOLOGIES (Bermuda) LTD.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(4307,'CHSCP','CHS Inc','Consumer Services','Farming/Seeds/Milling','0.00','0000-00-00 00:00:00'),(4308,'CHDN','Churchill Downs, Incorporated','Consumer Services','Services-Misc. Amusement & Recreation','0.00','0000-00-00 00:00:00'),(4309,'CHYR','Chyron Corporation','Miscellaneous','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(4310,'CIEN','CIENA Corporation','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(4311,'DFR','CIFC Corp.','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(4312,'CIMT','Cimatron, Limited','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(4313,'CINF','Cincinnati Financial Corporation','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(4314,'CIDM','Cinedigm Digital Cinema Corp','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(4315,'CTAS','Cintas Corporation','Consumer Non-Durables','Apparel','0.00','0000-00-00 00:00:00'),(4316,'CRUS','Cirrus Logic, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(4317,'CSCO','Cisco Systems, Inc.','Technology','Computer Communications Equipment','0.00','0000-00-00 00:00:00'),(4318,'CTRN','Citi Trends, Inc.','Consumer Services','Clothing/Shoe/Accessory Stores','0.00','0000-00-00 00:00:00'),(4319,'CZNC','Citizens & Northern Corp','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4320,'CZWI','Citizens Community Bancorp, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(4321,'CZFC','Citizens First Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4322,'CIZN','Citizens Holding Company','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4323,'CRBC','Citizens Republic Bancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4324,'CSBC','Citizens South Banking Corporation','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(4325,'CTXS','Citrix Systems, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(4326,'CHCO','City Holding Company','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4327,'CTEL','City Telecom (H.K.) Limited','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(4328,'CWEI','Clayton Williams Energy, Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(4329,'CDTI','Clean Diesel Technologies, Inc.','Capital Goods','Pollution Control Equipment','0.00','0000-00-00 00:00:00'),(4330,'CLNE','Clean Energy Fuels Corp.','Public Utilities','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(4331,'CLNT','Cleantech Solutions International, Inc.','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(4332,'CLFD','Clearfield, Inc.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(4333,'CLRO','ClearOne Communications Inc.','Technology','Radio And Television Broadcasting And Communications Equipment','0.00','0000-00-00 00:00:00'),(4334,'CLWR','Clearwire Corporation','Consumer Services','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(4335,'CBLI','Cleveland BioLabs, Inc.','Health Care','Biotechnology: Commercial Physical & Biological Resarch','0.00','0000-00-00 00:00:00'),(4336,'CKSW','ClickSoftware Technologies Ltd.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(4337,'CSBK','Clifton Savings Bancorp, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(4338,'CLVS','Clovis Oncology, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4339,'CME','CME Group Inc.','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(4340,'CMSB','CMS Bancorp, Inc.','Finance','Banks','0.00','0000-00-00 00:00:00'),(4341,'CCNE','CNB Financial Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4342,'CISG','CNinsure Inc.','Finance','Specialty Insurers','0.00','0000-00-00 00:00:00'),(4343,'COBZ','CoBiz Financial Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4344,'COBR','Cobra Electronics Corporation','Technology','Radio And Television Broadcasting And Communications Equipment','0.00','0000-00-00 00:00:00'),(4345,'COKE','Coca-Cola Bottling Co. Consolidated','Consumer Non-Durables','Beverages (Production/Distribution)','0.00','0000-00-00 00:00:00'),(4346,'CDXS','Codexis, Inc.','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(4347,'CVLY','Codorus Valley Bancorp, Inc','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(4348,'JVA','Coffee Holding Co., Inc.','Consumer Non-Durables','Beverages (Production/Distribution)','0.00','0000-00-00 00:00:00'),(4349,'CCOI','Cogent Communications Group, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(4350,'CGNX','Cognex Corporation','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(4351,'CTSH','Cognizant Technology Solutions Corporation','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(4352,'COGO','Cogo Group, Inc.','Capital Goods','Electrical Products','0.00','0000-00-00 00:00:00'),(4353,'COHR','Coherent, Inc.','Capital Goods','Biotechnology: Laboratory Analytical Instruments','0.00','0000-00-00 00:00:00'),(4354,'COHU','Cohu, Inc.','Capital Goods','Electrical Products','0.00','0000-00-00 00:00:00'),(4355,'CSTR','Coinstar, Inc.','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(4356,'CWTR','Coldwater Creek, Inc.','Consumer Services','Clothing/Shoe/Accessory Stores','0.00','0000-00-00 00:00:00'),(4357,'CCIX','Coleman Cable, Inc.','Basic Industries','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(4358,'CLCT','Collectors Universe, Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(4359,'COBK','Colonial Financial Services, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(4360,'CBAN','Colony Bankcorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4361,'COLB','Columbia Banking System, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4362,'CBRX','Columbia Laboratories, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4363,'COLM','Columbia Sportswear Company','Consumer Non-Durables','Apparel','0.00','0000-00-00 00:00:00'),(4364,'CMCO','Columbus McKinnon Corporation','Capital Goods','Construction/Ag Equipment/Trucks','0.00','0000-00-00 00:00:00'),(4365,'CBMX','CombiMatrix Corporation','Capital Goods','Biotechnology: Laboratory Analytical Instruments','0.00','0000-00-00 00:00:00'),(4366,'CBMXW','CombiMatrix Corporation','Capital Goods','Biotechnology: Laboratory Analytical Instruments','0.00','0000-00-00 00:00:00'),(4367,'CMCSA','Comcast Corporation','Consumer Services','Television Services','0.00','0000-00-00 00:00:00'),(4368,'CMCSK','Comcast Corporation','Consumer Services','Television Services','0.00','0000-00-00 00:00:00'),(4369,'CBSH','Commerce Bancshares, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4370,'CMFB','COMMERCEFIRST BANCORP INC','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4371,'CNAF','Commercial National Financial Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4372,'CVGI','Commercial Vehicle Group, Inc.','Capital Goods','Auto Parts:O.E.M.','0.00','0000-00-00 00:00:00'),(4373,'CTCH','Commtouch Software Ltd.','Consumer Services','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(4374,'JCS','Communications Systems, Inc.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(4375,'CBIN','Community Bank Shares of Indiana, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4376,'CFFC','Community Financial Corp.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(4377,'CPBC','Community Partners Bancorp','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4378,'CTBI','Community Trust Bancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4379,'CWBC','Community West Bancshares','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4380,'CVLT','CommVault Systems, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(4381,'GNOM','Complete Genomics, Inc.','Health Care','Biotechnology: Commercial Physical & Biological Resarch','0.00','0000-00-00 00:00:00'),(4382,'GSJK','Compressco Partners, L.P.','Energy','Oilfield Services/Equipment','0.00','0000-00-00 00:00:00'),(4383,'CCRT','CompuCredit Holdings Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(4384,'CGEN','Compugen Ltd.','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(4385,'CPSI','Computer Programs and Systems, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(4386,'CTGX','Computer Task Group, Incorporated','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(4387,'CPWR','Compuware Corporation','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(4388,'SCOR','comScore, Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(4389,'CHCI','Comstock Homebuilding Companies, Inc.','Capital Goods','Homebuilding','0.00','0000-00-00 00:00:00'),(4390,'CMTL','Comtech Telecommunications Corp.','Technology','Radio And Television Broadcasting And Communications Equipment','0.00','0000-00-00 00:00:00'),(4391,'COMV','Comverge, Inc.','Capital Goods','Auto Parts:O.E.M.','0.00','0000-00-00 00:00:00'),(4392,'CMVT','Comverse Technology, Inc.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(4393,'CPTS','Conceptus, Inc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(4394,'CNQR','Concur Technologies, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(4395,'CCUR','Concurrent Computer Corporation','Technology','Computer Manufacturing','0.00','0000-00-00 00:00:00'),(4396,'CNMD','CONMED Corporation','Health Care','Biotechnology: Electromedical & Electrotherapeutic Apparatus','0.00','0000-00-00 00:00:00'),(4397,'CTWS','Connecticut Water Service, Inc.','Public Utilities','Water Supply','0.00','0000-00-00 00:00:00'),(4398,'CONN','Conn\'s, Inc.','Consumer Services','Consumer Electronics/Video Chains','0.00','0000-00-00 00:00:00'),(4399,'CNSL','Consolidated Communications Holdings, Inc.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(4400,'CWCO','Consolidated Water Co. Ltd.','Public Utilities','Water Supply','0.00','0000-00-00 00:00:00'),(4401,'CTCT','Constant Contact, Inc.','Technology','Advertising','0.00','0000-00-00 00:00:00'),(4402,'CPSS','Consumer Portfolio Services, Inc.','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(4403,'CNVO','Convio, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(4404,'CPNO','Copano Energy, L.L.C.','Public Utilities','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(4405,'CPRT','Copart, Inc.','Consumer Durables','Automotive Aftermarket','0.00','0000-00-00 00:00:00'),(4406,'CORT','Corcept Therapeutics Incorporated','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4407,'CORE','Core-Mark Holding Company, Inc.','Consumer Non-Durables','Food Distributors','0.00','0000-00-00 00:00:00'),(4408,'COCO','Corinthian Colleges, Inc.','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(4409,'CSOD','Cornerstone OnDemand, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(4410,'CRTX','Cornerstone Therapeutics Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4411,'CRVL','CorVel Corp.','Finance','Specialty Insurers','0.00','0000-00-00 00:00:00'),(4412,'COSI','Cosi, Inc.','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(4413,'CPWM','Cost Plus, Inc.','Consumer Services','Home Furnishings','0.00','0000-00-00 00:00:00'),(4414,'CSGP','CoStar Group, Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(4415,'COST','Costco Wholesale Corporation','Consumer Services','Department/Specialty Retail Stores','0.00','0000-00-00 00:00:00'),(4416,'CRRC','Courier Corporation','Consumer Services','Publishing','0.00','0000-00-00 00:00:00'),(4417,'CVTI','Covenant Transportation Group, Inc.','Transportation','Trucking Freight/Courier Services','0.00','0000-00-00 00:00:00'),(4418,'COWN','Cowen Group, Inc.','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(4419,'CRAI','CRA International,Inc.','Miscellaneous','Other Consumer Services','0.00','0000-00-00 00:00:00'),(4420,'CBRL','Cracker Barrel Old Country Store, Inc.','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(4421,'HOOK','Craft Brewers Alliance, Inc','Consumer Non-Durables','Beverages (Production/Distribution)','0.00','0000-00-00 00:00:00'),(4422,'CRAY','Cray Inc','Technology','Computer Manufacturing','0.00','0000-00-00 00:00:00'),(4423,'CACC','Credit Acceptance Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(4424,'CRED','Credo Petroleum Corporation','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(4425,'CREE','Cree, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(4426,'CRFN','Crescent Financial Bancshares, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4427,'CRESW','Cresud S.A.C.I.F. y A.','Consumer Non-Durables','Farming/Seeds/Milling','0.00','0000-00-00 00:00:00'),(4428,'CRESY','Cresud S.A.C.I.F. y A.','Consumer Non-Durables','Farming/Seeds/Milling','0.00','0000-00-00 00:00:00'),(4429,'CXPO','Crimson Exploration Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(4430,'CROX','Crocs, Inc.','Consumer Non-Durables','Shoe Manufacturing','0.00','0000-00-00 00:00:00'),(4431,'ATX','Cross (A.T.) Company','Consumer Durables','Consumer Specialties','0.00','0000-00-00 00:00:00'),(4432,'CCRN','Cross Country Healthcare, Inc.','Technology','Professional Services','0.00','0000-00-00 00:00:00'),(4433,'CRDS','Crossroads Systems, Inc.','Technology','Computer peripheral equipment','0.00','0000-00-00 00:00:00'),(4434,'XTXI','Crosstex Energy, Inc.','Energy','Oil Refining/Marketing','0.00','0000-00-00 00:00:00'),(4435,'XTEX','Crosstex Energy, L.P.','Energy','Oil Refining/Marketing','0.00','0000-00-00 00:00:00'),(4436,'CRWS','Crown Crafts, Inc.','Basic Industries','Textiles','0.00','0000-00-00 00:00:00'),(4437,'CRWN','Crown Media Holdings, Inc.','Consumer Services','Television Services','0.00','0000-00-00 00:00:00'),(4438,'CRMB','Crumbs Bake Shop, Inc.','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(4439,'CRMBU','Crumbs Bake Shop, Inc.','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(4440,'CRMBW','Crumbs Bake Shop, Inc.','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(4441,'CRYP','CryptoLogic Limited','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(4442,'CSGS','CSG Systems International, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(4443,'CSPI','CSP Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(4444,'CSRE','CSR plc','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(4445,'CTCM','CTC Media, Inc.','Consumer Services','Broadcasting','0.00','0000-00-00 00:00:00'),(4446,'CTIB','CTI Industries Corporation','Basic Industries','Specialty Chemicals','0.00','0000-00-00 00:00:00'),(4447,'CTRP','Ctrip.com International, Ltd.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(4448,'CBST','Cubist Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4449,'CPIX','Cumberland Pharmaceuticals Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4450,'CMLS','Cumulus Media Inc.','Consumer Services','Broadcasting','0.00','0000-00-00 00:00:00'),(4451,'CRIS','Curis, Inc.','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(4452,'CUTR','Cutera, Inc.','Health Care','Biotechnology: Electromedical & Electrotherapeutic Apparatus','0.00','0000-00-00 00:00:00'),(4453,'CVBF','CVB Financial Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4454,'CVV','CVD Equipment Corporation','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(4455,'CYAN','Cyanotech Corporation','Consumer Durables','Specialty Chemicals','0.00','0000-00-00 00:00:00'),(4456,'CYDE','CyberDefender Corporation','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(4457,'CYBX','Cyberonics, Inc.','Health Care','Biotechnology: Electromedical & Electrotherapeutic Apparatus','0.00','0000-00-00 00:00:00'),(4458,'CYBE','CyberOptics Corporation','Capital Goods','Electronic Components','0.00','0000-00-00 00:00:00'),(4459,'CYBI','Cybex International, Inc.','Consumer Non-Durables','Recreational Products/Toys','0.00','0000-00-00 00:00:00'),(4460,'CYCC','Cyclacel Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4461,'CYCCP','Cyclacel Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4462,'CYMI','Cymer, Inc.','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(4463,'CYNO','Cynosure, Inc.','Health Care','Biotechnology: Electromedical & Electrotherapeutic Apparatus','0.00','0000-00-00 00:00:00'),(4464,'CY','Cypress Semiconductor Corporation','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(4465,'CYTK','Cytokinetics, Incorporated','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4466,'CYTX','Cytori Therapeutics Inc','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(4467,'CYTXW','Cytori Therapeutics Inc','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(4468,'CYTR','CytRx Corporation','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(4469,'DMED','D. Medical Industries Ltd.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(4470,'DAEG','Daegis Inc','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(4471,'DJCO','Daily Journal Corp. (S.C.)','Consumer Services','Newspapers/Magazines','0.00','0000-00-00 00:00:00'),(4472,'DAKT','Daktronics, Inc.','Consumer Durables','Miscellaneous manufacturing industries','0.00','0000-00-00 00:00:00'),(4473,'DARA','DARA Biosciences, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4474,'DAIO','Data I/O Corporation','Capital Goods','Electrical Products','0.00','0000-00-00 00:00:00'),(4475,'DTLK','Datalink Corporation','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(4476,'DRAM','Dataram Corporation','Technology','Electronic Components','0.00','0000-00-00 00:00:00'),(4477,'DWCH','Datawatch Corporation','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(4478,'DWSN','Dawson Geophysical Company','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(4479,'DSTI','DayStar Technologies, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(4480,'DDIC','DDi Corp.','Technology','Electrical Products','0.00','0000-00-00 00:00:00'),(4481,'TRAK','DealerTrack Holdings, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(4482,'DECK','Deckers Outdoor Corporation','Consumer Non-Durables','Shoe Manufacturing','0.00','0000-00-00 00:00:00'),(4483,'DEER','Deer Consumer Products, Inc.','Consumer Durables','Home Furnishings','0.00','0000-00-00 00:00:00'),(4484,'DHRM','Dehaier Medical Systems Limited','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(4485,'DCTH','Delcath Systems, Inc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(4486,'DLIA','dELIA*s Inc.','Consumer Services','Catalog/Specialty Distribution','0.00','0000-00-00 00:00:00'),(4487,'DELL','Dell Inc.','Technology','Computer Manufacturing','0.00','0000-00-00 00:00:00'),(4488,'DGAS','Delta Natural Gas Company, Inc.','Public Utilities','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(4489,'DPTR','Delta Petroleum Corporation','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(4490,'PROJ','Deltek, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(4491,'DMAN','DemandTec, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(4492,'DNDN','Dendreon Corporation','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4493,'DENN','Denny\'s Corporation','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(4494,'XRAY','DENTSPLY International Inc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(4495,'DEPO','DepoMed, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4496,'DSCI','Derma Sciences, Inc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(4497,'DEST','Destination Maternity Corporation','Consumer Services','Clothing/Shoe/Accessory Stores','0.00','0000-00-00 00:00:00'),(4498,'DSWL','Deswell Industries, Inc.','Consumer Non-Durables','Plastic Products','0.00','0000-00-00 00:00:00'),(4499,'DXCM','DexCom, Inc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(4500,'DLLR','DFC Global Corp','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(4501,'DLGC','Dialogic, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(4502,'DMND','Diamond Foods, Inc.','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(4503,'DHFT','Diamond Hill Financial Trends Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(4504,'DHIL','Diamond Hill Investment Group, Inc.','Finance','Investment Managers','0.00','0000-00-00 00:00:00'),(4505,'DCIX','Diana Containerships Inc.','Transportation','Marine Transportation','0.00','0000-00-00 00:00:00'),(4506,'DGII','Digi International Inc.','Technology','Computer Communications Equipment','0.00','0000-00-00 00:00:00'),(4507,'DMRC','Digimarc Corporation','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(4508,'DRAD','Digirad Corporation','Health Care','Biotechnology: Electromedical & Electrotherapeutic Apparatus','0.00','0000-00-00 00:00:00'),(4509,'DGLY','Digital Ally, Inc.','Technology','Radio And Television Broadcasting And Communications Equipment','0.00','0000-00-00 00:00:00'),(4510,'DGIT','Digital Generation, Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(4511,'DRIV','Digital River, Inc.','Technology','Retail: Computer Software & Peripheral Equipment','0.00','0000-00-00 00:00:00'),(4512,'DCOM','Dime Community Bancshares, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(4513,'DIOD','Diodes Incorporated','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(4514,'DTV','DIRECTV','Consumer Services','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(4515,'DISCA','Discovery Communications, Inc','Consumer Services','Television Services','0.00','0000-00-00 00:00:00'),(4516,'DISCB','Discovery Communications, Inc','Consumer Services','Television Services','0.00','0000-00-00 00:00:00'),(4517,'DISCK','Discovery Communications, Inc','Consumer Services','Television Services','0.00','0000-00-00 00:00:00'),(4518,'DSCO','Discovery Laboratories, Inc.','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(4519,'DISH','DISH Network Corporation','Consumer Services','Television Services','0.00','0000-00-00 00:00:00'),(4520,'DITC','Ditech Networks, Inc.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(4521,'DNBF','Dnb Financial Corp','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4522,'DLTR','Dollar Tree, Inc.','Consumer Services','Department/Specialty Retail Stores','0.00','0000-00-00 00:00:00'),(4523,'DGICA','Donegal Group, Inc.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(4524,'DGICB','Donegal Group, Inc.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(4525,'DMLP','Dorchester Minerals, L.P.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(4526,'DORM','Dorman Products, Inc.','Capital Goods','Auto Parts:O.E.M.','0.00','0000-00-00 00:00:00'),(4527,'HILL','Dot Hill Systems Corporation','Technology','Electronic Components','0.00','0000-00-00 00:00:00'),(4528,'DBLE','Double Eagle Petroleum Company','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(4529,'DBLEP','Double Eagle Petroleum Company','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(4530,'DOVR','Dover Saddlery, Inc.','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(4531,'DRWI','Dragonwave Inc','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(4532,'DROOY','DRDGOLD Limited','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(4533,'DWA','Dreamworks Animation SKG, Inc.','Consumer Services','Movies/Entertainment','0.00','0000-00-00 00:00:00'),(4534,'TBUS','DRI Corporation','Consumer Durables','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(4535,'DRYS','DryShips Inc.','Transportation','Marine Transportation','0.00','0000-00-00 00:00:00'),(4536,'DSPG','DSP Group, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(4537,'DTSI','DTS, Inc.','Consumer Non-Durables','Consumer Electronics/Appliances','0.00','0000-00-00 00:00:00'),(4538,'DUCK','Duckwall-Alco Stores, Inc.','Consumer Services','Department/Specialty Retail Stores','0.00','0000-00-00 00:00:00'),(4539,'DNKN','Dunkin\' Brands Group, Inc.','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(4540,'DRRX','Durect Corporation','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4541,'DUSA','DUSA Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4542,'DXPE','DXP Enterprises, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(4543,'DYAX','Dyax Corp.','Health Care','Biotechnology: Commercial Physical & Biological Resarch','0.00','0000-00-00 00:00:00'),(4544,'DYII','Dynacq Healthcare, Inc.','Health Care','Medical/Nursing Services','0.00','0000-00-00 00:00:00'),(4545,'BOOM','Dynamic Materials Corporation','Capital Goods','Industrial Specialties','0.00','0000-00-00 00:00:00'),(4546,'DRCO','Dynamics Research Corporation','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(4547,'DYSL','Dynasil Corporation of America','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(4548,'DYNT','Dynatronics Corporation','Health Care','Biotechnology: Electromedical & Electrotherapeutic Apparatus','0.00','0000-00-00 00:00:00'),(4549,'DVAX','Dynavax Technologies Corporation','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4550,'DVOX','DynaVox Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(4551,'ETFC','E*TRADE Financial Corporation','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(4552,'EBMT','Eagle Bancorp Montana, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(4553,'EGBN','Eagle Bancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4554,'EGLE','Eagle Bulk Shipping Inc.','Transportation','Marine Transportation','0.00','0000-00-00 00:00:00'),(4555,'EROC','Eagle Rock Energy Partners, L.P.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(4556,'EROCW','Eagle Rock Energy Partners, L.P.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(4557,'ELNK','EarthLink, Inc.','Technology','Computer Software: Programming, Data Processing','0.00','0000-00-00 00:00:00'),(4558,'ESTE','Earthstone Energy, Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(4559,'EWBC','East West Bancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4560,'EIHI','Eastern Insurance Holdings, Inc.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(4561,'EVBS','Eastern Virginia Bankshares, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4562,'ESIC','EasyLink Services International Corporation','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(4563,'EBAY','eBay Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(4564,'EBIX','Ebix Inc','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(4565,'ECBE','ECB Bancorp Inc','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4566,'ELON','Echelon Corporation','Technology','Computer Communications Equipment','0.00','0000-00-00 00:00:00'),(4567,'ECHO','Echo Global Logistics, Inc.','Transportation','Oil Refining/Marketing','0.00','0000-00-00 00:00:00'),(4568,'ECTE','Echo Therapeutics, Inc.','Health Care','Biotechnology: Electromedical & Electrotherapeutic Apparatus','0.00','0000-00-00 00:00:00'),(4569,'SATS','EchoStar Corporation','Technology','Radio And Television Broadcasting And Communications Equipment','0.00','0000-00-00 00:00:00'),(4570,'EEI','Ecology and Environment, Inc.','Consumer Services','Military/Government/Technical','0.00','0000-00-00 00:00:00'),(4571,'ECTY','Ecotality, Inc.','Consumer Durables','Metal Fabrications','0.00','0000-00-00 00:00:00'),(4572,'EDAC','Edac Technologies Corporation','Capital Goods','Aerospace','0.00','0000-00-00 00:00:00'),(4573,'EDAP','EDAP TMS S.A.','Health Care','Biotechnology: Electromedical & Electrotherapeutic Apparatus','0.00','0000-00-00 00:00:00'),(4574,'EF','Edelman Financial Group Inc. (The)','Finance','Investment Managers','0.00','0000-00-00 00:00:00'),(4575,'EDGR','EDGAR Online, Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(4576,'EDGW','Edgewater Technology, Inc.','Technology','Computer Software: Programming, Data Processing','0.00','0000-00-00 00:00:00'),(4577,'EDMC','Education Management Corporation','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(4578,'EDUC','Educational Development Corporation','Consumer Durables','Consumer Specialties','0.00','0000-00-00 00:00:00'),(4579,'EFUT','eFuture Information Technology Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(4580,'EGAN','eGain Communications Corporation','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(4581,'EHTH','eHealth, Inc.','Finance','Specialty Insurers','0.00','0000-00-00 00:00:00'),(4582,'BAGL','Einstein Noah Restaurant Group, Inc.','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(4583,'EMITF','Elbit Imaging Ltd.','Consumer Services','Building operators','0.00','0000-00-00 00:00:00'),(4584,'ESLT','Elbit Systems Ltd.','Capital Goods','Military/Government/Technical','0.00','0000-00-00 00:00:00'),(4585,'ESYS','Elecsys Corporation','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(4586,'ELRC','Electro Rent Corporation','Technology','Diversified Commercial Services','0.00','0000-00-00 00:00:00'),(4587,'ESIO','Electro Scientific Industries, Inc.','Energy','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(4588,'ERTS','Electronic Arts Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(4589,'EFII','Electronics for Imaging, Inc.','Technology','Computer Communications Equipment','0.00','0000-00-00 00:00:00'),(4590,'ELSE','Electro-Sensors, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(4591,'RDEN','Elizabeth Arden, Inc.','Consumer Non-Durables','Package Goods/Cosmetics','0.00','0000-00-00 00:00:00'),(4592,'LONG','eLong, Inc.','Consumer Services','Transportation Services','0.00','0000-00-00 00:00:00'),(4593,'ELTK','Eltek Ltd.','Technology','Electrical Products','0.00','0000-00-00 00:00:00'),(4594,'EMCI','EMC Insurance Group, Inc.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(4595,'EMCF','Emclaire Financial Corp','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4596,'EMKR','EMCORE Corporation','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(4597,'EMMS','Emmis Communications Corporation','Consumer Services','Broadcasting','0.00','0000-00-00 00:00:00'),(4598,'EMMSP','Emmis Communications Corporation','Consumer Services','Broadcasting','0.00','0000-00-00 00:00:00'),(4599,'NYNY','Empire Resorts, Inc.','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(4600,'EBTX','Encore Bancshares, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4601,'ECPG','Encore Capital Group Inc','Finance','Finance Companies','0.00','0000-00-00 00:00:00'),(4602,'WIRE','Encore Wire Corporation','Capital Goods','Metal Fabrications','0.00','0000-00-00 00:00:00'),(4603,'ENDP','Endo Pharmaceuticals Holdings Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4604,'ECYT','Endocyte, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4605,'ELGX','Endologix  Inc','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(4606,'ENER','Energy Conversion Devices, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(4607,'ERII','Energy Recovery, Inc.','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(4608,'EXXI','Energy XXI (Bermuda) Limited','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(4609,'ENOC','EnerNOC, Inc.','Technology','Computer Software: Programming, Data Processing','0.00','0000-00-00 00:00:00'),(4610,'ENG','ENGlobal Corporation','Consumer Services','Military/Government/Technical','0.00','0000-00-00 00:00:00'),(4611,'ESGR','Enstar Group Limited','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(4612,'ENTG','Entegris, Inc.','Consumer Non-Durables','Plastic Products','0.00','0000-00-00 00:00:00'),(4613,'ETRM','EnteroMedics Inc.','Health Care','Biotechnology: Electromedical & Electrotherapeutic Apparatus','0.00','0000-00-00 00:00:00'),(4614,'EBTC','Enterprise Bancorp Inc','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4615,'EFSC','Enterprise Financial Services Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4616,'ENMD','EntreMed, Inc.','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(4617,'ENTR','Entropic Communications, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(4618,'ECGI','Envoy Capital Group Inc.','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(4619,'ENZN','Enzon Pharmaceuticals, Inc.','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(4620,'EONC','eOn Communications Corporation','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(4621,'EOSPN','EOS Preferred Corporation','Finance','Real Estate','0.00','0000-00-00 00:00:00'),(4622,'EPIQ','EPIQ Systems, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(4623,'PLUS','ePlus Inc.','Technology','Retail: Computer Software & Peripheral Equipment','0.00','0000-00-00 00:00:00'),(4624,'EPHC','Epoch Holding Corporation','Finance','Investment Managers','0.00','0000-00-00 00:00:00'),(4625,'EPOC','Epocrates, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(4626,'EQIX','Equinix, Inc.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(4627,'ERT','eResearch Technology Inc.','Health Care','Precision Instruments','0.00','0000-00-00 00:00:00'),(4628,'ERIE','Erie Indemnity Company','Finance','Specialty Insurers','0.00','0000-00-00 00:00:00'),(4629,'ESBF','ESB Financial Corporation','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(4630,'ESCA','Escalade, Incorporated','Consumer Non-Durables','Recreational Products/Toys','0.00','0000-00-00 00:00:00'),(4631,'ESMC','Escalon Medical Corp.','Health Care','Biotechnology: Electromedical & Electrotherapeutic Apparatus','0.00','0000-00-00 00:00:00'),(4632,'ESSA','ESSA Bancorp, Inc.','Finance','Banks','0.00','0000-00-00 00:00:00'),(4633,'ESSX','Essex Rental Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(4634,'CLWT','Euro Tech Holdings Company Limited','Consumer Durables','Diversified Electronic Products','0.00','0000-00-00 00:00:00'),(4635,'EEFT','Euronet Worldwide, Inc.','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(4636,'ESEA','Euroseas Ltd.','Transportation','Marine Transportation','0.00','0000-00-00 00:00:00'),(4637,'EVEP','EV Energy Partners, L.P.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(4638,'EVOL','Evolving Systems, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(4639,'EXAS','EXACT Sciences Corporation','Health Care','Biotechnology: Commercial Physical & Biological Resarch','0.00','0000-00-00 00:00:00'),(4640,'EXAC','Exactech, Inc.','Health Care','Industrial Specialties','0.00','0000-00-00 00:00:00'),(4641,'EXAR','Exar Corporation','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(4642,'EDS','Exceed Company Ltd.','Finance','Business Services','0.00','0000-00-00 00:00:00'),(4643,'EXEL','Exelixis, Inc.','Health Care','Biotechnology: Commercial Physical & Biological Resarch','0.00','0000-00-00 00:00:00'),(4644,'EXFO','EXFO Inc','Capital Goods','Electrical Products','0.00','0000-00-00 00:00:00'),(4645,'XIDE','Exide Technologies','Energy','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(4646,'EXLS','ExlService Holdings, Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(4647,'EXPE','Expedia, Inc.','Consumer Services','Transportation Services','0.00','0000-00-00 00:00:00'),(4648,'EXPD','Expeditors International of Washington, Inc.','Transportation','Oil Refining/Marketing','0.00','0000-00-00 00:00:00'),(4649,'EXPO','Exponent, Inc.','Consumer Services','Professional Services','0.00','0000-00-00 00:00:00'),(4650,'ESRX','Express Scripts, Inc.','Health Care','Medical/Nursing Services','0.00','0000-00-00 00:00:00'),(4651,'EXLP','Exterran Partners, L.P.','Public Utilities','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(4652,'EXTR','Extreme Networks, Inc.','Technology','Computer Communications Equipment','0.00','0000-00-00 00:00:00'),(4653,'EZCH','EZchip Semiconductor Limited','Technology','Computer Communications Equipment','0.00','0000-00-00 00:00:00'),(4654,'EZPW','EZCORP, Inc.','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(4655,'FFIV','F5 Networks, Inc.','Technology','Computer Communications Equipment','0.00','0000-00-00 00:00:00'),(4656,'FRP','FairPoint Communications, Inc.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(4657,'FALC','FalconStor Software, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(4658,'DAVE','Famous Dave\'s of America, Inc.','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(4659,'FARM','Farmer Brothers Company','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(4660,'FFKT','Farmers Capital Bank Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4661,'FMNB','Farmers National Banc Corp.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4662,'FARO','FARO Technologies, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(4663,'FAST','Fastenal Company','Consumer Services','RETAIL: Building Materials','0.00','0000-00-00 00:00:00'),(4664,'FBSS','Fauquier Bankshares, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4665,'FBRC','FBR & Co','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(4666,'FDML','Federal-Mogul Corporation','Capital Goods','Auto Parts:O.E.M.','0.00','0000-00-00 00:00:00'),(4667,'FFCO','FedFirst Financial Corporation','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(4668,'FEIC','FEI Company','Capital Goods','Biotechnology: Laboratory Analytical Instruments','0.00','0000-00-00 00:00:00'),(4669,'FHCO','Female Health Company (The)','Basic Industries','Specialty Chemicals','0.00','0000-00-00 00:00:00'),(4670,'FFDF','FFD Financial Corporation','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(4671,'FTWR','FiberTower Corporation','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(4672,'FSBI','Fidelity Bancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4673,'ONEQ','Fidelity Nasdaq Composite Index Tracking Stock','n/a','n/a','0.00','0000-00-00 00:00:00'),(4674,'LION','Fidelity Southern Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4675,'FDUS','Fidus Investment Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(4676,'FSC','Fifth Street Finance Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(4677,'FITB','Fifth Third Bancorp','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4678,'FITBP','Fifth Third Bancorp','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4679,'FNGN','Financial Engines, Inc.','Finance','Investment Managers','0.00','0000-00-00 00:00:00'),(4680,'FISI','Financial Institutions, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4681,'FNSR','Finisar Corporation','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(4682,'FABK','First Advantage Bancorp','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(4683,'FBNC','First Bancorp','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4684,'FNLC','First Bancorp, Inc (ME)','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4685,'FBSI','First Bancshares, Inc.','Finance','Banks','0.00','0000-00-00 00:00:00'),(4686,'BUSE','First Busey Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4687,'FBIZ','First Business Financial Services, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4688,'FCAL','First California Financial Group, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4689,'FCVA','First Capital Bancorp, Inc. (VA)','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4690,'FCAP','First Capital, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(4691,'FCFS','First Cash Financial Services, Inc.','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(4692,'FCZA','First Citizens Banc Corp.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4693,'FCNCA','First Citizens BancShares, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4694,'FCLF','First Clover Leaf Financial Corp.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(4695,'FCBC','First Community Bancshares, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4696,'FCCO','First Community Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4697,'FBNK','First Connecticut Bancorp, Inc.','Finance','Banks','0.00','0000-00-00 00:00:00'),(4698,'FDEF','First Defiance Financial Corp.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(4699,'FFBH','First Federal Bancshares of Arkansas, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(4700,'FFNM','First Federal of Northern Michigan Bancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4701,'FFBC','First Financial Bancorp.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4702,'FFBCW','First Financial Bancorp.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4703,'FFIN','First Financial Bankshares, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4704,'THFF','First Financial Corporation Indiana','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4705,'FFCH','First Financial Holdings, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(4706,'FFNW','First Financial Northwest, Inc.','Finance','Banks','0.00','0000-00-00 00:00:00'),(4707,'FFKY','First Financial Service Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4708,'FIBK','First Interstate BancSystem, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4709,'FMFC','First M & F Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4710,'FRME','First Merchants Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4711,'FMBI','First Midwest Bancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4712,'FNFG','First Niagara Financial Group Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4713,'BANC','First PacTrust Bancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4714,'FRCCO','First Republic Preferred Capital Corporation','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(4715,'FSFG','First Savings Financial Group, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(4716,'FSGI','First Security Group, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4717,'FSLR','First Solar, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(4718,'FSBK','First South Bancorp Inc','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4719,'BICK','First Trust Exchange-Traded Fund II First Trust BICK Index Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(4720,'SKYY','First Trust Exchange-Traded Fund II First Trust ISE Cloud Computing Index Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(4721,'CU','First Trust Exchange-Traded Fund II First Trust ISE Global Copper Index Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(4722,'PLTM','First Trust Exchange-Traded Fund II First Trust ISE Global Platinum Index Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(4723,'CARZ','First Trust Exchange-Traded Fund II First Trust NASDAQ Global Auto Index Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(4724,'QABA','First Trust NASDAQ ABA Community Bank Index Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(4725,'FONE','First Trust NASDAQ CEA Smartphone Index Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(4726,'GRID','First Trust NASDAQ Clean Edge Smart Grid Infrastructure Index Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(4727,'QCLN','First Trust NASDAQ Clean Edge U.S. Liquid Series Index Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(4728,'QQEW','First Trust NASDAQ-100 Equal Weighted Index Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(4729,'QQXT','First Trust NASDAQ-100 Ex-Technology Sector Index Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(4730,'QTEC','First Trust NASDAQ-100-Technology Sector Index Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(4731,'FUNC','First United Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4732,'FBMI','Firstbank Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4733,'FCFC','FirstCity Financial Corporation','Finance','Finance Companies','0.00','0000-00-00 00:00:00'),(4734,'SVVC','Firsthand Technology Value Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(4735,'FMER','FirstMerit Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4736,'FSRV','FirstService Corporation','Finance','Real Estate','0.00','0000-00-00 00:00:00'),(4737,'FISV','Fiserv, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(4738,'FSCI','Fisher Communications, Inc.','Consumer Services','Broadcasting','0.00','0000-00-00 00:00:00'),(4739,'FLML','Flamel Technologies S.A.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4740,'FLXS','Flexsteel Industries, Inc.','Consumer Durables','Home Furnishings','0.00','0000-00-00 00:00:00'),(4741,'FLEX','Flextronics International Ltd.','Technology','Electrical Products','0.00','0000-00-00 00:00:00'),(4742,'FLIR','FLIR Systems, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(4743,'FLOW','Flow International Corporation','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(4744,'FLDM','Fluidigm Corporation','Capital Goods','Biotechnology: Laboratory Analytical Instruments','0.00','0000-00-00 00:00:00'),(4745,'FFIC','Flushing Financial Corporation','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(4746,'FNBN','FNB United Corp.','n/a','n/a','0.00','0000-00-00 00:00:00'),(4747,'FMCN','Focus Media Holding Limited','Technology','Advertising','0.00','0000-00-00 00:00:00'),(4748,'FONR','Fonar Corporation','Health Care','Biotechnology: Electromedical & Electrotherapeutic Apparatus','0.00','0000-00-00 00:00:00'),(4749,'VIFL','Food Technology Service, Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(4750,'FES','Forbes Energy Services Ltd','Energy','Oilfield Services/Equipment','0.00','0000-00-00 00:00:00'),(4751,'FRPT','Force Protection, Inc.','Capital Goods','Industrial Specialties','0.00','0000-00-00 00:00:00'),(4752,'FORM','FormFactor, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(4753,'FORTY','Formula Systems (1985) Ltd.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(4754,'FORR','Forrester Research, Inc.','Consumer Services','Diversified Commercial Services','0.00','0000-00-00 00:00:00'),(4755,'FTNT','Fortinet, Inc.','Technology','Computer peripheral equipment','0.00','0000-00-00 00:00:00'),(4756,'FWRD','Forward Air Corporation','Transportation','Oil Refining/Marketing','0.00','0000-00-00 00:00:00'),(4757,'FORD','Forward Industries, Inc.','Consumer Non-Durables','Plastic Products','0.00','0000-00-00 00:00:00'),(4758,'FOSL','Fossil, Inc.','Consumer Non-Durables','Consumer Specialties','0.00','0000-00-00 00:00:00'),(4759,'FWLT','Foster Wheeler AG.','Basic Industries','Military/Government/Technical','0.00','0000-00-00 00:00:00'),(4760,'FXCB','Fox Chase Bancorp, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(4761,'FRAN','Francesca\'s Holdings Corporation','Consumer Services','Clothing/Shoe/Accessory Stores','0.00','0000-00-00 00:00:00'),(4762,'FELE','Franklin Electric Co., Inc.','Consumer Durables','Metal Fabrications','0.00','0000-00-00 00:00:00'),(4763,'FRNK','Franklin Financial Corporation','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(4764,'FRED','Fred\'s, Inc.','Consumer Services','Department/Specialty Retail Stores','0.00','0000-00-00 00:00:00'),(4765,'FREE','FreeSeas Inc.','Transportation','Marine Transportation','0.00','0000-00-00 00:00:00'),(4766,'RAIL','FreightCar America, Inc.','Capital Goods','Railroads','0.00','0000-00-00 00:00:00'),(4767,'FEIM','Frequency Electronics, Inc.','Capital Goods','Electrical Products','0.00','0000-00-00 00:00:00'),(4768,'FFN','FriendFinder Networks Inc.','Technology','Computer Software: Programming, Data Processing','0.00','0000-00-00 00:00:00'),(4769,'FFEX','Frozen Food Express Industries, Inc.','Transportation','Trucking Freight/Courier Services','0.00','0000-00-00 00:00:00'),(4770,'FSII','FSI International, Inc.','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(4771,'FSYS','Fuel Systems Solutions, Inc.','Capital Goods','Auto Parts:O.E.M.','0.00','0000-00-00 00:00:00'),(4772,'FTEK','Fuel Tech, Inc.','Capital Goods','Pollution Control Equipment','0.00','0000-00-00 00:00:00'),(4773,'FCEL','FuelCell Energy, Inc.','Energy','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(4774,'FULL','Full Circle Capital Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(4775,'FULT','Fulton Financial Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4776,'FURX','Furiex Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4777,'FSIN','Fushi Copperweld, Inc.','Basic Industries','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(4778,'FFHL','Fuwei Films (Holdings) Co., Ltd.','Capital Goods','Specialty Chemicals','0.00','0000-00-00 00:00:00'),(4779,'FXEN','FX Energy, Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(4780,'GKSR','G&K Services, Inc.','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(4781,'WILC','G. Willi-Food International,  Ltd.','Consumer Non-Durables','Food Distributors','0.00','0000-00-00 00:00:00'),(4782,'GAIA','Gaiam, Inc.','Consumer Services','Movies/Entertainment','0.00','0000-00-00 00:00:00'),(4783,'GALE','Galena Biopharma, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4784,'GPIC','Gaming Partners International Corporation','Consumer Non-Durables','Recreational Products/Toys','0.00','0000-00-00 00:00:00'),(4785,'GRMN','Garmin Ltd.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(4786,'GKNT','Geeknet, Inc.','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(4787,'GENC','Gencor Industries Inc.','Capital Goods','Construction/Ag Equipment/Trucks','0.00','0000-00-00 00:00:00'),(4788,'GNCMA','General Communication, Inc.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(4789,'GFN','General Finance Corporation','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(4790,'GFNCL','General Finance Corporation','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(4791,'GFNCZ','General Finance Corporation','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(4792,'GENE','Genetic Technologies Ltd','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(4793,'GNMK','GenMark Diagnostics, Inc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(4794,'GHDX','Genomic Health, Inc.','Health Care','Medical Specialities','0.00','0000-00-00 00:00:00'),(4795,'GPRO','Gen-Probe Incorporated','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(4796,'GNTX','Gentex Corporation','Capital Goods','Auto Parts:O.E.M.','0.00','0000-00-00 00:00:00'),(4797,'GENT','Gentium SpA','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4798,'GTIV','Gentiva Health Services, Inc.','Health Care','Medical/Nursing Services','0.00','0000-00-00 00:00:00'),(4799,'GNVC','GenVec, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4800,'GEOY','GeoEye, Inc.','Consumer Services','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(4801,'GMET','GeoMet, Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(4802,'GMETP','GeoMet, Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(4803,'GEOI','GeoResources, Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(4804,'GABC','German American Bancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4805,'GERN','Geron Corporation','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4806,'GEVO','Gevo, Inc.','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(4807,'ROCK','Gibraltar Industries, Inc.','Capital Goods','Steel/Iron Ore','0.00','0000-00-00 00:00:00'),(4808,'GIGM','GigaMedia Limited','Technology','Computer Software: Programming, Data Processing','0.00','0000-00-00 00:00:00'),(4809,'GIGA','Giga-tronics Incorporated','Capital Goods','Electrical Products','0.00','0000-00-00 00:00:00'),(4810,'GIII','G-III Apparel Group, LTD.','Consumer Non-Durables','Apparel','0.00','0000-00-00 00:00:00'),(4811,'GILT','Gilat Satellite Networks Ltd.','Technology','Radio And Television Broadcasting And Communications Equipment','0.00','0000-00-00 00:00:00'),(4812,'GILD','Gilead Sciences, Inc.','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(4813,'GIVN','Given Imaging Ltd.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(4814,'GBCI','Glacier Bancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4815,'GLAD','Gladstone Capital Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(4816,'GOOD','Gladstone Commercial Corporation','Consumer Services','Real Estate','0.00','0000-00-00 00:00:00'),(4817,'GOODO','Gladstone Commercial Corporation','Consumer Services','Real Estate','0.00','0000-00-00 00:00:00'),(4818,'GOODP','Gladstone Commercial Corporation','Consumer Services','Real Estate','0.00','0000-00-00 00:00:00'),(4819,'GAIN','Gladstone Investment Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(4820,'GLCH','Gleacher & Company, Inc.','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(4821,'GLBZ','Glen Burnie Bancorp','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4822,'GLGL','GLG Life Tech Corp','Consumer Durables','Specialty Chemicals','0.00','0000-00-00 00:00:00'),(4823,'EAGL','Global Eagle Acquisition Corp.','Finance','Business Services','0.00','0000-00-00 00:00:00'),(4824,'EAGLU','Global Eagle Acquisition Corp.','Finance','Business Services','0.00','0000-00-00 00:00:00'),(4825,'EAGLW','Global Eagle Acquisition Corp.','Finance','Business Services','0.00','0000-00-00 00:00:00'),(4826,'GEDU','Global Education & Technology Group Ltd','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(4827,'GBLI','Global Indemnity plc','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(4828,'GLPW','Global Power Equipment Group Inc','Capital Goods','Metal Fabrications','0.00','0000-00-00 00:00:00'),(4829,'GSOL','Global Sources Ltd.','Consumer Services','Advertising','0.00','0000-00-00 00:00:00'),(4830,'SOCL','Global X Funds Global X Social Media Index ETF','n/a','n/a','0.00','0000-00-00 00:00:00'),(4831,'GSAT','Globalstar, Inc.','Consumer Services','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(4832,'GAI','Global-Tech Advanced Innovations Inc.','Consumer Durables','Home Furnishings','0.00','0000-00-00 00:00:00'),(4833,'GSM','Globe Specialty Metals Inc.','Capital Goods','Metal Fabrications','0.00','0000-00-00 00:00:00'),(4834,'GCOM','Globecomm Systems Inc.','Technology','Radio And Television Broadcasting And Communications Equipment','0.00','0000-00-00 00:00:00'),(4835,'GLBS','Globus Maritime Limited','Transportation','Marine Transportation','0.00','0000-00-00 00:00:00'),(4836,'GLUU','Glu Mobile Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(4837,'GLNG','Golar LNG Limited','Consumer Services','Marine Transportation','0.00','0000-00-00 00:00:00'),(4838,'GMLP','Golar LNG Partners LP','Consumer Services','Marine Transportation','0.00','0000-00-00 00:00:00'),(4839,'GLDC','Golden Enterprises, Inc.','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(4840,'GOLF','Golfsmith International Holdings, Inc.','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(4841,'GBDC','Golub Capital BDC, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(4842,'GTIM','Good Times Restaurants Inc.','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(4843,'GOOG','Google Inc.','Technology','Computer Software: Programming, Data Processing','0.00','0000-00-00 00:00:00'),(4844,'GMAN','Gordmans Stores, Inc.','Consumer Services','Clothing/Shoe/Accessory Stores','0.00','0000-00-00 00:00:00'),(4845,'LOPE','Grand Canyon Education, Inc.','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(4846,'GCFB','Granite City Food And Brewery Ltd.','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(4847,'GRVY','GRAVITY Co., Ltd.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(4848,'GRMH','GrayMark Healthcare, Inc.','Health Care','Medical Specialities','0.00','0000-00-00 00:00:00'),(4849,'GLDD','Great Lakes Dredge & Dock Corporation','Basic Industries','Military/Government/Technical','0.00','0000-00-00 00:00:00'),(4850,'GSBC','Great Southern Bancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4851,'WOLF','Great Wolf Resorts, Inc.','Consumer Services','Hotels/Resorts','0.00','0000-00-00 00:00:00'),(4852,'GRNB','Green Bankshares, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4853,'GMCR','Green Mountain Coffee Roasters, Inc.','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(4854,'GPRE','Green Plains Renewable Energy, Inc.','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(4855,'GCBC','Greene County Bancorp, Inc.','Finance','Banks','0.00','0000-00-00 00:00:00'),(4856,'GLRE','Greenlight Reinsurance, Ltd.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(4857,'GRIF','Griffin Land & Nurseries, Inc.','Consumer Non-Durables','Farming/Seeds/Milling','0.00','0000-00-00 00:00:00'),(4858,'GRFS','Grifols, S.A.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4859,'GRPN','Groupon, Inc.','Technology','Advertising','0.00','0000-00-00 00:00:00'),(4860,'OMAB','Grupo Aeroportuario del Centro Norte S.A.B. de C.V.','Transportation','Aerospace','0.00','0000-00-00 00:00:00'),(4861,'GGAL','Grupo Financiero Galicia S.A.','Finance','Commercial Banks','0.00','0000-00-00 00:00:00'),(4862,'GSIG','GSI Group, Inc.','Energy','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(4863,'GSIT','GSI Technology, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(4864,'GSVC','GSV Capital Corp','n/a','n/a','0.00','0000-00-00 00:00:00'),(4865,'GTAT','GT Advanced Technologies, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(4866,'GTSI','GTSI Corp.','Technology','Retail: Computer Software & Peripheral Equipment','0.00','0000-00-00 00:00:00'),(4867,'GTXI','GTx, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4868,'GPRC','Guanwei Recycling Corp.','Basic Industries','Containers/Packaging','0.00','0000-00-00 00:00:00'),(4869,'GBNK','Guaranty Bancorp','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4870,'GFED','Guaranty Federal Bancshares, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4871,'GUID','Guidance Software, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(4872,'GIFI','Gulf Island Fabrication, Inc.','Capital Goods','Metal Fabrications','0.00','0000-00-00 00:00:00'),(4873,'GURE','Gulf Resources, Inc.','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(4874,'GPOR','Gulfport Energy Corporation','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(4875,'GYRO','Gyrodyne Company of America, Inc.','Consumer Services','Building operators','0.00','0000-00-00 00:00:00'),(4876,'HEES','H&E Equipment Services, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(4877,'HNRG','Hallador Energy Company','Energy','Coal Mining','0.00','0000-00-00 00:00:00'),(4878,'HALL','Hallmark Financial Services, Inc.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(4879,'HALO','Halozyme Therapeutics, Inc.','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(4880,'HBNK','Hampden Bancorp, Inc.','Finance','Banks','0.00','0000-00-00 00:00:00'),(4881,'HMPR','Hampton Roads Bankshares Inc','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4882,'HBHC','Hancock Holding Company','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4883,'HNH','Handy & Harman Ltd.','Capital Goods','Industrial Specialties','0.00','0000-00-00 00:00:00'),(4884,'HAFC','Hanmi Financial Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4885,'HNSN','Hansen Medical, Inc.','Health Care','Industrial Specialties','0.00','0000-00-00 00:00:00'),(4886,'HANS','Hansen Natural Corporation','Consumer Non-Durables','Beverages (Production/Distribution)','0.00','0000-00-00 00:00:00'),(4887,'HSOL','Hanwha SolarOne Co., Ltd.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(4888,'HDNG','Hardinge, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(4889,'HGIC','Harleysville Group Inc.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(4890,'HARL','Harleysville Savings Bank','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4891,'HLIT','Harmonic Inc.','Technology','Radio And Television Broadcasting And Communications Equipment','0.00','0000-00-00 00:00:00'),(4892,'TINY','Harris & Harris Group, Inc.','Finance','Finance/Investors Services','0.00','0000-00-00 00:00:00'),(4893,'HPOL','Harris Interactive, Inc.','Consumer Services','Professional Services','0.00','0000-00-00 00:00:00'),(4894,'HBIO','Harvard Bioscience, Inc.','Capital Goods','Biotechnology: Laboratory Analytical Instruments','0.00','0000-00-00 00:00:00'),(4895,'HAS','Hasbro, Inc.','Consumer Non-Durables','Recreational Products/Toys','0.00','0000-00-00 00:00:00'),(4896,'HAST','Hastings Entertainment, Inc.','Consumer Services','Consumer Electronics/Video Chains','0.00','0000-00-00 00:00:00'),(4897,'HAUP','Hauppauge Digital, Inc.','Technology','Computer peripheral equipment','0.00','0000-00-00 00:00:00'),(4898,'HA','Hawaiian Holdings, Inc.','Transportation','Air Freight/Delivery Services','0.00','0000-00-00 00:00:00'),(4899,'HCOM','Hawaiian Telcom Holdco, Inc.','Consumer Services','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(4900,'HWKN','Hawkins, Inc.','Consumer Durables','Specialty Chemicals','0.00','0000-00-00 00:00:00'),(4901,'HWBK','Hawthorn Bancshares, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4902,'HAYN','Haynes International, Inc.','Capital Goods','Steel/Iron Ore','0.00','0000-00-00 00:00:00'),(4903,'HCSG','Healthcare Services Group, Inc.','Finance','Diversified Commercial Services','0.00','0000-00-00 00:00:00'),(4904,'HSTM','HealthStream, Inc.','Technology','Computer Software: Programming, Data Processing','0.00','0000-00-00 00:00:00'),(4905,'HWAY','Healthways, Inc.','Health Care','Hospital/Nursing Management','0.00','0000-00-00 00:00:00'),(4906,'HTLD','Heartland Express, Inc.','Transportation','Trucking Freight/Courier Services','0.00','0000-00-00 00:00:00'),(4907,'HTLF','Heartland Financial USA, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4908,'HTWR','Heartware International, Inc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(4909,'HLYS','Heelys, Inc.','Consumer Non-Durables','Shoe Manufacturing','0.00','0000-00-00 00:00:00'),(4910,'HSII','Heidrick & Struggles International, Inc.','Technology','Diversified Commercial Services','0.00','0000-00-00 00:00:00'),(4911,'HELE','Helen of Troy Limited','Consumer Durables','Home Furnishings','0.00','0000-00-00 00:00:00'),(4912,'HMNY','Helios & Matheson Information Technology Inc','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(4913,'HSIC','Henry Schein, Inc.','Health Care','Medical Specialities','0.00','0000-00-00 00:00:00'),(4914,'HERO','Hercules Offshore, Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(4915,'HTGC','Hercules Technology Growth Capital, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(4916,'HTBK','Heritage Commerce Corp','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4917,'HFWA','Heritage Financial Corporation','Finance','Banks','0.00','0000-00-00 00:00:00'),(4918,'HBOS','Heritage Financial Group','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(4919,'HEOP','Heritage Oaks Bancorp','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4920,'HCCI','Heritage-Crystal Clean, Inc.','Basic Industries','Miscellaneous','0.00','0000-00-00 00:00:00'),(4921,'MLHR','Herman Miller, Inc.','Consumer Durables','Office Equipment/Supplies/Services','0.00','0000-00-00 00:00:00'),(4922,'HSKA','Heska Corporation','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(4923,'HFFC','HF Financial Corp.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(4924,'HIBB','Hibbett Sports, Inc.','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(4925,'HTCO','Hickory Tech Corporation','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(4926,'HIHO','Highway Holdings Limited','Capital Goods','Metal Fabrications','0.00','0000-00-00 00:00:00'),(4927,'HIMX','Himax Technologies, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(4928,'HIFS','Hingham Institution for Savings','n/a','n/a','0.00','0000-00-00 00:00:00'),(4929,'HSFT','HiSoft Technology International Limited','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(4930,'HITK','Hi-Tech Pharmacal Co., Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4931,'HITT','Hittite Microwave Corporation','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(4932,'HMNF','HMN Financial, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(4933,'HMSY','HMS Holdings Corp','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(4934,'HOKU','Hoku Corporation','Energy','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(4935,'HOLI','Hollysys Automation Technologies, Ltd.','Energy','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(4936,'HOLL','Hollywood Media Corp.','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(4937,'HOLX','Hologic, Inc.','Health Care','Medical Electronics','0.00','0000-00-00 00:00:00'),(4938,'HBCP','Home Bancorp, Inc.','Finance','Banks','0.00','0000-00-00 00:00:00'),(4939,'HOMB','Home BancShares, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4940,'HOME','Home Federal Bancorp, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(4941,'HFBL','Home Federal Bancorp, Inc. of Louisiana','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(4942,'HMIN','Home Inns & Hotels Management Inc.','Consumer Services','Hotels/Resorts','0.00','0000-00-00 00:00:00'),(4943,'AWAY','HomeAway, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(4944,'HCII','Homeowners Choice, Inc.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(4945,'HCIIP','Homeowners Choice, Inc.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(4946,'HCIIW','Homeowners Choice, Inc.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(4947,'HPJ','Hong Kong Highpower Technology','Energy','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(4948,'HOFT','Hooker Furniture Corporation','Consumer Durables','Home Furnishings','0.00','0000-00-00 00:00:00'),(4949,'HFBC','HopFed Bancorp, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(4950,'HBNC','Horizon Bancorp (IN)','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4951,'HZNP','Horizon Pharma, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4952,'HRZN','Horizon Technology Finance Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(4953,'ZINC','Horsehead Holding Corp.','Capital Goods','Metal Fabrications','0.00','0000-00-00 00:00:00'),(4954,'HOTT','Hot Topic, Inc.','Consumer Services','Clothing/Shoe/Accessory Stores','0.00','0000-00-00 00:00:00'),(4955,'HWCC','Houston Wire & Cable Company','Consumer Non-Durables','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(4956,'HOVNP','Hovnanian Enterprises Inc','Capital Goods','Homebuilding','0.00','0000-00-00 00:00:00'),(4957,'HSNI','HSN, Inc.','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(4958,'HSWI','HSW International, Inc.','Consumer Services','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(4959,'HUBG','Hub Group, Inc.','Transportation','Oil Refining/Marketing','0.00','0000-00-00 00:00:00'),(4960,'HCBK','Hudson City Bancorp, Inc.','Finance','Banks','0.00','0000-00-00 00:00:00'),(4961,'HHGP','Hudson Highland Group, Inc.','Technology','Professional Services','0.00','0000-00-00 00:00:00'),(4962,'HDSN','Hudson Technologies, Inc.','Consumer Durables','Industrial Specialties','0.00','0000-00-00 00:00:00'),(4963,'HGSI','Human Genome Sciences, Inc.','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(4964,'HBAN','Huntington Bancshares Incorporated','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4965,'HBANP','Huntington Bancshares Incorporated','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4966,'HPCCP','Huntington Preferred Capital, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(4967,'HURC','Hurco Companies, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(4968,'HURN','Huron Consulting Group Inc.','Consumer Services','Professional Services','0.00','0000-00-00 00:00:00'),(4969,'HTCH','Hutchinson Technology Incorporated','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(4970,'HYGS','Hydrogenics Corporation','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(4971,'IDSY','I.D. Systems, Inc.','Consumer Durables','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(4972,'IACI','IAC/InterActiveCorp','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(4973,'IBKC','IBERIABANK Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(4974,'ICAD','icad inc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(4975,'ICFI','ICF International, Inc.','Consumer Services','Professional Services','0.00','0000-00-00 00:00:00'),(4976,'ICGE','ICG Group, Inc.','Consumer Services','Professional Services','0.00','0000-00-00 00:00:00'),(4977,'ICLR','ICON plc','Health Care','Biotechnology: Commercial Physical & Biological Resarch','0.00','0000-00-00 00:00:00'),(4978,'ICON','Iconix Brand Group, Inc.','Consumer Non-Durables','Shoe Manufacturing','0.00','0000-00-00 00:00:00'),(4979,'ICUI','ICU Medical, Inc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(4980,'IDIX','Idenix Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4981,'INVE','Identive Group, Inc.','Technology','Computer peripheral equipment','0.00','0000-00-00 00:00:00'),(4982,'IDRA','Idera Pharmaceuticals, Inc.','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(4983,'IDXX','IDEXX Laboratories, Inc.','Health Care','Biotechnology: In Vitro & In Vivo Diagnostic Substances','0.00','0000-00-00 00:00:00'),(4984,'IROQ','IF Bancorp, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(4985,'IGTE','iGATE Corporation','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(4986,'IGOI','iGo, Inc','Technology','Computer peripheral equipment','0.00','0000-00-00 00:00:00'),(4987,'IIVI','II-VI Incorporated','Capital Goods','Electronic Components','0.00','0000-00-00 00:00:00'),(4988,'IKAN','Ikanos Communications, Inc.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(4989,'IKNX','Ikonics Corporation','Miscellaneous','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(4990,'ILMN','Illumina, Inc.','Capital Goods','Biotechnology: Laboratory Analytical Instruments','0.00','0000-00-00 00:00:00'),(4991,'ISNS','Image Sensing Systems, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(4992,'IMMR','Immersion Corporation','Technology','Computer peripheral equipment','0.00','0000-00-00 00:00:00'),(4993,'ICCC','ImmuCell Corporation','Health Care','Biotechnology: In Vitro & In Vivo Diagnostic Substances','0.00','0000-00-00 00:00:00'),(4994,'IMGN','ImmunoGen, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4995,'IMMU','Immunomedics, Inc.','Health Care','Biotechnology: In Vitro & In Vivo Diagnostic Substances','0.00','0000-00-00 00:00:00'),(4996,'IPXL','Impax Laboratories, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(4997,'IPSU','Imperial Sugar Company','Consumer Non-Durables','Specialty Foods','0.00','0000-00-00 00:00:00'),(4998,'IMRS','Imris Inc','Health Care','Biotechnology: Electromedical & Electrotherapeutic Apparatus','0.00','0000-00-00 00:00:00'),(4999,'SAAS','inContact, Inc.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(5000,'INCY','Incyte Corporation','Health Care','Biotechnology: Commercial Physical & Biological Resarch','0.00','0000-00-00 00:00:00'),(5001,'INDB','Independent Bank Corp.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5002,'IBCP','Independent Bank Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5003,'IBCPO','Independent Bank Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5004,'INCB','Indiana Community Bancorp','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(5005,'IDSA','Industrial Services of America, Inc.','Basic Industries','Miscellaneous','0.00','0000-00-00 00:00:00'),(5006,'INFN','Infinera Corporation','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(5007,'INFI','Infinity Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5008,'IPCC','Infinity Property and Casualty Corporation','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(5009,'INFA','Informatica Corporation','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(5010,'III','Information Services Group, Inc.','Consumer Services','Professional Services','0.00','0000-00-00 00:00:00'),(5011,'IFON','InfoSonics Corp','Consumer Non-Durables','Electronic Components','0.00','0000-00-00 00:00:00'),(5012,'INSP','InfoSpace, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(5013,'INFY','Infosys Limited','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(5014,'IMKTA','Ingles Markets, Incorporated','Consumer Services','Food Chains','0.00','0000-00-00 00:00:00'),(5015,'INHX','Inhibitex, Inc.','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(5016,'INWK','InnerWorkings, Inc.','Consumer Durables','Containers/Packaging','0.00','0000-00-00 00:00:00'),(5017,'INOD','Innodata Isogen Inc','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(5018,'IPHS','Innophos Holdings, Inc.','Consumer Durables','Specialty Chemicals','0.00','0000-00-00 00:00:00'),(5019,'IOSP','Innospec Inc.','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(5020,'INOC','Innotrac Corporation','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(5021,'ISSC','Innovative Solutions and Support, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(5022,'NSIT','Insight Enterprises, Inc.','Consumer Services','Catalog/Specialty Distribution','0.00','0000-00-00 00:00:00'),(5023,'ISIG','Insignia Systems, Inc.','Consumer Services','Advertising','0.00','0000-00-00 00:00:00'),(5024,'INSM','Insmed, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5025,'IIIN','Insteel Industries, Inc.','Capital Goods','Steel/Iron Ore','0.00','0000-00-00 00:00:00'),(5026,'PODD','Insulet Corporation','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(5027,'INSW','InsWeb Corporation','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(5028,'IART','Integra LifeSciences Holdings Corporation','Capital Goods','Biotechnology: Laboratory Analytical Instruments','0.00','0000-00-00 00:00:00'),(5029,'INMD','IntegraMed America, Inc.','Health Care','Medical/Nursing Services','0.00','0000-00-00 00:00:00'),(5030,'IDTI','Integrated Device Technology, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5031,'IESC','Integrated Electrical Services, Inc.','Capital Goods','Engineering & Construction','0.00','0000-00-00 00:00:00'),(5032,'ISSI','Integrated Silicon Solution, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5033,'INTC','Intel Corporation','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5034,'IPCI','Intellipharmaceutics International Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5035,'IPAR','Inter Parfums, Inc.','Consumer Non-Durables','Package Goods/Cosmetics','0.00','0000-00-00 00:00:00'),(5036,'IBKR','Interactive Brokers Group, Inc.','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(5037,'ININ','Interactive Intelligence Group, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(5038,'ICLK','interCLICK, Inc.','Consumer Services','Advertising','0.00','0000-00-00 00:00:00'),(5039,'IDCC','InterDigital, Inc.','Miscellaneous','Multi-Sector Companies','0.00','0000-00-00 00:00:00'),(5040,'IFSIA','Interface, Inc.','Consumer Durables','Home Furnishings','0.00','0000-00-00 00:00:00'),(5041,'IMI','Intermolecular, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5042,'ITMN','InterMune, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5043,'INAP','Internap Network Services Corporation','Technology','Computer Software: Programming, Data Processing','0.00','0000-00-00 00:00:00'),(5044,'IBOC','International Bancshares Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5045,'ISCA','International Speedway Corporation','Consumer Services','Services-Misc. Amusement & Recreation','0.00','0000-00-00 00:00:00'),(5046,'IGLD','Internet Gold Golden Lines Ltd.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(5047,'IIJI','Internet Initiative Japan, Inc.','Technology','Computer Software: Programming, Data Processing','0.00','0000-00-00 00:00:00'),(5048,'INPH','Interphase Corporation','Technology','Computer Communications Equipment','0.00','0000-00-00 00:00:00'),(5049,'INTX','Intersections, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(5050,'ISIL','Intersil Corporation','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5051,'IILG','Interval Leisure Group, Inc.','Finance','Real Estate','0.00','0000-00-00 00:00:00'),(5052,'IBCA','Intervest Bancshares Corp.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5053,'INTT','inTest Corporation','Capital Goods','Electrical Products','0.00','0000-00-00 00:00:00'),(5054,'IVAC','Intevac, Inc.','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(5055,'INTL','INTL FCStone Inc.','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(5056,'IIN','IntriCon Corporation','Capital Goods','Electrical Products','0.00','0000-00-00 00:00:00'),(5057,'INTU','Intuit Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(5058,'ISRG','Intuitive Surgical, Inc.','Health Care','Industrial Specialties','0.00','0000-00-00 00:00:00'),(5059,'SNAK','Inventure Foods, Inc.','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(5060,'ISBC','Investors Bancorp, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(5061,'IRET','Investors Real Estate Trust','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(5062,'IRETP','Investors Real Estate Trust','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(5063,'ITIC','Investors Title Company','Finance','Specialty Insurers','0.00','0000-00-00 00:00:00'),(5064,'INXI','INX Inc.','Technology','Retail: Computer Software & Peripheral Equipment','0.00','0000-00-00 00:00:00'),(5065,'IPAS','iPass Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(5066,'IPCM','IPC The Hospitalist Company, Inc.','Health Care','Hospital/Nursing Management','0.00','0000-00-00 00:00:00'),(5067,'IPGP','IPG Photonics Corporation','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5068,'IRIX','IRIDEX Corporation','Health Care','Biotechnology: Electromedical & Electrotherapeutic Apparatus','0.00','0000-00-00 00:00:00'),(5069,'IRDM','Iridium Communications Inc','Consumer Durables','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(5070,'IRDMU','Iridium Communications Inc','Consumer Durables','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(5071,'IRDMW','Iridium Communications Inc','Consumer Durables','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(5072,'IRDMZ','Iridium Communications Inc','Consumer Durables','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(5073,'IRIS','IRIS International, Inc.','Capital Goods','Biotechnology: Laboratory Analytical Instruments','0.00','0000-00-00 00:00:00'),(5074,'IRBT','iRobot Corporation','Consumer Durables','Consumer Electronics/Appliances','0.00','0000-00-00 00:00:00'),(5075,'IRWD','Ironwood Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5076,'FCHI','iShares FTSE China (HK Listed) Index Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(5077,'IFSM','iShares FTSE Developed Small Cap ex-North America Index Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(5078,'IFAS','iShares FTSE EPRA/NAREIT Asia Index Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(5079,'IFEU','iShares FTSE EPRA/NAREIT Europe Index Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(5080,'IFGL','iShares FTSE EPRA/NAREIT Global Real Estate ex-U.S. Index Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(5081,'IFNA','iShares FTSE EPRA/NAREIT North America Index Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(5082,'SOXX','iShares Goldman Sachs Semiconductor Index Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(5083,'AXFN','iShares MSCI ACWI ex US Financials Sector Index Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(5084,'ACWX','iShares MSCI ACWI ex US Index Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(5085,'ACWI','iShares MSCI ACWI Index Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(5086,'AAXJ','iShares MSCI All Country Asia ex Japan Index Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(5087,'EMFN','iShares MSCI Emerging Markets Financials Sector Index Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(5088,'EMMT','iShares MSCI Emerging Markets Materials Sector Index Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(5089,'EUFN','iShares MSCI Europe Financials Sector Index Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(5090,'FEFN','iShares MSCI Far East Financials Sector Index Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(5091,'IBB','iShares NASDAQ Biotechnology Index Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(5092,'EMIF','iShares S&P Emerging Markets Infrastructure Index Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(5093,'ICLN','iShares S&P Global Clean Energy Index Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(5094,'NUCL','iShares S&P Global Nuclear Index Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(5095,'WOOD','iShares S&P Global Timber &Forestry Index Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(5096,'INDY','iShares S&P India Nifty 50 Index Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(5097,'ISHG','iShares S&P/Citigroup 1-3 Year International Treasury Bond Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(5098,'IGOV','iShares S&P/Citigroup International Treasury Bond Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(5099,'ISIS','Isis Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5100,'ISLE','Isle of Capri Casinos, Inc.','Consumer Services','Hotels/Resorts','0.00','0000-00-00 00:00:00'),(5101,'ISRL','Isramco, Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(5102,'ISTA','ISTA Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5103,'ITRI','Itron, Inc.','Capital Goods','Electrical Products','0.00','0000-00-00 00:00:00'),(5104,'ITRN','Ituran Location and Control Ltd.','Consumer Non-Durables','Electronic Components','0.00','0000-00-00 00:00:00'),(5105,'IVAN','Ivanhoe Energy, Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(5106,'XXIA','Ixia','Capital Goods','Electrical Products','0.00','0000-00-00 00:00:00'),(5107,'IXYS','IXYS Corporation','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5108,'JJSF','J & J Snack Foods Corp.','Consumer Non-Durables','Specialty Foods','0.00','0000-00-00 00:00:00'),(5109,'JAX','J. Alexander\'s Corporation','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(5110,'MAYS','J. W. Mays, Inc.','Consumer Services','Building operators','0.00','0000-00-00 00:00:00'),(5111,'JBHT','J.B. Hunt Transport Services, Inc.','Transportation','Trucking Freight/Courier Services','0.00','0000-00-00 00:00:00'),(5112,'JCOM','j2 Global Communications Inc','Technology','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(5113,'JASO','JA Solar Holdings, Co., Ltd.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5114,'JCDA','Jacada Ltd.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(5115,'JKHY','Jack Henry & Associates, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(5116,'JACK','Jack In The Box Inc.','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(5117,'JXSB','Jacksonville Bancorp Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(5118,'JAXB','Jacksonville Bancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5119,'JAKK','JAKKS Pacific, Inc.','Consumer Non-Durables','Recreational Products/Toys','0.00','0000-00-00 00:00:00'),(5120,'JMBA','Jamba, Inc.','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(5121,'JRCC','James River Coal Company','Energy','Coal Mining','0.00','0000-00-00 00:00:00'),(5122,'JAZZ','Jazz Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5123,'JDAS','JDA Software Group, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(5124,'JDSU','JDS Uniphase Corporation','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5125,'JFBI','Jefferson Bancshares, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(5126,'JFBC','Jeffersonville Bancorp','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5127,'JBLU','JetBlue Airways Corporation','Transportation','Air Freight/Delivery Services','0.00','0000-00-00 00:00:00'),(5128,'JCTCF','Jewett-Cameron Trading Company','Consumer Services','RETAIL: Building Materials','0.00','0000-00-00 00:00:00'),(5129,'DATE','Jiayuan.com International Ltd.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(5130,'JNGW','Jingwei International Limited','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(5131,'JST','Jinpan International Limited','Consumer Durables','Electrical Products','0.00','0000-00-00 00:00:00'),(5132,'JOEZ','Joe\'s Jeans Inc.','Consumer Non-Durables','Apparel','0.00','0000-00-00 00:00:00'),(5133,'JBSS','John B. Sanfilippo & Son, Inc.','Consumer Non-Durables','Specialty Foods','0.00','0000-00-00 00:00:00'),(5134,'JOUT','Johnson Outdoors Inc.','Consumer Non-Durables','Recreational Products/Toys','0.00','0000-00-00 00:00:00'),(5135,'JSDA','Jones Soda Co.','Consumer Non-Durables','Beverages (Production/Distribution)','0.00','0000-00-00 00:00:00'),(5136,'JOSB','Jos. A. Bank Clothiers, Inc.','Consumer Services','Clothing/Shoe/Accessory Stores','0.00','0000-00-00 00:00:00'),(5137,'JOYG','Joy Global Inc.','Energy','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(5138,'KALU','Kaiser Aluminum Corporation','Capital Goods','Metal Fabrications','0.00','0000-00-00 00:00:00'),(5139,'KFFG','Kaiser Federal Financial Group, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(5140,'KAMN','Kaman Corporation','Consumer Durables','Industrial Specialties','0.00','0000-00-00 00:00:00'),(5141,'KNDI','Kandi Technolgies, Corp.','Capital Goods','Auto Manufacturing','0.00','0000-00-00 00:00:00'),(5142,'KCLI','Kansas City Life Insurance Company','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(5143,'KRNY','Kearny Financial','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(5144,'KELYA','Kelly Services, Inc.','Technology','Professional Services','0.00','0000-00-00 00:00:00'),(5145,'KELYB','Kelly Services, Inc.','Technology','Professional Services','0.00','0000-00-00 00:00:00'),(5146,'KNSY','Kensey Nash Corporation','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(5147,'KENT','Kent Financial Services, Inc.','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(5148,'KFFB','Kentucky First Federal Bancorp','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(5149,'KERX','Keryx Biopharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5150,'KEQU','Kewaunee Scientific Corporation','Capital Goods','Medical Specialities','0.00','0000-00-00 00:00:00'),(5151,'KTEC','Key Technology, Inc.','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(5152,'KTCC','Key Tronic Corporation','Technology','Computer peripheral equipment','0.00','0000-00-00 00:00:00'),(5153,'KEYN','Keynote Systems, Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(5154,'KFRC','Kforce, Inc.','Technology','Professional Services','0.00','0000-00-00 00:00:00'),(5155,'KBALB','Kimball International, Inc.','Consumer Durables','Office Equipment/Supplies/Services','0.00','0000-00-00 00:00:00'),(5156,'KGJI','Kingold Jewelry Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(5157,'KINS','Kingstone Companies, Inc','Finance','Specialty Insurers','0.00','0000-00-00 00:00:00'),(5158,'KONE','Kingtone Wirelessinfo Solution Holding Ltd','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(5159,'KIOR','KiOR, Inc.','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(5160,'KIPS','Kips Bay Medical, Inc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(5161,'KIRK','Kirkland\'s, Inc.','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(5162,'KITD','KIT digital, Inc.','Consumer Services','Diversified Commercial Services','0.00','0000-00-00 00:00:00'),(5163,'KLAC','KLA-Tencor Corporation','Capital Goods','Electronic Components','0.00','0000-00-00 00:00:00'),(5164,'KMGB','KMG Chemicals, Inc.','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(5165,'VLCCF','Knightsbridge Tankers Limited','Consumer Services','Marine Transportation','0.00','0000-00-00 00:00:00'),(5166,'KNOL','Knology, Inc.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(5167,'KCAP','Kohlberg Capital Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(5168,'KONA','Kona Grill, Inc.','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(5169,'KONG','KongZhong Corporation','Technology','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(5170,'KOPN','Kopin Corporation','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5171,'KOSS','Koss Corporation','Consumer Non-Durables','Consumer Electronics/Appliances','0.00','0000-00-00 00:00:00'),(5172,'KTOS','Kratos Defense & Security Solutions, Inc.','Consumer Services','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(5173,'KSW','KSW Inc','Consumer Durables','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(5174,'KSWS','K-Swiss Inc.','Consumer Non-Durables','Shoe Manufacturing','0.00','0000-00-00 00:00:00'),(5175,'KUTV','Ku6 Media Co., Ltd.','Consumer Services','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(5176,'KLIC','Kulicke and Soffa Industries, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5177,'KVHI','KVH Industries, Inc.','Technology','Radio And Television Broadcasting And Communications Equipment','0.00','0000-00-00 00:00:00'),(5178,'LLEN','L&L Energy, Inc.','Energy','Coal Mining','0.00','0000-00-00 00:00:00'),(5179,'FSTR','L.B. Foster Company','Basic Industries','Metal Fabrications','0.00','0000-00-00 00:00:00'),(5180,'BOOT','LaCrosse Footwear, Inc.','Consumer Non-Durables','Shoe Manufacturing','0.00','0000-00-00 00:00:00'),(5181,'LSBK','Lake Shore Bancorp, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(5182,'LBAI','Lakeland Bancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5183,'LKFN','Lakeland Financial Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5184,'LAKE','Lakeland Industries, Inc.','Health Care','Industrial Specialties','0.00','0000-00-00 00:00:00'),(5185,'LACO','Lakes Entertainment, Inc.','Consumer Services','Services-Misc. Amusement & Recreation','0.00','0000-00-00 00:00:00'),(5186,'LRCX','Lam Research Corporation','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(5187,'LAMR','Lamar Advertising Company','Technology','Advertising','0.00','0000-00-00 00:00:00'),(5188,'LANC','Lancaster Colony Corporation','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(5189,'LNCE','Lance, Inc.','Consumer Non-Durables','Specialty Foods','0.00','0000-00-00 00:00:00'),(5190,'LNDC','Landec Corporation','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(5191,'LARK','Landmark Bancorp Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5192,'LSTR','Landstar System, Inc.','Transportation','Trucking Freight/Courier Services','0.00','0000-00-00 00:00:00'),(5193,'LTRX','Lantronix, Inc.','Technology','Computer Communications Equipment','0.00','0000-00-00 00:00:00'),(5194,'LPSB','LaPorte Bancorp, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(5195,'LSCC','Lattice Semiconductor Corporation','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5196,'LAWS','Lawson Products, Inc.','Consumer Durables','Industrial Specialties','0.00','0000-00-00 00:00:00'),(5197,'LAYN','Layne Christensen Company','Basic Industries','Engineering & Construction','0.00','0000-00-00 00:00:00'),(5198,'LCAV','LCA-Vision Inc.','Health Care','Medical Specialities','0.00','0000-00-00 00:00:00'),(5199,'LCNB','LCNB Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5200,'GAGA','Le Gaga Holdings Limited','Consumer Non-Durables','Farming/Seeds/Milling','0.00','0000-00-00 00:00:00'),(5201,'LBIX','Leading Brands Inc','Consumer Non-Durables','Beverages (Production/Distribution)','0.00','0000-00-00 00:00:00'),(5202,'LEAP','Leap Wireless International, Inc.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(5203,'LTRE','Learning Tree International, Inc.','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(5204,'LCRY','LeCroy Corporation','Capital Goods','Electrical Products','0.00','0000-00-00 00:00:00'),(5205,'LGCY','Legacy Reserves LP','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(5206,'LMAT','LeMaitre Vascular, Inc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(5207,'LXRX','Lexicon Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5208,'LHCG','LHC Group','Health Care','Medical/Nursing Services','0.00','0000-00-00 00:00:00'),(5209,'LBTYA','Liberty Global, Inc.','Consumer Services','Television Services','0.00','0000-00-00 00:00:00'),(5210,'LBTYB','Liberty Global, Inc.','Consumer Services','Television Services','0.00','0000-00-00 00:00:00'),(5211,'LBTYK','Liberty Global, Inc.','Consumer Services','Television Services','0.00','0000-00-00 00:00:00'),(5212,'LINTA','Liberty Interactive Corporation','Consumer Services','Television Services','0.00','0000-00-00 00:00:00'),(5213,'LINTB','Liberty Interactive Corporation','Consumer Services','Television Services','0.00','0000-00-00 00:00:00'),(5214,'LMCA','Liberty Media Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(5215,'LMCB','Liberty Media Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(5216,'LPHI','Life Partners Holdings Inc','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(5217,'LIFE','Life Technologies Corporation','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(5218,'LPNT','LifePoint Hospitals, Inc.','Health Care','Hospital/Nursing Management','0.00','0000-00-00 00:00:00'),(5219,'LCUT','Lifetime Brands, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(5220,'LWAY','Lifeway Foods, Inc.','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(5221,'LGND','Ligand Pharmaceuticals Incorporated','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5222,'LTBR','Lightbridge Corporation','Consumer Services','Professional Services','0.00','0000-00-00 00:00:00'),(5223,'LPTH','LightPath Technologies, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5224,'LIWA','Lihua International, Inc.','Capital Goods','Metal Fabrications','0.00','0000-00-00 00:00:00'),(5225,'LIME','lime energy co.','Energy','Consumer Electronics/Appliances','0.00','0000-00-00 00:00:00'),(5226,'LLNW','Limelight Networks, Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(5227,'LMNR','Limoneira Co','Consumer Non-Durables','Farming/Seeds/Milling','0.00','0000-00-00 00:00:00'),(5228,'LNCR','Lincare Holdings Inc.','Health Care','Hospital/Nursing Management','0.00','0000-00-00 00:00:00'),(5229,'LINC','Lincoln Educational Services Corporation','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(5230,'LECO','Lincoln Electric Holdings, Inc.','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(5231,'LLTC','Linear Technology Corporation','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5232,'LTON','Linktone Ltd.','Technology','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(5233,'LINE','Linn Energy, LLC','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(5234,'LIOX','Lionbridge Technologies, Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(5235,'LQDT','Liquidity Services, Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(5236,'LFUS','Littelfuse, Inc.','Consumer Durables','Electrical Products','0.00','0000-00-00 00:00:00'),(5237,'LIVE','LiveDeal, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(5238,'LPSN','LivePerson, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(5239,'LZEN','Lizhan Environmental Corporation','Consumer Non-Durables','Textiles','0.00','0000-00-00 00:00:00'),(5240,'JADE','LJ International, Inc.','Consumer Non-Durables','Consumer Specialties','0.00','0000-00-00 00:00:00'),(5241,'LKQX','LKQ Corporation','Consumer Services','Motor Vehicles','0.00','0000-00-00 00:00:00'),(5242,'ERIC','LM Ericsson Telephone Company','Technology','Radio And Television Broadcasting And Communications Equipment','0.00','0000-00-00 00:00:00'),(5243,'LMIA','LMI Aerospace, Inc.','Capital Goods','Military/Government/Technical','0.00','0000-00-00 00:00:00'),(5244,'LMLP','LML Payment Systems, Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(5245,'LNBB','LNB Bancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5246,'LOCM','Local.com Corporation','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(5247,'LNET','LodgeNet Interactive Corporation','Consumer Services','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(5248,'LOGI','Logitech International S.A.','Technology','Computer peripheral equipment','0.00','0000-00-00 00:00:00'),(5249,'LOGM','LogMein, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(5250,'LOJN','LoJack Corporation','Consumer Durables','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(5251,'LOOK','LookSmart, Ltd.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(5252,'LOOP','LoopNet, Inc.','Finance','Real Estate','0.00','0000-00-00 00:00:00'),(5253,'LORL','Loral Space and Communications, Inc.','Technology','Radio And Television Broadcasting And Communications Equipment','0.00','0000-00-00 00:00:00'),(5254,'LABC','Louisiana Bancorp, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(5255,'LPLA','LPL Investment Holdings Inc.','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(5256,'LRAD','LRAD Corporation','Consumer Non-Durables','Consumer Electronics/Appliances','0.00','0000-00-00 00:00:00'),(5257,'LSBI','LSB Financial Corp.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(5258,'LYTS','LSI Industries Inc.','Consumer Durables','Building Products','0.00','0000-00-00 00:00:00'),(5259,'LTXC','LTX-Credence Corporation','Capital Goods','Electrical Products','0.00','0000-00-00 00:00:00'),(5260,'LUFK','Lufkin Industries, Inc.','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(5261,'LULU','lululemon athletica inc.','Consumer Non-Durables','Apparel','0.00','0000-00-00 00:00:00'),(5262,'LMNX','Luminex Corporation','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(5263,'LMOS','Lumos Networks Corp.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(5264,'LUNA','Luna Innovations Incorporated','Health Care','Biotechnology: Commercial Physical & Biological Resarch','0.00','0000-00-00 00:00:00'),(5265,'MBTF','M B T Financial Corp','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5266,'MCBC','Macatawa Bank Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5267,'MFNC','Mackinac Financial Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5268,'MAGS','Magal Security Systems Ltd.','Consumer Durables','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(5269,'MGLN','Magellan Health Services, Inc.','Health Care','Hospital/Nursing Management','0.00','0000-00-00 00:00:00'),(5270,'MPET','Magellan Petroleum Corporation','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(5271,'MGIC','Magic Software Enterprises Ltd.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(5272,'CALL','magicJack VocalTec Ltd','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(5273,'LAVA','Magma Design Automation, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(5274,'MGYR','Magyar Bancorp, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(5275,'MHLD','Maiden Holdings, Ltd.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(5276,'MSFG','MainSource Financial Group, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5277,'COOL','Majesco Entertainment Company','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(5278,'MMUS','MakeMusic, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(5279,'MMYT','MakeMyTrip Limited','Consumer Services','Transportation Services','0.00','0000-00-00 00:00:00'),(5280,'MKTAY','Makita Corp.','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(5281,'MAKO','MAKO Surgical Corp.','Health Care','Industrial Specialties','0.00','0000-00-00 00:00:00'),(5282,'MLVF','Malvern Federal Bancorp, Inc.','Finance','Banks','0.00','0000-00-00 00:00:00'),(5283,'MANH','Manhattan Associates, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(5284,'LOAN','Manhattan Bridge Capital, Inc','Finance','Finance Companies','0.00','0000-00-00 00:00:00'),(5285,'MNTX','Manitex International, Inc.','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(5286,'MTEX','Mannatech, Incorporated','Consumer Durables','Specialty Chemicals','0.00','0000-00-00 00:00:00'),(5287,'MNKD','MannKind Corporation','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5288,'MANT','ManTech International Corporation','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(5289,'MAPP','MAP Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5290,'MCHX','Marchex, Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(5291,'MRNA','Marina Biotech, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5292,'MARPS','Marine Petroleum Trust','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(5293,'LEDR','Market Leader, Inc','Consumer Services','Advertising','0.00','0000-00-00 00:00:00'),(5294,'MKTX','MarketAxess Holdings, Inc.','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(5295,'MRLN','Marlin Business Services Corp.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5296,'MSHL','Marshall Edwards, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5297,'MRTN','Marten Transport, Ltd.','Transportation','Trucking Freight/Courier Services','0.00','0000-00-00 00:00:00'),(5298,'MMLP','Martin Midstream Partners L.P.','Energy','Oil Refining/Marketing','0.00','0000-00-00 00:00:00'),(5299,'MRVL','Marvell Technology Group Ltd.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5300,'MASI','Masimo Corporation','Health Care','Biotechnology: Electromedical & Electrotherapeutic Apparatus','0.00','0000-00-00 00:00:00'),(5301,'MASC','Material Sciences Corporation','Capital Goods','Industrial Specialties','0.00','0000-00-00 00:00:00'),(5302,'MTRX','Matrix Service Company','Basic Industries','Engineering & Construction','0.00','0000-00-00 00:00:00'),(5303,'MAT','Mattel, Inc.','Consumer Non-Durables','Recreational Products/Toys','0.00','0000-00-00 00:00:00'),(5304,'MATR','Mattersight Corporation','Consumer Services','Professional Services','0.00','0000-00-00 00:00:00'),(5305,'MATW','Matthews International Corporation','Capital Goods','Metal Fabrications','0.00','0000-00-00 00:00:00'),(5306,'MFRM','Mattress Firm Holding Corp.','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(5307,'MTSN','Mattson Technology, Inc.','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(5308,'MXIM','Maxim Integrated Products, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5309,'MXWL','Maxwell Technologies, Inc.','Energy','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(5310,'MAXY','Maxygen, Inc.','Health Care','Biotechnology: Commercial Physical & Biological Resarch','0.00','0000-00-00 00:00:00'),(5311,'MFLR','Mayflower Bancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5312,'MBFI','MB Financial Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5313,'MSSR','McCormick & Schmick\'s Seafood Restaurants, Inc.','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(5314,'MCGC','MCG Capital Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(5315,'MGRC','McGrath RentCorp','Technology','Diversified Commercial Services','0.00','0000-00-00 00:00:00'),(5316,'MDCA','MDC Partners Inc.','Technology','Advertising','0.00','0000-00-00 00:00:00'),(5317,'MEAD','Meade Instruments Corp.','Capital Goods','Electronic Components','0.00','0000-00-00 00:00:00'),(5318,'MEAS','Measurement Specialties, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(5319,'MCOX','Mecox Lane Limited','Consumer Non-Durables','Apparel','0.00','0000-00-00 00:00:00'),(5320,'TAXI','Medallion Financial Corp.','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(5321,'MDAS','MedAssets, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(5322,'MDTH','MedCath Corporation','Health Care','Hospital/Nursing Management','0.00','0000-00-00 00:00:00'),(5323,'MDCI','Medical Action Industries Inc.','Health Care','Industrial Specialties','0.00','0000-00-00 00:00:00'),(5324,'MNOV','MediciNova, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5325,'MDSO','Medidata Solutions, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(5326,'MDVN','Medivation, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5327,'MEDW','MEDIWARE Information Systems, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(5328,'MEDH','MedQuist Holdings Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(5329,'MTOX','Medtox Scientific, Inc.','Health Care','Medical Specialities','0.00','0000-00-00 00:00:00'),(5330,'MELA','MELA Sciences, Inc','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(5331,'MPEL','Melco Crown Entertainment Limited','Consumer Services','Hotels/Resorts','0.00','0000-00-00 00:00:00'),(5332,'MLNX','Mellanox Technologies, Ltd.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5333,'MEMS','MEMSIC, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5334,'MENT','Mentor Graphics Corporation','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(5335,'MTSL','MER Telemanagement Solutions Ltd.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(5336,'MELI','MercadoLibre, Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(5337,'MBWM','Mercantile Bank Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5338,'MERC','Mercer International Inc.','Basic Industries','Paper','0.00','0000-00-00 00:00:00'),(5339,'MBVT','Merchants Bancshares, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5340,'MRCY','Mercury Computer Systems','Capital Goods','Electrical Products','0.00','0000-00-00 00:00:00'),(5341,'MRGE','Merge Healthcare Incorporated.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(5342,'VIVO','Meridian Bioscience Inc.','Health Care','Biotechnology: In Vitro & In Vivo Diagnostic Substances','0.00','0000-00-00 00:00:00'),(5343,'EBSB','Meridian Interstate Bancorp, Inc.','Finance','Banks','0.00','0000-00-00 00:00:00'),(5344,'MMSI','Merit Medical Systems, Inc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(5345,'PGEB','Merrill Lynch & Co., Inc.','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(5346,'MERU','Meru Networks, Inc.','Technology','Computer Communications Equipment','0.00','0000-00-00 00:00:00'),(5347,'MLAB','Mesa Laboratories, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(5348,'CASH','Meta Financial Group, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(5349,'MBLX','Metabolix, Inc.','Basic Industries','Containers/Packaging','0.00','0000-00-00 00:00:00'),(5350,'MEOH','Methanex Corporation','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(5351,'METR','Metro Bancorp, Inc','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5352,'MCBI','MetroCorp Bancshares, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5353,'MFRI','MFRI, Inc.','Capital Goods','Pollution Control Equipment','0.00','0000-00-00 00:00:00'),(5354,'MGEE','MGE Energy Inc.','Energy','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(5355,'MGPI','MGP Ingredients, Inc.','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(5356,'MDH','MHI Hospitality Corporation','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(5357,'MCRL','Micrel, Incorporated','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5358,'MCHP','Microchip Technology Incorporated','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5359,'MFI','MicroFinancial Incorporated','Finance','Diversified Financial Services','0.00','0000-00-00 00:00:00'),(5360,'MITI','Micromet, Inc.','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(5361,'MU','Micron Technology, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5362,'NOIZ','Micronetics, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(5363,'MCRS','MICROS Systems, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(5364,'MSCC','Microsemi Corporation','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5365,'MSFT','Microsoft Corporation','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(5366,'MSTR','MicroStrategy Incorporated','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(5367,'MVIS','Microvision, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(5368,'MVISW','Microvision, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(5369,'MPB','Mid Penn Bancorp','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5370,'MBRG','Middleburg Financial Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5371,'MSEX','Middlesex Water Company','Public Utilities','Water Supply','0.00','0000-00-00 00:00:00'),(5372,'MOFG','MidWestOne Financial Group, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5373,'SMCG','Millenium India Acquisition Company Inc.','Finance','Business Services','0.00','0000-00-00 00:00:00'),(5374,'MNDO','MIND C.T.I. Ltd.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(5375,'MSPD','Mindspeed Technologies, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5376,'MIPS','MIPS Technologies, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5377,'MSON','MISONIX, Inc.','Capital Goods','Medical Specialities','0.00','0000-00-00 00:00:00'),(5378,'MNEL','Mission NewEnergy Limited','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(5379,'MSW','Mission West Properties, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(5380,'MIND','Mitcham Industries, Inc.','Technology','Diversified Commercial Services','0.00','0000-00-00 00:00:00'),(5381,'MITK','Mitek Systems, Inc.','Technology','Computer peripheral equipment','0.00','0000-00-00 00:00:00'),(5382,'MITL','Mitel Networks Corporation','Technology','Radio And Television Broadcasting And Communications Equipment','0.00','0000-00-00 00:00:00'),(5383,'MKSI','MKS Instruments, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(5384,'MINI','Mobile Mini, Inc.','Capital Goods','Metal Fabrications','0.00','0000-00-00 00:00:00'),(5385,'MOCO','MOCON, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(5386,'MPAC','MOD-PAC CORP.','Consumer Durables','Containers/Packaging','0.00','0000-00-00 00:00:00'),(5387,'MLNK','ModusLink Global Solutions, Inc','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(5388,'MOLX','Molex Incorporated','Capital Goods','Electrical Products','0.00','0000-00-00 00:00:00'),(5389,'MOLXA','Molex Incorporated','Capital Goods','Electrical Products','0.00','0000-00-00 00:00:00'),(5390,'MNTA','Momenta Pharmaceuticals, Inc.','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(5391,'MCRI','Monarch Casino & Resort, Inc.','Consumer Services','Hotels/Resorts','0.00','0000-00-00 00:00:00'),(5392,'MCBF','Monarch Community Bancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5393,'MNRK','Monarch Financial Holdings, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5394,'MNRKP','Monarch Financial Holdings, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5395,'MPWR','Monolithic Power Systems, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5396,'TYPE','Monotype Imaging Holdings Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(5397,'MNRO','Monro Muffler Brake, Inc.','Consumer Services','Automotive Aftermarket','0.00','0000-00-00 00:00:00'),(5398,'MHGC','Morgans Hotel Group Co.','Consumer Services','Hotels/Resorts','0.00','0000-00-00 00:00:00'),(5399,'MORN','Morningstar, Inc.','Finance','Investment Managers','0.00','0000-00-00 00:00:00'),(5400,'MOSY','MoSys, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5401,'MPAA','Motorcar Parts of America, Inc.','Energy','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(5402,'MOTR','Motricity, Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(5403,'MOVED','Move, Inc.','Finance','Real Estate','0.00','0000-00-00 00:00:00'),(5404,'MSBF','MSB Financial Corp.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(5405,'MNTG','MTR Gaming Group, Inc.','Consumer Services','Hotels/Resorts','0.00','0000-00-00 00:00:00'),(5406,'MTSC','MTS Systems Corporation','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(5407,'MBND','Multiband Corporation','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(5408,'LABL','Multi-Color Corporation','Miscellaneous','Publishing','0.00','0000-00-00 00:00:00'),(5409,'MFLX','Multi-Fineline Electronix, Inc.','Technology','Electrical Products','0.00','0000-00-00 00:00:00'),(5410,'MGAM','Multimedia Games Holding Company, Inc.','Consumer Services','Services-Misc. Amusement & Recreation','0.00','0000-00-00 00:00:00'),(5411,'MFSF','MutualFirst Financial Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5412,'MWIV','MWI Veterinary Supply, Inc.','Health Care','Medical Specialities','0.00','0000-00-00 00:00:00'),(5413,'MYL','Mylan Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5414,'MYRG','MYR Group, Inc.','Public Utilities','Water Supply','0.00','0000-00-00 00:00:00'),(5415,'MYRX','Myrexis, Inc','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5416,'MYGN','Myriad Genetics, Inc.','Health Care','Biotechnology: In Vitro & In Vivo Diagnostic Substances','0.00','0000-00-00 00:00:00'),(5417,'NABI','Nabi Biopharmaceuticals','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(5418,'NANO','Nanometrics Incorporated','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(5419,'NANX','Nanophase Technologies Corporation','Capital Goods','Industrial Specialties','0.00','0000-00-00 00:00:00'),(5420,'NSPH','Nanosphere, Inc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(5421,'NSSC','NAPCO Security Technologies, Inc.','Consumer Durables','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(5422,'NASB','NASB Financial Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(5423,'QQQX','NASDAQ Premium Income and Growth Fund Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(5424,'NAFC','Nash-Finch Company','Consumer Non-Durables','Food Distributors','0.00','0000-00-00 00:00:00'),(5425,'NATH','Nathan\'s Famous, Inc.','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(5426,'NAUH','National American University Holdings, Inc.','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(5427,'NKSH','National Bankshares, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5428,'FIZZ','National Beverage Corp.','Consumer Non-Durables','Beverages (Production/Distribution)','0.00','0000-00-00 00:00:00'),(5429,'NCMI','National CineMedia, Inc.','Consumer Services','Advertising','0.00','0000-00-00 00:00:00'),(5430,'NATI','National Instruments Corporation','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(5431,'NATL','National Interstate Corporation','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(5432,'NPBC','National Penn Bancshares, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5433,'NPBCO','National Penn Bancshares, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5434,'NRCI','National Research Corporation','Health Care','Biotechnology: Commercial Physical & Biological Resarch','0.00','0000-00-00 00:00:00'),(5435,'NSEC','National Security Group, Inc.','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(5436,'NTSC','National Technical Systems, Inc.','Health Care','Precision Instruments','0.00','0000-00-00 00:00:00'),(5437,'NWLI','National Western Life Insurance Company','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(5438,'NAII','Natural Alternatives International, Inc.','Consumer Durables','Specialty Chemicals','0.00','0000-00-00 00:00:00'),(5439,'NATR','Nature\'s Sunshine Products, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5440,'BABY','Natus Medical Incorporated','Health Care','Biotechnology: Electromedical & Electrotherapeutic Apparatus','0.00','0000-00-00 00:00:00'),(5441,'NVSL','Naugatuck Valley Financial Corporation','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(5442,'NMAR','Nautilus Marine Acquisition Corp.','Finance','Business Services','0.00','0000-00-00 00:00:00'),(5443,'NMARW','Nautilus Marine Acquisition Corp.','Finance','Business Services','0.00','0000-00-00 00:00:00'),(5444,'NAVR','Navarre Corporation','Technology','Retail: Computer Software & Peripheral Equipment','0.00','0000-00-00 00:00:00'),(5445,'NBTF','NB&T FINANCIAL GROUP INC','Finance','Commercial Banks','0.00','0000-00-00 00:00:00'),(5446,'NBTB','NBT Bancorp Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5447,'NCIT','NCI, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(5448,'NKTR','Nektar Therapeutics','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5449,'NEOG','Neogen Corporation','Health Care','Biotechnology: In Vitro & In Vivo Diagnostic Substances','0.00','0000-00-00 00:00:00'),(5450,'NEPT','Neptune Technologies & Bioresources Inc','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5451,'UEPS','Net 1 UEPS Technologies, Inc.','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(5452,'NETC','NET Servicos de Comunicacao S.A.','Consumer Services','Television Services','0.00','0000-00-00 00:00:00'),(5453,'NTAP','NetApp, Inc.','Technology','Electronic Components','0.00','0000-00-00 00:00:00'),(5454,'NTES','Netease.com, Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(5455,'NFLX','Netflix, Inc.','Consumer Services','Consumer Electronics/Video Chains','0.00','0000-00-00 00:00:00'),(5456,'NTGR','NETGEAR, Inc.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(5457,'NLST','Netlist, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5458,'NETL','NetLogic Microsystems, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5459,'NTCT','NetScout Systems, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(5460,'NTWK','NetSol Technologies Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(5461,'NTSP','NetSpend Holdings, Inc.','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(5462,'NEI','Network Engines, Inc','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(5463,'NWK','Network Equipment Technologies, Inc.','Technology','Computer Communications Equipment','0.00','0000-00-00 00:00:00'),(5464,'NBIX','Neurocrine Biosciences, Inc.','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(5465,'NGSX','NeurogesX, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5466,'NURO','NeuroMetrix, Inc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(5467,'TNDM','Neutral Tandem, Inc.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(5468,'NCBC','New Century Bancorp, Inc. (NC)','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5469,'NEBS','New England Bancshares, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(5470,'NOOF','New Frontier Media, Inc.','Consumer Services','Movies/Entertainment','0.00','0000-00-00 00:00:00'),(5471,'NHTB','New Hampshire Thrift Bancshares, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(5472,'HAVNP','New York Community Bancorp, Inc.','Finance','Banks','0.00','0000-00-00 00:00:00'),(5473,'NYMT','New York Mortgage Trust, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(5474,'NBBC','NewBridge Bancorp','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5475,'NEWL','NewLead Holdings Ltd.','Transportation','Marine Transportation','0.00','0000-00-00 00:00:00'),(5476,'NLNK','NewLink Genetics Corporation','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5477,'NFSB','Newport Bancorp, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(5478,'NEWP','Newport Corporation','Capital Goods','Medical Specialities','0.00','0000-00-00 00:00:00'),(5479,'NWS','News Corporation','Consumer Services','Newspapers/Magazines','0.00','0000-00-00 00:00:00'),(5480,'NWSA','News Corporation','Consumer Services','Newspapers/Magazines','0.00','0000-00-00 00:00:00'),(5481,'NEWS','NewStar Financial, Inc.','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(5482,'NEWT','Newtek Business Services Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(5483,'NXST','Nexstar Broadcasting Group, Inc.','Consumer Services','Broadcasting','0.00','0000-00-00 00:00:00'),(5484,'NEXS','Nexxus Lighting, Inc.','Basic Industries','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(5485,'NFEC','NF Energy Saving Corporation','Capital Goods','Metal Fabrications','0.00','0000-00-00 00:00:00'),(5486,'NGPC','NGP Capital Resources Company','n/a','n/a','0.00','0000-00-00 00:00:00'),(5487,'EGOV','NIC Inc.','Consumer Services','Professional Services','0.00','0000-00-00 00:00:00'),(5488,'NICE','NICE-Systems Limited','Technology','Computer Manufacturing','0.00','0000-00-00 00:00:00'),(5489,'NICK','Nicholas Financial, Inc.','Finance','Finance Companies','0.00','0000-00-00 00:00:00'),(5490,'NIHD','NII Holdings, Inc.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(5491,'NINE','Ninetowns Internet Technology Group Company Limited','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(5492,'NNBR','NN, Inc.','Capital Goods','Metal Fabrications','0.00','0000-00-00 00:00:00'),(5493,'NOBH','Nobility Homes, Inc.','Basic Industries','Homebuilding','0.00','0000-00-00 00:00:00'),(5494,'NDSN','Nordson Corporation','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(5495,'NSYS','Nortech Systems Incorporated','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(5496,'NTK','Nortek Inc.','Consumer Durables','Home Furnishings','0.00','0000-00-00 00:00:00'),(5497,'FFFD','North Central Bancshares, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(5498,'NOVB','North Valley Bancorp','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5499,'NBN','Northeast Bancorp','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5500,'NECB','Northeast Community Bancorp, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(5501,'NSFC','Northern States Financial Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5502,'NTIC','Northern Technologies International Corporation','Capital Goods','Industrial Specialties','0.00','0000-00-00 00:00:00'),(5503,'NTRS','Northern Trust Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5504,'NFBK','Northfield Bancorp, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(5505,'NRIM','Northrim BanCorp Inc','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(5506,'NWBI','Northwest Bancshares, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5507,'NWPX','Northwest Pipe Company','Basic Industries','Steel/Iron Ore','0.00','0000-00-00 00:00:00'),(5508,'NWFL','Norwood Financial Corp.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5509,'NVMI','Nova Measuring Instruments Ltd.','Capital Goods','Electronic Components','0.00','0000-00-00 00:00:00'),(5510,'NVTL','Novatel Wireless, Inc.','Consumer Durables','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(5511,'NVAX','Novavax, Inc.','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(5512,'NVLS','Novellus Systems, Inc.','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(5513,'NVGN','Novogen Limited','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5514,'NPSP','NPS Pharmaceuticals, Inc.','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(5515,'NTLS','NTELOS Holdings Corp.','n/a','n/a','0.00','0000-00-00 00:00:00'),(5516,'NUAN','Nuance Communications, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(5517,'NMRX','Numerex Corp.','Consumer Durables','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(5518,'PATH','NuPathe Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5519,'NUTR','Nutraceutical International Corporation','Consumer Durables','Specialty Chemicals','0.00','0000-00-00 00:00:00'),(5520,'NTRI','NutriSystem Inc','Consumer Services','Catalog/Specialty Distribution','0.00','0000-00-00 00:00:00'),(5521,'NUVA','NuVasive, Inc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(5522,'NVEC','NVE Corporation','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5523,'NVDA','NVIDIA Corporation','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5524,'NXPI','NXP Semiconductors N.V.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5525,'NXTM','NxStage Medical, Inc.','Health Care','Biotechnology: Electromedical & Electrotherapeutic Apparatus','0.00','0000-00-00 00:00:00'),(5526,'NYMX','Nymox Pharmaceutical Corporation','Health Care','Biotechnology: In Vitro & In Vivo Diagnostic Substances','0.00','0000-00-00 00:00:00'),(5527,'OIIM','O2Micro International Limited','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5528,'BKOR','Oak Ridge Financial Services, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5529,'OVLY','Oak Valley Bancorp (CA)','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5530,'OBAF','OBA Financial Services, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(5531,'OMPI','Obagi Medical Products, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5532,'OBCI','Ocean Bio-Chem, Inc.','Consumer Durables','Specialty Chemicals','0.00','0000-00-00 00:00:00'),(5533,'OPTT','Ocean Power Technologies, Inc.','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(5534,'ORIG','Ocean Rig UDW Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(5535,'OSHC','Ocean Shore Holding Co.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(5536,'OCFC','OceanFirst Financial Corp.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(5537,'CHUX','O\'Charley\'s Inc.','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(5538,'OCLR','Oclaro, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5539,'OFED','Oconee Federal Financial Corp.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(5540,'OCLS','Oculus Innovative Sciences, Inc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(5541,'OCZ','OCZ Technology Group Inc','Technology','Electronic Components','0.00','0000-00-00 00:00:00'),(5542,'OMEX','Odyssey Marine Exploration, Inc.','Consumer Services','Marine Transportation','0.00','0000-00-00 00:00:00'),(5543,'OLCB','Ohio Legacy Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5544,'OVBC','Ohio Valley Banc Corp.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5545,'ODFL','Old Dominion Freight Line, Inc.','Transportation','Trucking Freight/Courier Services','0.00','0000-00-00 00:00:00'),(5546,'OLBK','Old Line Bancshares, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5547,'OPOF','Old Point Financial Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5548,'OSBC','Old Second Bancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5549,'OSBCP','Old Second Bancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5550,'ZEUS','Olympic Steel, Inc.','Basic Industries','Metal Fabrications','0.00','0000-00-00 00:00:00'),(5551,'OFLX','Omega Flex, Inc.','Capital Goods','Industrial Specialties','0.00','0000-00-00 00:00:00'),(5552,'OMER','Omeros Corporation','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5553,'OABC','OmniAmerican Bancorp, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(5554,'OMCL','Omnicell, Inc.','Technology','Computer Manufacturing','0.00','0000-00-00 00:00:00'),(5555,'OVTI','OmniVision Technologies, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5556,'ASGN','On Assignment, Inc.','Technology','Professional Services','0.00','0000-00-00 00:00:00'),(5557,'ONNN','ON Semiconductor Corporation','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5558,'OTIV','On Track Innovations Ltd','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5559,'OGXI','OncoGenex Pharmaceuticals Inc.','Health Care','Biotechnology: In Vitro & In Vivo Diagnostic Substances','0.00','0000-00-00 00:00:00'),(5560,'ONCY','Oncolytics Biotech, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5561,'ONTY','Oncothyreon, Inc .','Health Care','Biotechnology: Commercial Physical & Biological Resarch','0.00','0000-00-00 00:00:00'),(5562,'ONFC','Oneida Financial Corp.','Finance','Banks','0.00','0000-00-00 00:00:00'),(5563,'ORCC','Online Resources Corporation','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(5564,'ONSM','Onstream Media Corporation','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(5565,'ONVI','Onvia, Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(5566,'ONXX','ONYX Pharmaceuticals, Inc.','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(5567,'OTEX','Open Text Corporation','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(5568,'OPEN','OpenTable, Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(5569,'OPWV','Openwave Systems Inc','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(5570,'OPXA','Opexa Therapeutics, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5571,'OPXAW','Opexa Therapeutics, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5572,'OPLK','Oplink Communications, Inc.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(5573,'OPNT','OPNET Technologies Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(5574,'OPXT','Opnext, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5575,'OBAS','Optibase Ltd.','Finance','Real Estate','0.00','0000-00-00 00:00:00'),(5576,'OCC','Optical Cable Corporation','Basic Industries','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(5577,'OPTR','Optimer Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5578,'OPHC','OptimumBank Holdings, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5579,'ORCL','Oracle Corporation','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(5580,'OSUR','OraSure Technologies, Inc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(5581,'ORBC','ORBCOMM Inc.','Consumer Services','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(5582,'ORBT','Orbit International Corporation','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(5583,'ORBK','Orbotech Ltd.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(5584,'ORCH','Orchid Cellmark Inc.','Health Care','Precision Instruments','0.00','0000-00-00 00:00:00'),(5585,'ORCT','Orckit Communications, Limited','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(5586,'ORLY','O\'Reilly Automotive, Inc.','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(5587,'OREX','Orexigen Therapeutics, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5588,'SEED','Origin Agritech Limited','Consumer Non-Durables','Farming/Seeds/Milling','0.00','0000-00-00 00:00:00'),(5589,'ORIT','Oritani Financial Corp.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5590,'ORRF','Orrstown Financial Services Inc','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5591,'OFIX','Orthofix International N.V.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(5592,'OSIS','OSI Systems, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5593,'OSIR','Osiris Therapeutics, Inc.','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(5594,'OSN','Ossen Innovation Co., Ltd.','Basic Industries','Steel/Iron Ore','0.00','0000-00-00 00:00:00'),(5595,'OTT','Otelco, Inc.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(5596,'OTTR','Otter Tail Corporation','Public Utilities','Electric Utilities: Central','0.00','0000-00-00 00:00:00'),(5597,'OUTD','Outdoor Channel Holdings, Inc.','Consumer Services','Television Services','0.00','0000-00-00 00:00:00'),(5598,'OVRL','Overland Storage, Inc.','Technology','Electronic Components','0.00','0000-00-00 00:00:00'),(5599,'OSTK','Overstock.com, Inc.','Consumer Services','Catalog/Specialty Distribution','0.00','0000-00-00 00:00:00'),(5600,'OXLC','Oxford Lane Capital Corp.','n/a','n/a','0.00','0000-00-00 00:00:00'),(5601,'OXGN','OXiGENE, Inc.','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(5602,'OXBT','Oxygen Biotherapeutics, Inc.','Health Care','Biotechnology: Commercial Physical & Biological Resarch','0.00','0000-00-00 00:00:00'),(5603,'OYOG','OYO Geospace Corporation','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(5604,'PFIN','P & F Industries, Inc.','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(5605,'PTSI','P.A.M. Transportation Services, Inc.','Transportation','Trucking Freight/Courier Services','0.00','0000-00-00 00:00:00'),(5606,'PFCB','P.F.Chang\'s China Bistro, Inc.','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(5607,'PCAR','PACCAR Inc.','Capital Goods','Auto Manufacturing','0.00','0000-00-00 00:00:00'),(5608,'PACR','Pacer International, Inc.','Transportation','Oil Refining/Marketing','0.00','0000-00-00 00:00:00'),(5609,'PACB','Pacific Biosciences of California, Inc.','Capital Goods','Biotechnology: Laboratory Analytical Instruments','0.00','0000-00-00 00:00:00'),(5610,'PCBC','Pacific Capital Bancorp','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5611,'PCBK','Pacific Continental Corporation (Ore)','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5612,'PEIX','Pacific Ethanol, Inc.','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(5613,'PMBC','Pacific Mercantile Bancorp','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5614,'PPBI','Pacific Premier Bancorp Inc','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5615,'PSUN','Pacific Sunwear of California, Inc.','Consumer Services','Clothing/Shoe/Accessory Stores','0.00','0000-00-00 00:00:00'),(5616,'PCRX','Pacira Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5617,'PACW','PacWest Bancorp','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5618,'PTIE','Pain Therapeutics','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5619,'PLMT','Palmetto Bancshares, Inc. (SC)','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5620,'PMTI','Palomar Medical Technologies, Inc.','Health Care','Biotechnology: Electromedical & Electrotherapeutic Apparatus','0.00','0000-00-00 00:00:00'),(5621,'PAAS','Pan American Silver Corp.','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(5622,'PNRA','Panera Bread Company','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(5623,'PSOF','Pansoft Company Limited','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(5624,'PZZA','Papa John\'s International, Inc.','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(5625,'PMTC','Parametric Technology Corporation','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(5626,'PRXL','PAREXEL International Corporation','Health Care','Biotechnology: Commercial Physical & Biological Resarch','0.00','0000-00-00 00:00:00'),(5627,'PFED','Park Bancorp, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(5628,'PSTB','Park Sterling Bank','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5629,'PKBK','Parke Bancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5630,'PRKR','ParkerVision, Inc.','Technology','Radio And Television Broadcasting And Communications Equipment','0.00','0000-00-00 00:00:00'),(5631,'PKOH','Park-Ohio Holdings Corp.','Capital Goods','Industrial Specialties','0.00','0000-00-00 00:00:00'),(5632,'PVSA','Parkvale Financial Corporation','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(5633,'PARL','Parlux Fragrances, Inc.','Consumer Non-Durables','Package Goods/Cosmetics','0.00','0000-00-00 00:00:00'),(5634,'PTNR','Partner Communications Company Ltd.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(5635,'PBHC','Pathfinder Bancorp, Inc.','Finance','Banks','0.00','0000-00-00 00:00:00'),(5636,'PATK','Patrick Industries, Inc.','Basic Industries','Forest Products','0.00','0000-00-00 00:00:00'),(5637,'PNBK','Patriot National Bancorp Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5638,'PATR','Patriot Transportation Holding, Inc.','Transportation','Trucking Freight/Courier Services','0.00','0000-00-00 00:00:00'),(5639,'PDCO','Patterson Companies, Inc.','Health Care','Medical Specialities','0.00','0000-00-00 00:00:00'),(5640,'PTEN','Patterson-UTI Energy, Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(5641,'PLCC','Paulson Capital Corp.','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(5642,'PAYX','Paychex, Inc.','Consumer Services','Diversified Commercial Services','0.00','0000-00-00 00:00:00'),(5643,'PCCC','PC Connection, Inc.','Consumer Services','Catalog/Specialty Distribution','0.00','0000-00-00 00:00:00'),(5644,'MALL','PC Mall, Inc.','Consumer Services','Catalog/Specialty Distribution','0.00','0000-00-00 00:00:00'),(5645,'PCTI','PC-Tel, Inc.','Technology','Radio And Television Broadcasting And Communications Equipment','0.00','0000-00-00 00:00:00'),(5646,'PDFS','PDF Solutions, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(5647,'PDII','PDI, Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(5648,'PDLI','PDL BioPharma, Inc.','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(5649,'PGC','Peapack-Gladstone Financial Corporation','Finance','Commercial Banks','0.00','0000-00-00 00:00:00'),(5650,'PRLS','Peerless Systems Corporation','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(5651,'PEET','Peet\'s Coffee & Tea, Inc.','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(5652,'PEGA','Pegasystems Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(5653,'PCO','Pendrell Corporation','Miscellaneous','Multi-Sector Companies','0.00','0000-00-00 00:00:00'),(5654,'PENX','Penford Corporation','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(5655,'PENN','Penn National Gaming, Inc.','Consumer Services','Hotels/Resorts','0.00','0000-00-00 00:00:00'),(5656,'PFLT','PennantPark Floating Rate Capital Ltd.','n/a','n/a','0.00','0000-00-00 00:00:00'),(5657,'PNNT','PennantPark Investment Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(5658,'PNNW','Pennichuck Corporation','Public Utilities','Water Supply','0.00','0000-00-00 00:00:00'),(5659,'PWOD','Penns Woods Bancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5660,'PNSN','Penson Worldwide, Inc.','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(5661,'PEBO','Peoples Bancorp Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5662,'PEBK','Peoples Bancorp of North Carolina, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5663,'PEDH','Peoples Educational Holdings, Inc.','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(5664,'PEOP','Peoples Federal Bancshares, Inc.','Finance','Banks','0.00','0000-00-00 00:00:00'),(5665,'PFBX','Peoples Financial Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5666,'PBCT','People\'s United Financial, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(5667,'PRCP','Perceptron, Inc.','Capital Goods','Electronic Components','0.00','0000-00-00 00:00:00'),(5668,'PPHM','Peregrine Pharmaceuticals Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5669,'PWRD','Perfect World Co., Ltd.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(5670,'PRFT','Perficient, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(5671,'PTIX','Performance Technologies, Incorporated','Technology','Computer Communications Equipment','0.00','0000-00-00 00:00:00'),(5672,'PERF','Perfumania Holdings, Inc','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(5673,'PSEM','Pericom Semiconductor Corporation','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5674,'PERI','Perion Network Ltd','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(5675,'PESI','Perma-Fix Environmental Services, Inc.','Basic Industries','Environmental Services','0.00','0000-00-00 00:00:00'),(5676,'PRGO','Perrigo Company','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5677,'PERY','Perry Ellis International Inc.','Consumer Non-Durables','Apparel','0.00','0000-00-00 00:00:00'),(5678,'PVSW','Pervasive Software Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(5679,'PETS','PetMed Express, Inc.','Health Care','Medical/Nursing Services','0.00','0000-00-00 00:00:00'),(5680,'PETD','Petroleum Development Corporation','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(5681,'PETM','PetSmart, Inc','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(5682,'PFSW','PFSweb, Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(5683,'PGTI','PGT, Inc.','Capital Goods','Building Products','0.00','0000-00-00 00:00:00'),(5684,'PPDI','Pharmaceutical Product Development, Inc.','Health Care','Biotechnology: Commercial Physical & Biological Resarch','0.00','0000-00-00 00:00:00'),(5685,'PCYC','Pharmacyclics, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5686,'VRUS','Pharmasset, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5687,'ANTP','PHAZAR CORP','Technology','Radio And Television Broadcasting And Communications Equipment','0.00','0000-00-00 00:00:00'),(5688,'PHII','PHI, Inc.','Transportation','Transportation Services','0.00','0000-00-00 00:00:00'),(5689,'PHIIK','PHI, Inc.','Transportation','Transportation Services','0.00','0000-00-00 00:00:00'),(5690,'PHMD','PhotoMedex, Inc.','Health Care','Biotechnology: Electromedical & Electrotherapeutic Apparatus','0.00','0000-00-00 00:00:00'),(5691,'PLAB','Photronics, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5692,'FACE','Physicians Formula Holdings, Inc.','Consumer Non-Durables','Package Goods/Cosmetics','0.00','0000-00-00 00:00:00'),(5693,'PICO','PICO Holdings Inc.','Finance','Real Estate','0.00','0000-00-00 00:00:00'),(5694,'PNCL','Pinnacle Airlines Corp.','Transportation','Air Freight/Delivery Services','0.00','0000-00-00 00:00:00'),(5695,'PNFP','Pinnacle Financial Partners, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5696,'PXLW','Pixelworks, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5697,'PZZI','Pizza Inn Holdings, Inc.','Consumer Non-Durables','Food Distributors','0.00','0000-00-00 00:00:00'),(5698,'PLNR','Planar Systems, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(5699,'PLXS','Plexus Corp.','Technology','Electrical Products','0.00','0000-00-00 00:00:00'),(5700,'PLUG','Plug Power, Inc.','Energy','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(5701,'PLBC','Plumas Bancorp','Finance','Finance Companies','0.00','0000-00-00 00:00:00'),(5702,'PSTI','Pluristem Therapeutics, Inc.','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(5703,'PLXT','PLX Technology, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5704,'PMCS','PMC - Sierra, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5705,'PMFG','PMFG, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(5706,'PBSK','Poage Bankshares, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(5707,'PTSX','Point.360','Consumer Services','Movies/Entertainment','0.00','0000-00-00 00:00:00'),(5708,'PNTR','Pointer Telocation Ltd.','Technology','Radio And Television Broadcasting And Communications Equipment','0.00','0000-00-00 00:00:00'),(5709,'PCOM','Points International, Ltd.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(5710,'PTEK','PokerTek, Inc.','Consumer Durables','Miscellaneous manufacturing industries','0.00','0000-00-00 00:00:00'),(5711,'PLCM','Polycom, Inc.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(5712,'PARDD','Poniard Pharmaceuticals, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(5713,'POOL','Pool Corporation','Consumer Durables','Industrial Specialties','0.00','0000-00-00 00:00:00'),(5714,'POPE','Pope Resources','Consumer Non-Durables','Environmental Services','0.00','0000-00-00 00:00:00'),(5715,'BPOP','Popular, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5716,'BPOPM','Popular, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5717,'BPOPN','Popular, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5718,'PBIB','Porter Bancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5719,'PRAA','Portfolio Recovery Associates, Inc.','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(5720,'PSTR','PostRock Energy Corporation','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(5721,'PCH','Potlatch Corporation','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(5722,'POWL','Powell Industries, Inc.','Consumer Durables','Electrical Products','0.00','0000-00-00 00:00:00'),(5723,'POWI','Power Integrations, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5724,'PWER','Power-One, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(5725,'POWR','PowerSecure International, Inc','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(5726,'PSCD','PowerShares Exchange-Traded Fund Trust II PowerShares S&P SmallCap Consumer Discretionary Portfolio','n/a','n/a','0.00','0000-00-00 00:00:00'),(5727,'PSCC','PowerShares Exchange-Traded Fund Trust II PowerShares S&P SmallCap Consumer Staples Portfolio','n/a','n/a','0.00','0000-00-00 00:00:00'),(5728,'PSCE','PowerShares Exchange-Traded Fund Trust II PowerShares S&P SmallCap Energy Portfolio','n/a','n/a','0.00','0000-00-00 00:00:00'),(5729,'PSCF','PowerShares Exchange-Traded Fund Trust II PowerShares S&P SmallCap Financials Portfolio	','n/a','n/a','0.00','0000-00-00 00:00:00'),(5730,'PSCH','PowerShares Exchange-Traded Fund Trust II PowerShares S&P SmallCap Health Care Portfolio','n/a','n/a','0.00','0000-00-00 00:00:00'),(5731,'PSCI','PowerShares Exchange-Traded Fund Trust II PowerShares S&P SmallCap Industrials Portfolio','n/a','n/a','0.00','0000-00-00 00:00:00'),(5732,'PSCT','PowerShares Exchange-Traded Fund Trust II PowerShares S&P SmallCap Information Technology Portfolio','n/a','n/a','0.00','0000-00-00 00:00:00'),(5733,'PSCM','PowerShares Exchange-Traded Fund Trust II PowerShares S&P SmallCap Materials Portfolio	','n/a','n/a','0.00','0000-00-00 00:00:00'),(5734,'PSCU','PowerShares Exchange-Traded Fund Trust II PowerShares S&P SmallCap Utilities Portfolio','n/a','n/a','0.00','0000-00-00 00:00:00'),(5735,'PRFZ','PowerShares FTSE RAFI US 1500 Small-Mid Portfolio','n/a','n/a','0.00','0000-00-00 00:00:00'),(5736,'PAGG','PowerShares Global Agriculture Portfolio','n/a','n/a','0.00','0000-00-00 00:00:00'),(5737,'PKOL','PowerShares Global Coal Portfolio','n/a','n/a','0.00','0000-00-00 00:00:00'),(5738,'PSAU','PowerShares Global Gold & Precious Metals Portfolio','n/a','n/a','0.00','0000-00-00 00:00:00'),(5739,'PSTL','PowerShares Global Steel Portfolio','n/a','n/a','0.00','0000-00-00 00:00:00'),(5740,'PWND','PowerShares Global Wind Energy Portfolio','n/a','n/a','0.00','0000-00-00 00:00:00'),(5741,'PMNA','PowerShares MENA Frontier Countries Portfolio','n/a','n/a','0.00','0000-00-00 00:00:00'),(5742,'PNQI','PowerShares NASDAQ Internet Portfolio','n/a','n/a','0.00','0000-00-00 00:00:00'),(5743,'QQQ','PowerShares QQQ Trust, Series 1','n/a','n/a','0.00','0000-00-00 00:00:00'),(5744,'PWAV','Powerwave Technologies, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(5745,'POZN','Pozen, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5746,'PRAN','Prana Biotechnology Ltd','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5747,'PFBC','Preferred Bank','n/a','n/a','0.00','0000-00-00 00:00:00'),(5748,'PLPC','Preformed Line Products Company','Public Utilities','Water Supply','0.00','0000-00-00 00:00:00'),(5749,'PRXI','Premier Exhibitions, Inc.','Consumer Services','Services-Misc. Amusement & Recreation','0.00','0000-00-00 00:00:00'),(5750,'PFBI','Premier Financial Bancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5751,'PRWT','Premier West Bancorp','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5752,'PLFE','Presidential Life Corporation','Finance','Life Insurance','0.00','0000-00-00 00:00:00'),(5753,'PRST','Presstek, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(5754,'PBIO','Pressure BioSciences, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(5755,'PRGX','PRGX Global, Inc.','Consumer Services','Diversified Commercial Services','0.00','0000-00-00 00:00:00'),(5756,'PCLN','priceline.com Incorporated','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(5757,'PSMT','PriceSmart, Inc.','Consumer Services','Department/Specialty Retail Stores','0.00','0000-00-00 00:00:00'),(5758,'PACQ','Prime Acquisition Corp.','Finance','Business Services','0.00','0000-00-00 00:00:00'),(5759,'PACQU','Prime Acquisition Corp.','Finance','Business Services','0.00','0000-00-00 00:00:00'),(5760,'PACQW','Prime Acquisition Corp.','Finance','Business Services','0.00','0000-00-00 00:00:00'),(5761,'PNRG','PrimeEnergy Corporation','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(5762,'PRMW','Primo Water Corporation','Consumer Non-Durables','Food Distributors','0.00','0000-00-00 00:00:00'),(5763,'PRIM','Primoris Services Corporation','Public Utilities','Water Supply','0.00','0000-00-00 00:00:00'),(5764,'PNBC','Princeton National Bancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5765,'PVTB','PrivateBancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5766,'PVTBP','PrivateBancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5767,'PDEX','Pro-Dex, Inc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(5768,'PGNX','Progenics Pharmaceuticals Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5769,'PRGS','Progress Software Corporation','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(5770,'PRPH','ProPhase Labs, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5771,'BIB','ProShares Trust ProShares Ultra Nasdaq Biotechnology','n/a','n/a','0.00','0000-00-00 00:00:00'),(5772,'BIS','ProShares Trust ProShares UltraShort Nasdaq Biotechnology','n/a','n/a','0.00','0000-00-00 00:00:00'),(5773,'TQQQ','ProShares UltraPro QQQ','n/a','n/a','0.00','0000-00-00 00:00:00'),(5774,'SQQQ','ProShares UltraPro Short QQQ','n/a','n/a','0.00','0000-00-00 00:00:00'),(5775,'PSEC','Prospect Capital Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(5776,'PRSP','Prosperity Bancshares, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5777,'PWX','Providence and Worcester Railroad Company','Transportation','Railroads','0.00','0000-00-00 00:00:00'),(5778,'PROV','Provident Financial Holdings, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(5779,'PBNY','Provident New York Bancorp','Finance','Banks','0.00','0000-00-00 00:00:00'),(5780,'PBIP','Prudential Bancorp, Inc. of Pennsylvania','Finance','Banks','0.00','0000-00-00 00:00:00'),(5781,'PSBH','PSB Holdings, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(5782,'PSDV','pSivida Corp.','Capital Goods','Biotechnology: Laboratory Analytical Instruments','0.00','0000-00-00 00:00:00'),(5783,'PSSI','PSS World Medical Inc.','Health Care','Medical Specialities','0.00','0000-00-00 00:00:00'),(5784,'PMD','Psychemedics Corporation','Health Care','Medical Specialities','0.00','0000-00-00 00:00:00'),(5785,'PULB','Pulaski Financial Corp.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(5786,'PURE','PURE Bioscience, Inc.','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(5787,'PCYO','Pure Cycle Corporation','Public Utilities','Water Supply','0.00','0000-00-00 00:00:00'),(5788,'PVFC','PVF Capital Corp.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(5789,'QADA','QAD Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(5790,'QADB','QAD Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(5791,'QCCO','QC Holdings, Inc.','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(5792,'QCRH','QCR Holdings, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5793,'QGEN','Qiagen N.V.','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(5794,'XING','Qiao Xing Universal Resources, Inc.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(5795,'QKLS','QKL Stores, Inc.','Consumer Services','Food Chains','0.00','0000-00-00 00:00:00'),(5796,'QLIK','Qlik Technologies Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(5797,'QLGC','QLogic Corporation','Technology','Computer Communications Equipment','0.00','0000-00-00 00:00:00'),(5798,'QLTI','QLT Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5799,'QCOM','QUALCOMM Incorporated','Technology','Radio And Television Broadcasting And Communications Equipment','0.00','0000-00-00 00:00:00'),(5800,'QLTY','Quality Distribution, Inc.','Transportation','Trucking Freight/Courier Services','0.00','0000-00-00 00:00:00'),(5801,'QSII','Quality Systems, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(5802,'QBAK','Qualstar Corporation','Technology','Electronic Components','0.00','0000-00-00 00:00:00'),(5803,'QTWW','Quantum Fuel Systems Technologies Worldwide, Inc.','Capital Goods','Auto Parts:O.E.M.','0.00','0000-00-00 00:00:00'),(5804,'QSFT','Quest Software, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(5805,'QCOR','Questcor Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5806,'QUIK','QuickLogic Corporation','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5807,'QDEL','Quidel Corporation','Health Care','Biotechnology: In Vitro & In Vivo Diagnostic Substances','0.00','0000-00-00 00:00:00'),(5808,'QNST','QuinStreet, Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(5809,'DFZ','R.G. Barry Corporation','Consumer Non-Durables','Shoe Manufacturing','0.00','0000-00-00 00:00:00'),(5810,'RRD','R.R. Donnelley & Sons Company','Miscellaneous','Publishing','0.00','0000-00-00 00:00:00'),(5811,'RADA','Rada Electronics Industries Limited','Consumer Non-Durables','Electronic Components','0.00','0000-00-00 00:00:00'),(5812,'RDCM','Radcom Ltd.','Technology','Computer peripheral equipment','0.00','0000-00-00 00:00:00'),(5813,'ROIA','Radio One, Inc.','Consumer Services','Broadcasting','0.00','0000-00-00 00:00:00'),(5814,'ROIAK','Radio One, Inc.','Consumer Services','Broadcasting','0.00','0000-00-00 00:00:00'),(5815,'RSYS','RadiSys Corporation','Technology','Computer peripheral equipment','0.00','0000-00-00 00:00:00'),(5816,'RDNT','RadNet, Inc.','Health Care','Medical Specialities','0.00','0000-00-00 00:00:00'),(5817,'RVSN','RADVision Ltd.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(5818,'RDWR','Radware Ltd.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(5819,'RMKR','Rainmaker Systems, Inc.','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(5820,'RAM','RAM Energy Resources, Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(5821,'RMBS','Rambus, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5822,'RMTR','Ramtron International Corporation','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5823,'RAND','Rand Capital Corporation','n/a','n/a','0.00','0000-00-00 00:00:00'),(5824,'RLOG','Rand Logistics, Inc.','Consumer Services','Marine Transportation','0.00','0000-00-00 00:00:00'),(5825,'GOLD','Randgold Resources Limited','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(5826,'RPTP','Raptor Pharmaceutical Corp.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5827,'RAVN','Raven Industries, Inc.','Capital Goods','Specialty Chemicals','0.00','0000-00-00 00:00:00'),(5828,'ROLL','RBC Bearings Incorporated','Capital Goods','Metal Fabrications','0.00','0000-00-00 00:00:00'),(5829,'RCMT','RCM Technologies, Inc.','Technology','Professional Services','0.00','0000-00-00 00:00:00'),(5830,'RDA','RDA Microelectronics, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5831,'RLOC','ReachLocal, Inc.','Technology','Advertising','0.00','0000-00-00 00:00:00'),(5832,'RDI','Reading International Inc','Consumer Services','Movies/Entertainment','0.00','0000-00-00 00:00:00'),(5833,'RDIB','Reading International Inc','Consumer Services','Movies/Entertainment','0.00','0000-00-00 00:00:00'),(5834,'RSOL','Real Goods Solar, Inc.','Capital Goods','Building Products','0.00','0000-00-00 00:00:00'),(5835,'RNWK','RealNetworks, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(5836,'RP','RealPage, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(5837,'RCON','Recon Technology, Ltd.','Energy','Oilfield Services/Equipment','0.00','0000-00-00 00:00:00'),(5838,'RECV','Recovery Energy, Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(5839,'RRGB','Red Robin Gourmet Burgers, Inc.','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(5840,'REDF','Rediff.com India Limited','Consumer Services','Newspapers/Magazines','0.00','0000-00-00 00:00:00'),(5841,'REED','Reeds, Inc.','Consumer Non-Durables','Beverages (Production/Distribution)','0.00','0000-00-00 00:00:00'),(5842,'REGN','Regeneron Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5843,'REIS','Reis, Inc','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(5844,'RELV','Reliv\' International, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5845,'RNST','Renasant Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5846,'RCII','Rent-A-Center Inc.','Technology','Diversified Commercial Services','0.00','0000-00-00 00:00:00'),(5847,'RENT','Rentrak Corporation','Consumer Services','Movies/Entertainment','0.00','0000-00-00 00:00:00'),(5848,'RGEN','Repligen Corporation','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(5849,'RPRX','Repros Therapeutics Inc.','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(5850,'RPRXW','Repros Therapeutics Inc.','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(5851,'RPRXZ','Repros Therapeutics Inc.','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(5852,'RJET','Republic Airways Holdings, Inc.','Transportation','Air Freight/Delivery Services','0.00','0000-00-00 00:00:00'),(5853,'RBCAA','Republic Bancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5854,'FRBK','Republic First Bancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5855,'REFR','Research Frontiers Incorporated','Miscellaneous','Multi-Sector Companies','0.00','0000-00-00 00:00:00'),(5856,'RIMM','Research in Motion Limited','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(5857,'REXI','Resource America, Inc.','Finance','Finance/Investors Services','0.00','0000-00-00 00:00:00'),(5858,'RECN','Resources Connection, Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(5859,'RGDX','Response Genetics, Inc.','Health Care','Biotechnology: In Vitro & In Vivo Diagnostic Substances','0.00','0000-00-00 00:00:00'),(5860,'MKTG','Responsys, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(5861,'ROIC','Retail Opportunity Investments Corp.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(5862,'ROICU','Retail Opportunity Investments Corp.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(5863,'ROICW','Retail Opportunity Investments Corp.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(5864,'RTLX','Retalix Ltd.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(5865,'REXX','Rex Energy Corporation','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(5866,'RFIL','RF Industries, Ltd.','Capital Goods','Electrical Products','0.00','0000-00-00 00:00:00'),(5867,'RFMD','RF Micro Devices, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5868,'RFMI','RF Monolithics, Inc.','Technology','Radio And Television Broadcasting And Communications Equipment','0.00','0000-00-00 00:00:00'),(5869,'RGCO','RGC Resources Inc.','Public Utilities','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(5870,'RELL','Richardson Electronics, Ltd.','Consumer Non-Durables','Electronic Components','0.00','0000-00-00 00:00:00'),(5871,'RICK','Rick\'s Cabaret International, Inc.','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(5872,'RIGL','Rigel Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5873,'RNOW','RightNow Technologies, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(5874,'RNET','RigNet, Inc.','Consumer Services','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(5875,'RIMG','Rimage Corporation','Technology','Computer peripheral equipment','0.00','0000-00-00 00:00:00'),(5876,'RITT','RIT Technologies Ltd.','Consumer Durables','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(5877,'RIVR','River Valley Bancorp.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(5878,'RVBD','Riverbed Technology, Inc.','Technology','Computer Communications Equipment','0.00','0000-00-00 00:00:00'),(5879,'RVSB','Riverview Bancorp Inc','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(5880,'ROCM','Rochester Medical Corporation','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(5881,'RCKB','Rockville Financial, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5882,'RMTI','Rockwell Medical Technologies, Inc.','Health Care','Biotechnology: Electromedical & Electrotherapeutic Apparatus','0.00','0000-00-00 00:00:00'),(5883,'RCKY','Rocky Brands, Inc.','Consumer Non-Durables','Shoe Manufacturing','0.00','0000-00-00 00:00:00'),(5884,'RMCF','Rocky Mountain Chocolate Factory, Inc.','Consumer Non-Durables','Specialty Foods','0.00','0000-00-00 00:00:00'),(5885,'RODM','Rodman & Renshaw Capital Group, Inc.','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(5886,'RSTI','Rofin-Sinar Technologies, Inc.','Energy','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(5887,'ROMA','Roma Financial Corporation','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(5888,'ROSG','Rosetta Genomics Ltd.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5889,'ROSE','Rosetta Resources Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(5890,'ROST','Ross Stores, Inc.','Consumer Services','Clothing/Shoe/Accessory Stores','0.00','0000-00-00 00:00:00'),(5891,'ROVI','Rovi Corporation','Consumer Services','Newspapers/Magazines','0.00','0000-00-00 00:00:00'),(5892,'RBPAA','Royal Bancshares of Pennsylvania, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5893,'RGLD','Royal Gold, Inc.','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(5894,'ROYL','Royale Energy, Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(5895,'FUND','Royce Focus Trust, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(5896,'RPXC','RPX Corporation','Miscellaneous','Multi-Sector Companies','0.00','0000-00-00 00:00:00'),(5897,'RRST','RRSat Global Communications Network Ltd.','Consumer Services','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(5898,'RTIX','RTI Biologics, Inc.','Health Care','Industrial Specialties','0.00','0000-00-00 00:00:00'),(5899,'RBCN','Rubicon Technology, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5900,'RTEC','Rudolph Technologies, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(5901,'RUE','rue21, inc.','Consumer Services','Clothing/Shoe/Accessory Stores','0.00','0000-00-00 00:00:00'),(5902,'RBNF','Rurban Financial Corp','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5903,'RUSHA','Rush Enterprises, Inc.','Consumer Durables','Automotive Aftermarket','0.00','0000-00-00 00:00:00'),(5904,'RUSHB','Rush Enterprises, Inc.','Consumer Durables','Automotive Aftermarket','0.00','0000-00-00 00:00:00'),(5905,'SGGG','Russell Exchange Traded Funds Trust Russell Small Cap Aggressive Growth ETF','n/a','n/a','0.00','0000-00-00 00:00:00'),(5906,'SCOG','Russell Exchange Traded Funds Trust Russell Small Cap Consistent Growth ETF','n/a','n/a','0.00','0000-00-00 00:00:00'),(5907,'SCTR','Russell Exchange Traded Funds Trust Russell Small Cap Contrarian ETF','n/a','n/a','0.00','0000-00-00 00:00:00'),(5908,'SCLP','Russell Exchange Traded Funds Trust Russell Small Cap Low P/E ETF','n/a','n/a','0.00','0000-00-00 00:00:00'),(5909,'RUTH','Ruth\'s Hospitality Group, Inc.','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(5910,'RYAAY','Ryanair Holdings plc','Transportation','Air Freight/Delivery Services','0.00','0000-00-00 00:00:00'),(5911,'STBA','S&T Bancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5912,'SANW','S&W Seed Company','Consumer Non-Durables','Farming/Seeds/Milling','0.00','0000-00-00 00:00:00'),(5913,'SANWW','S&W Seed Company','Consumer Non-Durables','Farming/Seeds/Milling','0.00','0000-00-00 00:00:00'),(5914,'SANWZ','S&W Seed Company','Consumer Non-Durables','Farming/Seeds/Milling','0.00','0000-00-00 00:00:00'),(5915,'SYBT','S.Y. Bancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5916,'SYBTP','S.Y. Bancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5917,'SONE','S1 Corporation','Technology','Computer Software: Programming, Data Processing','0.00','0000-00-00 00:00:00'),(5918,'SABA','Saba Software, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(5919,'SBRA','Sabra Healthcare REIT, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(5920,'SAFT','Safety Insurance Group, Inc.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(5921,'SGNT','Sagent Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5922,'SAIA','Saia, Inc.','Transportation','Trucking Freight/Courier Services','0.00','0000-00-00 00:00:00'),(5923,'SALM','Salem Communications Corporation','Consumer Services','Broadcasting','0.00','0000-00-00 00:00:00'),(5924,'SLXP','Salix Pharmaceuticals, Ltd.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5925,'SAFM','Sanderson Farms, Inc.','Consumer Non-Durables','Meat/Poultry/Fish','0.00','0000-00-00 00:00:00'),(5926,'SNDK','SanDisk Corporation','Technology','Electronic Components','0.00','0000-00-00 00:00:00'),(5927,'SASR','Sandy Spring Bancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5928,'SGMO','Sangamo BioSciences, Inc.','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(5929,'SANM','Sanmina-SCI Corporation','Technology','Electrical Products','0.00','0000-00-00 00:00:00'),(5930,'GCVRZ','Sanofi','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5931,'SNTS','Santarus, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5932,'SPNS','Sapiens International Corporation N.V.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(5933,'SAPE','Sapient Corporation','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(5934,'SATC','SatCon Technology Corporation','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5935,'SVNT','Savient Pharmaceuticals Inc','Consumer Durables','Specialty Chemicals','0.00','0000-00-00 00:00:00'),(5936,'SBAC','SBA Communications Corporation','Consumer Services','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(5937,'SCSC','ScanSource, Inc.','Technology','Retail: Computer Software & Peripheral Equipment','0.00','0000-00-00 00:00:00'),(5938,'SCBT','SCBT Financial Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5939,'SMIT','Schmitt Industries, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(5940,'SCHN','Schnitzer Steel Industries, Inc.','Consumer Durables','Industrial Specialties','0.00','0000-00-00 00:00:00'),(5941,'SCHL','Scholastic Corporation','Consumer Services','Books','0.00','0000-00-00 00:00:00'),(5942,'SCHS','School Specialty, Inc.','Consumer Services','Office Equipment/Supplies/Services','0.00','0000-00-00 00:00:00'),(5943,'SCLN','SciClone Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5944,'SGMS','Scientific Games Corp','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(5945,'SCIL','Scientific Learning Corporation','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(5946,'SQI','SciQuest, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(5947,'SEAC','SeaChange International, Inc.','Technology','Radio And Television Broadcasting And Communications Equipment','0.00','0000-00-00 00:00:00'),(5948,'SBCF','Seacoast Banking Corporation of Florida','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5949,'STX','Seagate Technology.','Technology','Electronic Components','0.00','0000-00-00 00:00:00'),(5950,'SHIP','Seanergy Maritime Holdings Corp','Transportation','Marine Transportation','0.00','0000-00-00 00:00:00'),(5951,'SHLD','Sears Holdings Corporation','Consumer Services','Department/Specialty Retail Stores','0.00','0000-00-00 00:00:00'),(5952,'SGEN','Seattle Genetics, Inc.','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(5953,'SNFCA','Security National Financial Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(5954,'SEIC','SEI Investments Company','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(5955,'SCSS','Select Comfort Corporation','Consumer Durables','Home Furnishings','0.00','0000-00-00 00:00:00'),(5956,'SLTC','Selectica, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(5957,'SIGI','Selective Insurance Group, Inc.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(5958,'LEDS','SemiLEDS Corporation','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5959,'SMTC','Semtech Corporation','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5960,'SENEA','Seneca Foods Corp.','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(5961,'SENEB','Seneca Foods Corp.','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(5962,'SNMX','Senomyx, Inc.','Health Care','Biotechnology: Commercial Physical & Biological Resarch','0.00','0000-00-00 00:00:00'),(5963,'SQNM','Sequenom, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(5964,'SRLS','SeraCare Life Sciences Inc','Health Care','Biotechnology: In Vitro & In Vivo Diagnostic Substances','0.00','0000-00-00 00:00:00'),(5965,'SREV','ServiceSource International, Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(5966,'SEV','Sevcon, Inc.','Energy','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(5967,'SAPX','Seven Arts Entertainment, Inc.','Consumer Services','Movies/Entertainment','0.00','0000-00-00 00:00:00'),(5968,'SVBI','Severn Bancorp Inc','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5969,'SGOC','SGOCO Group, Ltd','Technology','Radio And Television Broadcasting And Communications Equipment','0.00','0000-00-00 00:00:00'),(5970,'GAME','Shanda Games Limited','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(5971,'SNDA','Shanda Interactive Entertainment Limited','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(5972,'SMED','Sharps Compliance Corp','Basic Industries','Environmental Services','0.00','0000-00-00 00:00:00'),(5973,'SHEN','Shenandoah Telecommunications Co','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(5974,'VALV','Shengkai Innovations, Inc.','Capital Goods','Metal Fabrications','0.00','0000-00-00 00:00:00'),(5975,'SHLO','Shiloh Industries, Inc.','Capital Goods','Industrial Specialties','0.00','0000-00-00 00:00:00'),(5976,'BEST','Shiner International, Inc.','Capital Goods','Specialty Chemicals','0.00','0000-00-00 00:00:00'),(5977,'SHPGY','Shire plc','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5978,'SCVL','Shoe Carnival, Inc.','Consumer Services','Clothing/Shoe/Accessory Stores','0.00','0000-00-00 00:00:00'),(5979,'SHBI','Shore Bancshares Inc','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5980,'SHOR','ShoreTel, Inc.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(5981,'SHFL','Shuffle Master, Inc.','Consumer Durables','Miscellaneous manufacturing industries','0.00','0000-00-00 00:00:00'),(5982,'SFLY','Shutterfly, Inc.','Miscellaneous','Other Consumer Services','0.00','0000-00-00 00:00:00'),(5983,'SIFI','SI Financial Group, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(5984,'SIEB','Siebert Financial Corp.','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(5985,'BSRR','Sierra Bancorp','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5986,'SWIR','Sierra Wireless, Inc.','Technology','Radio And Television Broadcasting And Communications Equipment','0.00','0000-00-00 00:00:00'),(5987,'SIFY','Sify Technologies Limited','Technology','Computer Software: Programming, Data Processing','0.00','0000-00-00 00:00:00'),(5988,'SIGA','SIGA Technologies Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(5989,'SIGM','Sigma Designs, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5990,'SIAL','Sigma-Aldrich Corporation','Consumer Durables','Specialty Chemicals','0.00','0000-00-00 00:00:00'),(5991,'SGMA','SigmaTron International, Inc.','Technology','Electrical Products','0.00','0000-00-00 00:00:00'),(5992,'SBNY','Signature Bank','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5993,'SBNYW','Signature Bank','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(5994,'SLGN','Silgan Holdings, Inc.','Consumer Durables','Containers/Packaging','0.00','0000-00-00 00:00:00'),(5995,'SILC','Silicom Ltd','Technology','Computer Communications Equipment','0.00','0000-00-00 00:00:00'),(5996,'SGI','Silicon Graphics International Corp','Technology','Computer Manufacturing','0.00','0000-00-00 00:00:00'),(5997,'SIMG','Silicon Image, Inc.','Capital Goods','Electrical Products','0.00','0000-00-00 00:00:00'),(5998,'SLAB','Silicon Laboratories, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(5999,'SIMO','Silicon Motion Technology Corporation','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(6000,'SPIL','Siliconware Precision Industries Company, Ltd.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(6001,'SSRI','Silver Standard Resources, Inc','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(6002,'SFNC','Simmons First National Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6003,'SLP','Simulations Plus, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(6004,'SINA','Sina Corporation','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(6005,'SBGI','Sinclair Broadcast Group, Inc.','Consumer Services','Broadcasting','0.00','0000-00-00 00:00:00'),(6006,'SCEI','Sino Clean Energy Inc.','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(6007,'SCOK','SinoCoking Coal and Coke Chemical Industries, Inc','Basic Industries','Steel/Iron Ore','0.00','0000-00-00 00:00:00'),(6008,'SINO','Sino-Global Shipping America, Ltd.','Transportation','Oil Refining/Marketing','0.00','0000-00-00 00:00:00'),(6009,'SVA','Sinovac Biotech, Ltd.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(6010,'SIRI','Sirius XM Radio Inc.','Consumer Services','Broadcasting','0.00','0000-00-00 00:00:00'),(6011,'SIRO','Sirona Dental Systems, Inc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(6012,'SKUL','Skullcandy, Inc.','Consumer Non-Durables','Consumer Electronics/Appliances','0.00','0000-00-00 00:00:00'),(6013,'MOBI','Sky-mobi Limited','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(6014,'SPU','SkyPeople Fruit Juice, Inc.','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(6015,'SKBI','Skystar Bio-Pharmaceutical Company','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(6016,'SKYW','SkyWest, Inc.','Transportation','Air Freight/Delivery Services','0.00','0000-00-00 00:00:00'),(6017,'SWKS','Skyworks Solutions, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(6018,'SMBL','Smart Balance Inc','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(6019,'SMT','SMART Technologies Inc.','Technology','Computer peripheral equipment','0.00','0000-00-00 00:00:00'),(6020,'HEAT','SmartHeat Inc.','Capital Goods','Building Products','0.00','0000-00-00 00:00:00'),(6021,'SPRO','SmartPros Ltd.','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(6022,'FUEL','SMF Energy Corporation','Energy','Oil Refining/Marketing','0.00','0000-00-00 00:00:00'),(6023,'SWHC','Smith & Wesson Holding Corporation','Capital Goods','Ordnance And Accessories','0.00','0000-00-00 00:00:00'),(6024,'SMSI','Smith Micro Software, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(6025,'SMTX','SMTC Corporation','Technology','Electrical Products','0.00','0000-00-00 00:00:00'),(6026,'SCKT','Socket Mobile, Inc.','Technology','Computer Manufacturing','0.00','0000-00-00 00:00:00'),(6027,'SODA','SodaStream International Ltd.','Consumer Durables','Consumer Electronics/Appliances','0.00','0000-00-00 00:00:00'),(6028,'SOHU','Sohu.com Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(6029,'SLRC','Solar Capital Ltd.','n/a','n/a','0.00','0000-00-00 00:00:00'),(6030,'SUNS','Solar Senior Capital Ltd.','n/a','n/a','0.00','0000-00-00 00:00:00'),(6031,'SZYM','Solazyme, Inc.','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(6032,'SLTM','Solta Medical, Inc','Health Care','Biotechnology: Electromedical & Electrotherapeutic Apparatus','0.00','0000-00-00 00:00:00'),(6033,'SOMX','Somaxon Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(6034,'SOMH','Somerset Hills Bancorp','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6035,'SNSTA','Sonesta International Hotels Corporation','Consumer Services','Hotels/Resorts','0.00','0000-00-00 00:00:00'),(6036,'SONC','Sonic Corp.','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(6037,'SOFO','Sonic Foundry, Inc.','Technology','Radio And Television Broadcasting And Communications Equipment','0.00','0000-00-00 00:00:00'),(6038,'SONO','SonoSite, Inc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(6039,'SONS','Sonus Networks, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(6040,'SORL','SORL Auto Parts, Inc.','Capital Goods','Auto Parts:O.E.M.','0.00','0000-00-00 00:00:00'),(6041,'SDBT','SoundBite Communications, Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(6042,'FIRE','Sourcefire, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(6043,'SOCB','Southcoast Financial Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6044,'SCMF','Southern Community Financial Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6045,'SCMFO','Southern Community Financial Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6046,'SFST','Southern First Bancshares, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6047,'SMBC','Southern Missouri Bancorp, Inc.','Finance','Banks','0.00','0000-00-00 00:00:00'),(6048,'SONA','Southern National Bancorp of Virginia, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6049,'SBSI','Southside Bancshares, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6050,'OKSB','Southwest Bancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6051,'OKSBP','Southwest Bancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6052,'SPBC','SP Bancorp, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(6053,'SPAN','Span-America Medical Systems, Inc.','Health Care','Industrial Specialties','0.00','0000-00-00 00:00:00'),(6054,'SBSA','Spanish Broadcasting System, Inc.','Consumer Services','Broadcasting','0.00','0000-00-00 00:00:00'),(6055,'SGRP','SPAR Group, Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(6056,'SPAR','Spartan Motors, Inc.','Capital Goods','Auto Manufacturing','0.00','0000-00-00 00:00:00'),(6057,'SPTN','Spartan Stores, Inc.','Consumer Non-Durables','Food Distributors','0.00','0000-00-00 00:00:00'),(6058,'SPPI','Spectrum Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(6059,'SPEX','Spherix Incorporated','Consumer Services','Diversified Commercial Services','0.00','0000-00-00 00:00:00'),(6060,'SPIR','Spire Corporation','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(6061,'SAVE','Spirit Airlines, Inc.','Transportation','Air Freight/Delivery Services','0.00','0000-00-00 00:00:00'),(6062,'SPCHA','Sport Chalet, Inc.','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(6063,'SPCHB','Sport Chalet, Inc.','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(6064,'SPRD','Spreadtrum Communications, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(6065,'SPSC','SPS Commerce, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(6066,'STRC','SRI/Surgical Express, Inc.','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(6067,'SRSL','SRS Labs, Inc.','Miscellaneous','Multi-Sector Companies','0.00','0000-00-00 00:00:00'),(6068,'SSNC','SS&C Technologies Holdings, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(6069,'STAA','STAAR Surgical Company','Health Care','Ophthalmic Goods','0.00','0000-00-00 00:00:00'),(6070,'STMP','Stamps.com Inc.','Consumer Services','Catalog/Specialty Distribution','0.00','0000-00-00 00:00:00'),(6071,'STND','Standard Financial Corp.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6072,'SMSC','Standard Microsystems Corporation','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(6073,'STAN','Standard Parking Corporation','Consumer Services','Rental/Leasing Companies','0.00','0000-00-00 00:00:00'),(6074,'STLY','Stanley Furniture Company, Inc.','Consumer Durables','Home Furnishings','0.00','0000-00-00 00:00:00'),(6075,'SPLS','Staples, Inc.','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(6076,'SBLK','Star Bulk Carriers Corp.','Transportation','Marine Transportation','0.00','0000-00-00 00:00:00'),(6077,'CIGX','Star Scientific, Inc.','Consumer Non-Durables','Farming/Seeds/Milling','0.00','0000-00-00 00:00:00'),(6078,'SBUX','Starbucks Corporation','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(6079,'STFC','State Auto Financial Corporation','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(6080,'STBC','State Bancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6081,'STBZ','State Bank Financial Corporation.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6082,'SIBC','State Investors Bancorp, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(6083,'GASS','StealthGas, Inc.','Transportation','Marine Transportation','0.00','0000-00-00 00:00:00'),(6084,'STEC','STEC, Inc.','Technology','Electronic Components','0.00','0000-00-00 00:00:00'),(6085,'STLD','Steel Dynamics, Inc.','Basic Industries','Steel/Iron Ore','0.00','0000-00-00 00:00:00'),(6086,'SMRT','Stein Mart, Inc.','Consumer Services','Clothing/Shoe/Accessory Stores','0.00','0000-00-00 00:00:00'),(6087,'STNR','Steiner Leisure Limited','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(6088,'STEL','StellarOne Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6089,'STEM','StemCells, Inc.','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(6090,'STXS','Stereotaxis, Inc.','Health Care','Biotechnology: Electromedical & Electrotherapeutic Apparatus','0.00','0000-00-00 00:00:00'),(6091,'SRCL','Stericycle, Inc.','Basic Industries','Environmental Services','0.00','0000-00-00 00:00:00'),(6092,'STRL','Sterling Construction Company Inc','Basic Industries','Military/Government/Technical','0.00','0000-00-00 00:00:00'),(6093,'STSA','Sterling Financial Corporation','Finance','Banks','0.00','0000-00-00 00:00:00'),(6094,'SHOO','Steven Madden, Ltd.','Consumer Non-Durables','Shoe Manufacturing','0.00','0000-00-00 00:00:00'),(6095,'SSFN','Stewardship Financial Corp','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6096,'STEI','Stewart Enterprises, Inc.','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(6097,'STON','StoneMor Partners L.P.','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(6098,'SSYS','Stratasys, Inc.','Technology','Computer peripheral equipment','0.00','0000-00-00 00:00:00'),(6099,'SDIX','Strategic Diagnostics Inc.','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(6100,'STRT','Strattec Security Corporation','Capital Goods','Auto Parts:O.E.M.','0.00','0000-00-00 00:00:00'),(6101,'STRS','Stratus Properties, Inc.','Consumer Services','Homebuilding','0.00','0000-00-00 00:00:00'),(6102,'STRA','Strayer Education, Inc.','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(6103,'STRM','Streamline Health Solutions, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(6104,'STB','Student Transportation Inc','Transportation','Other Transportation','0.00','0000-00-00 00:00:00'),(6105,'SCMP','Sucampo Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(6106,'SUBK','Suffolk Bancorp','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6107,'SUMR','Summer Infant, Inc.','Consumer Durables','Miscellaneous manufacturing industries','0.00','0000-00-00 00:00:00'),(6108,'SMMF','Summit Financial Group, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6109,'SSBI','Summit State Bank','n/a','n/a','0.00','0000-00-00 00:00:00'),(6110,'SNBC','Sun Bancorp, Inc.','Finance','Commercial Banks','0.00','0000-00-00 00:00:00'),(6111,'SUNH','Sun Healthcare Group, Inc.','Health Care','Hospital/Nursing Management','0.00','0000-00-00 00:00:00'),(6112,'SNHY','Sun Hydraulics Corporation','Capital Goods','Metal Fabrications','0.00','0000-00-00 00:00:00'),(6113,'SNSS','Sunesis Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(6114,'STKL','SunOpta, Inc.','Consumer Services','Farming/Seeds/Milling','0.00','0000-00-00 00:00:00'),(6115,'SPWR','SunPower Corporation','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(6116,'SMCI','Super Micro Computer, Inc.','Technology','Computer Manufacturing','0.00','0000-00-00 00:00:00'),(6117,'SCON','Superconductor Technologies Inc.','Technology','Radio And Television Broadcasting And Communications Equipment','0.00','0000-00-00 00:00:00'),(6118,'SGC','Superior Uniform Group, Inc.','Consumer Non-Durables','Apparel','0.00','0000-00-00 00:00:00'),(6119,'SPMD','SuperMedia Inc.','Consumer Services','Publishing','0.00','0000-00-00 00:00:00'),(6120,'SPPR','Supertel Hospitality, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(6121,'SPPRO','Supertel Hospitality, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(6122,'SPPRP','Supertel Hospitality, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(6123,'SUPX','Supertex, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(6124,'SPRT','support.com, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(6125,'SURW','SureWest Communications','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(6126,'SRDX','SurModics, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(6127,'SUSQ','Susquehanna Bancshares, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6128,'SUSS','Susser Holdings Corporation','Consumer Non-Durables','Food Chains','0.00','0000-00-00 00:00:00'),(6129,'SBBX','Sussex Bancorp','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6130,'SUTR','Sutor Technology Group Limited','Capital Goods','Steel/Iron Ore','0.00','0000-00-00 00:00:00'),(6131,'STRN','Sutron Corporation','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(6132,'SIVB','SVB Financial Group','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6133,'SIVBO','SVB Financial Group','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6134,'SWSH','Swisher Hygiene, Inc.','Finance','Diversified Commercial Services','0.00','0000-00-00 00:00:00'),(6135,'SXCI','SXC Health Solutions Corp.','Finance','Specialty Insurers','0.00','0000-00-00 00:00:00'),(6136,'SCMR','Sycamore Networks, Inc.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(6137,'SYKE','Sykes Enterprises, Incorporated','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(6138,'SYMC','Symantec Corporation','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(6139,'SYMM','Symmetricom, Inc.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(6140,'GEVA','Synageva BioPharma Corp.','n/a','n/a','0.00','0000-00-00 00:00:00'),(6141,'SYNL','Synalloy Corporation','Basic Industries','Steel/Iron Ore','0.00','0000-00-00 00:00:00'),(6142,'SYNA','Synaptics Incorporated','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(6143,'SNCR','Synchronoss Technologies, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(6144,'SURG','Synergetics USA, Inc.','Health Care','Biotechnology: Electromedical & Electrotherapeutic Apparatus','0.00','0000-00-00 00:00:00'),(6145,'SGYPD','Synergy Pharmaceuticals, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(6146,'SGYPU','Synergy Pharmaceuticals, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(6147,'ELOS','Syneron Medical Ltd.','Health Care','Biotechnology: Electromedical & Electrotherapeutic Apparatus','0.00','0000-00-00 00:00:00'),(6148,'SNPS','Synopsys, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(6149,'SYNO','Synovis Life Technologies, Inc.','Health Care','Industrial Specialties','0.00','0000-00-00 00:00:00'),(6150,'SNTA','Synta Pharmaceuticals Corp.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(6151,'SYNT','Syntel, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(6152,'SYMX','Synthesis Energy Systems, Inc.','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(6153,'SYNM','Syntroleum Corporation','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(6154,'SYUT','Synutra International, Inc.','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(6155,'SYPR','Sypris Solutions, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(6156,'TROW','T. Rowe Price Group, Inc.','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(6157,'TAIT','Taitron Components Incorporated','Consumer Non-Durables','Electronic Components','0.00','0000-00-00 00:00:00'),(6158,'TTWO','Take-Two Interactive Software, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(6159,'TLEO','Taleo Corporation','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(6160,'TBAC','Tandy Brands Accessories, Inc.','Consumer Non-Durables','Apparel','0.00','0000-00-00 00:00:00'),(6161,'TLF','Tandy Leather Factory, Inc.','Consumer Non-Durables','Apparel','0.00','0000-00-00 00:00:00'),(6162,'TNGO','Tangoe, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(6163,'TRGT','Targacept, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(6164,'TASR','TASER International, Inc.','Capital Goods','Ordnance And Accessories','0.00','0000-00-00 00:00:00'),(6165,'TATT','TAT Technologies Ltd.','Capital Goods','Aerospace','0.00','0000-00-00 00:00:00'),(6166,'TAYC','Taylor Capital Group, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6167,'TAYCP','Taylor Capital Group, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6168,'TAYD','Taylor Devices, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(6169,'TBSI','TBS International Plc','Transportation','Marine Transportation','0.00','0000-00-00 00:00:00'),(6170,'TCLP','TC PipeLines, LP','Public Utilities','Natural Gas Distribution','0.00','0000-00-00 00:00:00'),(6171,'AMTD','TD Ameritrade Holding Corporation','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(6172,'TISI','Team, Inc.','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(6173,'TSTF','TeamStaff, Inc.','Technology','Professional Services','0.00','0000-00-00 00:00:00'),(6174,'TEAR','TearLab Corporation','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(6175,'TECD','Tech Data Corporation','Technology','Retail: Computer Software & Peripheral Equipment','0.00','0000-00-00 00:00:00'),(6176,'TECH','Techne Corporation','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(6177,'TCCO','Technical Communications Corporation','Technology','Radio And Television Broadcasting And Communications Equipment','0.00','0000-00-00 00:00:00'),(6178,'TTGT','TechTarget, Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(6179,'TECUA','Tecumseh Products Company','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(6180,'TECUB','Tecumseh Products Company','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(6181,'TGAL','Tegal Corporation','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(6182,'TKLC','Tekelec','Technology','Radio And Television Broadcasting And Communications Equipment','0.00','0000-00-00 00:00:00'),(6183,'TKMR','Tekmira Pharmaceuticals Corp','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(6184,'TSYS','TeleCommunication Systems, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(6185,'TFONY','Telefonos de Mexico','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(6186,'TNAV','TeleNav, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(6187,'TSTC','Telestone Technologies Corp.','Consumer Durables','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(6188,'TTEC','TeleTech Holdings, Inc.','Technology','Professional Services','0.00','0000-00-00 00:00:00'),(6189,'TELK','Telik, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(6190,'TLAB','Tellabs, Inc.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(6191,'WRLS','Telular Corporation','Technology','Radio And Television Broadcasting And Communications Equipment','0.00','0000-00-00 00:00:00'),(6192,'TNGN','Tengion, Inc.','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(6193,'TNCC','Tennessee Commerce Bancorp, Inc. (TN)','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6194,'TBNK','Territorial Bancorp Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(6195,'TESO','Tesco Corporation','Energy','Metal Fabrications','0.00','0000-00-00 00:00:00'),(6196,'TSLA','Tesla Motors, Inc.','Capital Goods','Auto Manufacturing','0.00','0000-00-00 00:00:00'),(6197,'TESS','TESSCO Technologies Incorporated','Consumer Non-Durables','Electronic Components','0.00','0000-00-00 00:00:00'),(6198,'TSRA','Tessera Technologies, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(6199,'TTEK','Tetra Tech, Inc.','Consumer Services','Military/Government/Technical','0.00','0000-00-00 00:00:00'),(6200,'TEVA','Teva Pharmaceutical Industries Limited','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(6201,'TCBI','Texas Capital Bancshares, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6202,'TCBIW','Texas Capital Bancshares, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6203,'TXRH','Texas Roadhouse, Inc.','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(6204,'THRD','TF Financial Corporation','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(6205,'TFSL','TFS Financial Corporation','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(6206,'TGE','TGC Industries, Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(6207,'ABCO','The Advisory Board Company','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(6208,'ANDE','The Andersons, Inc.','Consumer Services','Farming/Seeds/Milling','0.00','0000-00-00 00:00:00'),(6209,'TBBK','The Bancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6210,'BKYF','The Bank of Kentucky Financial Corp.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(6211,'BONT','The Bon-Ton Stores, Inc.','Consumer Services','Department/Specialty Retail Stores','0.00','0000-00-00 00:00:00'),(6212,'CAKE','The Cheesecake Factory Incorporated','Consumer Services','Restaurants','0.00','0000-00-00 00:00:00'),(6213,'CHEF','The Chefs\' Warehouse, Inc.','Consumer Non-Durables','Food Distributors','0.00','0000-00-00 00:00:00'),(6214,'PLCE','The Children\'s Place Retail Stores, Inc.','Consumer Services','Clothing/Shoe/Accessory Stores','0.00','0000-00-00 00:00:00'),(6215,'CTBC','The Connecticut Bank and Trust Company','n/a','n/a','0.00','0000-00-00 00:00:00'),(6216,'DSGX','The Descartes Systems Group Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(6217,'DXYN','The Dixie Group, Inc.','Consumer Durables','Home Furnishings','0.00','0000-00-00 00:00:00'),(6218,'ESBK','The Elmira Savings Bank, FSB','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6219,'ENSG','The Ensign Group, Inc.','Health Care','Hospital/Nursing Management','0.00','0000-00-00 00:00:00'),(6220,'FINL','The Finish Line, Inc.','Consumer Services','Clothing/Shoe/Accessory Stores','0.00','0000-00-00 00:00:00'),(6221,'FBMS','The First Bancshares, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6222,'FLIC','The First of Long Island Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6223,'TFM','The Fresh Market, Inc.','Consumer Services','Food Chains','0.00','0000-00-00 00:00:00'),(6224,'HCKT','The Hackett Group, Inc.','Consumer Services','Professional Services','0.00','0000-00-00 00:00:00'),(6225,'HAIN','The Hain Celestial Group, Inc.','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(6226,'CUBA','The Herzfeld Caribbean Basin Fund, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(6227,'INTG','The Intergroup Corporation','Consumer Services','Building operators','0.00','0000-00-00 00:00:00'),(6228,'KEYW','The KEYW Holding Corporation','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(6229,'MSG','The Madison Square Garden Company','Consumer Services','Television Services','0.00','0000-00-00 00:00:00'),(6230,'TMNG','The Management Network Group, Inc.','Consumer Services','Professional Services','0.00','0000-00-00 00:00:00'),(6231,'MDCO','The Medicines Company','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(6232,'MIDD','The Middleby Corporation','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(6233,'NDAQ','The NASDAQ OMX Group, Inc.','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(6234,'NAVG','The Navigators Group, Inc.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(6235,'PTRY','The Pantry, Inc.','Consumer Durables','Automotive Aftermarket','0.00','0000-00-00 00:00:00'),(6236,'REVU','The Princeton Review, Inc.','Consumer Services','Other Consumer Services','0.00','0000-00-00 00:00:00'),(6237,'PRSC','The Providence Service Corporation','Health Care','Medical/Nursing Services','0.00','0000-00-00 00:00:00'),(6238,'SAVB','The Savannah Bancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6239,'SPNC','The Spectranetics Corporation','Health Care','Biotechnology: Electromedical & Electrotherapeutic Apparatus','0.00','0000-00-00 00:00:00'),(6240,'ULTI','The Ultimate Software Group, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(6241,'WTSLA','The Wet Seal, Inc.','Consumer Services','Clothing/Shoe/Accessory Stores','0.00','0000-00-00 00:00:00'),(6242,'YORW','The York Water Company','Public Utilities','Water Supply','0.00','0000-00-00 00:00:00'),(6243,'NCTY','The9 Limited','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(6244,'THER','Theratechnologies Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(6245,'THRX','Theravance, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(6246,'KOOL','THERMOGENESIS Corp.','Capital Goods','Medical Specialities','0.00','0000-00-00 00:00:00'),(6247,'TST','TheStreet, Inc.','Consumer Services','Newspapers/Magazines','0.00','0000-00-00 00:00:00'),(6248,'TCRD','THL Credit, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(6249,'TPGI','Thomas Properties Group, Inc.','Finance','Real Estate','0.00','0000-00-00 00:00:00'),(6250,'THOR','Thoratec Corporation','Health Care','Biotechnology: Electromedical & Electrotherapeutic Apparatus','0.00','0000-00-00 00:00:00'),(6251,'THQI','THQ Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(6252,'THLD','Threshold Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(6253,'THTI','THT Heat Transfer Technology, Inc.','Capital Goods','Metal Fabrications','0.00','0000-00-00 00:00:00'),(6254,'OINK','Tianli Agritech, Inc.','Consumer Non-Durables','Farming/Seeds/Milling','0.00','0000-00-00 00:00:00'),(6255,'TIBB','TIB Financial Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6256,'TIBX','TIBCO Software, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(6257,'TBET','Tibet Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(6258,'TICC','TICC Capital Corp.','n/a','n/a','0.00','0000-00-00 00:00:00'),(6259,'TIER','Tier Technologies, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(6260,'TIGR','TigerLogic Corporation','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(6261,'TIII','TII Network Technologies, Inc.','Consumer Durables','Electrical Products','0.00','0000-00-00 00:00:00'),(6262,'TSBK','Timberland Bancorp, Inc.','Finance','Banks','0.00','0000-00-00 00:00:00'),(6263,'TITN','Titan Machinery Inc.','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(6264,'TIVO','TiVo Inc.','Consumer Services','Television Services','0.00','0000-00-00 00:00:00'),(6265,'TISA','Top Image Systems, Ltd.','Technology','Computer peripheral equipment','0.00','0000-00-00 00:00:00'),(6266,'TOPS','TOP Ships Inc.','Transportation','Marine Transportation','0.00','0000-00-00 00:00:00'),(6267,'TORM          ','TOR Minerals International Inc','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(6268,'TRGL','Toreador Resources Corporation','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(6269,'TRMD','TORM A/S','Consumer Services','Marine Transportation','0.00','0000-00-00 00:00:00'),(6270,'TRNX','Tornier N.V.','Health Care','Industrial Specialties','0.00','0000-00-00 00:00:00'),(6271,'TOBC','Tower Bancorp Inc','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6272,'TOFC','Tower Financial Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6273,'TWGP','Tower Group, Inc.','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(6274,'TSEM','Tower Semiconductor Ltd.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(6275,'TSEMG','Tower Semiconductor Ltd.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(6276,'TWER','Towerstream Corporation','Consumer Services','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(6277,'CLUB','Town Sports International Holdings, Inc.','Consumer Services','Hotels/Resorts','0.00','0000-00-00 00:00:00'),(6278,'TOWN','Towne Bank','n/a','n/a','0.00','0000-00-00 00:00:00'),(6279,'TPCG','TPC Group, Inc.','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(6280,'TSCO','Tractor Supply Company','Consumer Services','RETAIL: Building Materials','0.00','0000-00-00 00:00:00'),(6281,'TWMC','Trans World Entertainment Corp.','Consumer Services','Consumer Electronics/Video Chains','0.00','0000-00-00 00:00:00'),(6282,'TSON','TranS1 Inc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(6283,'TACT','TransAct Technologies Incorporated','Technology','Computer peripheral equipment','0.00','0000-00-00 00:00:00'),(6284,'TRNS','Transcat, Inc.','Capital Goods','Electrical Products','0.00','0000-00-00 00:00:00'),(6285,'TRCR','Transcend Services, Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(6286,'TSPT','Transcept Pharmaceuticals, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(6287,'TGA','Transglobe Energy Corp','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(6288,'TTHI','Transition Therapeutics, Inc.','Consumer Durables','Specialty Chemicals','0.00','0000-00-00 00:00:00'),(6289,'TXCC','TranSwitch Corporation','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(6290,'TZYM','Tranzyme, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(6291,'TZOO','Travelzoo Inc','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(6292,'TREE','Tree.com, Inc.','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(6293,'TCBK','TriCo Bancshares','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6294,'TRID','Trident Microsystems, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(6295,'TRS','TriMas Corporation','Capital Goods','Industrial Specialties','0.00','0000-00-00 00:00:00'),(6296,'TRMB','Trimble Navigation Limited','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(6297,'TRIB','Trinity Biotech plc','Health Care','Biotechnology: In Vitro & In Vivo Diagnostic Substances','0.00','0000-00-00 00:00:00'),(6298,'TQNT','TriQuint Semiconductor, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(6299,'TRIT','Tri-Tech Holding Inc.','Consumer Services','Military/Government/Technical','0.00','0000-00-00 00:00:00'),(6300,'TSRX','Trius Therapeutics, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(6301,'TRLG','True Religion Apparel, Inc.','Consumer Non-Durables','Apparel','0.00','0000-00-00 00:00:00'),(6302,'TBOW','Trunkbow International Holdings Ltd.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(6303,'TRST','TrustCo Bank Corp NY','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6304,'TRMK','Trustmark Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6305,'TSRI','TSR, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(6306,'TTMI','TTM Technologies, Inc.','Technology','Electrical Products','0.00','0000-00-00 00:00:00'),(6307,'TUDO','Tudou Holdings Limited','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(6308,'TUES','Tuesday Morning Corp.','Consumer Services','Department/Specialty Retail Stores','0.00','0000-00-00 00:00:00'),(6309,'TFCO','Tufco Technologies, Inc.','Consumer Durables','Containers/Packaging','0.00','0000-00-00 00:00:00'),(6310,'TWTC','tw telecom inc.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(6311,'TWIN','Twin Disc, Incorporated','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(6312,'USCR','U S Concrete, Inc.','Capital Goods','Building Materials','0.00','0000-00-00 00:00:00'),(6313,'PRTS','U.S. Auto Parts Network, Inc.','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(6314,'USEG','U.S. Energy Corp.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(6315,'GROW','U.S. Global Investors, Inc.','Finance','Investment Managers','0.00','0000-00-00 00:00:00'),(6316,'USHS','U.S. Home Systems, Inc.','Basic Industries','Engineering & Construction','0.00','0000-00-00 00:00:00'),(6317,'USPH','U.S. Physical Therapy, Inc.','Health Care','Medical/Nursing Services','0.00','0000-00-00 00:00:00'),(6318,'UBNT','Ubiquiti Networks, Inc.','Technology','Radio And Television Broadcasting And Communications Equipment','0.00','0000-00-00 00:00:00'),(6319,'UFPT','UFP Technologies, Inc.','Capital Goods','Containers/Packaging','0.00','0000-00-00 00:00:00'),(6320,'ULTA','Ulta Salon, Cosmetics & Fragrance, Inc.','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(6321,'UCTT','Ultra Clean Holdings, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(6322,'ULBI','Ultralife Corporation','Energy','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(6323,'ULTR','Ultrapetrol (Bahamas) Limited','Transportation','Marine Transportation','0.00','0000-00-00 00:00:00'),(6324,'UTEK','Ultratech, Inc.','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(6325,'UMBF','UMB Financial Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6326,'UMPQ','Umpqua Holdings Corporation','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(6327,'UNAM','Unico American Corporation','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(6328,'UNIS','Unilife Corporation','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(6329,'UNB','Union Bankshares, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6330,'UDRL','Union Drilling, Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(6331,'UBSH','Union First Market Bankshares Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6332,'UNXL','Uni-Pixel, Inc.','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(6333,'UBCP','United Bancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6334,'UBOH','United Bancshares, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6335,'UBSI','United Bankshares, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6336,'UCBA','United Community Bancorp','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(6337,'UCBI','United Community Banks, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6338,'UCFC','United Community Financial Corp.','Finance','Banks','0.00','0000-00-00 00:00:00'),(6339,'UBNK','United Financial Bancorp, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(6340,'UFCS','United Fire & Casualty Company','Finance','Property-Casualty Insurers','0.00','0000-00-00 00:00:00'),(6341,'UNFI','United Natural Foods, Inc.','Consumer Non-Durables','Food Distributors','0.00','0000-00-00 00:00:00'),(6342,'UNTD','United Online, Inc.','Technology','Computer Software: Programming, Data Processing','0.00','0000-00-00 00:00:00'),(6343,'UBFO','United Security Bancshares','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6344,'USBI','United Security Bancshares, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6345,'USLM','United States Lime & Minerals, Inc.','Basic Industries','Mining & Quarrying of Nonmetallic Minerals (No Fuels)','0.00','0000-00-00 00:00:00'),(6346,'USTR','United Stationers Inc.','Consumer Services','Paper','0.00','0000-00-00 00:00:00'),(6347,'UTHR','United Therapeutics Corporation','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(6348,'UG','United-Guardian, Inc.','Consumer Non-Durables','Package Goods/Cosmetics','0.00','0000-00-00 00:00:00'),(6349,'UNTK','UniTek Global Services, Inc.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(6350,'UNTY','Unity Bancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6351,'UBPS','Universal Business Payment Solutions Acquisition Corporation','Finance','Business Services','0.00','0000-00-00 00:00:00'),(6352,'UBPSU','Universal Business Payment Solutions Acquisition Corporation','Finance','Business Services','0.00','0000-00-00 00:00:00'),(6353,'UBPSW','Universal Business Payment Solutions Acquisition Corporation','Finance','Business Services','0.00','0000-00-00 00:00:00'),(6354,'PANL','Universal Display Corporation','Capital Goods','Electrical Products','0.00','0000-00-00 00:00:00'),(6355,'UEIC','Universal Electronics Inc.','Consumer Non-Durables','Consumer Electronics/Appliances','0.00','0000-00-00 00:00:00'),(6356,'UFPI','Universal Forest Products, Inc.','Basic Industries','Forest Products','0.00','0000-00-00 00:00:00'),(6357,'USAP','Universal Stainless & Alloy Products, Inc.','Basic Industries','Steel/Iron Ore','0.00','0000-00-00 00:00:00'),(6358,'UACL','Universal Truckload Services, Inc.','Transportation','Trucking Freight/Courier Services','0.00','0000-00-00 00:00:00'),(6359,'UVSP','Univest Corporation of Pennsylvania','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6360,'URRE','Uranium Resources, Inc.','Basic Industries','Precious Metals','0.00','0000-00-00 00:00:00'),(6361,'URBN','Urban Outfitters, Inc.','Consumer Services','Clothing/Shoe/Accessory Stores','0.00','0000-00-00 00:00:00'),(6362,'ULGX','Urologix, Inc.','Health Care','Biotechnology: Electromedical & Electrotherapeutic Apparatus','0.00','0000-00-00 00:00:00'),(6363,'UPI','Uroplasty, Inc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(6364,'ECOL','US Ecology, Inc.','Public Utilities','Environmental Services','0.00','0000-00-00 00:00:00'),(6365,'USMO','USA Mobility, Inc.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(6366,'USAT','USA Technologies, Inc.','Miscellaneous','Office Equipment/Supplies/Services','0.00','0000-00-00 00:00:00'),(6367,'USATP','USA Technologies, Inc.','Miscellaneous','Office Equipment/Supplies/Services','0.00','0000-00-00 00:00:00'),(6368,'USATW','USA Technologies, Inc.','Miscellaneous','Office Equipment/Supplies/Services','0.00','0000-00-00 00:00:00'),(6369,'USATZ','USA Technologies, Inc.','Miscellaneous','Office Equipment/Supplies/Services','0.00','0000-00-00 00:00:00'),(6370,'USAK','USA Truck, Inc.','Transportation','Trucking Freight/Courier Services','0.00','0000-00-00 00:00:00'),(6371,'UTMD','Utah Medical Products, Inc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(6372,'UTIW','UTi Worldwide Inc.','Transportation','Oil Refining/Marketing','0.00','0000-00-00 00:00:00'),(6373,'UTSI','UTStarcom Holdings Corp','Consumer Durables','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(6374,'VLNC','Valence Technology, Inc.','Energy','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(6375,'VYFC','Valley Financial Corporation','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(6376,'VLYWW','Valley National Bancorp','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6377,'VPF','Valpey Fisher Corporation','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(6378,'VALU','Value Line, Inc.','Finance','Investment Managers','0.00','0000-00-00 00:00:00'),(6379,'VCLK','ValueClick, Inc.','Technology','Advertising','0.00','0000-00-00 00:00:00'),(6380,'VVTV','ValueVision Media, Inc.','Consumer Services','Catalog/Specialty Distribution','0.00','0000-00-00 00:00:00'),(6381,'VNDA','Vanda Pharmaceuticals Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(6382,'VGIT','Vanguard Intermediate -Term Government Bond ETF','n/a','n/a','0.00','0000-00-00 00:00:00'),(6383,'VCIT','Vanguard Intermediate-Term Corporate Bond ETF','n/a','n/a','0.00','0000-00-00 00:00:00'),(6384,'VNQI','Vanguard International Equity Index Funds Vanguard Global ex-U.S. Real Estate ETF','n/a','n/a','0.00','0000-00-00 00:00:00'),(6385,'VCLT','Vanguard Long-Term Corporate Bond ETF','n/a','n/a','0.00','0000-00-00 00:00:00'),(6386,'VGLT','Vanguard Long-Term Government Bond ETF','n/a','n/a','0.00','0000-00-00 00:00:00'),(6387,'VMBS','Vanguard Mortgage-Backed Securities ETF','n/a','n/a','0.00','0000-00-00 00:00:00'),(6388,'VONE','Vanguard Scottsdale Funds Vanguard Russell 1000 ETF','n/a','n/a','0.00','0000-00-00 00:00:00'),(6389,'VONG','Vanguard Scottsdale Funds Vanguard Russell 1000 Growth ETF','n/a','n/a','0.00','0000-00-00 00:00:00'),(6390,'VONV','Vanguard Scottsdale Funds Vanguard Russell 1000 Value ETF','n/a','n/a','0.00','0000-00-00 00:00:00'),(6391,'VTWO','Vanguard Scottsdale Funds Vanguard Russell 2000 ETF','n/a','n/a','0.00','0000-00-00 00:00:00'),(6392,'VTWG','Vanguard Scottsdale Funds Vanguard Russell 2000 Growth ETF','n/a','n/a','0.00','0000-00-00 00:00:00'),(6393,'VTWV','Vanguard Scottsdale Funds Vanguard Russell 2000 Value ETF','n/a','n/a','0.00','0000-00-00 00:00:00'),(6394,'VTHR','Vanguard Scottsdale Funds Vanguard Russell 3000 ETF','n/a','n/a','0.00','0000-00-00 00:00:00'),(6395,'VGSH','Vanguard Short Term Government Bond ETF','n/a','n/a','0.00','0000-00-00 00:00:00'),(6396,'VCSH','Vanguard Short-Term Corporate Bond ETF','n/a','n/a','0.00','0000-00-00 00:00:00'),(6397,'VXUS','Vanguard STAR Funds Vanguard Total International Stock ETF','n/a','n/a','0.00','0000-00-00 00:00:00'),(6398,'VDSI','VASCO Data Security International, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(6399,'VASC','Vascular Solutions, Inc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(6400,'WOOF','VCA Antech, Inc.','Consumer Non-Durables','Farming/Seeds/Milling','0.00','0000-00-00 00:00:00'),(6401,'VECO','Veeco Instruments Inc.','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(6402,'VELT','Velti plc','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(6403,'VTUS','Ventrus Biosciences, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(6404,'VRA','Vera Bradley, Inc.','Consumer Non-Durables','Apparel','0.00','0000-00-00 00:00:00'),(6405,'VRNM','Verenium Corporation','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(6406,'VRNT','Verint Systems Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(6407,'VRSN','VeriSign, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(6408,'VRSK','Verisk Analytics, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(6409,'VRML','Vermillion, Inc.','Health Care','Biotechnology: In Vitro & In Vivo Diagnostic Substances','0.00','0000-00-00 00:00:00'),(6410,'VSNT','Versant Corporation','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(6411,'VRTX','Vertex Pharmaceuticals Incorporated','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(6412,'VTRO','Vertro, Inc','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(6413,'VRTA','Vestin Realty Mortgage I, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(6414,'VRTB','Vestin Realty Mortgage II, Inc.','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(6415,'VIA','Viacom Inc.','Consumer Services','Television Services','0.00','0000-00-00 00:00:00'),(6416,'VIAB','Viacom Inc.','Consumer Services','Television Services','0.00','0000-00-00 00:00:00'),(6417,'VSAT','ViaSat, Inc.','Technology','Radio And Television Broadcasting And Communications Equipment','0.00','0000-00-00 00:00:00'),(6418,'VIAS','Viasystems Group, Inc.','Technology','Electrical Products','0.00','0000-00-00 00:00:00'),(6419,'VICL','Vical Incorporated','Health Care','Biotechnology: Biological Products (No Diagnostic Substances)','0.00','0000-00-00 00:00:00'),(6420,'VICR','Vicor Corporation','Capital Goods','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(6421,'VIDE','Video Display Corporation','Capital Goods','Electrical Products','0.00','0000-00-00 00:00:00'),(6422,'VPFG','ViewPoint Financial Group, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(6423,'VBFC','Village Bank and Trust Financial Corp.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6424,'VLGEA','Village Super Market, Inc.','Consumer Services','Food Chains','0.00','0000-00-00 00:00:00'),(6425,'VIMC','Vimicro International Corporation','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(6426,'VIRC','Virco Manufacturing Corporation','Consumer Durables','Industrial Specialties','0.00','0000-00-00 00:00:00'),(6427,'VMED','Virgin Media Inc.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(6428,'VCBI','Virginia Commerce Bancorp','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6429,'VPHM','ViroPharma Incorporated','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(6430,'VSCP','VirtualScopics, Inc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(6431,'VRTS','Virtus Investment Partners, Inc.','Finance','Investment Managers','0.00','0000-00-00 00:00:00'),(6432,'VRTU','Virtusa Corporation','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(6433,'VISN','VisionChina Media, Inc.','Technology','Advertising','0.00','0000-00-00 00:00:00'),(6434,'VSCI','Vision-Sciences, Inc.','Health Care','Biotechnology: Electromedical & Electrotherapeutic Apparatus','0.00','0000-00-00 00:00:00'),(6435,'VIST','VIST Financial Corp','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6436,'VPRT','Vistaprint N.V.','Miscellaneous','Publishing','0.00','0000-00-00 00:00:00'),(6437,'VITC','Vitacost.com, Inc.','Consumer Services','Catalog/Specialty Distribution','0.00','0000-00-00 00:00:00'),(6438,'VTSS','Vitesse Semiconductor Corporation','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(6439,'VTNC','Vitran Corporation, Inc.','Transportation','Oil Refining/Marketing','0.00','0000-00-00 00:00:00'),(6440,'VVUS','Vivus, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(6441,'VOCS','Vocus, Inc.','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(6442,'VOD','Vodafone Group Plc','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(6443,'VOLC','Volcano Corporation','Health Care','Biotechnology: Electromedical & Electrotherapeutic Apparatus','0.00','0000-00-00 00:00:00'),(6444,'VLTR','Volterra Semiconductor Corporation','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(6445,'VSBN','VSB Bancorp, Inc. (NY)','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6446,'VSEC','VSE Corporation','Consumer Services','Military/Government/Technical','0.00','0000-00-00 00:00:00'),(6447,'WACLY','Wacoal Holdings Corporation','Consumer Non-Durables','Apparel','0.00','0000-00-00 00:00:00'),(6448,'WCRX','Warner Chilcott plc','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(6449,'WRES','Warren Resources, Inc.','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(6450,'WWVY','Warwick Valley Telephone Company','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(6451,'WBCO','Washington Banking Company','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6452,'WFSL','Washington Federal, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(6453,'WFSLW','Washington Federal, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(6454,'WASH','Washington Trust Bancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6455,'WSBF','Waterstone Financial, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(6456,'WAVX','Wave Systems Corp.','Technology','Computer peripheral equipment','0.00','0000-00-00 00:00:00'),(6457,'WAYN','Wayne Savings Bancshares Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(6458,'WSTG','Wayside Technology Group, Inc.','Technology','Retail: Computer Software & Peripheral Equipment','0.00','0000-00-00 00:00:00'),(6459,'WCAA','WCA Waste Corporation','Public Utilities','Environmental Services','0.00','0000-00-00 00:00:00'),(6460,'WDFC','WD-40 Company','Basic Industries','Major Chemicals','0.00','0000-00-00 00:00:00'),(6461,'WWWW','Web.com Group, Inc','Technology','Computer Software: Prepackaged Software','0.00','0000-00-00 00:00:00'),(6462,'WBMD','WebMD Health Corp','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(6463,'WEBM','WebMediaBrands Inc','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(6464,'WBSN','Websense, Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(6465,'WBSTP','Webster Preferred Capital Corp','Consumer Services','Real Estate Investment Trusts','0.00','0000-00-00 00:00:00'),(6466,'WERN','Werner Enterprises, Inc.','Transportation','Trucking Freight/Courier Services','0.00','0000-00-00 00:00:00'),(6467,'WSBC','WesBanco, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6468,'WTBA','West Bancorporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6469,'WCBO','West Coast Bancorp','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6470,'WMAR','West Marine, Inc.','Consumer Durables','Automotive Aftermarket','0.00','0000-00-00 00:00:00'),(6471,'WABC','Westamerica Bancorporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6472,'WSTL','Westell Technologies, Inc.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(6473,'WLBC','Western Liberty Bancorp','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6474,'WFD','Westfield Financial, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(6475,'WEST','Westinghouse Solar, Inc.','Capital Goods','Building Products','0.00','0000-00-00 00:00:00'),(6476,'WLB','Westmoreland Coal Company','Energy','Coal Mining','0.00','0000-00-00 00:00:00'),(6477,'WLBPZ','Westmoreland Coal Company','Energy','Coal Mining','0.00','0000-00-00 00:00:00'),(6478,'WPRT','Westport Innovations Inc','Energy','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(6479,'WWAY','Westway Group, Inc.','Consumer Non-Durables','Packaged Foods','0.00','0000-00-00 00:00:00'),(6480,'DIAL','Westwood One, Inc.','Consumer Services','Broadcasting','0.00','0000-00-00 00:00:00'),(6481,'WEYS','Weyco Group, Inc.','Consumer Non-Durables','Apparel','0.00','0000-00-00 00:00:00'),(6482,'WHSM','WhiteSmoke Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(6483,'WFM','Whole Foods Market, Inc.','Consumer Services','Food Chains','0.00','0000-00-00 00:00:00'),(6484,'WILN','Wi-Lan Inc','Miscellaneous','Multi-Sector Companies','0.00','0000-00-00 00:00:00'),(6485,'WVVI','Willamette Valley Vineyards, Inc.','Consumer Non-Durables','Beverages (Production/Distribution)','0.00','0000-00-00 00:00:00'),(6486,'WLDN','Willdan Group, Inc.','Consumer Services','Military/Government/Technical','0.00','0000-00-00 00:00:00'),(6487,'WMCO','Williams Controls, Inc.','Capital Goods','Auto Parts:O.E.M.','0.00','0000-00-00 00:00:00'),(6488,'WLFC','Willis Lease Finance Corporation','Consumer Durables','Industrial Specialties','0.00','0000-00-00 00:00:00'),(6489,'WLFCP','Willis Lease Finance Corporation','Consumer Durables','Industrial Specialties','0.00','0000-00-00 00:00:00'),(6490,'WIBC','Wilshire Bancorp, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6491,'WIN','Windstream Corporation','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(6492,'WINA','Winmark Corporation','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(6493,'WINN','Winn-Dixie Stores, Inc.','Consumer Services','Food Chains','0.00','0000-00-00 00:00:00'),(6494,'WWIN','Winner Medical Group Inc.','Health Care','Industrial Specialties','0.00','0000-00-00 00:00:00'),(6495,'WTFC','Wintrust Financial Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6496,'WTFCW','Wintrust Financial Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6497,'RNIN','Wireless Ronin Technologies, Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(6498,'WETF','WisdomTree Investments, Inc.','Finance','Investment Bankers/Brokers/Service','0.00','0000-00-00 00:00:00'),(6499,'GULF','WisdomTree Middle East Dividend Fund','n/a','n/a','0.00','0000-00-00 00:00:00'),(6500,'WBKC','Wolverine Bancorp, Inc.','Finance','Banks','0.00','0000-00-00 00:00:00'),(6501,'WWD','Woodward, Inc.','Energy','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(6502,'WRLD','World Acceptance Corporation','Finance','Finance: Consumer Services','0.00','0000-00-00 00:00:00'),(6503,'XWES','World Energy Solutions Inc (DE)','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(6504,'WHRT','World Heart Corporation','Health Care','Biotechnology: Electromedical & Electrotherapeutic Apparatus','0.00','0000-00-00 00:00:00'),(6505,'BWOW','Wowjoint Holdings Limited','Capital Goods','Construction/Ag Equipment/Trucks','0.00','0000-00-00 00:00:00'),(6506,'BWOWU','Wowjoint Holdings Limited','Capital Goods','Construction/Ag Equipment/Trucks','0.00','0000-00-00 00:00:00'),(6507,'BWOWW','Wowjoint Holdings Limited','Capital Goods','Construction/Ag Equipment/Trucks','0.00','0000-00-00 00:00:00'),(6508,'WPCS','WPCS International Incorporated','Consumer Services','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(6509,'WPPGY','WPP plc','Technology','Advertising','0.00','0000-00-00 00:00:00'),(6510,'WMGI','Wright Medical Group, Inc.','Health Care','Industrial Specialties','0.00','0000-00-00 00:00:00'),(6511,'WSB','WSB Holdings, Inc.','Finance','Savings Institutions','0.00','0000-00-00 00:00:00'),(6512,'WSFS','WSFS Financial Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6513,'WSCI','WSI Industries Inc.','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(6514,'WUHN','Wuhan General Group (China), Inc.','Capital Goods','Pollution Control Equipment','0.00','0000-00-00 00:00:00'),(6515,'WVFC','WVS Financial Corp.','Finance','Banks','0.00','0000-00-00 00:00:00'),(6516,'WYNN','Wynn Resorts, Limited','Consumer Services','Hotels/Resorts','0.00','0000-00-00 00:00:00'),(6517,'XATA','XATA Corporation','Technology','Computer Manufacturing','0.00','0000-00-00 00:00:00'),(6518,'XBKS','Xenith Bankshares, Inc.','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6519,'XNPT','XenoPort, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(6520,'XLNX','Xilinx, Inc.','Technology','Semiconductors','0.00','0000-00-00 00:00:00'),(6521,'XOMA','XOMA Ltd.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(6522,'XRIT','X-Rite, Incorporated','Miscellaneous','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(6523,'XRTX','Xyratex Ltd.','Technology','Electronic Components','0.00','0000-00-00 00:00:00'),(6524,'YAVY','Yadkin Valley Financial Corporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6525,'YHOO','Yahoo! Inc.','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(6526,'YNDX','Yandex N.V.','Technology','Computer Software: Programming, Data Processing','0.00','0000-00-00 00:00:00'),(6527,'YONG','Yongye International, Inc.','Basic Industries','Agricultural Chemicals','0.00','0000-00-00 00:00:00'),(6528,'YDNT','Young Innovations, Inc.','Health Care','Medical/Dental Instruments','0.00','0000-00-00 00:00:00'),(6529,'YRCWD','YRC Worldwide, Inc.','n/a','n/a','0.00','0000-00-00 00:00:00'),(6530,'YTEC','Yucheng Technologies Limited','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(6531,'ZAGG','ZAGG Inc','Consumer Services','Other Specialty Stores','0.00','0000-00-00 00:00:00'),(6532,'ZLCS','Zalicus Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(6533,'ZBRA','Zebra Technologies Corporation','Technology','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(6534,'ZLTQ','ZELTIQ Aesthetics, Inc.','Health Care','Biotechnology: Electromedical & Electrotherapeutic Apparatus','0.00','0000-00-00 00:00:00'),(6535,'ZHNE','Zhone Technologies, Inc.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(6536,'HOGS','Zhongpin Inc.','Consumer Non-Durables','Meat/Poultry/Fish','0.00','0000-00-00 00:00:00'),(6537,'Z','Zillow, Inc.','Miscellaneous','Business Services','0.00','0000-00-00 00:00:00'),(6538,'ZN','Zion Oil & Gas Inc','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(6539,'ZNWAL','Zion Oil & Gas Inc','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(6540,'ZNWAW','Zion Oil & Gas Inc','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(6541,'ZNWAZ','Zion Oil & Gas Inc','Energy','Oil & Gas Production','0.00','0000-00-00 00:00:00'),(6542,'ZION','Zions Bancorporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6543,'ZIONW','Zions Bancorporation','Finance','Major Banks','0.00','0000-00-00 00:00:00'),(6544,'ZIOP','ZIOPHARM Oncology Inc','Health Care','Medical Specialities','0.00','0000-00-00 00:00:00'),(6545,'ZIP','Zipcar, Inc.','Consumer Services','Rental/Leasing Companies','0.00','0000-00-00 00:00:00'),(6546,'ZIPR','ZipRealty, Inc.','Finance','Real Estate','0.00','0000-00-00 00:00:00'),(6547,'ZIXI','Zix Corporation','Technology','EDP Services','0.00','0000-00-00 00:00:00'),(6548,'ZGNX','Zogenix, Inc.','Consumer Durables','Major Pharmaceuticals','0.00','0000-00-00 00:00:00'),(6549,'ZOLL','Zoll Medical Corporation','Health Care','Biotechnology: Electromedical & Electrotherapeutic Apparatus','0.00','0000-00-00 00:00:00'),(6550,'ZOLT','Zoltek Companies, Inc.','Energy','Industrial Machinery/Components','0.00','0000-00-00 00:00:00'),(6551,'ZOOM','Zoom Technologies, Inc.','Public Utilities','Telecommunications Equipment','0.00','0000-00-00 00:00:00'),(6552,'ZSTN','ZST Digital Networks, Inc.','Technology','Radio And Television Broadcasting And Communications Equipment','0.00','0000-00-00 00:00:00'),(6553,'ZUMZ','Zumiez Inc.','Consumer Services','Clothing/Shoe/Accessory Stores','0.00','0000-00-00 00:00:00'),(6554,'ZIGO','Zygo Corporation','Capital Goods','Electronic Components','0.00','0000-00-00 00:00:00');
/*!40000 ALTER TABLE `stock_cache` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2011-12-19  4:44:10
